Clampex Software Help

Welcome to Help for Clampex software, the data acquisition component of the pCLAMP software suite.

This Help file also serves AxoScope software, which has a reduced set of Clampex software functions.

Quick Start

For basic guide to Clampex software setup, see the Setting Up Clampex software for Data Acquisition tutorial installed with your pCLAMP software. Open it from Start > All Programs > Molecular Devices > pCLAMP 11.2 > Clampex software 11.2 Tutorial.

The links below take you to topics for a quick setup for data acquisition:

  • Configure > Digitizer to configure Clampex software for your digitizer.
  • Configure > Telegraphed Instrument to configure telegraphs.
  • Configure > Lab Bench to create and configure signal names, units and scale factors.
  • Configure > CyberAmp Connections, if you have a CyberAmp.
  • Data organization, for discussion of file-naming options, before you acquire data.
  • Acquire > Edit Protocol, to define your acquisition and stimulation parameters.

    • You may want to read the Data Acquisition Modes section for this.

  • Acquire > Record or Acquire > View Only to run the protocol and acquire data.
  • Real Time Controls, for easy viewing and control options.
  • Time, Comment, and Voice Tags, to tag recorded files.

Information Organization

Topic | Description
New Features | Lists features new to version 11.2, with links to Help topics for these.
Getting Help | Explains the different ways you can access help within the program.
Contacting Technical Support | Email, phone and mail contacts for Technical Support.
Interface Overview | Introduces the Clampex software windows and describes their behavior and configuration options. Includes a listing of all keyboard and mouse command shortcuts.
Data Acquisition Modes | Describes the different modes in which data can be acquired by Clampex software.
General Reference | Provides general background information topics..
Menu Reference | Provides an explanation of every command and dialog box in Clampex software, organized by menu. Where the commands in a menu differ significantly with the window type selected, menus are subdivided according to window type.

For research use only. Not for use in diagnostic procedures.

Copyright ©2021 Molecular Devices, LLC.
All rights reserved.


New Features

pCLAMP Software Suite Version 11.2

The pCLAMP software suite includes AxoScope software, Clampfit software, and Clampex software.

Clampex Software Version 11.2

The following modifications have been made:

  • The Membrane Test window is enlarged for better use.

Clampfit Software Version 11.2

Running Clampfit software Advanced Analysis software license, which includes Batch Analysis, Pop Spike Analysis, and Action Potential, requires a license key dongle.

The following modifications have been made:

  • In the Action Potential Search dialog, the Amplitude, Area, and action potential duration (APD) are now measured with respect to both the specified baseline and the calculated threshold potential with options to display the measurements relative to the baseline or to the threshold potential.

pCLAMP Software Suite Version 11.1

The pCLAMP software suite includes AxoScope software, Clampfit software, and Clampex software.

Clampex Software Version 11.1

The following feature modifications are available:

  • The Edit Protocol window is resizable.
  • In the Edit Protocol > Waveform tab and in Gap-Free mode, from the right-click menu you can select Clear for column values.
  • The Edit Protocol > Waveform Epoch cell is wider.

Clampfit Software Version 11.1

Running Clampfit software Advanced Analysis software license, which includes Batch Analysis, Pop Spike Analysis, and Action Potential, requires a license key dongle.

The following feature modifications are available:

  • Batch Analysis is a top-level menu option for running the license-enabled analysis software.

  • Stimulus rise time option added to the Population Spike Search dialog in the Event Finding tab for manually setting the stimulus rise time to a slower speed when the stimulus artifact is too slow for the default 80 mV/ms value.

pCLAMP Software Suite Version 11

The pCLAMP software suite includes AxoScope software, Clampfit software, and Clampex software.

Clampex Software Version 11

The following new features are available:

  • Episodic Stimulation Acquisition Mode Maximum Sweep Duration Increased.
  • 50 Epoch Columns in Protocol Editor.
  • Pre-program Gap-Free Digital and/or Analog Output.
  • Membrane Test for Multiple Channels Displays on One Screen

Clampfit Software Version 11

Running Clampfit software version 11 requires a license key dongle.

The following new features are available:

  • 25 Analysis Cursor Pairs.
  • Automated Event Detection.
  • Advanced Analysis feature Batch Analysis.
  • Advance Analysis feature Population Spike Analysis.
  • Advance Analysis feature Action Potential Analysis.

pCLAMP Software Suite Version 10

The pCLAMP software Suite includes AxoScope software, Clampfit software, and Clampex software.

AxoScope Software Version 10.6

The following major new features are available:

  • Support for Digidata 1550B digitizer plus HumSilencer Adaptive Noise Cancellation System. There are three models of the Digidata 1550B digitizer, one of which excludes the HumSilencer Adaptive Noise Cancellation System. The other two models of the Digidata 1550B digitizer with adaptive noise cancellation (ANC) provide configuration through Analog Input Channels #0, or Analog Input Channels #0, #2, #4 and #6 to eliminate 50 Hz or 60 Hz line‑frequency noise and associated high‑frequency harmonics.

Clampfit Software Version 10.6

Clampfit software updates support new Clampex software features, as appropriate.

  • There are no other new features.

Clampex Software Version 10.6

The following major new features are available:

  • Support for Digidata 1550B digitizer plus HumSilencer Adaptive Noise Cancellation System. There are three models of the Digidata 1550B digitizer, one of which excludes the HumSilencer Adaptive Noise Cancellation System (ANC). The other two models of the Digidata 1550B digitizer with ANC provide configuration through Analog Input Channels #0, or Analog Input Channels #0, #2, #4 and #6 to eliminate 50 Hz or 60 Hz line‑frequency noise and associated high‑frequency harmonics.

  • Adapt between sweeps—For long episodic stimulation experiments when using a HumSilencer capable digitizer, a 1.081 second inter‑sweep learning period can be added to counteract the potential of noise pattern changing over time.

AxoScope Software Version 10.5

The following major new features are available:

  • Support for Digidata 1550A digitizer plus HumSilencer Adaptive Noise Cancellation System on Analog In Channel #0.

Clampfit Software Version 10.5

Clampfit software updates support new Clampex software features, as appropriate.

  • There are no other new features.

Clampex Software Version 10.5

The following major new features are available:

  • Support for Digidata 1550A digitizer plus HumSilencer Adaptive Noise Cancellation System on Analog In Channel #0.

Clampex Software Version 10.4.1

The following minor new features are available:

  • In all Acquisition Modes, except Gap‑free, in the Trigger tab of the Edit Protocol dialog, when the Trigger source is set to Digitizer START Input, the Timeout (ms) field now displays. Use it to set the maximum time the system polls for an external START trigger before it checks for user‑intervention, such as clicking Stop, and responds to the intervention or resumes polling. Set this polling duration longer than your trigger interval.

Clampex Software Version 10.4

The following major new features are available:

  • Digidata 1550A digitizer support for up to 8 analog output channels.

Clampex Software Version 10

The following major new features are available:

  • Support for 4 analog output channels using the new Digidata 1440A digitizer.
  • Seal & Membrane Tests continuously runs in between sweeps, or use as a single resizable window.
  • Split-Clock Acquisition allows multiple sampling rate changes per sweep. See Sampling Rate per Signal .
  • Digital Outputs control 8 digital outputs per epoch during a sweep.
  • P/N Leak Subtraction records both raw and subtracted sweeps. See P/N Leak Subtraction.
  • Software telegraph support for the Axoclamp amplifier 900A.
  • Separate A/D converters for each input channel of the new Digidata 1440A digitizer supports the maximum sampling rate on all input channels.

And the following changes:

  • Protocols are now configured in time units, instead of by number of samples.
  • Data and protocols are saved by default in \Documents and Settings\[user name]\My Documents\Molecular Devices\pCLAMP\.
  • Clampex software 10 does not support Digidata 1200-series digitizers.
  • Resistance Test is removed.
  • Clampex software 10.0 through 10.2 support Windows 2000 and Windows XP Pro only.
  • Clampex software 10.3 adds support for Windows 7.


Getting Help

There are a number of ways you can access help in Clampex software:

  • Button "Tooltips"

    Place the mouse cursor over a button for a tooltip pop-up to tell you the function of the button

  • Menu Help

    Place the mouse cursor over a menu option and press F1. The Help file opens to the appropriate topic.

  • Dialog Help

    Almost every dialog has a Help button that opens the Help file topic for the dialog.

    Some general-purpose Windows dialogs have a [image] button in their top right corner. Click on this and the cursor turns into [image]. With this cursor, click on an area of the dialog to open a popup text explanation about it.

  • Clampex Help Topics

    The Help > Online Help menu option opens the Help file on the introductory topic. The navigation pane on the left has tabs for the Table of Contents, Index and Search, or use links within the topics themselves to navigate.

    Click on teal colored titles in topics to open drop-down sections, as below:

    Closed Drop-down Help Sections

    Click on the title a second time to close the drop-down section.

    Also, within Help, you can select a word and press F1. If the word is in the index the Help topic it links to opens.


Contacting Technical Support

Axon Instruments is part of Molecular Devices

The pCLAMP software suite is regularly updated. Verify that you are using the latest version. Click Help > Molecular Devices on the Web to go to the Molecular Devices website. Check for the latest update of pCLAMP software suite to download from the Knowledge Base.

Online

Homepage: www.moleculardevices.com

Technical Support: www.moleculardevices.com/support

Phone

Please have your instrument serial number or Work Order number, and your software version number available when you call.

1-408-747-1700

1-800-635-5577 (US, toll-free)

Email

Email messages can be sent to Molecular Devices Technical Support by visiting www.moleculardevices.com/support and submitting a service request.

Mail

Molecular Devices
3860 N First Street
San Jose, CA 951349
USA


Interface Overview

This section has topics describing the main Clampex software interface and each of the six specialized Clampex software windows, as well as the Real Time Controls. The final topic lists all keyboard and mouse shortcuts.

  • Main Clampex Software Window
  • Real Time Controls
  • Analysis Window
  • Data File Index
  • Lab Book Window
  • Results Window
  • Scope Window
  • Statistics Window
  • Keyboard and Mouse Shortcuts


Main Clampex Software Window

The main Clampex software window consists of the following component parts:

  • Title Bar
  • Main Menu Bar
  • Toolbars
  • Main Window
  • Status Bar

Title Bar

Running across the top of the window, the title bar reports the name of the file in the currently selected window. At far right are standard Windows close, minimize, maximize and resizable window buttons.

Main Menu Bar

Below the title bar are the main menus. There are small differences in the main menus available depending on the currently selected window type, for example, the Format menu is available only for the Lab Book. Commands within the menus in many cases change significantly according to the selected window type.

Toolbars

Clampex software has four toolbars with buttons for commonly used functions. The toolbars can be hidden or shown with the appropriate toggle command in the View menu. All the toolbars can be customized to add or remove buttons, from Configure > Toolbars.

Right-click in the toolbar area (not over a button) to open the toolbar popup menu, with hiding/showing and configuration commands. Toolbars are dockable components.

Hold the cursor over any toolbar button to bring up a tooltip, reporting the button's function.

The four toolbars are:

  • Acquisition Toolbar: contains the most commonly used acquisition functions.
  • Review Toolbar: contains the most commonly used analysis functions.
  • Alternate Toolbar: allows you to customize your buttons.
  • Sequencing Toolbar: contains button shortcuts for all of the available sequencing keys.

The Lab Bench also contains a toolbar. This can also be hidden and shown from the View menu, but cannot be reconfigured.

All functions available with toolbar buttons are also available from menu commands.

Main Window

The six specialized window types, as well as interactive dialog boxes, open in the main window area.

You can cascade or tile unminimized windows that you have open, from the Window menu. Minimized windows reduce to a small title bar, by default placed along the bottom of the main window area. All open windows, whether minimized or not, are listed at the bottom of the Window menu, from where they can be selected.

Many window types allow you to open a new window. A new window opens with the same file as the window that is "active" (selected) when you make the command.

Status Bar

The Status Bar is in the bottom of the main window. You can hide or show the Status Bar by selecting View > Status Bar.

The Status bar contains four fields:

  • Scope Window Coordinates / Real Time Controls Changes

    When the Scope window is active, clicking within the are of the graph displays the X and Y coordinates for the cursor's click position, in the far left of the Status Bar

    The same field reports changes made to the analog holding levels or digital outputs from the Real Time Controls.

  • Available Recording Time

    The left-most of the 3 fields at the right-hand end of the Status Bar indicates the disk space available for data acquisition. If you have a gap-free, variable-length or fixed-length event protocol loaded this is given in terms of time, in the format: Disk = HH:MM:SS. If you are in episodic or oscilloscope modes, the number of sweeps that can be acquired is shown, for example: Disk = 7000 Sw.

  • Protocol

    The name of the currently loaded protocol is reported in the field to the right of the Available Recording Time.

  • Time, Stopwatch

    The far right field reports the time in the format HH:MM:SS, using a 24 hour clock. Clampex software stopwatch time is reported in parentheses to the right of this, in the same format. The stopwatch starts when you open Clampex software. The stopwatch can be reset with the Tools > Zero Stopwatch command, or with the button in the Acquisition Toolbar.


Real Time Controls

The Real Time Controls (RTC) panel is a readily accessible interface that allows quick confirmation of, and (depending on the type of acquisition you are running) changes to, parameters otherwise accessible through the Lab Bench or Protocol Editor.

The Real Time Controls panel is a dockable component, by default docked to the left-hand side of the main Clampex software window. It can be shown and hidden by clicking View > Real Time Controls, or by right-clicking any toolbar (including the RTC itself when shown) and clicking Real Time Controls.

Adjustable Parameters

  • Holding levels for the analog output channels
  • Digital outputs (for eight outputs)
  • The sampling frequency (the sampling interval equivalent is reported)
  • Software lowpass and highpass filter settings.

Reported Parameters

  • Amplifier telegraphs, if enabled. The telegraphs relevant to the currently selected input channel in the Scope window are shown: filter setting, gain, and capacitance compensation.
  • Where you are in an acquisition. The time elapsed from the start of the acquisition is always shown. In addition, the number of samples acquired (Gap‑free mode), triggered events (Variable-length and Fixed-length modes), sweeps (High-speed oscilloscope) or runs and sweeps (Episodic stimulation) is displayed.
  • When P/N Leak Subtraction is enabled, "Subsweep" is reported. The P/N subsweeps are counted off beside this when the protocol is run. "Corrected" or "Not corrected" immediately below indicates the setting in the Show corrected sweep data field.
  • When a Pre-sweep Train is set.

Real Time Controls Panel Functionality

Most fields in the real time Controls panel can be adjusted when acquiring data in View Only mode (Acquire > View Only). Use this mode to experiment with sampling rates and filter settings.

When recording data in passive modes, analog and digital output levels can be changed, but none of the other settings. A comment tag is inserted into the data at each change.

When recording data in Episodic stimulation mode, only digital output levels can be changed. Again, a comment tag is inserted into the data at each change.

Pre-Program Gap-Free Mode Output

When using Gap-free mode, you can either manually change epoch settings in the Controls panel, or use the pre-program epochs table. You can pre‑program up to 50 epochs. You can also manually change values during a recording.

HumSilencer Adaptive Noise Cancellation (ANC)

The controls in the Real Time Controls panel include HumSilencer ANC controls. Specify the Analog IN Channel for ANC use by selecting the HumSilencer check box in the Edit Protocol > Inputs dialog tab, except for use with Membrane Test, where a separate HumSilencer check box for ANC control is located in the Membrane Test dialog.

Note: The Digidata 1550A digitizer can provide ANC only on Channel #0. The Digidata 1550B digitizer can provide ANC on Channel #0, Channel #2, Channel #4, and Channel #6.

When starting any recording with ANC enabled, there can be a 21 ms recording‑start delay while the HumSilencer system initializes.

While recording data in passive modes, the Adapt, Subtract and Clear controls can be used.

While recording data in stimulus mode, the Adapt check box is automatically deselected, the Subtract check box setting remains as set before the start of the recording, and the HumSilencer control panel is locked to prevent setting changes.

Note: The HumSilencer system can cancel noise during the time between episodic sweeps, including during the Edit Protocol > Stimulus tab functions: Pre-sweep Train, P/N Leak Subtraction, and Membrane Test Between Sweeps.

Overrides

The fields in the Real Time Controls panel show either Lab Bench settings or the current protocol settings, depending on whether you have enabled Overrides or not. Accordingly, changes you make to these Real Time Controls panel fields affect either the Lab Bench or protocol settings.

If you do not have overrides set, you see the current protocol settings, and any changes you make from the Real Time Controls panel will amend these. You are asked whether you want to save the new settings when you close the protocol.

If overrides are set, then Lab Bench settings are shown, and are amended by any changes you make from the Real Time Controls panel. Lab Bench overrides allow you to set global parameters so that, for example, you can run a series of protocols that have, independently, different holding levels, all at the same holding level, without having to edit each protocol.

Changing analog holding levels

The range of values that the analog output fields are able to register, and the size of the spinner increments in these, alter as functions of the scale factor, set on the Outputs tab in the Lab Bench. When the scale factor is low, the range is correspondingly low and increments small. When the scale factor is larger, the range and increments are larger too.

When using the spinners to set new holding levels click SHIFT to increase the increments by a factor of 10.

If you type in a new holding level manually you must click Enter, or shift focus to another window, to implement the change.

Changes to both the analog and digital outputs made from the Real Time Controls panel are reported in the left of the Status Bar.


Analysis Window

Recorded data files are viewed in Analysis windows, one file per window.

General

File Types

Standardly, data files are in *.abf or *.atf format. Older Clampex software files are in *.dat format, and other file formats can also be opened with the Plain Text Converter or Plain Binary Converter.

Opening Files

Select to open new files into a new window or into a existing window, replacing the file currently there, from the Open Data Options dialog. This dialog also has options for the persistence of scaling and sweep and signal selection.

Signals

A data file can contain up to 16 signals, displayed in separate panes within the window.

Configuration

The Analysis window is highly configurable, with seven popup menus that allow quick navigation and configuration. All basic configuration is done in the View > Window Properties dialog. You can open this by double-clicking in the data area of the window.

Window Sections and Popup Menus

1. Data Area | 2. Y Axis
3. X Axis | 4. Signal Properties
5. Cursors | 6. Tag
7. Cursor Bar | 8. Write/Append Cursor Measurements

Features 1 through 7 have right-click popup menus.

Data Area

The Analysis window data area shows recorded data traces.

Double-click anywhere in the data area except over a cursor or tag to open the Analysis Window Properties dialog for a full set of configuration options.

Right-click to bring up a quick menu of display and scaling options.

Trace viewing modes

Files first appear either as overlapping traces (Episodic Stimulation, High-Speed Oscilloscope, and Fixed-Length Events modes) or with the whole file at once (Gap-Free and Variable-Length Events modes). To change the data display between continuous, sweep, or concatenated views, use View > Data Display.

Viewing and selecting sweeps

When viewing sweeps, default coloration has the selected sweep red and the remainder black. Select the next or the previous sweep with the comma or period keys on your keyboard (these are the ">" and "<" keys when used with <Shift>, but do not use <Shift> for this). You can also directly click on a sweep in the data area to select it. Press <Enter> to display the selected trace only.

Select to view a subset of the traces from View > Select Sweeps. <Enter> toggles you between the currently selected trace, the traces selected in Select Sweeps, and the full number of traces in the file. Information about the sweep you are viewing displays in the bottom right of the window.

Scaling

You can independently scale the X and Y axes in a number of ways (see below). Press <Control> and drag the mouse over an area in the window to zoom into that area. The popup menu has other scaling commands as well, such as to zoom between cursors.

Cursors

Up to nine cursor pairs can be placed in the window (View > Window Properties > General tab). These measure trace amplitude, time from the start of the sweep or file, and sample number.

Y Axis

The Y axis shows the values of the measured signal. Units appear in the signal properties column to the left of the Y axis.

Double-click to open the Analysis Window Properties dialog box with the Signals tab in front.

Right-click to open a quick menu of scaling options. You can also invert the axis from this menu.

Y axis scaling

There are a number of ways to scale the Y axis:

  • Place the cursor in the Y axis area, where it turns into a magnifying glass. Drag the cursor down the section of the Y axis you want to view. When you release the button, the window zooms into the range you have defined.
  • Use the triangular "up" and "down" scaling buttons in the axis column to scale up and down around the middle of the visible range.
  • Open the popup menu for specific scaling options, including full scale and auto scale, which leaves a small margin between the highest and lowest trace points and the edge of the window.
  • Set the Y axis range manually in the Window Properties Signals tab.

X Axis

The X axis shows the values and units of time in the file.

The units can be changed by double-clicking in the axis area, which opens the Window Properties > X Axis tab.

Right-click to open a quick menu of scaling and viewing mode options.

X axis scaling

There are a number of ways to scale the X axis:

  • Place the cursor in the X axis area, where it turns into a magnifying glass. Drag the cursor along the section of the X axis you want to view. When you release the button the window zooms into the range you have defined.
  • Use the triangular "left" and "right" scaling buttons at the left of the axis to scale in and out about the left-most point currently in view in the window.
  • Open the popup menu for specific scaling options, including zoom between cursors.
  • Set the X axis range manually in the Window Properties > X Axis tab.

Signal Properties

This bar displays the signal name and units. If there are multiple signals on display in the window, the signal properties bar of the active signal is highlighted—dark rather than light gray under default settings.

Double-click to open the Edit > Modify Signal Parameters dialog box, which allows you to change the signal information if it was recorded incorrectly. You can also modify the file comment.

Right-click to open the quick menu. Choose Rotated Text to toggle between vertical and horizontal text display.

Cursors

Up to nine cursor pairs can be placed in the window (View > Window Properties > General tab). These consist of a triangular "handle" in the cursor bar immediately above the data area, and a vertical line in the data area. Cursor lines can be hidden or shown, but the handles remain visible. Cursors have optional text boxes attached.

Double-click on a cursor to bring up the Cursor Properties dialog box.

Right-click on a cursor for a range of cursor options.

Cursor pairs

Cursors come in pairs, 1 & 2, 3 & 4, etc. These can be locked together to maintain their relative time and sample positions, and the second of each pair can be set to report its values relative to the values in the first cursor of the pair (Cursor Properties).

Selecting, bringing, and going to cursors

To select a cursor either click on it, or press the appropriate keyboard numeral (for example, press <2> to select cursor 2). The cursor identifier number, in the cursor bar, turns red.

Cursors can be brought into view with the Bring Cursors command from the data area popup menu, or with the <Shift + mouse click> combination.

To shift the visible display of a file to the area where a cursor is located, without altering the X axis scaling, use the cursor bar popup menu command, Go to Cursor.

Moving cursors

Cursors can be moved by dragging with the mouse, or open Cursor Properties and send a cursor to a specific time, tag, sample or epoch in the Move To section. When you have performed such a command, you can repeat it without opening the dialog again, with F4. So, for example, if you configure "Move To" to go one tag relative to the current tag, you can use F4 to step through each tag in a file one by one. Shift + F4 reverses the direction of the steps.

When a cursor has the focus, it can also be moved using the right and left arrow keys.

  • Using the arrow keys alone will move the cursor one pixel.
  • Ctrl + Arrow moves the cursor to the next sample.
  • Shift + Arrow moves the cursor 20 pixels.
Text boxes

Cursors have optional text boxes reporting (optionally) time, sample and the amplitude of the selected trace at the cursor's position. You can select for the second of a cursor pair to show these values relative to the first. All configuration of text boxes and their contents is from the Cursor Properties dialog.

Text boxes can be dragged up and down their cursor, or sent to the cursor bar, above the data area of the window.

Tags

Time, comment and voice tags inserted when the file was recorded are shown as vertical lines with an optional text box reporting selected parameters. Tags can be hidden, shown, and otherwise configured with the Tag Text Properties dialog, opened by double-clicking on a tag.

The tag popup menu has options to shift tag text boxes to the cursor bar, or you can cascade them, or move them individually up and down their cursor by dragging with the mouse.

To move to a tag not currently in view, use the Go to Tag command.

Cursor Bar

The cursor bar is the gray strip immediately above the data area. You can choose to place cursor and tag text boxes in the cursor bar.

Right-click in this area to open a quick menu of general cursor and tag options.

Double-click in the area to open Cursor Properties.

Cursors can be selected and moved using their triangular "handles" in the cursor bar.

Write/Append Cursor Measurements

Write [image] or Append [image] a range of cursor-related measurements for cursor pairs 1 & 2 and 3 & 4 to the Results window. For example, the Y axis values at the cursor positions, for all traces in all signals in the file, are reported, as are the minimum and maximum values between the cursor pairs, slopes, and other measurements.


Data File Index (DFI)

The Data File Index (DFI) window is a file management tool. Use DFI files to group any number of binary data files and display a range of their properties. You can sort a DFI file on any of the listed properties, and open any of the files from the DFI window. You can search within a DFI for files with a particular parameter or numeric parameter range using Edit > Find.

Files are added to a DFI file by setting search criteria in the Edit > Add Existing Files dialog.

Create a new DFI using File > New Data File Index, or open an existing one using File > Open Data File Index.

DFI files can be used when storing data on removable media. Refer to the Data File Index topic in the General Reference section for more information.

1. File Properties Area | 2. Column Headers
3. Information Bar |

File Properties Area

The main data area in a DFI window shows data file information, with each line reporting a number of parameters for a single file.

Right-click to bring up a quick menu of DFI options. This includes a Verify command, which checks that all the files in the current DFI file exist.

The following properties are (optionally) reported for each file in the DFI:

Filename | Mode (acquisition) | Date
Time | Stopwatch | 1st Interval
2nd Interval | Amplifier Mode | ID #1
ID #2 | ID #3 | Leak
List | Digital | Ext. Tags
Sweeps | Pre-sweep | Statistics
Math | Holding #1 | Holding #2
File Comment | Input Signals | Output Signals
Path |  |

Open a file

Double-click on a line to open the data file into an Analysis window.

Select parameters to display

Right-click in a column header or the file properties area and select Window Properties from the popup menu (or double-click in the Information bar). Select the parameters you want to display in the dialog.

Sort files by parameter

Click on the column title of the parameter you want to use to sort the files. Files are reordered in ascending order for that parameter. If you want to sort in descending order, select Tools > Sort.

Column Headers

The column headers contain the names of the parameters reported below them. See "Select parameters to display" above to add or remove columns.

Change column width

Move the cursor to the border between two column headers and drag to the desired position.

Information Bar

The Information Bar reports the number of files in the DFI and the full path of the currently highlighted file.

Toggle the Information Bar in and out of view with View > Information Bar.

Double-click on the Information Bar to open the DFI Window Properties dialog.


Lab Book Window

The Lab Book window is a text editor for keeping records of experiments and analyses. The "System Lab Book", Lab Book window is always open in Clampex software.

System Lab Book

Depending on your selection in Configure > Lab Book Options, Clampex software automatically keeps a more or less verbose record of significant actions performed in the program, in the System Lab Book. Additionally, you can open the System Lab Book window and type in it directly, or add comments to it with Tools > Comment to Lab Book, available when any window is active.

The System Lab Book must have a Lab Book file (*.rtf format) loaded, to which to write. The default file is "clampex LabBook.rtf", however any other Lab Book file can be selected, from Configure > Lab Book Options. Two researchers using the same computer, can each have their own Lab Book files, which they should load as the System Lab Book whenever they begin a Clampex software session.

Lab Book Files

You can save the contents of the System Lab Book to new *.rtf files. The saved files behave like any normal file—you can open more than one at a time, edit them and resave them. You can load any RTF file as the System Lab Book.

Simple Database

You can use file comments for a simple database within Lab Book files. Every time a data file is analyzed, the manually entered information (file comment and numerical identifier information) is written to the System Lab Book immediately after the file name. So, for example, a drug name can be entered in the file comment. Later, a word processor can be used to search for the drug name, finding all the files where that drug was used.

Window Sections

1. Editing Pane 2. Formatting Bar

Editing Pane

The Lab Book editing pane is equivalent to Microsoft WordPad, so you can enter text and format it with different fonts and colors, and with attributes such as bold and italic. You can also paste in images that you have copied to the clipboard.

Right-click to bring up a quick menu of editing options.

Formatting Bar

In the editing pane, highlight the text you wish to format, then use the Formatting bar to customize the font.

Double-click on the space between buttons to toggle between a floating toolbar and a docked toolbar.

Toggle the Format Bar in and out of view with View > Format Bar.


Results Window

The Results window contains a spreadsheet where data from the Analysis window Write Cursors and Append Cursors commands are written. The spreadsheet can have 1,000,000 rows and 8,000 columns.

Only one Results window file can be open at a time (though this one file can be viewed in more than one window, with Window > New Window).

Results window data are saved as RLT files. You can replace the current Results file with File > New > Results, to start a fresh file, or open an existing file with File > Open Other > Results.

Window Sections

1. Data Cells | 2. Rows
3. Columns | 4. Select All

Data Cells

Cursor measurements from the Analysis window are written into this area.

Click in a cell to select it. You can then edit the contents of the cell from the keyboard.

Right-click over the cells to bring up a popup menu with cut, copy, paste and delete options. Also, from the Edit menu, you can Find and Replace data in the spreadsheet, while Go To takes you to a particular cell location.

You can change the appearance of the window from the Properties dialog, also accessed from the popup menu.

Rows

Each row in the spreadsheet is numbered, displayed in the row header. You can hide the headers from the Results > Window Properties >General tab.

Insert additional rows with Edit > Insert > Rows. Hide rows by moving the cursor in the row header until it turns to a line and arrows, then drag until the row is hidden (drag in the opposite direction to enlarge the row). Rows hidden this way can be restored to view by dragging them back again (be sure to grab the row dividing line from the right direction to do this—the cursor has parallel lines and arrows when you are in the correct position to reveal a hidden row).

Select whole rows from the row header by clicking when the cursor turns to a solid right-pointing arrow.

Columns

The Results spreadsheet has columns for measurements taken from files in the Analysis window with the Write Cursors and Append Cursors commands. Columns can be hidden or reordered from the Results Window Properties Cursor Measurements tab, or resize a column by dragging the column header dividers. Alternatively, keep the column but hide the headers, from the Results > Window Properties>General tab.

Click once on a header to select that column. Once selected you can use Edit > Clear to clear the cells. Having cleared a column you can restore it with the Undo command, but note that Undo stores only the last ten operations.

Select All

Click in the empty top left header cell to select all cells in the Results window spreadsheet. You can also press Ctrl + A.


Scope Window

The Scope window displays data as they are acquired in both View Only and Record modes.

Sections in this topic:

  • General
  • Window Sections and Popup Menus
  • Other Scope Window Symbols
  • Data Area
  • Y Axis
  • X Axis
  • Signal Names and Units
  • Statistics Markers

General

Data Displayed

The data displayed in the Scope window depend on the acquisition mode:

Gap-free, Variable-length and Fixed-length events: the Scope window shows continuous data acquisition. For Variable- and Fixed-length acquisition, red lines across the top of the data area in the window indicate the sweeps that are (or, when in view only mode, would be) recorded during a Record acquisition.

High-speed oscilloscope: only triggered sweeps are displayed in the window, left-aligned to the point the trigger threshold was crossed.

Episodic stimulation: data are acquired and displayed as defined by the run and sweep configuration in the protocol. For example, data are not displayed between sweeps (though sweeps can be configured to follow one another without pause, in which case acquisition is effectively continuous). The response to Pre-sweep Trains and P/N Leak Subtraction pulses, run between sweeps, cannot be viewed in the program that is generating them.

Multiple Views

Up to four Scope windows can be opened at a time, with Window > New Scope. This allows you to configure four different views of the same acquired data stream, e.g. with different X axis scaling or different signals on display.

Signals

Up to 16 sixteen signals can be displayed in the Scope window, each in a separate pane.

Online Protocol Configuration

A number of protocol settings can be adjusted, during acquisition, from the Scope window:

Variable-length events, Fixed-length events, and High-speed oscilloscope: adjust the trigger threshold with the Y axis marker (see under Y Axis below).

High-speed oscilloscope: adjust the pre-trigger setting with the X axis marker (see under X Axis below).

High-speed oscilloscope and Episodic stimulation: adjust baseline and search region boundaries for statistics measurements.

Slow Display

A small clock-face appears on the right of the X axis during acquisition if the scope display is unable to keep up with data acquisition.

Configuration

The Scope window is highly configurable for scaling and general appearance. Use View > Scope Window Properties for general configuration, or use one of the five popup menus available from different sections of the window.

Window Sections and Popup Menus

Figure 1: Episodic Stimulation Mode

1. Data Area | 2. Y Axis
3. X Axis | 4. Signal Names and Units
5. Statistics Markers |

All five sections of the Scope window have popup menus.

Other Scope Window Symbols

Click on the named features to go to explanations of these.

Data Area

Acquired data are displayed in this area of the window.

Double-click anywhere in the area to open Scope Window Properties. You can configure gridlines, colors, and the window features you want to display or hide from this dialog.

Other scaling and configuration options are available from the right-click popup menu, and you can open the Protocol Editor from this menu as well.

If the protocol is configured to acquire multiple signals, they are horizontally tiled in separate panes. These can be selectively hidden or displayed with the View > Signal options, or use the popup menu. Click on a signal's pane to make that the "active" signal for scrolling, scaling, etc.

You can optionally show all signals in the same pane, with the "Overlap signals" option on the General tab in the Scope Window Properties dialog (see under Signal Names and Units below).

You can view data offset to a zero-value baseline with the Autozero display option.

For sweep-mode protocols you can select the persistence of the sweeps from the Scope Window Properties General tab. Store a particular sweep for comparison with following sweeps with View > Store Sweep.

Note that when ABF files are recorded in the Scope window they are saved as 16-bit Integer ABF files, but when they are saved from the Analysis window they are typically 32-bit Floating Point ABF files.

Y Axis

The Y axis shows the values of the measured signal (units appear in the signal properties column to the left of the Y axis).

Double-click to open the Scope Window Properties dialog box with the Signals tab in front.

Right-click to open a popup menu of scaling options, the Lab Bench, and the Protocol Editor. You can also invert the axis from this menu.

Y axis scaling

There are a number of ways to scale the Y axis:

  • Place the cursor in the Y axis area, where it turns into a magnifying glass. Drag the cursor down the section of the Y axis you want to view. When you release the button the window zooms into the range you have defined.
  • Use the triangular "up" and "down" scaling buttons in the axis column to scale up and down about the middle of the visible range.
  • Open the popup menu for specific scaling options, including full scale and auto scale (which leaves a small margin between the highest and lowest trace points and the edge of the window).
  • Set the Y axis range manually in the Scope Window Properties Signals tab.
Trigger threshold

In Variable-length events, Fixed-length events and High-speed oscilloscope modes, a diamond on the Y axis marks the trigger threshold. Drag the diamond to adjust the threshold, or use the up and down arrow keys. Alternatively double-click on the diamond to open the Set Threshold dialog where you can set a precise value.

Autozero display

In Episodic stimulation mode, if Autozero display is selected from the Scope Window Properties General tab, the Y axis "0" is displayed in square brackets.

X Axis

The X axis shows the values and units of time in the acquisition.

Double-click in the axis area to open the Window Properties > X Axis tab.

Right-click to open a quick menu of scaling options, and the Protocol Editor.

X axis scaling

There are a number of ways to scale the X axis:

  • Place the cursor in the X axis area, where it turns into a magnifying glass. Drag the cursor along the section of the X axis you want to view. When you release the button the window zooms into the range you have defined.
  • Use the triangular "left" and "right" scaling buttons at the left of the axis to scale in and out about the left-most point currently in view in the window.
  • Open the popup menu for specific scaling options.
  • Set the X axis range manually in the Window Properties > X Axis tab.
Pretrigger setting

In High-Speed Oscilloscope mode, a small diamond on the X axis sets the amount of pretrigger data displayed, and recorded, during Record acquisition. This value is otherwise set on the Protocol Editor Trigger tab, Pretrigger length. You can drag the diamond to a new setting or use the left and right arrow keys. Alternatively, double-click on the diamond to enter a specific numerical value in the Set Pretrigger Length dialog.

Signal Names and Units

This bar displays the signal names and units for the analog input channels. If there are multiple signals displayed, this region of the active signal is highlighted (dark gray in default coloring).

Double-click here to open the Lab Bench, where you can change the scaling of your input signal.

The popup menu for this section has the same commands as the Y axis popup menu, offering scaling options for the Y axis, an invert scale option and a link to the Protocol Editor.

Overlap signals

When you set "Overlap signals" on the General tab of the Scope Window Properties dialog, a small " # " button is displayed in the top left of the Signal Names and Units section. Press to open a popup menu with the signal names listed. Choose the signal whose name, units, and Y axis scaling you want to use on the Y axis.

Statistics Markers

Baseline and statistics region delimiting cursors are displayed in the Scope window when statistics measurements have been set on the Statistics tab in the Protocol Editor (Episodic stimulation and High-speed oscilloscope modes only). The two baseline cursors are labeled "B", and further cursor pairs numbered "1" to "8", for the eight possible search regions.

You can adjust the regions from the Scope window by dragging the cursors, or alternatively select a cursor by clicking on it and then use the right or left arrow buttons to move it. Press Shift to increase the steps with the arrow buttons.

Right click on a cursor to open a popup menu. The "Cursor Properties" option opens the Scope Window Properties dialog with the Cursor tab uppermost. Set cursor colors from this tab. You can also hide or show cursor lines from the tab and lock the cursor pair together (also options from the popup menu).

When data are acquired, some measurements are marked in the window. For example, peak amplitude points are marked with a [image] symbol. Similarly, the baseline value is displayed as a horizontal line between the Baseline cursors. The symbols used appear beside their measurements on the Statistics tab where they are set.


Statistics Window

Statistics windows are used to record statistics measurements that you have enabled. Statistics are enabled in the following locations in Clampex software:

  • Shape Statistics (Edit Protocol > Statistics tab) for episodic and high‑speed oscilloscope acquisition modes. A range of peak, slope etc. measurements can be taken from defined sections of the sweep.
  • In gap-free and event-triggered modes, Threshold-based Statistics (Edit Protocol > Trigger tab).
  • Membrane Test measurements.

Online Statistics Window

In any Clampex software session, the Online Statistics window opens as soon as any statistics are enabled. It remains open for the rest of the session, accumulating all statistics measurements generated in Clampex software. While the data in it can be cleared (Edit > Clear Statistics), the window cannot be closed.

At any time you can save the data in the Online Statistics window to a statistics (STA) file (File > Save). By default this file takes its name from your File > Set Data File Names settings, for the first acquisition that delivers measurements to the window. Alternatively, use File > Save As to name files yourself.

Standard Statistics Windows

While there is only ever one Online Statistics window open—which cannot be closed—any number of saved STA files can be opened into standard Statistics windows.

Statistics files can also be opened in Clampex software, where they open both into a Statistics window (where they cannot be edited) and into the Results window, where they can be analyzed and edited with full Results window functionality.

Configuration

The Statistics window is highly configurable with respect to appearance and scaling. Basic configuration options are available in the Statistics Window Properties dialog, opened by double-clicking in the graph data area of the window. Six different popup menus give quick access to configuration options.

1. Data Area | 2. Last Measurement & Trace Legend
3. Y Axis | 4. X Axis
5. Measurement Title & Units | 6. Cursor
7. Cursor Bar

All of these screen areas except area 2 have popup menus.

Data Area

This area contains a separate pane for each statistics measurement taken, for each signal. So, for example, if peak amplitude is measured in two signals, two panes are used, and if peak amplitude and mean are measured in one signal, again, two panes are used.

Within a pane, traces are color coded for the search region they come from and, when analog alternating outputs and/or digital alternating outputs have been selected, for the analog command signal or digital output configuration active at the time the measurement was made. The number of traces doubles if alternating outputs are selected, with half in response to the output from odd sweeps, and half in response to the output from even sweeps. The trace color legend is in the right-hand section of the window.

Select a pane by clicking in it. The name and units section of the pane, on the far left, highlights when the pane is selected.

Select a particular trace by clicking on it. Cursors then show details of the selected trace for the position they are at. Alternatively, select the pane then click the color-key for the trace in the right-hand section of the window. Optionally use the right-click menu option Show Only Focus Trace to show only the selected trace within each pane.

The popup menu for the data area includes options to hide and maximize selected panes, or tile them all. Otherwise select measurements to display and hide from the Statistics Window Properties Signals tab. Select Maximum Data Area to maximize the data display within the window by removing the axes, cursor bar, etc.

Double-click in a vacant area to open the Statistics Window Properties dialog where you can configure window elements to display or hide, window colors and axis scaling.

Last Measurement & Trace Legend

The first two columns in this section of the window provide the search‑region/color legend for the file. In subsequent columns the final measurement in the file for each of the measurement types is reported.

If you have a measurement pane with multiple traces selected, you can select traces within the pane by clicking on the corresponding row in this part of the window.

Y Axis

The Y axis shows the values of the measured statistic (units appear in the signal properties column to the left of the Y axis).

Double-click to open the Statistics Window Properties dialog box with the Signals tab in front, where you can manually set Y axis scaling.

Right-click to open a quick menu of scaling options. You can also invert the axis from this menu.

Y axis scaling

There are a number of ways to scale the Y axis:

  • Place the cursor in the Y axis area, where it turns into a magnifying glass. Drag the cursor down the section of the Y axis you want to view. When you release the button the window zooms into the range you have defined.
  • Use the triangular "up" and "down" scaling buttons in the axis column to scale up and down about the middle of the visible range.
  • Open the popup menu for specific scaling options, including full scale and auto scale (which leaves a small margin between the highest and lowest trace points and the edge of the window).
  • Set the Y axis range manually in the Window Properties Signals tab.

X Axis

The X axis shows the values and units of time in the file.

The units can be changed by double-clicking in the axis area, which opens the Statistic Window Properties X Axis tab.

Right-click to open a quick menu of scaling and viewing mode options.

X axis scaling

There are a number of ways to scale the X axis:

  • Place the cursor in the X axis area, where it turns into a magnifying glass. Drag the cursor along the section of the X axis you want to view. When you release the button the window zooms into the range you have defined.
  • Use the triangular "left" and "right" scaling buttons at the left of the axis to scale in and out about the left-most point currently in view in the window.
  • Open the popup menu for specific scaling options, including zoom between cursors.
  • Set the X axis range manually in the Statistic Window Properties X Axis tab.

Measurement Title & Units

This column left of the Y axis in each pane shows the type of measurement reported in the pane, and the units used. It also shows the signal the measurement was made from.

When a pane in the window is selected, this is shown by this section changing color.

You can choose not to display the title and units section, in Statistics Window Properties General tab.

Right-click to access the Rotated Text command, to display the titles horizontally.

Cursor

The Statistics window has four cursors. These consist of a triangular "handle" in the cursor bar immediately above the data area, and a vertical line in the data area. Cursor lines can be hidden or shown, but the handles remain visible. Cursors have text boxes attached.

Right-click on a cursor to hide or show it.

Selecting, bringing, and going to cursors

To select a cursor either click on it, or press the appropriate keyboard numeral (for example, press 2 to select cursor 2).

Cursors can be brought into view with the Bring Cursors command from the cursor bar popup menu, or with the Shift + mouse click combination.

To shift the visible display of a file to the area where a cursor is located, without altering the X axis scaling, use the cursor bar popup menu command, Go to Cursor.

Moving cursors

Cursors can be moved by dragging with the mouse, or use the right and left arrow keys:

  • Using the arrow keys alone moves the cursor one pixel.
  • Ctrl + Arrow moves the cursor to the next measurement point.
  • Shift + Arrow moves the cursor 20 pixels.

Text boxes

Cursors have text boxes reporting the time within the file (measured from the time the first measurement was received in the Online Statistics window in Clampex software), and the value of the currently selected trace at that time. No units are displayed.

Text boxes can be dragged up and down their cursor.

Cursor Bar

The area immediately above the main data area shows triangular cursor "handles", by which you can drag cursors.

Right-click in the cursor bar for a useful popup menu with cursor control options.

Remove the cursor bar from view from the Statistics Window Properties General tab.


Keyboard and Mouse Shortcuts

Clampex software conforms to the standard Windows conventions for accessing menus, using the mouse, and for window and dialog box design. There are a number of keyboard and mouse shortcuts that will increase your efficiency and enjoyment of Clampex software.

Mouse Shortcuts

Special mouse control features in Clampex software standard windows provide convenient ways to accomplish many tasks, such as scaling the display, setting threshold trigger levels, and manipulating cursors. Right-click popup menus are also available in many places.

The mouse shortcuts are described by window:

  • Scope window
  • Analysis window
  • Results window
  • Data File Index window
  • Lab Book window

Hotkeys

Where a command or menu name has a letter underlined, pressing the key for that letter activates (or deactivates) the command, or opens the menu.

Depending on your operating system, you may need to press Alt to make hotkeys visible, or press both Alt and the appropriate key at the same time.

Some menus have duplications in the hotkeys. In this case, pressing the hotkey will toggle through the commands in order, and you must press Enter to activate the command you want when it is highlighted.

Shortcut Keys Available by Window

This is a table of shortcut key combinations available when each window is active. DFI = Data File Index

Shortcut | Command | Scope | Analysis | Results | Lab Book | DFI
F1 | Help Topics | • | • | • | • | •
F1* | Context-sensitive Help | • | • | • | • | •
F10 or Alt | Toggle the menu | • | • | • | • | •
File Menu
Shortcut | Command | Scope | Analysis | Results | Lab Book | DFI
Ctrl+O | Open Data | • | • | • | • | •
Ctrl+W | Close | • | • | — | — | •
Ctrl+S | Save | — | — | • | • | •
Shift+F8 | Previous Data File | — | • | — | — | —
F8 | Next Data File | — | • | — | — | —
Alt+Enter | Properties | • | • | • | • | •
Ctrl+P | Print | • | • | • | • | —
Alt+F4 | Exit | • | • | • | • | •
Edit Menu
Shortcut | Command | Scope | Analysis | Results | Lab Book | DFI
Ctrl+Z | Undo | — | — | — | • | •
Ctrl+X | Cut | — | — | • | • | •
Ctrl+C | Copy | • | • | • | • | •
Ctrl+V | Paste | — | — | • | • | •
Del** | Clear | • | • | • | • | •
Ctrl+A | Select All | — | — | • | • | •
Ctrl+F | Find | — | — | • | • | •
F3 | Find Next | — | — | • | • | —
Ctrl+H | Replace | — | — | • | • | —
Acquire Menu
Shortcut | Command | Scope | Analysis | Results | Lab Book | DFI
F2 | Record | • | • | • | • | •
Shift+F2 | View Only | • | • | • | • | •
Ctrl+T | Time Tag | • | — | — | — | —
Ctrl+Shift+T | Comment Tag | • | — | — | — | —
Ctrl+Alt+T | Voice Tag | • | — | — | — | —
View Menu
Shortcut | Command | Scope | Analysis | Results | Lab Book | DFI
Ctrl+Drag*** | Zoom Area | • | • | — | — | —
< **** | Previous Sweep | — | • | — | — | —
> **** | Next Sweep | — | • | — | — | —
Enter | Toggle Sweep List | — | • | — | — | —
1 | Cursor 1 active | — | • | — | — | —
2 | Cursor 2 active | — | • | — | — | —
3 | Cursor 3 active | — | • | — | — | —
4 | Cursor 4 active | — | • | — | — | —
0 | Toggle cursors | — | • | — | — | —
F5 | Refresh | — | • | — | — | —
PgUp/PgDn | Pan (Y axis) | • | • | — | — | —
Shift+PgUp/PgDn | Change active signal | • | • | — | — | —
Tools Menu
Shortcut | Command | Scope | Analysis | Results | Lab Book | DFI
Ctrl+L | Comment to Lab Book | • | • | • | • | •
Shift+F9 | Write Cursors | — | • | — | — | —
F9 | Append Cursors | — | • | — | — | —
Shift+click***** | Bring Cursors | — | • | — | — | —
Window Menu
Shortcut | Command | Scope | Analysis | Results | Lab Book | DFI
Ctrl+N | New Scope | • | • | • | • | •
Ctrl+Shift+F6 | Previous Window | • | • | • | • | •
Ctrl+F6 | Next Window | • | • | • | • | •
Extras
Shortcut | Command | Scope | Analysis | Results | Lab Book | DFI
Enter | Open Data File | — | — | — | — | •
Arrow Keys | Navigate Cells | — | — | • | — | —
Arrow Keys | Move Cursor (by pixel) | — | • | — | — | —
Ctrl+arrow | Move Cursor (by sample) | — | • | — | — | —
Shift+arrow | Move Cursor (big jump) | — | • | — | — | —
Navigation keys in dialog boxes
Tab | Go To Next Field |  |
Space Bar | Toggle (check box only)
Enter | Accept Changes (click OK )
Esc | Cancel

* When a menu item is highlighted.

** In the Analysis window, <Del> hides the active sweep when viewing in Sweeps display mode.

*** Hold down primary mouse button and drag the zoom area in the pane with mouse.

**** The "<" and ">" keys actually refer to the comma (,) and period (.) keys on foreign keyboards. The Shift key is ignored when activating Previous and Next Sweep.

***** Click with primary mouse button, with mouse cursor over the pane.


Data Acquisition Modes

Clampex software has five data acquisition modes. Of these, four are passive, in that no stimulus waveform is directed at the cell, while in Episodic Stimulation mode data are acquired in response to variable outputs generated by Clampex software.

Data acquisition mode selection is made on the Acquire > New (or Edit) Protocol Mode/Rate tab.

Passive data acquisition modes are:

  • Gap-Free
  • Fixed-Length Events
  • Variable-Length Events
  • High-Speed Oscilloscope

Stimulus acquisition mode:

  • Episodic Stimulation

Summary

The following table summarizes the three major features in each acquisition mode in Clampex software.

Fixed-Length Acquisitions: acquisitions composed of fixed length sweeps of data.

Overlapping Acquisitions: an event can be recorded in more than one fixed-length sweep of data, so there can be some redundancy of data.

Triggers Lost: when a second above-threshold event occurs in a fixed-length sweep and does not trigger another sweep.

Mode | Fixed-Length Acquisitions | Overlapping Acquisitions | Triggers Lost
Gap-Free | No | No | N/A
Fixed-Length Events | Yes | Yes | No
Variable-Length Events | No | No | No
High-Speed Oscilloscope | Yes | No | Yes
Episodic Stimulation | Yes | No | N/A


Gap-Free Mode

Gap-free mode is suitable for recording single-channel patch data or synaptic data, when there is fairly uniform activity over time.

This mode is analogous to a tape recorder. Data are acquired continuously, with all data points plotted to the screen, and if recorded, all acquired data points are saved to disk. There are no gaps in the resulting data file because every single data sample is written to disk, up to the limits of the disk capacity. Updating the display and writing to the disk does not introduce gaps in the data. The user specifies the sampling rate and the length of recording, with the option to record until the disk is full.

When Gap-free mode is selected, data acquisition begins as soon as the trial is started, without the need to select an additional trigger source as is the case for other acquisition modes. Additional triggering is required only if Threshold-Based Statistics is selected, on the Trigger tab.

Pre-Program Gap-Free Mode Output

You can open the pre-programming dialog by clicking the > button. You can pre‑program voltage level and holding duration values for each channel, as well as turning the digital bit on or off. You can pre‑program up to 50 epochs. You can also manually change values during a recording.

To pre-program the gap-free epochs:

  1. In the Epoch Desc column number of choice (1 through 50), in the Type cell, where it is set to Off by default, click and select the holding pattern option you need, such as Step.
  2. Click in the Level cell and type the voltage level in millivolts that you need.
  3. Click in the Duration cell and type the holding time in seconds that you need.

  4. If you want this epoch to have digital output, click in the Digital bit cell and type 1 for on. By default Digital bit is set to 0 for off.

    Tip: Each channel tab in the real time control panel represents one digital output channel on the digitizer.

  5. Repeat steps 1 through 4 as needed.

    Tip: You can left-click on a cell and use the Copy and Paste options as needed. To copy and paste a whole column, select a column by left‑clicking on the column number, then when it is highlighted, right-click and select Copy or Paste as needed.

  6. In the Start From field, type the Epoch Desc column number to specify which column settings to use first. By default, the setting is 1.
  7. Click Apply to save your settings, or click Reset to clear all the settings.
  8. Click on the Channel # tabs as needed, and repeat steps 1 though 7.

When the scope is active, you can apply changes. Whatever appears in the pre-program table, overrides whatever is set in the Controls panel.

See also:Passive mode > rate parameters; Summary of Data Acquisition Modes.


Fixed-Length Events Mode

Fixed-length Events mode is ideal for recording action-potential spikes or other constant-width events. Instead of recording the portions of data that are between events, recording to disk is paused until the next event causes a trigger. Time is tracked during the pauses in recording. Unlike variable-length event-driven acquisition, in Fixed-length events mode the length of each recorded segment of data is constant. This makes it easy to average the events or make comparisons.

Data are acquired continuously, with all data points plotted to the screen. Data are written to disk in fixed-length segments if they cross a threshold. Pretrigger data are also acquired. Red line segments at the top of the Scope window signify the portions of data saved to disk. The user specifies the sampling rate, the length of the fixed-length segment (called a sweep), the length of the pretrigger segment, and the length of recording, with the option to record until the disk is full.

The figure represents how incoming data are handled in fixed-length events mode. The arrows represent triggers that exceeded a threshold level. The acquisition intervals at the bottom represent the data that are stored to disk.

Clampex software attempts to guarantee that every event triggers a recorded segment. If a second event occurs before the current segment is finished (see far right in figure above), Clampex software acquires a second segment triggered from the second event. This occurrence is referred to as "overlap". In this case, consecutive segments contain redundant data. Clampex software is limited in how much overlap it can tolerate. If more than five events occur in the current segment, Clampex software issues an error message in the Status Bar at the bottom of the window: "Too Much Overlapping Data". No data are lost in this case, but some of the events do not trigger their own segment.

The time spent between recorded segments is precisely measured and stored in the data file so that the timing of the original data can be accurately reconstructed during analysis.

See Passive mode/rate parameters; Summary of Data Acquisition Modes.


Variable-Length Events Mode

Variable-length Events mode is ideal for "bursting" data in which there are bursts of activity separated by long quiescent periods. Instead of filling up the disk with the quiescent information, recording to disk is paused until the next event causes a trigger. Time is tracked during the pauses in recording.

Data are acquired continuously, with all data points plotted to the screen. Data are only written to disk if they cross a threshold; for the period the threshold is crossed, and for pre- and post-trigger periods as well. Red line segments at the top of the Scope window signify the portions of data saved to disk. The user specifies the sampling rate, the length of the pre- and post-trigger segments (these must be the same—only one value is entered), and the length of recording, with the option to record until the disk is full.

The above figure represents how incoming data are handled in Variable-length Events-driven mode. The arrows represent threshold-crossing triggers. The "Acquisitions" line segments at the bottom represent the data that are stored to disk.

The length of each acquired segment of data is automatically extended depending on the amount of time that the data exceeds the threshold. Furthermore, if the pretrigger portion of the next event would overlap the post-trigger portion of the current event, the current segment is extended to include both.

Segments always contain unique data not present in other sweeps. That is, there is no storage of overlapping data (unlike Fixed-length Events mode).

The time spent between recorded segments is precisely measured and stored in the data file so that the timing of the original data can be accurately reconstructed during analysis.

See Passive mode/rate parameters; Summary of Data Acquisition Modes.


High-Speed Oscilloscope Mode

High-speed Oscilloscope mode is analogous to an oscilloscope. Data are only recorded to disk if they cross a threshold. The length of each recorded segment of data is constant.

Data are monitored continuously, but only triggered data points are plotted to the screen in an oscilloscope-type manner. Data are written to disk in fixed-length segments if they cross the threshold. Pretrigger data are also acquired. The user specifies the sampling rate, the length of the fixed-length segment (called a sweep), the length of the pretrigger segment, and the length of recording, with the option to record until the disk is full.

The above figure represents how incoming data are handled in High-speed Oscilloscope mode. The arrows represent triggers that exceeded a threshold level. The solid lines below the arrows represent the data stored to disk.

The differences between High-speed Oscilloscope mode and Fixed-length Events mode are that not all incoming data are displayed (only the triggered data segments, which are plotted in an oscilloscope-type manner), and any trigger threshold crossings that may occur while acquiring a sweep are ignored (see the red trigger at the far right in figure above). Therefore, some triggers are lost, but there is no overlapping data.

Averaging

This mode allows averaging of the acquired sweeps. The choices are:

No Averaging: Only the raw data sweeps are saved.

Averaging: Only the average of the sweeps is saved as one sweep.

Save Raw + Average: Both the raw data sweeps and the average sweep are saved.

See Passive mode/rate parameters; Summary of Data Acquisition Modes.


Episodic Stimulation Mode

By contrast with the other recording modes—which are all "passive" in that they passively record data or passively wait for a triggering event to initiate recording—Episodic Stimulation mode is an active recording mode because it is typically used to provide a stimulus to the experiment and simultaneously to display and record the response, in fixed‑length sweeps.

Designed mainly for the control of electrophysiological experiments, an analog waveform, holding level and/or digital pulses are output while data are simultaneously acquired in fixed-length sweeps. Each sweep is non-overlapping, and can be triggered by an internal timer, or by a manual or external pulse. Special features include pre‑sweep trains, online leak current subtraction, online event detection and statistics, and an on-line derived-math channel.

Clampex software excels at generating complex stimulus waveforms. Using a spreadsheet-like table you can specify complicated step and ramp protocols with incrementing pulse levels and durations. You can also configure rectangular, rectangular biphasic, triangular and sinusoidal trains. For more flexibility you can specify arbitrary changes by creating a list of values. If that's not enough, you can even play back a recorded data file or create your own arbitrary data to send as your stimulus commands.

While sending out the stimulus command, data are simultaneously acquired in fixed-length sweeps. The data are typically displayed as overlapped sweeps so that you can observe the trend:

The basic parameters the user specifies are the sampling rate, the sweep duration, the number of sweeps, and the stimulus waveform definition. However, there are so many options available in this mode, the best way to learn about them is to open the protocol editor (in the menus go to Acquire > Edit Protocol), choose Episodic Stimulation mode in the Mode/Rate tab, then go to all the tabs and see the available options. Click Help on each tab to get a description of the tab features.

See Stimulus mode/rate parameters ; Summary of Data Acquisition Modes.


General Reference

This section of Help contains topics with general background information relevant to Clampex software.

  • A/D Multiplexing
  • Clampex software Quantitative Limits
  • Data File Index
  • Data Organization
  • Data Simulation in Demo Mode
  • Dockable Components
  • File Dialog
  • File Types
    • ATF File Format
  • Math Signals
  • Mathematical Transformation of Data
  • Membrane Test Overview
  • Metafile Notes
  • P/N Leak Subtraction
  • Pre-sweep Trains
  • Printing Notes
  • Real Time Controls
  • Scale Factors – Input Signals
  • Scale Factors – Output Signals
  • Sequencing Keys Introduction
  • Signal Unit Prefixes
  • Software Filters
  • Stimulus File Overview
  • Stimulus Waveforms
  • Telegraphs


A/D Multiplexing

Digidata 1550B digitizer, Digidata 1550A digitizer, and Digidata 1550 digitizer

The Digidata 1550-series digitzer has 8 independent analog-to-digital converters, so that the per channel sampling rate can be maintained as more channels are used. The fastest sampling rate is 500 hkHz, and it can be maintained with all 8 channels concurrently.

Digidata 1440A digitizer and MiniDigi Digitizer

The Digidata 1440A digitizer has 16 independent analog-to-digital converters, so that the per channel sampling rate can be maintained as more channels are used. The fastest sampling rate is 250 kHz, and it can be maintained with all 16 channels concurrently.

The optional accessory MiniDigi™ 2-Channel Digitizer does not multiplex. It can sample 2 channels at an interval of 1000 µs (1 kHz) for each channel.


Clampex software Quantitative Limits

The following table lists quantitative limits in Clampex software:

Location | Parameter | Quantity
Protocol Editor—Mode/Rate tab | Max. no. of runs per trial | 10,000
 | Max. no. of sweeps per run | 10,000
 | Max. no. of samples per sweep | 1,032,258
 | Max. no. of samples per trial | 2,147,483,647
 | Max. sampling rate (kHz) | 250 (DD1440)
 | Min. sampling rate (Hz) | 1
 | Min. sampling interval (µs) | 4 µs (DD1440A)
 | Min. start-to-start interval | Sweep length (For example, no delay between end of one sweep and start of next)
 | First and last holding periods | 1/64 of sweep length each
Protocol Editor—Inputs tab | Max. no. of analog input channels | 16 Digitizer dependent (15 if Math signal enabled)
Protocol Editor—Statistics tab | Max. no. of statistics regions per sweep | 8
 | Max. no. of samples in filter smoothing window | 21 (For example, 10 on either side of each sample)
Protocol Editor—Waveform tab | 10
Protocol Editor—Stimulus tab | Max. no. of characters in User List | 512 (Including commas; unlimited with Repeat)
 | Max. no. of leak subtraction subsweeps | 8
 | Max. no. of pre-sweep train pulses | 10,000
Scope window | Max. no. of open windows | 4
Analysis window | Max. no. of open windows | 16
Sequencing Keys | Max. no. of defined keys | 50 + additional 32 MultiClamp amplifier-mode keys


Data File Index

A Data File Index (DFI) is a file that lists information about a group of related data files. This is a convenient way to organize all of your data files from a single experiment. DFIs allow you to store sets of experiments in different folders, or on removable media such as writable CD-ROM, yet easily access all of your data by storing the DFI files themselves in a single folder.

Typical Usage

To start off, you may want to create a folder to store your DFI files. See Data Organization for information about default file locations.

However, you can use any of the existing folders as well. After you have created a DFI, make sure you save it to your designated folder.

If you are beginning a new experiment

If you wish, create a new folder to store the data, then go to File > Set Data File Names to have Clampex software write data to that folder. Go to File > New > Data File Index to create a new DFI, and hit Cancel at the Edit > Add Existing Files dialog box. Make sure that the Edit > Add New Acquisitions toggle is checked on, and every time you record a data file it will create a new entry in the DFI. The DFI must be open for new entries to be written to it.

If you have already acquired some or all of the data files

When you create a new DFI, the Edit > Add Existing Files dialog box allows you to specify criteria for adding the existing data files.

If you are storing data on removable media that can be accessed like a disk (such as writable CD-ROM or removable hard disk)

For a removable hard disk you can simply have Clampex software write directly to it, and the DFI will point properly to the data files. However, to store on a CD-ROM you must first record all of the data on your hard disk, then use other software to write to the writable CD-ROM. In this case, after you have written the complete set of data to the CD-ROM, you can then create (or re-create) a DFI to point properly to the CD-ROM drive and the proper folder. Use File > Archive to enter the label for the removable hard disk or CD-ROM.

If you are storing on removable media that is not accessible like a disk (such as tape backup)

The data would need to be restored to your hard disk in order for you to access it, so a DFI pointing to your local folder would be appropriate. Use File > Archive to enter the label for the backup tape.

The DFI Window

When you open a DFI using the File > Open Other > Data File Index command, the DFI window lists (in spreadsheet format) the files in the index and a number of parameters from each data file for you to compare. Each line in the DFI contains the information for one data file.

Double-click on a file entry to open that data file in an Analysis window. Click on one of the column titles to sort the DFI by that column in ascending order (use Tools > Sort if you want to sort in descending order). Drag the vertical lines between the column titles to resize the column widths. A right-mouse button click when the cursor is over the DFI window will bring up a quick menu of commands. Go to View > Window Properties to choose which parameters to report in the DFI window.

When the Data File Index window is open and active, the following menu items are available:

File > Open Other > Selected

File > Properties

File > Archive

Edit > Delete from Index

Edit > Delete All from Index

Edit > Add Existing Files

Edit > Add New Acquisitions

View > Window Properties

View > Information Bar

Tools > Sort

Tools > Verify


Data Organization

Before beginning an experiment, you should designate a folder in which to save your recorded data files (see Set Data File Names, below).

Data files are stored in Axon Binary File format. There are two types of ABF files—integer and floating point—which are used for acquired (raw) data and analyzed data respectively.

It is expected that an analyzed floating point data file will be saved with a different file name to the original integer data file.

Set Data File Names

File > Set Data File Names is used to assign the drive and folder (directory) to which to save your recorded data files. The recorded data file name prefix and sequence number is assigned here as well. When you assign a folder for saved data files, the File > Open Data command will point to this folder as well, although you can change your Open Data folder without changing the recorded-data folder.

By default, data and protocols are saved in \Documents and Settings\[user name]\My Documents\Molecular Devices\pCLAMP\.

All newly acquired data files are automatically assigned an 'abf' extension. The file sequence numbers are automatically incremented each time a new data file is saved.

File name

The file name can be used to identify or group files based on experimental conditions, cell identifiers, etc. For example, in a series of experiments on cardiac myocyte cells, you might enter "Cardiac Myocyte Cell" for the first part of the file name.

Date prefix

If this box is checked, Clampex software uses the current date for the first part of the file name, and prevent you from assigning your own arbitrary file name prefix.

File Sequence Numbers

The last three characters of the data file name form a numeric sequence number in the range [000–999]. If "Allow long file names" is checked, the sequence numbers are in the range [0000–9999].

The next file recorded receives the sequence number in this dialog box. The sequence number is incremented by one for each file recorded.

When File > Set Data File Names is opened or when the file name prefix or the folder are changed, if files with the specified prefix already exist, the sequence number presented in the form is automatically incremented above the highest sequence number that exists in the folder. Gaps in the sequence numbers are skipped. If files with the specified prefix do not exist, the sequence number in the form is set to zero.

CAUTION! Some researchers may record very large data files that they may want to transfer from their hard disks to create more disk space. If you back up data files onto other storage devices, and then erase them from your hard disk, Clampex software will no longer be aware of these files; Clampex software will use the next file sequence number based on the files actually present on the current drive. In these circumstances, you should manually change the sequence number to the correct number, to avoid recording a new data file with the same name as one that already exists, but is not present on your current drive.

For any file name prefix, you cannot specify a sequence number that is less than or equal to that of any existing data files on disk with the same file name prefix.


Data Simulation in Demo Mode

In Demo mode, Clampex software software operates without a digitizer connected to the computer, generating simulated data which you can use to explore the program.

Note: Simulations for the HumSilencer Adaptive Noise Cancellation System functionality is not provided in pCLAMP software Version 10.5 or newer.

Clampex software installs in Demo mode.

Switch Clampex software into Demo mode from Configure > Digitizer. The Configure button in that dialog opens Configure Demo Data where you can set basic features of the simulated data.

Data Simulation in Demo Mode

Clampex software generates different sorts of simulated data depending on the acquisition mode of the currently loaded protocol. One type of data is generated in Episodic stimulation mode, another for all the other modes. In both cases, however, a number of different waveforms are generated on the different input channels, which you enable on the Inputs tab in the Edit Protocol dialog. The generated waves take the scaling and units of the signal you associate with the particular input channel, on the Inputs tab in the Lab Bench.

Nonstimulatory Modes

For all modes apart from episodic stimulation, Clampex software generates a series of regular waveforms, with simulated noise added. The settings in the Configure Demo Data dialog set the period and amplitude (relative to the Scope window) of these waves. There are four waveforms—one each on the first four input channels:

  1. Analog IN #0: A regular spike-like waveform, similar to action potentials.
  2. Analog IN #1: A rectangular waveform.
  3. Analog IN #2: A sinusoidal waveform.
  4. Analog IN #3: A triangular ramp waveform.

Episodic Stimulation

In episodic stimulation mode simulated data are determined by the command waveforms for the currently loaded protocol, and the settings made in the Configure Demo Data dialog have no effect.

Note: The default place-holder protocol ("untitled") has a step command waveform enabled. This therefore sets the pattern for the simulated data if you have made no protocol changes.

The simulated data waveforms displayed in episodic stimulation are as follows:

  • On the signal selected for input channel #0 is a response to the command waveform set on the Channel #0 tab of the Waveform tab in the currently loaded protocol. It has the same basic form as the command signal, with the addition of simulated noise.
  • If a second command waveform is enabled (on the Channel #1 tab of the Waveform tab in the protocol editor), a response to this is generated on the input signal selected for input channel #1 (as above, the waveform basically follows the command signal, but has simulated noise added).
  • If there is only one command waveform, input channel #1 shows the inverted response to the command, with simulated noise.
  • If there is only one command waveform input channel #2 shows the derivative of the first signal, #3 shows the derivative of the second, and channels #4 and #5 show each of the primary signals added to their derivative waveforms.
  • If there are two command waveforms, no inverted waveform is displayed, but after each primary waveform, the derivative of each and then the derivative plus the original waveform is displayed.


Dockable Components

Dockable components are elements of the software interface that can appear as standard dialog boxes in their own window or be attached to the main window frame in a panel.

In Clampex software the Toolbars and Real Time Controls are dockable. By default they are in the docked position – the toolbars at the top of the window and the Real Time Controls on the left-hand side.

To undock a component, position the cursor over an area not occupied by a toolbutton or field and drag it away from the frame until an outline appears. Release the mouse button and the component appears as a floating window. Dock the window to the frame by dragging it to an edge of the outer frame until the outline changes appearance.

Toolbars can be docked to any of the 4 edges of the main window, Real Time Controls to the left and right-hand sides only.

Double-clicking on a dockable component will also dock or undock it.


File Types

The standard file types used in Clampex software are:

Axon Binary File (*.abf)

Data files are stored in Axon Binary File format. There are two types of ABF files—integer and floating point—which are used for acquired (raw) data and analyzed data respectively.

  • Integer: The data in recorded ABF files are stored as 16-bit integers with a proprietary header to accommodate all the features of Axon data acquisition programs.
  • Floating point:The data in analyzed ABF files are typically stored as 32-bit floating point values, so as to not lose data resolution if you have processed the data. These ABF files can be opened by Clampex software or Clampfit software (version 6.0.4 or later). Some Clampex software functions, such as the Tools > Calibration Wizard, cannot be applied to floating point files.

ABF file headers contain a range of information about the conditions under which the file was recorded. This can be viewed with the File > Properties command.

Axon Binary File (*.dat)

Earlier Axon Instruments DOS programs saved Axon Binary Files with a DAT extension. These data files are fully supported by pCLAMP software Version 11.2.

Axon Text File (*.atf)

This is an ASCII text file format with a simple header. In Clampex software and Clampfit software ATF files can be opened into both Results windows and Analysis windows. Data are sometimes saved as ATF files, e.g. Membrane Test measurements. See ATF File Format for a fuller discussion.

Data File Index File (*.dfi)

Files saved from the Data File Index use the DFI format.

Junction Potential Calculation (*.jpc)

Experimental settings saved using the Tools > Junction Potential Calculator are given a JPC extension.

Lab Book File (*.rtf)

The Lab Book uses the standard Rich Text Format, a text format that includes text formatting codes.

Protocol Files (*.pro)

Protocols are saved as PRO files. In addition, ABF files can be opened as PRO files using the Acquire > Open Protocol command.

Results File (*.rlt)

Data from the Results window are saved in a Results file, which uses a proprietary data format.

Sequencing Keys Files (*.sks)

A set of Sequencing Keys is saved as an SKS file.

Statistics Files (*.sta)

Statistical data reported in the Online Statistics window are saved as STA files. STA files are essentially Axon Text Files. When opened in Clampfit software they open both in a graphical display Statistics window, and also as text in the Results window.


ATF File Format

ATF is a tab-delimited text file format that can be read by typical spreadsheet programs such as Microsoft Excel. In Clampex software and Clampfit software they can be opened into both Analysis and Results windows.

An ATF text file consists of records. The group of records at the beginning of the file is called the file header. Each line in the text file is a record. Each record may consist of several fields, separated by a field separator (column delimiter). The tab and comma characters are field separators. Space characters around a tab or comma are ignored and considered part of the field separator.

The file header describes the file structure and includes column titles, units, and comments. Header information can be viewed in the File > Properties window. Text strings are enclosed in quotation marks to ensure that any embedded spaces, commas and tabs are not mistaken for field separators.

ATF File Structure

First header record | File format: ATF, Version number
Second header record | Number of optional header records n, Number of data columns (fields) m
1st optional record | ...
2nd optional record | ...
nth optional record | ...
(n+3)th record | Required record containing mfields. Each field contains a column title.
DATA RECORDS | Arranged in m columns (fields) of data.

The header contains all the structural and positional information about the blocks.

The data records contain all the gene name and identifier information.

Example ATF file

The following very simple ATF file contains three columns of data records:

Description of header entries

The header section describes basic file information and all block properties apart from gene names and IDs. Each entry is explained below:

ATF

1.0

Required first line of an ATF file: file format (ATF) and version (1.0).

5

3

Required second line of an ATF file: 5 (number of optional header records), 3 (number of data columns).

Optional header records

These 5 lines contain optional information about the file.

"Time (ms)"

"Amplitude (pA)"

"Comment ()"

The final record in the header, consisting of column titles for the data records.

Description of data records

There is one row for each record, containing an entry for each of the descriptive columns, separated by tabs.

Note on file reading

If you are going to create your own ATF data file for reading into an Axon program, the ATF file reading routine makes some assumptions. The first column is treated as time. In the line describing the signal title and units, the description for the first column units (in parentheses) is interpreted as follows: If the first character is 's' the units are assumed to be seconds, 'm' is assumed to be milliseconds, and 'u' is assumed to be microseconds. Any other characters are ignored and time is assumed to be in milliseconds.


Math Signals

The Math Signals feature on the Acquire > Edit Protocol > Math tab allows you to apply an arithmetic expression between two analog input signals. Two analog input signals can be combined arithmetically during acquisition. This feature can be used to calculate on-line ratios, products, sums and differences.

The result is displayed in the Scope window as if it were an additional signal. However, it is not actually stored in the data file. Instead, the parameters of the math expression are stored along with the raw data so that Clampfit software and some other analysis programs can reconstruct the math signal. Clampex software also displays the math signal when you open the file in the Analysis window.

A math signal using two input signals is only useful if the data are available to be acquired simultaneously. That is, a math signal is not useful for high-speed photometrics from the one ADC channel where the wavelength needs to be changed between sweeps (e.g., for fura‑2). However, a math signal is appropriate for dual-emission dyes such as indo‑1.

For a detailed discussion of some of the applications of Math Signals see Mathematical Transformation of Data.


Mathematical Transformation of Data

Clampex software has the ability to mathematically manipulate data acquired in one or two signals online. This allows data to be transformed according to a general purpose expression, or allows data from two signals to be combined to form a new math signal that displays a user-defined function of one or two data signals.

This powerful feature allows extensive real-time data manipulation. A simple example would be the linear scaling of data. Another simple example would be the transformation of one data trace according to a mathematical expression describing a simple function of that data, such as raising to the 2nd power. A more complex example would be a quadratic transformation of a data trace. Finally, two input signals can be combined arbitrarily to form a single function. An important capability of the math signal is that it may be displayed along with data signals during acquisition, allowing decisions to be made about the quality of the data without wasting time collecting and later analyzing useless data.

The expression for transforming data are set on the Math tab of Acquire > Edit Protocol. Two basic formats are provided. The first is selected by choosing General Purpose in the Equation section of the Math tab. This gives a math signal display of the following function of analog input signals #A and #B:

Result = (K1 × #A + K2) <op> (K3 × #B + K4)

where K1 through K4 are user-defined parameters, and <op> represents the arithmetic operator addition, subtraction, multiplication or division, as specified in the Operator field. The units of the math signal are defined in the Units field in the Display section.

A special expression, especially useful for ratiometric dyes, is obtained by choosing Ratio dyes in the Equation section of the Math tab. Then the math signal displays a function of the ratio of two signals (R) with offset correction for each channel (K5 and K6):

Result = (K1 × R + K2) <op> (K3 × R + K4)

where:

R = (#A + K5) / (#B + K6).

To demonstrate the use of the math transformation capability of Clampex software, we will consider a few specific illustrations.

Ratiometric Dyes

Fluorescent dyes are commonly used as measures of concentrations of ions or other intracellular molecules such as second messengers. Some dyes, such as indo-1 for calcium (Grynkiewicz et al., 1985) and SNARF for hydrogen (Whitakeret al., 1991), can be excited at a single wavelength and their fluorescence measured simultaneously at two emission wavelengths; the ratio of these emission signals provides a measure of the concentration of the substance (calcium in the case of indo-1) sensed by the dye. Experimentally, the fluorescent light emitted from cells can be optically separated into the two wavelengths and recorded with photodiodes or photomultiplier tubes. Current-to-voltage converters provide a voltage proportional to the fluorescence intensity at each wavelength, and these analog signals can be stored in two Clampex software signals (#A and #B). The general expression for converting the ratio of emission intensity at these wavelengths (R) to concentration of the measured substance is:

Concentration = Keff × (R – Rmin) / (Rmax – R),

where Keff is the effective dissociation constant of the detected ion or other substance with the dye; this depends on both dye-ion affinity and the fluorescence of the free and bound dye at one emission wavelength (see Grynkiewicz et al., 1985). Rmin is the value of the ratio R in the absence of the detected substance and Rmax is the limiting value of R in the presence of a high concentration of the detected substance. Keff, Rmin and Rmax must be measured separately in in vitro or in vivo calibration experiments.

In order to cast the Ratio Dyes Expression in this form, make the following assignments:

K1 = Keff

K2 = –Keff × Rmin

K3 = –1

K4 = Rmax

<op> = /.

When using ratiometric dyes, it is usually necessary to correct the measured fluorescence intensity at each emission wavelength for the autofluorescence of the tissue without dye at each wavelength. This is normally measured from cells that are not filled with dye. This correction may be incorporated by setting K5 equal to the background fluorescence intensity at the wavelength stored in signal #A and K6 equal to the background fluorescence at the wavelength stored in signal #B.

Another class of ratiometric dyes (e.g., fura-2 and fura-Red for calcium, Mag-fura-2 for magnesium, BCECF for hydrogen, SBFI for sodium, PBFI for potassium see the catalog of products from Molecular Probes, Eugene, Oregon) is excited sequentially at each of two different wavelengths and the fluorescence emission in response to each excitation is acquired on one analog input channel. This may be done by synchronizing a filter wheel in an alternating fashion with the sweeps. To improve the signal-to-noise ratio, an interleaved series of sweeps at each excitation wavelength can be averaged. However, the data collected in this way cannot be processed by the math signal expression, since it can only process analog input signals that are part of the same sweep. In this case, the data can be transformed off-line, using Clampfit software. This post-acquisition analysis can be automated in Clampfit software by the use of macros.

Alternatively, some photometry systems chop rapidly between the two excitation wavelengths and provide separate, simultaneous filtered analog outputs of emitted fluorescence in response to these excitations. In this case, the same form of equation described above for indo-1 is used to correct the ratio of fluorescence intensity for background and to convert the ratio to concentration of the detected substance using the Math Signal processing capability.

Single Wavelength Dyes

Some fluorescent dyes are sensitive to the presence of a substance, but display no excitation or emission spectrum shift on binding to the substance. Such dyes (e.g., the calcium indicators fluo-3, rhod-2, and Calcium Orange, Green, and Crimson) indicate the change in concentration of a substance by the change of fluorescence intensity at one excitation-emission wavelength combination (see Minta et al., 1989 and the Molecular Probes Catalog). Fluorescence intensity (F) is related to concentration of the measured substance by the following formula:

Concentration = Keff × (F – Fmin – B) / (Fmax – F + B).

Here B is the background fluorescence intensity in the absence of dye, and Fmin and Fmax are fluorescence intensities of the dye in the tissue (including background) when the measured substance is absent or present at a high concentration, respectively. If these calibration parameters have been measured for the cells studied, this expression may be implemented by selecting the General Purpose expression and setting #A and #B to the (same) signal containing fluorescence data, with

K1 = Keff

K2 = -Keff × (Fmin + B)

K3 =–1

K4 = (Fmax + B)

<op> = /.

Single Wavelength Measurements from Ratiometric Dyes

A limitation of ratiometric dyes requiring two excitation wavelengths is that successive responses must be compared or the fluorescence signal must be alternatively sampled while switching the excitation beam. Either method introduces serious limits to temporal resolution.

One solution to this problem is to continually measure fluorescence intensity of a ratiometric dye at a single wavelength, using the resting concentration and fluorescence intensity calibrated initially using a ratiometric measurement (Jaffe et al., 1992). The procedure is to use conventional ratiometric methods to measure the resting concentration (Cr) of the substance of interest. All further fluorescence intensity measurements (F) are made at one excitation and emission wavelength set and stored on a single analog signal. If Fr is the fluorescence intensity corresponding to the resting concentration Cr, B is the autofluorescence intensity in the absence of dye, KD the dissociation constant of the dye with the substance of interest, and Fmax is the maximum fluorescence intensity of the dye in the presence of substance at concentration C and including tissue autofluorescence, then:

This expression can be implemented by selecting the General Purpose expression and setting #A and #B to the (same) signal containing fluorescence data, with:

K1 = KD

K2 = Cr(Fmax – Fr) – KD(Fr + B)

K3 = –1

K4 = Fmax – B

<op> = /.

Quadratic Transformations

A final example is the ability to display the square of a data signal. This is done by selecting the General Purpose expression and setting #A and #B to the same data signal, with K1 = K3 = 1, K2 = K4 = 0, and <op> = ×. More complex quadratic forms may easily be implemented by altering K1 through K4. The inverse square of a data signal may be obtained from the Ratio Dye expression with the input to Signal #A fixed at a DC value of 1, the data on Signal #B, and:

K1 = K3 = 1

K2 = K4 = K5 = K6 = 0

<op> = ×

References

  1. Grynkiewicz G., Poenie M., and Tsien R.Y. (1985). A new generation of Ca2+ indicators with greatly improved fluorescent properties. J. Biol. Chem. 260: 3440–3450.
  2. Jaffe D.B., Johnston D., Lasser-Ross N., Lisman J.E., Miyakawa H., and Ross W.N. (1992). The spread of Na+ spikes determines the pattern of dendritic Ca2+ entry into hippocampal neurons. Nature 357: 244–246.
  3. Minta A., Kao J.P.Y., and Tsien R.Y. (1989). Fluorescent indicators for cytosolic calcium based on rhodamine and fluorescein chromophores. J. Biol. Chem. 264: 8171–8178.
  4. Molecular Probes. Catalog. Eugene Oregon.
  5. Whitaker J.E., Haugland R.P., and Prendergast F.G. (1991). Spectral and photophysical studies of benzo[c]xanthene dyes: dual emission pH sensors. Anal. Biochem. 194: 330–344.


Membrane Test Overview

Membrane Test is specifically designed for electrophysiologists and is commonly used in patch clamp experiments. However, since it is a simple pulse-generating mechanism other users might also find it useful. Membrane Test measures a number of parameters before, during and after seal formation.

Membrane Test measures the resistance between the pipette and ground by repetitively applying a known voltage pulse and measuring the current response. Seal formation is graphically monitored by the changes in the current responses and numerically monitored with a digital readout.

An amplifier has to be in voltage-clamp mode in order for Membrane Test to work. The seal resistance is calculated by a simple application of Ohm's law.

Values exceeding 999 GΩ are displayed as [image], while those less than 1 kΩ are shown as [image]. If the calculated resistance is negative, an overload warning is issued.

Since Membrane Test generates pulses at a rapid repetition rate, it is also ideal as an alternative to a pulse generator and an oscilloscope when setting the fast and slow capacitance compensation controls on a patch-clamp amplifier, or the capacitance neutralization controls on a current-clamp amplifier. (In the latter case ignore the analog input and output units, which are pre-set to mV and pA, or mV and nA.)

The Membrane Test sweeps always contain 500 samples. The pulse is delivered for 250 samples. The sweeps are repeated as fast as possible, with the repetition frequency being limited by computer considerations such as calculation and display time.

Bath

It is best to start with a small pulse magnitude, such as 0.1 mV, on the assumption that Membrane Test is started with the pipette in the bath. After the seal resistance goes up and the current response starts to diminish to the point that it is difficult to see, use the spinner in the Pulse field to increase the pulse magnitude.

Patch

Since the Membrane Test dialog can be operated while interacting with the rest of Clampex software, once you have a gigaseal you should do the following:

  1. Optimize electrode capacitance compensation on the amplifier.

Even after going whole-cell you should be sure that the compensation dials are set optimally. You will know this is the case if the electrode capacitive transients are completely and well compensated when whole-cell capacitance compensation is enabled.

Note: Optimizing the electrode capacitance compensation is an extremely important step for the accuracy of the Cm measurement in Membrane Test.

To convince yourself of the importance, use a model cell with known capacitance and change the fast capacitance compensation dial. You may be surprised how sensitive the Cm calculation is to this compensation (see information regarding the calculation).

  2. Disable whole cell capacitance compensation on the amplifier.
  3. Disable series resistance compensation.
  4. Set the external lowpass filter to a medium bandwidth.

Finally, set the external lowpass filter to a medium bandwidth (for example, 2 to 10 kHz). In theory, 30 kHz (Gillis, 1995) is optimal, but for better signal-to-noise ratio 2 kHz is ideal (Clampex software uses an integral-based algorithm that allows accurate measurement at low filter frequency settings).

  5. Select signals in Configure > Membrane Test Setup.

The current response might look as follows:

The seal resistance is calculated from:

∆V is the command pulse magnitude, relative to the holding potential. ∆I = I2 – I1, where I1 is the mean current measured at the end of the response to the command pulse and I2 is the mean current measured as long as possible after the return to the holding potential.

If any of the samples in the I1 and I2 regions are at the maximum or minimum A/D values, the digitizer input is saturated. Clampex software displays the word OVERLOAD instead of the seal resistance. The average to which this value would have contributed is discarded.

Note: Clampex software does not test for saturating A/D values outside the I1 and I2 regions since saturating transients at the onset and offset of the step are quite common and do not affect the calculation.

Cell

Once you have a patch you can monitor the five parameters measured by Membrane Test in the Online Statistics window.


Metafile Notes

Clampex software Copies to Clipboard in Enhanced Metafile Format

Clampex software copies metafiles to the Windows Clipboard in Enhanced Metafile format. Some programs, including some Microsoft programs, support this format but don't necessarily paste clipboard objects in Enhanced Metafile format by default. The solution in this case is to choose the Edit / Paste Special menu command in the third-party application and select the Enhanced Metafile option.

Use Drawing or Presentation Program to Create Final Figure

Clampex software has a lot of flexibility in formatting your figures, but it is not a graphing program—you may have a need for more extensive capabilities. We recommend that you experiment with the options in File > Page Setup, and that you select Copy data to clipboard as a Metafile using Page Setup settings in Edit > Copy. Paste the figure into a drawing or presentation program and use its capabilities to manipulate individual elements of the metafile, or to create custom legends or annotation.


P/N Leak Subtraction

This topic provides a general overview and discussion of P/N leak subtraction.

P/N Leak Subtraction is enabled and configured on the Acquire > Edit Protocol > Stimulus tabs.

Sections in this topic:

  • Summary
  • Background
  • Description of P/N Subtraction
  • Data Display
  • Comments on P/N Subtraction
  • Pros and Cons
  • Scaled Subtraction
  • Experimental Errors

Summary

Use this function to perform online subtraction from acquired data of the passive cellular leak response. Briefly, the leak subtraction protocol applies a series of scaled-down replicas of the stimulus waveform prior to the actual sweep. The responses to the scaled replicas, which presumably reflect only passive membrane properties, are then summed and subtracted from the actual sweep.

The Leak Subtraction control on the amplifier front panel is usually set to its OFF position if Clampex software leak subtraction is being used, but it is not essential to do so.

The responses to the subsweeps are not visible. During the execution of the subsweeps, a counter in the Real Time Controls panel helps you monitor the progress of the subsweep execution.

Only the corrected responses are saved, although either the corrected or the uncorrected responses can be viewed.

P/N Subtraction only applies to one specified analog input signal. Digital outputs and the oscilloscope trigger are not generated during the subsweeps.

Background

The current recorded when the membrane potential is stepped generally consists of up to three major components:

  1. Linear passive current, also known as the leak current. This is the current that flows through the passive membrane resistance and the membrane capacitance. Ideally, this current scales linearly with the size of the step. In practice, linear responses are only measurable over a small range of potentials.
  2. Nonlinear, voltage-activated current. This is the current that flows through ion channels that are opened or closed by changing the membrane potential. The number of open channels does not generally depend linearly on the voltage. Another class of voltage-activated current is the displacement current associated with the movement of the gating molecules in the membrane.
  3. Drug-activated current. This is current that flows through ion channels that are opened or closed by chemical activators. These channels may be voltage-dependent.

The passive electrical characteristics of geometrically simple cells have been known for a long time. Most interest nowadays is in the nonpassive components. These may flow through ion channels opened by agonists or voltage. In order to study the nonpassive components easily, it is essential to remove the passive currents from the records. This can be done on-line or off-line. The following section discusses subtraction of the leak current using Clampex software.

Description of P/N Subtraction

Leak subtraction in Clampex software corrects for the passive responses by applying test subsweeps before or after the main stimulus waveform and subtracting the accumulated subsweep response from the stimulus response. After this subtraction, the responses are further corrected by subtracting the mean value of the sample acquired during the first holding potential (H1). This technique is called P/N subtraction, in which N subsweeps each 1/Nth of the amplitude of the main stimulus waveform are applied.

The following is an example of the P/N subtraction protocol:

Figure 2: P/4, opposite polarity, with pre-sweep train

In this figure the main stimulus waveform consists of a single depolarizing ramp, the height of which is taken to be the difference between the normal holding level and the amplitude set in the Epoch Description. There are four subsweeps of ¼ this amplitude, executed before the main sweep. In addition, a pre-sweep train is shown. (First and last holding periods within the stimulus command waveform are not depicted).

Subsweeps can be generated before or after the main stimulus waveform. If before, and if a pre-sweep train has also been set, the subsweeps are generated first, then the pre-sweep, immediately followed by the main sweep.

If subsweeps are executed before the main sweep, they could inadvertently condition the cell response, but this can be controlled by an appropriate setting for Settling time. If subsweeps are executed after the main sweep, they could inadvertently be conditioned by the response to the main stimulus waveform, but this can be controlled by an appropriate setting for Settling time.

The polarity of the subsweeps can be controlled. This is useful to prevent the cell from being conditioned by the subsweeps, and thus affecting the response. The subsweeps can be either summed and subtracted from the stimulus waveform, or inverted, summed and added to the stimulus waveform. Inverting the subsweep (Opposite to the stimulus waveform) is commonly used. In this case, if the run contains a series of steps to depolarizing potentials, the subsweeps contain small hyperpolarizing steps. This technique is shown in the above example.

Subsweep waveforms are executed relative to their own holding level. For example, in an experiment in which the normal holding level is –70 mV, it might be desirable to execute the subsweeps from –90 mV (for a depolarizing waveform and when Polarity is set to Same as waveform) to make sure that the cell responds passively during the subsweeps.

After the usual holding potential is changed to the subsweep holding level, Clampex software waits the specified settling time at the subsweep holding level. After the subsweeps have completed, the output returns to the usual holding level. Clampex software waits the same specified settling time at the usual holding level before proceeding.

Data Display

Generally, when P/N Leak Subtraction is applied, incoming data are displayed in the corrected form in which they are saved. There are dangers associated with this, however. For example, if the cell deteriorates, the corrected response might look substantially the same as when the experiment began, except perhaps for subtle effects such as an increase in the noise level. Thus it is possible to display the raw (uncorrected) data sweeps. This is preferable if you are worried about the condition of the cell. While you see the raw data in the display, however, only the corrected data are saved.

The subsweep responses cannot be displayed. If the responses saturate during the subsweeps, this is only indirectly evident. Use the optional accessory MiniDigi 2-Channel Digitizer and AxoScope software if you want to display these responses.

If you wish to monitor the corrected and the uncorrected data simultaneously, this can be achieved by using a BNC T-connector to connect the relevant signal (e.g. the membrane current) to a second analog input channel. The specified Analog IN signal is the leak subtraction channel. Corrected data are displayed and saved for this channel. The other channel contains the uncorrected data. The advantage of this technique is that it is possible to monitor the corrected and the uncorrected data simultaneously. The disadvantages are that it increases the storage requirements (because at least two channels must be stored instead of the minimum of one channel) and the maximum achievable sampling rate is halved (because the A/D converter must acquire from two channels instead of just one).

Comments on using P/N Subtraction

This computer-based technique is quite different from the technique used to implement leak subtraction in patch-clamp amplifiers. In the amplifiers, a scaled version of the command is continuously subtracted from the output. This removes the steady-state passive response. The transient response can mostly be removed by setting the various capacitance compensation controls.

The controls on the patch-clamp amplifier are virtually noise-free. Their main disadvantage is that they do not continuously update their settings to reflect changes in the passive cell response. In contrast, since Clampex software leak correction is applied to each sweep, drift is automatically compensated. The Leak Subtraction control on the amplifier front panel is usually set to its OFF position if Clampex software leak subtraction is being used, but it is not essential to do so.

Pros And Cons

The main advantage of P/N Subtraction compared to other correction techniques is that because the subsweeps are executed shortly before or after each sweep, gradual changes in the passive membrane properties are tracked.

On the other hand, there are several disadvantages associated with P/N leak subtraction that should be kept in mind.

  1. P/N has a deleterious effect on the noise of the corrected sweeps.

    The noise increases by (N+1) as the number of subsweeps increases. This is in direct contrast to what normally happens during averaging, in which the signal goes up linearly with N, but the noise goes up with N, leading to a N improvement in the signal-to-noise ratio.

    Briefly, the reason for the unfortunate noise increase during P/N leak subtraction is that the noise on the accumulated sweep and subsweeps increases as (N+1), but the signal, which is only in the sweep, does not increase at all. To minimize the chance of a poor selection of N, Clampex software does not allow values of N > 8.

  2. The time required to execute the subsweeps reduces the maximum rate at which sweeps can be repeated.
  3. P/N Subtraction is generally not applicable to drug-activated experiments. Since the same drug concentration is present during the subsweeps and the drug sweeps, there are no "passive" responses to measure. That said, it should be pointed out that this limitation can be circumvented by using a rapid perfusion system to change from the control solution to the test solution during the settling time between the subsweep and the main sweep. One of the digital output bits could be used to select the perfusate.

Scaled Subtraction

Finally, it is worth noting that alternative strategies can be used if the P/N noise is unacceptable. The most common alternative is a technique known as scaled subtraction, in which a subtraction trial is acquired before the main stimulus trials are executed. This subtraction trial must consist of a scaled replica of the stimulus trial. The holding potential and the scaling should be chosen so that the pulses do not activate voltage‑dependent currents. Sufficient runs should be acquired to achieve acceptably low noise in the average. After the experiment, Clampfit software can be used to scale and subtract the subtraction trial from the stimulus trials. The most significant limitation of this technique is that gradual changes in the passive membrane properties are not tracked, since the subtraction trial is usually run only once per experiment. If time permits, additional subtraction trials can be acquired from time to time during the course of the experiment. The acquisition of these additional subtraction trials can be automated by using the Sequencing keys.

Experimental Errors

  1. Depending on the number of subsweeps, their polarity and the subsweep holding potential, it is possible for the analog output waveform to exceed the range of the D/A converter during the subsweeps, even though the main stimulus waveform is within range. If so, this error is detected when you attempt an acquisition. The following error message is issued:

    P/N Waveform goes out of range.
    Either adjust the P/N holding level or modify the waveform description.

    Correct the problem by using more subsweeps (to reduce the amplitude of the steps and ramps), a different subsweep holding potential, or change the polarity of the subsweeps.

  2. During the steps from one epoch level to another, the capacitive current transient might briefly saturate the A/D converter. P/N leak subtraction does not work properly during the saturated period, so there is a brief transient left over in the corrected response. This is usually not a problem because there is unlikely to be meaningful information available during the transient.

    The cosmetic impact of the residual transient can be eliminated in Clampfit software by "blanking" this portion of the data. If you nevertheless wish to avoid this problem you could try using less gain in the amplifiers, but this lowers the resolution at which your data are digitized.


Pre-sweep Trains

This topic provides a general overview and discussion of pre-sweep trains. These are rectangular-pulse command trains delivered between sweeps, while no acquisition occurs. Pre-sweep trains were called "conditioning trains" in older versions of Clampex software.

Pre-sweep trains are enabled and configured on the Acquire > Edit Protocol > Stimulus tabs.

The pre-sweep train is a set of uniformly spaced pulses that are generated for a precise interval before the main stimulus waveform. The pre-sweep train can be generated on the same Analog OUT channel as the stimulus waveform, or another Analog OUT channel. For example, the stimulus waveform could be the command for a whole-cell patch pipette while the pre-sweep train could use the other analog output to trigger an isolated stimulator connected to some afferent nerves. However, no data are acquired during the pre-sweep train.

A stylized example of a pre-sweep train is:

Each of the N pulses in the pre-sweep train consists of two parts, the baseline and the step. The level and duration of both of these parts can be specified.

After the pre-sweep train is completed, the output can be held at a post-train level for a specified duration. The stimulus waveform (consisting of epochs A–J) and data acquisition commence immediately at the end of the post-train pulse. The normal few samples at the holding level are not acquired. Instead, the same number of samples at the post-train level are acquired. Output returns to the normal holding level in the Final holding period of the stimulus waveform. You can set the post-train level to the usual holding level in order to acquire a baseline at the usual holding level.

In this example, the pre-sweep train is generated on the same analog output channel as the stimulus waveform. It can optionally be generated on the other analog output channel. In this case, the first few samples in the sweep (Holding level) are acquired at the usual holding potential.

Note that the baseline period is generated before the step period. Each pulse consists of the baseline and the step. The number of pulses in the train can be specified in the range 1–10,000.

The duration of the baseline and step intervals can be independently specified. Together, these two durations determine the pulse frequency. For example, if the baseline duration is 12 ms and the step duration is 3 ms, the total pulse duration is 15 ms, corresponding to a 66.67 Hz pulse frequency.

If the number of pulses is greater than zero, both the baseline duration and the step duration must be nonzero. If the duration of the post-train period is zero, the post-train level is not generated. In this case, the first few samples in the sweep (Holding level) are acquired at the usual holding potential.

These durations can be specified in the range 0.01–100,000 ms. Depending on the computer speed, each individual pulse might be a few microseconds different from the specified value, but the errors are not cumulative. That is, the mean duration (and hence the mean pulse frequency) is precisely controlled.

The levels of the baseline and step intervals can be independently specified. Together, the baseline level and the step define each pulse in the train. If the train is used to control a logic-level triggered device, set the baseline level to 0 V and the step level to 5 V. Remember that the level specified for the post-train period becomes the level used during the first few samples acquired in the subsequent sweep.


Printing Notes

Batch Printing

If you have registered Clampfit software for Axon data files, in Configure > File Registration, you can batch print these files. We recommend that you run Clampfit software first before doing a batch print from Explorer.

Batch Printing from Windows Explorer

Before doing a batch print job, run Clampfit software and go to File > Page Setup to configure your desired page format.

In Windows Explorer, highlight the desired data files.

Right-click on one of the selected files and select Print from the popup menu. All of the files will be printed from Clampfit software. You are limited to one file per page, but the FinePrint utility (see below) allows you to print multiple files per page.

Printing Multiple Files on Per Page

The FinePrint shareware utility from FinePrint Software (see http://www.fineprint.com) allows you to print multiple files per page from any Windows program. This utility works well with the batch printing technique described above.


Scale Factors: Input Signals

Voltage signals received at digitizer input ports must be "interpreted" by Clampex software in order that data are displayed and recorded in terms of the parameter being read by the amplifier or transducer producing the signals. This interpretation is determined by the setting of appropriate signal units, scale factors and offsets, in the Input Signals tab of the Lab Bench. This topic explains the setting of scale factors with and without gain telegraphs, and includes a list of "unity-gain" scale factors (explained below) for Axon Instruments' GeneClamp 500 and Axopatch-1series amplifiers, in section 3.

Note: Note: Input signals can be configured for parameters measured by any appropriate transducer, as well as for current and voltage measurements from amplifiers. For simplicity, only amplifiers, and current and voltage signals, are referred to in the discussion below.

Sections in this topic:

  • Setting scale factors without a gain telegraph
  • Setting scale factors with a gain telegraph
  • Scale factors for GeneClamp 500 and Axopatch-1.

Additional links:

Scale factors can also be set using the Scale Factor Assistant.

Scale factors for recorded files can be altered with the Edit > Modify Signal Parameters dialog.

See also Scale Factors—Output Signals

Setting scale factors without a gain telegraph

There are two elements involved in calculating a scale factor—unity gain and additional gain:

  • Unity gain: The basic amplifier scale factor—for each amplifier output port. This is the scale factor that applies when gain settings for the amplifier are all one,for example, when the headstage gain is one and the output gain knob is set to one.

    The unity-gain scale factor is determined by the amplifier's circuitry. It can be read off the amplifier itself (beside each output port), or from documentation supplied with the amplifier. Some ports do not provide explicit scale factor information, but the scale factor can be deduced from the port name,for example "10Vm". Here, the output signal is ten times the signal being received by the amplifier: easy to calculate as both are voltages. So the scale factor is 10 mV/mV = 0.01 V/mV.

  • Additional gain: This can come from three sources:
    1. Amplifier output gain, controlled by the "Output Gain" knob on the amplifier's front panel
    2. Headstage gain
    3. Gain from an additional third-party signal conditioner.

    NB. Gain from a CyberAmp is not included as additional gain for the purpose of setting a scale factor—gain from these sources is dealt with separately, in the Hardware Signal Conditioning section of the Input Signals tab.

Take the product of the unity-gain scale factor and the additional gains to get the scale factor appropriate for a signal at those gain settings:

Scale factor = (unity-gain scale factor) × (output gain) × (headstage gain) × (3rd party conditioner gain)

The scale factor must always be expressed in terms of volts received at the digitizer input ports.

If you change the output gain setting on your amplifier you need to recalculate the scale factor.

Example 1

We find the scale factor for a signal in the following circumstances:

  • Axopatch 200B amplifier
  • Voltage clamp
  • Scaled output signal
  • Headstage gain β = 0.1
  • Output gain a = 20
  • No third-party conditioner
  1. First check the information given on the panel of the Axopatch 200 amplifier under the scaled output port:

    I:a β mV/pA
    Vm: a mV/mV

    This tells us that for current, the unity-gain scale factor is 1 mV/pA, and this must be multiplied by the output (a) and headstage (β) gains (as in the explanation above).

    For membrane voltage, the unity-gain scale factor is 1 mV/mV, which must be multiplied by the output (a) gain (headstage gain is not relevant when reading voltage).

  2. We are in voltage clamp mode for our example, so the scaled output will be current.
  3. Substituting the output and headstage gain values for the current scenario we get:

    20 × 0.1 mV/pA = 2 mV/pA

    (As we have no gain from third-party signal conditioners, this can be left out of the equation)

  4. The scale factor must be expressed in terms of volts in the Lab Bench scale factor field, so convert this:

    2 mV/pA = 0.002 V/pA

  5. 0.002 is the value you should enter in the scale factor field, and pA in the signal units fields.
  6. Optionally, you can read the signal in a different unit: e.g. nanoamps. To do this, convert appropriately:

    0.002 V/pA = 2 V/nA

    So enter 2 as the scale factor, and put nA in the signal units fields.

Example 2

This example uses a different amplifier with different settings:

  • Axopatch 1D amplifier
  • Current clamp
  • Scaled output signal
  • Headstage gain b = 1
  • Output gain a = 5
  • No third-party signal conditioner
  1. First check the information given on the panel of the Axopatch 1D amplifier under the scaled output port:

    I: β a mV/pA
    Vm:×10a

    This tells us that for current, the unity-gain scale factor is 1 mV/pA, and this must be multiplied by the output (a)and headstage (β) gains (as in the explanation above).

    For membrane voltage, no units are stated, because it is assumed we are working from a basis where the amplifier produces exactly the same output as it reads, for example, 1 mV output for each mV read.Output from this port then is:

    10 × (1 mV/mV) × (a gain)

    In effect, the unity gain is 10 mV/mV, so voltages read from this port are scaled at:

    (10 mV/mV) × a gain)

  2. We are in current clamp mode for our example, so the scaled output will be voltage.
  3. Substituting the output gain value in the voltage equation from 1. we get:

    10 mV/mV × 5 = 50 mV/mV

    (As we have no gain from third-party signal conditioners, this can be left out of the equation)

  4. The scale factor must be expressed in terms of volts in the Lab Bench scale factor field, so convert this:

    50 mV/mV = 0.05 V/mV

  5. 0.05 is the value you should enter in the scale factor field, and mV in the signal units fields.

Setting scale factors with a gain telegraph

A gain telegraph is a message sent from the amplifier informing Clampex software of the total amplifier gain, for example, the product of the headstage and output gains (output gain is set with the "Output Gain" knob on the amplifier panel).

When gain telegraphs are enabled, Clampex software uses the gain information to update the scale factor automatically, as you change amplifier gain settings. Gain telegraphs are only relevant, then, for the scale factors of signals coming from scaled output ports, where changes in gain settings affect the signal.

As explained in "Setting scale factors without a gain telegraph" above, scale factors are calculated in the following way:

Scale factor = (unity-gain scale factor) × (output gain) × (headstage gain) × (third-party conditioner gain)

where

  • the "unity-gain" scale factor is the scale factor for the amplifier output port when no amplifier headstage or output gain is applied (this value is reported on the panel beneath the port),
  • the headstage and output gains are from the amplifier headstage and "Output Gain" knob setting, and
  • third-party conditioner gain comes from additional non-Axon Instruments signal-conditioner amplification.

With gain telegraphs enabled, the output and headstage gains are handled automatically by Clampex software, so these can be removed from the equation, leaving:

Scale factor = (unity-gain scale factor) x (third-party conditioner gain)

Values rendered by this equation should be entered in the Lab Bench scale factor field when gain telegraphs are enabled, remembering that these must always be expressed in terms of volts per signal unit.

Note: Note: This value remains unaltered in the Lab Bench no matter the gain actually applied to your signal.If you have your output gain set to five, for example, and the scale factor you have entered is 0.001 V/pA, the scale factor actually applied to the signal is 5 x 0.001 V/pA = 0.005 V/pA, however this not reported in the Lab Bench.

Similarly, the scale factor reported for recorded files, in Edit > Modify Signal Parameters, is the one entered in the Lab Bench, and this may differ from the scale factor actually used when the file was recorded, because the total amplifier gain might have been other than one.

Gain telegraphs are enabled from Configure > Telegraphed Instrument, or for general discussion, go to Telegraphs.

MultiClamp Users

If you have a MultiClamp 700 (and have enabled telegraphs), scale factors for input signals from the amplifier scaled (and raw) output ports are telegraphed, so the signal units and scale factor fields in the Lab Bench are grayed. The telegraphed scale factor (at unity gain) and units are reported in the Telegraphs section at the bottom of the tab. The scale factors also appear in MultiClamp Commander, beside the Scaled Output signal-type selection.

Example 3

We use the same scenario as in Example 1 above, in the Setting scale factors without a gain telegraph section, but now a gain telegraph has been enabled for the signal whose scale factor we are calculating. So, the setup is:

  • Axopatch 200B amplifier
  • Gain telegraph enabled
  • Voltage clamp
  • Scaled output signal
  • Headstage gain b = 0.1
  • Output gain a = 20
  • No third-party conditioner
  1. First check the information given on the panel of the Axopatch 200 under the scaled output port:

    I:a β mV/pA
    Vm:a mV/mV

    This tells us that for current, the basic amplifier scale factor is 1 mV/pA, and this must be multiplied by the output (a) and headstage (β) gains (as in our explanation above).

    For membrane voltage, the basic amplifier scale factor is 1 mV/mV, which must be multiplied by the output (a) gain (headstage gain is not relevant when reading voltage).

  2. We are in voltage clamp mode for our example, so the scaled output will be current.
  3. Because we have enabled the gain telegraph, we take the product ab to be one (for example, "unity gain"), leaving a scale factor for the signal as it leaves the amplifier as 1 mV/pA.
  4. As we have no additional third-party signal-conditioner amplification, the 1 mV/pA scale factor stands.
  5. The scale factor must be expressed in terms of volts in the Lab Bench scale factor field, so convert this:

    1 mV/pA = 0.001 V/pA

  6. 0.001 is the value you should enter in the scale factor field, and pA in the signal units fields.
  7. Optionally, you can read the signal in a different unit: e.g. nanoamps. To do this, convert appropriately:

    0.001 V/pA = 1 V/nA

    So enter 1 as the scale factor, and put nA in the signal units fields.

Scale factors for GeneClamp 500 and Axopatch-1 Amplifiers

Listed below are unity‑gain scale factors for scaled output ports on the GeneClamp 500 and Axopatch-series amplifiers. Use these scale factors if you are telegraphing gains for the channels connected to these ports.

GeneClamp 500 Amplifer Scaled Output

I3 Scale Factor

If your units are pA, set the scale factor to 0.001 V/pA.

If your units are nA, set the scale factor to 1 V/nA.

I1 or I2 Scale Factor

If your units are nA, set the scale factor to 0.001 V/nA.

If your units are µA, set the scale factor to 1 V/µA.

V1, V2 or V3 Scale Factor

If your units are mV, set the scale factor to 0.001 V/mV.

Axopatch-1 Series Amplifier Scaled Output

If selecting an Axopatch-1 amplifier as a telegraphed instrument, be careful to select the instrument type with the correct headstage.

I Scale Factor

If your units are pA, set the scale factor to 0.001 V/pA.

If your units are nA, set the scale factor to 1 V/nA.

Vm Scale Factor

If your units are mV, set the scale factor to 0.01 V/mV.

If you are using an Axopatch-1 series amplifier, be particularly careful to set the experiment type to current clamp (in the Comments tab of the Edit Protocol dialog) when acquiring from the Vm scaled output BNC. Otherwise Clampex software could misinterpret the b setting as an additional scale factor.


Scale Factors: Output Signals

Output signal scale factors are set so that command waveforms can be configured in Clampex software in the units of, and with the correct quantities for, the physical parameter actually delivered to the preparation, rather than in terms of the voltages output by the digitizer. They are set on the Output Signals tab in the Lab Bench.

Output scale factors are expressed as the ratio:

number of units delivered to the preparation / volt of digitizer output

This topic has two sections:

  1. Setting command signal scale factors
  2. List of command signal scale factors for Axon Instruments amplifiers

Scale factors can also be set using the Scale Factor Assistant.

See also Scale Factors:Input Signals

Setting command signal scale factors

Because command signals are not usually subject to variable amplification, their scale factors are dependent upon just two factors:

  1. The circuitry of the amplifier input port where the signal is received
  2. Headstage resistance (for current clamp only)

For most amplifiers, information about the circuitry-determined scale factor is reported on the panel beside the port connection, or it is reported in the documentation fro the amplifier. For command waveforms in voltage clamp you need just to read off the scale factor (and units) for the port you are using, and enter these into the scale factor and signal units fields in the Lab Bench. Make sure you convert to express the scale factor in terms of volts (output by the digitizer) if it is not reported this way on the amplifier.

For current command signals, the resistance of your headstage (associated with the headstage gain) must be taken into consideration. Again, the relevant information should be reported beside the amplifier input port. You need to know the headstage gain, and include this as indicated in the scale factor formula, e.g. headstage gain is represented on some Axon Instruments amplifiers as "H", and on others as "β".

MultiClamp Users

The MultiClamp 700 telegraphs the external command scale factor (provided you have enabled this in Configure > Telegraphed Instrument), removing the need to set this. The command signal units and scale factor are reported in their respective (grayed) fields, in the Lab Bench.

Example

The Axoclamp 900A Commander Software has two EXT. COMMAND INPUT ports, one front‑switched, the other rear‑switched.

Reported under the front-switched BNC:

V-Clamp: 20 mV/V

I-Clamp: 2 [divided by] β nA/V

and for the rear-switched BNC:

V-Clamp: 100 mV/V

I-Clamp: 2 [divided by] β nA/V

Voltage Clamp: In voltage clamp, simply use the scale factor for the port you are using: either 20 mV/V or 100 mV/V.

Current Clamp: The scale factor is the same for both ports, and dependent on the value of β. β is the headstage gain value. So, if β = 1, the scale factor is:

2 divided by 1 nA/V = 2 nA/V

If β = 0.1, substituting in the formula gets:

2 divided by 0.1 nA/V = 20 nA/V

List of Command Signal Scale Factors for Axon Instruments Amplifiers

External command scale factors for Axon Instruments amplifiers are listed below.

Axoclamp-2 and Axoprobe-1 Series

Voltage Command

20 mV/V

Current Command

0.1 nA/V for headstage gain (H) = 0.01

1 nA/V for headstage gain (H) = 0.1

10 nA/V for headstage gain (H) = 1

100 nA/V for headstage gain (H) = 10

Axopatch-1 Series

Voltage Command

20 mV/V or 1 mV/V (front-switched)

Current Command

With Ext. Command Sensitivity setting 20 mV/V

2 pA/V for headstage gain β = 100

200 pA/V for headstage gain β = 1

2 nA/V for headstage gain β = 0.1

With Ext. Command Sensitivity setting 1 mV/V

0.1 pA/V for headstage gain β = 100

10 pA/V for headstage gain β = 1

0.1 nA/V for headstage gain β = 0.1

Axopatch 200 Series

Voltage Command

20 mV/V

or

100 mV/V

Current Command

2 nA/V for headstage gain β = 1

20 nA/V for headstage gain β = 0.1

GeneClamp 500

Electrode #1 Voltage-Clamp Command

20 mV/V

Electrode #3 Voltage-Clamp Command

20 mV/V for the low-noise input

200 mV/V for the high-range input

Electrode #1 and #2 Current-Clamp Command

0.1 nA/V for headstage gain (H) = 0.01

1 nA/V for headstage gain (H) = 0.1

10 nA/V for headstage gain (H) = 1

100 nA/V for headstage gain (H) = 10


Sequencing Keys Introduction

This topic presents an overview of sequencing keys functionality in Clampex software.

Sequencing keys are configured in the Configure > Sequencing Keys dialog.

This topic has sections:

Basic Sequencing Key Functionality

Sequencing Key Operation & Sequencing Key Sets

Sequencing Keys with the Multiclamp 700 Amplifier

Basic Sequencing Keys Functionality

Sequencing keys are a means by which you can associate any of the following:

  • Analog and digital holding levels
  • Membrane Test
  • Protocols
  • Message prompts

with specific toolbuttons and key strokes, so that the associated function or settings are run or loaded when the button is pressed or key stroke made. Keys can also be triggered by amplifier-mode telegraphs from a MultiClamp 700 amplifier (see below).

Sequencing keys can also be linked together to form timed sequences of protocols, membrane tests, etc. In such cases only the key for the first element needs to be triggered to start off the entire sequence.

50 sequencing keys have both a toolbutton and key stroke combination by which they are triggered. The toolbuttons—displayed in the Sequencing Toolbar—are identified by their associated key strokes, written on them. You can also write a tooltip for each of the toolbuttons to remind you of its function, on the Sequencing tab of the sequencing keys Properties dialog. Configure the Sequencing Toolbar so that it includes all of the toolbuttons you need in Configure > Toolbars > Sequencing.

The key strokes and toolbutton identifiers used for sequencing keys are:

  • <Alt + 0> through <Alt + 9> (i.e. hold down the Alt key and press the relevant numeral)
  • <Alt + Shift + 0> through <Alt + Shift + 9>
  • <Ctrl + 0> through <Ctrl + 9>
  • <Ctrl + Alt + 0> through <Ctrl + Alt + 9>
  • <Ctrl + Shift + 0> through <Ctrl + Shift + 9>

Keys are linked by configuring the first key to "call" the following one. For example, you could define <Alt + 0> to run a protocol for five seconds after which it calls the <Alt + 1> key, which opens a second protocol and runs it. Long chains of actions can be configured in this way. It is also possible to have a key call a previous key, or even itself, thus creating a loop which will run until manually terminated.

When a sequencing key sequence is in operation, progress is monitored with the Sequencing Key Status dialog.

Sequencing Key Operation, & Sequencing Key Sets

Sequencing keys are created in a table in the Sequencing Keys dialog. This table can contain multiple keys, which may be linked together to run in sequence or not. Naturally, each sequencing key can have only one associated function. Once configuration is complete and the Sequencing Keys dialog closed, the keys in the table at the time it was closed are operable.

It is possible to save sequencing keys sets. When the Sequencing Keys dialog is closed, the keys in the table at that time are automatically saved, and you can also save sets to a new file name of your choosing. The sets are saved as *.sks files, which can then be opened and closed at will within the Sequencing Keys dialog. With a particular set saved you can configure a new set in the table, reusing the toolbuttons and key strokes used in the previous set if you wish. With the new set in the table when the dialog is closed, it becomes operable.

To make the original set operational again you need to open its *.sks file using the Open Set command in the Sequencing Keys dialog, reinserting the set into the table.

Only one set of sequencing keys can be in operation at one time.

Sequencing Keys with the MultiClamp 700A Amplifer

A set of sequencing keys are dedicated to MultiClamp 700A amplifier-mode telegraphs. These keys are called when the MultiClamp changes from current to voltage clamp or vice versa. You need to have enabled telegraphs for the MultiClamp before these keys can be configured; see Telegraphed Instrument.

The MultiClamp-specific sequencing keys are in two series:

  • I-Clamp IN 0 to I-Clamp IN 15
  • V-Clamp IN 0 to V-Clamp IN 15

These names combine an amplifier mode and digitizer input channel. The input channel is the channel to which the MultiClamp scaled output is connected (for which telegraphs must be enabled); the amplifier mode is the mode to which the MultiClamp must be switched to activate the key ( the "I = 0" mode does not call sequencing keys).

So, for example, if you have a MultiClamp scaled output connected to Analog IN #0, and you switch the MultiClamp into current clamp mode, the "I-Clamp IN 0" sequencing key is called. If you want to load a particular protocol when the MultiClamp is put in current clamp, you should configure this key to open the protocol.


Signal Unit Prefixes

The following symbols are available to use as signal unit prefixes in the Lab Bench.

Symbol | Prefix | Exponent
X | xenna | 1027
Y | yotta | 1024
Z | zetta | 1021
E | ecta | 1018
P | peta | 1015
T | tera | 1012
G | giga | 109
M | mega | 106
k | kilo | 103
— | — | 100
m | milli | 10–3
µ | micro | 10–6
n | nano | 10–9
p | pico | 10–12
f | femto | 10–15
a | atto | 10–18
z | zepto | 10–21
y | yocto | 10–24
x | xenno | 10–27


Software Filters

Input signals can be optionally filtered by a lowpass single-pole RC and/or a highpass single-pole RC filter during data acquisition. This is done in software (in Configure > Lab Bench > Input Signals tab) and does not require any special support from the digitizer. The filter settings for the signals in the current protocol may also be changed in the Real Time Controls panel.

Highpass filters cut off low-frequency signals and let high-frequency signals pass. They are sometimes referred to as AC coupling filters. Set the –3 dB cutoff point using the spinner or the text field, to where the filter starts attenuating the low frequencies. Clampex software allows highpass cutoff frequencies between 1 Hz and 1 kHz.

Lowpass filters cut off high-frequency signals and let low-frequency signals pass. Set the –3 dB cutoff point, using the spinner or the text field, to where the filter starts attenuating the high frequencies. Clampex software allows lowpass cutoff frequencies between 0.01 kHz and 50 kHz.

It is important to note that the highpass filter is located before the lowpass filter in the software signal path. This allows you to use both the highpass and lowpass filters together to create a bandpass filter that only allows the signals between the highpass and lowpass settings to pass through. To do this, enable both of the filters, and set the frequencies accordingly.

There are two important restrictions on using software filters in Clampex software:

  1. Filter frequencies must be less than half of the sampling frequency.
  2. If both the highpass and lowpass filters are enabled, then the highpass filter frequency must be less than the lowpass filter frequency.

Clampex software Filters are Well-Behaved

Software filters typically create "end-effects" at the beginning and end of recorded segments of data because they need to take portions of the signal before the first sample and after the last sample into account in order to calculate the filtered values at the beginning and end of the recorded segment.

In all of Clampex software acquisition modes, data samples are constantly acquired and filtered, even between recorded segments, so there are no end-effects at the beginning or end of recorded segments. The only exception to this is when you are externally triggering in High‑Speed Oscilloscope mode, where you may see an end-effect in the acquired sweeps.

Limitations

Since the filters in Clampex software are implemented in software, they cannot be used as the system antialiasing filter. If the bandwidth of your signal is close to or greater than half the sampling rate, aliasing will introduce spurious signals or excess noise in the acquired signal. If you do not have an external analog antialiasing filter the best strategy that you can use is to sample much faster than you would normally consider necessary, then use the software filters in Clampex software. This will not eliminate aliasing, but it will minimize it.

Performance

The software algorithms used for the highpass and lowpass RC filters are very efficient and in most cases will not affect Clampex software performance. However, for the fastest possible sampling rates, you might find that on some computers there is a small speed benefit to be gained by disabling the filters.


Stimulus File Overview

Rather than using the epoch description table on the Waveform tabs to create a stimulus waveform, Clampex software allows you to import a binary or text data file, known in this context as a "stimulus file", into your protocol. The waveform in this file then becomes the stimulus waveform.

The sweeps (or columns from a text data file) used from the Stimulus File are stored in any newly acquired data files so that they are available for subsequent analysis (e.g. in pCLAMP software).

An example of the use of a stimulus file might be to record an action potential during current clamp, then replay the action potential as the stimulus waveform during voltage clamp.

This Help topic provides general information about the use of stimulus files; see Stimulus File for instructions specific to the Stimulus File dialog box where stimulus files are selected and configured. This is opened from the Protocol Editor > Waveform tab.

Stimulus File Requirements

The Stimulus File must be in one of the following formats:

  • ABF (Axon Binary File) or DAT**
  • ATF (Axon Text File)

**All Clampex software and Fetchex data files are in ABF format, although older versions of Axon binary data files use a "DAT" file name extension.

In order to be usable as a Stimulus file, an Axon Binary File must have been acquired in one of the following acquisition modes: Episodic Stimulation, Fixed-Length Event, or High‑Speed Oscilloscope.

ATF is the format that you would most likely use if you were to write a program to generate a complex waveform. You could also create an ATF file manually using a word processor or spreadsheet (save the file as plain text). Basically, each column of data in the ATF file is considered a sweep. The number of rows (i.e., the number of data samples per column or sweep) should be the same as the number of samples per sweep specified in the protocol in which the ATF file has been chosen as a Stimulus file.

Time Scaling

When a Stimulus File is selected the sampling interval is determined by the protocol the file is being imported into, as set on the Mode/Rate tab. This means that in terms of time, the waveform might stretch or shrink when imported into the protocol.

However, each sample in the stimulus file becomes a sample in the output waveform. For example:

A file recorded with a sweep duration of 20 ms at a sample rate of 25 kHz has 500 samples per sweep. Imported into a protocol with a sweep duration of 1000 ms at a sample rate of 5 kHz (5 times slower than the original), the 500 samples now constitute around 100 ms of the stimulus sweep (5 times the original sweep period).

The remainder of the 1000 ms sweep would be fixed at the last value in the stimulus file.

Amplitude Scaling

To simplify scaling, with ABF files the numeric values that you see when you open the data file into the Analysis window (i.e. the properly scaled input values) are the same numeric values you see when the data file is used as a stimulus file, but those values are now in the stimulus waveform signal's units.

For example, a file recorded from a signal calibrated in volts, with a Scale factor of 1, might have a range from –5 to +5 V. If you use this data file as a stimulus file, the range remains at +5 to –5 units, however with the Signal units and Scale factor of the importing protocol's Analog OUT signal. So if your waveform signal's range is ±200 mV (corresponding to the Axon amplifiers' external command scaling of 20 mV/V), the Waveform Preview will show the wave going from –5 mV to +5 mV, i.e. the same values but different units. If you want the stimulus wave to go from –100 mV to 100 mV, enter 20 in the Gain factor field in the Stimulus File dialog.

With ATF files, the numeric values you see in the text file are the numeric values you will see when it is used as a stimulus file, but in the Analog OUT signal's Signal units.

Holding Periods

Not all of an imported data file is reproduced in the stimulus signal. Clampex software overwrites the samples in the Stimulus File sweep that correspond to the first holding period (H1) and the final holding period (H2). These samples are replaced with samples at the specified holding level.

Conflicts Between the Stimulus File and the Current Protocol

If the number of samples per sweep (or entries per column) in the Stimulus File does not match the number of samples per sweep in the importing protocol, Clampex software uses the following strategy:

  • If the Stimulus File sweep has fewer samples, Clampex software re-uses the last sample value in the Stimulus File sweep to fill out the stimulus waveform.
  • If the Stimulus File sweep has more samples, Clampex software uses the first samples from the Stimulus File, and then ignores later samples.

If the number of sweeps (or columns) in the Stimulus File does not match the number of sweeps per run in the importing protocol, Clampex software uses the following strategy:

  • If there are fewer Stimulus File sweeps, Clampex software re-uses the last Stimulus File sweep.
  • If there are more Stimulus File sweeps, Clampex software uses the first sweeps and ignores later ones.


Stimulus Waveforms

Use the Waveform tabs of the Protocol Editor to specify the details of the analog and digital stimulus waveforms. These can be viewed using the Update Preview button in the Protocol Editor, or with the Acquire > Waveform Preview function. Clampex software supports simultaneous stimulus waveforms on four analog output channels. The Epoch Description tables describe the shape of the analog and digital waveforms. If the analog output and digital output waveforms are specified in the same table, they are synchronized.

The stimulus waveforms can be specified in two different ways. They can be specified from Epoch Description tables, or they can be specified by the contents of a data or text file (see Stimulus File).

If you use an Epoch Description table, the analog and digital stimulus waveforms are composed of epochs. An epoch is a set of output samples where the number of samples, the levels and the pattern are defined. Up to 50 epochs, labeled A through AX, can be specified.

For each epoch, the digital output is specified with a four-digit string corresponding to Digital OUT channels 3,2,1,0 respectively. A zero sets the digital output channel low, and a one sets it high.

In addition to the epochs, a set of output samples at the holding level are generated immediately before the first epoch and immediately after the last epoch. These are known as the First Holding (H1) and the Final Holding (H2) periods.

The maximum length of a sweep depends on the setting in Configure > Program Options. If set to "pCLAMP 6 compatible" mode, a sweep can have up to 16,384 samples total over all input channels (e.g., if you acquire two input channels, the maximum sweep length is 16,384/2, or 8,192 samples per input channel). If "pCLAMP 6 compatible" mode is turned off, you can specify up to 103,224 samples per sweep per channel. When you enter a value in the Samples / sweep / signal field on the Mode/Rate tab, the text below the field will tell you the number of those samples that are available for the stimulus waveform. The difference between the length of the sweep and the number of samples available for the stimulus waveform is the minimum number of samples that will be used for the First and Final Holding periods. Divide this value in two to get the duration of H1. The duration of H2 is automatically calculated as the number of samples not accounted for by H1 and the ten waveform epochs. For example, if the number of samples per signal is 1,032 samples and the total number of samples specified in epochs A through J is 560, then the duration of H2 is 1,032 – 16 (from H1) – 560 (epochs A through J) = 456 Clampex software requires that H2 contains at least as many samples as H1.

Absolute vs. Relative Waveform Specifications

Absolute Specification

Clampex software is commonly used to specify the absolute amplitudes of the output stimulus waveform. In order for this to be achieved, the desired holding level must be specified in Clampex software and the holding level control on the instrument must be set to zero. That is, the holding potential or current at the microelectrode amplifier should be set to zero (corresponding to "5" on the Holding Potential dial of an Axoclamp-2 or 2A). If this is done, then a 40 mV step issued to a patch-clamp amplifier is 40 mV with respect to the bath ground potential irrespective of the specified holding level. For example, if the holding level is specified in Clampex software as –70 mV, the output increases by 110 mV in order to achieve an absolute 40 mV step.

Note: Axoclamp, GeneClamp: A minor variation on this method can be used with the Axoclamp and the GeneClamp amplifiers. Specify the desired holding level in Clampex software. In Bridge (Setup) mode, adjust the Holding Potential (DC Command Potential) dial in the Voltage-Clamp section to the value that balances the "RMP Balance" LED's. When voltage-clamp mode is selected the holding potential is the resting membrane potential of the cell. The Holding Potential dial can now be slowly adjusted until the value specified in Clampex software is achieved. During this careful adjustment a decision can be made as to whether the cell can indeed sustain the value specified in Clampex software. If not, the value specified in Clampex software needs to be modified before continuing.

Relative Specification

Many researchers prefer to specify the analog stimulus waveform relative to the holding potential. To achieve this, the holding level in Clampex software must be set to zero and the desired holding level must be set on the instrument's holding level control instead. This is the exact opposite to what is required for Clampex software to specify absolute amplitudes. If this is done, then a 40 mV step issued to a patch-clamp amplifier will be 40 mV with respect to the holding potential specified at the instrument. For example, if the holding level specified at the instrument is –70 mV, the output increases the potential by 40 mV from –70 mV to –30 mV.


Telegraphs

Telegraphs are messages the amplifier sends to Clampex software to inform it of key amplifier settings. This topic offers a general explanation of telegraph functionality.

Telegraphs are enabled and configured in Configure > Telegraphed Instrument.

Sections in this topic are:

  • The information telegraphs send
  • What telegraphs do
  • Types of telegraph
  • Associating telegraphs with channels
  • Selecting your amplifier

The information telegraphs send

Amplifiers differ in the information they telegraph, and whether they telegraph at all. Where telegraphs are supported, one or more of the following is telegraphed:

  • Gain: The most important telegraph is of gain setting, informing Clampex software of the amount of amplification that has been applied to the data signal. All telegraphing amplifiers telegraph gain.

Gain telegraphs always carry information about the total amount of amplifier gain, i.e. the product of both headstage and output gain. Though the MultiClamp 700 telegraphs the total amplifier gain, it reports only the Output Gain setting (see below).

  • Lowpass filter cutoff frequency
  • Whole-cell capacitance compensation setting

As well as these, the MultiClamp 700 telegraphs:

  • the scaled output signal type and units
  • the scale factor for the scaled output signal
  • the command signal scale factor
  • the recording mode (current or voltage clamp)

What telegraphs do

Telegraphed information is used by Clampex software in four ways:

  1. Gain telegraphs are used for automated scale factor configuration.

    Scale factor settings ensure correct data scaling in both the Scope window and recorded data files.

    When you are receiving gain telegraphs you must set a base scale factor for the data signal that the telegraph is associated with (on the Input Signals tab of the Lab Bench). This is the scale factor appropriate for when total amplifier gain is one; see Setting scale factors with a gain telegraph for a full explanation.

  2. Three telegraphs are reported in the Real Time Controls and in the Telegraphs section of the Lab Bench Inputs tab:
    • Filter: the instrument's lowpass filter cutoff frequency
    • Gain: the amplifier gain. This includes headstage gain for all amplifiers except the MultiClamp 700, which reports the front panel Output Gain setting only.
    • Cm: the whole-cell capacitance compensation setting

    The MultiClamp 700 amplifiers additionally report, on the Input Signals and Output Signals tabs in the Lab Bench:

    • input signal scale factors and units
    • output signal scale factors and units
  3. Gain, lowpass filter frequency, and membrane capacitance values are written into the headers of recorded data files (headers can be viewed using the File > Properties command).
  4. For the MultiClamp 700 only, the recording-mode telegraph (reporting whether the MultiClamp channel is in voltage or current clamp) triggers specific sequencing keys, if these have been enabled. These keys can be configured to run a specific protocol when the recording mode is changed. See Sequencing Keys with the MultiClamp 700.

Types of telegraph

Telegraphs have until recently always been analog signals, connected via BNC ports on the amplifier. In the GeneClamp 500 and MultiClamp 700 telegraphs are sent as software messages via the serial cable connection to the computer.

Digidata 1440A, and 1550-series digitizers have dedicated (analog) telegraph ports.

Associating telegraphs with channels

When telegraphs are configured, they must be associated with a particular analog input digitizer channel (i.e. a data input channel, not the channel over which the telegraph is sent). This should be the channel connected to the instrument's SCALED OUTPUT port. Do not set up telegraphs for channels connected to fixed-gain output ports on the amplifier.

If you are using more than one amplifier, or (equivalently) both channels of a MultiClamp 700, you can set up telegraphs for each of the scaled outputs of these, as they each have their own gain, filter and whole-cell capacitance compensation settings.

Selecting your amplifier

The Telegraphed Instrument configuration dialog lists many known amplifiers used for electrophysiology. If you have one of these, simply select it from the list. Where there are optional headstages for these amplifiers, take care that you select the right headstage/amplifier combination.

If your amplifier is not listed but has telegraph outputs, you can configure Clampex software to have it appear in the list box. Instructions are provided in the userdefinedinstruments.ini file, located in \Program Files\Molecular Devices\pCLAMP11.2\. Configuration of the telegraphed instrument is carried out in the same file.

If your amplifier does not send telegraphs, some telegraph functionality is still available.

  1. Select Telegraphed Instrument > Manual.
  2. Select a Gain value.
  3. Select Frequency > Lowpass filter cutoff.

    CAUTION! Never alter the telegraphed Gain and Filter settings while recording (For example, do not turn the instrument gain and filter knobs), because one value applies to the whole trial.

  4. Select Lab Bench > Telegraphs > Whole-cell capacitance compensation.


Menu Reference

This section of Help has topics specific to every command and dialog in pCLAMP software, ordered by menu:

File Menu

Edit Menu

Acquire Menu

View Menu

Configure Menu

Format Menu

Tools Menu

Window Menu

Help Menu


File Menu

Topics in the File menu are:

  • New—Results
  • New Data File Index
  • Open Data
    • Plain Text Converter
    • Plain Binary Converter
  • Open Data Options
  • Open Data File Index
  • Open Other—Lab Book
  • Open Other—Results
    • Text File Information
  • Open Other—Selected Files
  • Open Other—Statistics
  • Close
  • Close All
  • Save
  • Save As
    • File Save Options
  • Save Copy As
  • Previous Data File
  • Next Data File
  • Last Recording
  • Properties
  • Set Data File Names
  • Archive
  • Print
  • Print Preview
  • Page Setup
    • Printing Range Tab
    • General Tab
    • Headers and Footers Tab
    • Layout Tab
  • Send
  • Recent Files List
    • Exit


New > Results

File > New > Results

Prompts you to save the contents of the current Results window, then opens a new Results window.

Only one Results file, or unsaved set of results data, can be open at once, though this can be viewed in more than one Results window at a time, with Window > New Window.


New Data File Index

File > New Data File Index

Open a new Data File Index (DFI) window. The Add Existing Files dialog opens at the same time for you to select data files for the new DFI file.


Open Data

File > Open Data

Shortcut: Ctrl + O

Toolbutton:

Opens a file dialog where you select or type the name of the data file that is to be opened. The data file is displayed in an Analysis window.

If pCLAMP software cannot recognize formatting features in the file you are trying to open the Plain Text Converter or Plain Binary Converter opens, for you format the file so it can be displayed.

When you load a data file, the folder is saved so the next time you choose Open Data, it goes to the same folder. However, if you use Set Data File Names to change the folder to where files will be recorded, this will also change the Open Data folder (the reverse is not true; changing the Open Data folder does not change the Set Data File Names folder).

Options

Click the Options button to open the Open Data Options dialog which contains display options for newly opened files.

Current Options

For your quick reference, current data option settings are shown here.

See also: Data Organization


Plain Text Converter

If you use File > Open Data on an unrecognized text file format, the Plain Text Converter dialog opens to allow you to specify how to read the data, along with signal information such as scaling. Read this section thoroughly as several fields are dependent on each other. Data in a text file must be arranged in columns—the settings here determine how those columns are interpreted.

Sections in this topic:

  • Source File
  • Lines to skip
  • File Comment
  • Acquisition Mode
  • Signals
  • Timing

Source File

The contents of the text data file you wish to open are displayed here.

Lines to skip

If the text data file has header information, specify the number of lines to ignore when reading in the data. For instance, if the data values start on the fifth line of the text file, specify 4 lines to skip.

Important: Specify the lines to skip first. The accuracy of this dialog's file recognition depends on the value in this field.

File Comment

Add a file comment, which can be displayed by the File > Properties command.

Acquisition Mode

Fixed-Length (n Sweeps)

Specify Fixed-length if the data were recorded as fixed-length sweeps. If the Number of Signals is specified as 1, each column in the file is considered to be a sweep. If the Number of Signals is greater than 1, each column is a signal with a single sweep.

Gap-Free

Specify Gap-free if the data were recorded as one continuous stream with no breaks. Each column in the file is one signal.

Signals

Highlight in the list box the signal you wish to configure. The number of signal entries in the list box correspond to what you enter for Number of Signals.

Number of signals

Specify the number of signals (analog input channels) there are in the file. If you specify 1 signal, each column will be considered a sweep. If you specify more than 1 signal, each column will be a signal with a single sweep.

Name

Enter a name for the highlighted signal.

Units

Enter the units of the highlighted signal. In the right field, enter the unit (e.g., 'V' for volts, 'A' for amps), and in the left field, use the drop-down list to choose the magnitude prefix (e.g., 'm' for milli, 'n' for nano).

Full-scale limits (units)
Positive and Negative

For purposes of display scaling, enter a value slightly larger than the largest value in the data (for the highlighted signal) in the Positive field, and enter a value slightly smaller than the smallest (most negative) value in the data in the Negative field.

Timing

Use time in column 1
Choose if the first column in the text file is a time column. In order for the first column to be used as time, the values in this column must increase linearly (i.e. with a constant difference between each time value).

Add a time column

Under this option, all columns in the text file are considered data (either signals or sweeps), and Clampex software generates time values based on the entry in Sampling Interval per channel.

Sampling Interval per channel

Enter the sampling interval per channel (the time between samples) in microseconds.

Start-to-Start interval

If you chose the Fixed-length acquisition mode (sweeps), enter the time, if defined, between the start of one sweep to the start of the next sweep. If unknown, choose Minimum from the drop-down list.


Plain Binary Converter

If you attempt to open an unrecognized binary file format with File > Open Data, the Plain Binary Converter dialog opens to allow you to specify signal information such as scaling, and it lets you specify how to read in the data. Read this section thoroughly, as several fields are dependent on each other. Data in a binary file must be arranged as a linear stream of samples.

Interlacing

If the data file contains multiple signals (multiple analog input channels), the samples are assumed to be interlaced, i.e. the first sample of each signal comes (in signal order) first, then all the second samples, then all the third, etc.

Sections in this topic:

  • Data Type
  • Integer Conversion
  • Acquisition Mode
  • Bytes to skip
  • File Comment
  • Signals
  • Sample Information

Data Type

Integer (2 byte)

Specify Integer if the data are stored as two-byte integers. Each sample must be two bytes long. Raw data recorded from an A/D converter are normally stored as two-byte integers.

Float (4 byte)

Specify Float if the data are stored as IEEE four-byte floating-point values. Each sample must be four bytes long. Data that have been previously analyzed are normally stored as four-byte floats.

Byte Order

IBM PC-type computers and Macintosh computers store their data types in opposite byte order. Choose the appropriate selection for the computer type on which the data were recorded.

Integer Conversion

These settings are relevant if you chose the Integer data type.

Voltage Range

Choose the setting corresponding to the analog input range of the digitizer used to record this data file.

Bits/Sample

Choose the setting corresponding to the resolution of the digitizer's A/D converter. Most common are 12-bit and 16-bit digitizers.

Acquisition Mode

Fixed-Length sweeps

Choose Fixed-length if the data are arranged in fixed-length sweeps.

Gap-free

Choose Gap-free if the data consists of a stream of data samples with no time gaps.

Bytes to skip

If the data file contains header information, specify the size of the header in bytes. You must enter an accurate value in order for the data to be read properly.

File Comment

Add a file comment, which can be displayed by the File > Properties command.

Signals

Highlight in the list box the signal you wish to configure. The number of signal entries in the list box correspond to what you enter for Number of signals.

Number of signals

Specify the number of signals (analog input channels) there are in the file. If you specify more than 1 signal, the data samples are assumed to be interlaced (see top of page).

Name

Enter a name for the highlighted signal.

Units

Enter the units of the highlighted signal. In the right field, enter the unit (e.g. "V" for volts, "A" for amps), and in the left field, use the drop-down list to choose the magnitude prefix (e.g. "m" for milli, "n" for nano).

V / units

Enter the scale factor for the highlighted signal. The scale factor is defined as the number of Volts read at the digitizer analog input for each unit (as defined above) measured by the instrument.

units @ 0V

Enter the offset. The offset is defined as the number of units measured by the instrument when the number of Volts at the digitizer analog input equals 0 (zero). For an Axon Instruments amplifier this value will be zero.

Sample Information

Sampling interval per signal

The sampling interval is the time between samples, which is the reciprocal of the sampling rate. If there are multiple signals, enter the interval between two samples of the same signal.

Sweeps to convert

If you specified an Acquisition Mode of Fixed-length sweeps, enter the number of sweeps to convert. The total number of sweeps, reported to the right of this field, depends on the Number of signals you have specified, and the number of Samples per signal you specified below.

Samples per signal

If the Acquisition Mode is Gap-free, enter the total number of samples per signal. If the Acquisition Mode is Fixed-length sweeps, enter the number of samples per sweep per signal.

Start-to-Start interval

If the Acquisition Mode is Fixed-length sweeps, enter the time, if defined, between the start of one sweep to the start of the next sweep. If unknown, choose Minimum from the drop-down list.


Open Data Options

File > Open Data Options

File > Open Data Dialog: Options Button

Choose how to display data files when they are opened in an Analysis window in this dialog. The dialog is accessed via the File > Open Data dialog.

Sections in this topic:

  • Window Usage
  • X Axis Scaling
  • Y Axis Scaling
  • Signal Selection
  • Sweep Selection

Window Usage

Open data files into the active window

Opens an existing data file into the active Analysis window. If no Analysis windows are open, one is opened, but subsequently opened files load into the same window, replacing the previous file.

Open data files into new windows

Opens an existing data file into a new Analysis window. Up to 16 Analysis windows can be open at one time.

X Axis Scaling

X axis scaling for Analysis windows is configured in the View > Window Properties > X Axis tab.

Keep existing

All data files opened subsequent to this selection use the X axis scaling configuration in the current active Analysis window. If an Analysis window is not open the X axis defaults to Full scale.

Full scale

All data files opened subsequent to this selection use the full X axis scaling from the file.

  • For files acquired in a sweep-based acquisition mode (Episodic Stimulation, High-speed Oscilloscope, and Fixed-length Events modes)opened in Sweeps display mode, full scale is the length of one sweep.
  • For files acquired in Gap-free mode, full scale is the entire length of the acquisition, opened in Continuous display mode.
  • For files acquired in Variable-length events mode, full scale is the whole length of the acquisition, but opened in Concatenated display mode.

Use acquisition

All data files opened subsequent to this selection will use the X Axis scaling as displayed in the Scope window during the acquisition of those files.

Y Axis Scaling

Y axis scaling for Analysis windows is configured in the View > Window Properties > Signals tab.

Keep existing

All data files opened subsequent to this selection use the Y axis scaling that exists in the current active Analysis window. If an Analysis window is not open, or if the active Analysis window does not contain the same signal names, the Y axis defaults to Full scale.

Full scale

All data files opened subsequent to this selection use the full Y axis scaling in the new file. The digitizer's full A/D converter range is displayed.

Use acquisition

All data files opened subsequent to this selection will use the Y axis scaling displayed in the Scope window during the acquisition of those files. If this information is not available in the file, the Y axis defaults to Full scale.

Auto scale

All data files opened subsequent to this selection use a Y axis scaling set to a display gain and offset such that the data fill 90% of the display pane. Hardware gains and offsets are not altered.

Auto scale length

Enter the number of samples used, from the start of the file, to calculate the autoscaled gain and offset in the display pane. The data within this range will fill 90% of the pane, but data outside this range may fall outside the display. You can use the list box option to select All File:

All File: All the samples in the file are used in the autoscaling calculation, so the entire file will be visible.

Signal Selection

Keep existing

All data files opened subsequent to this selection use the same signal selection that exists in the active Analysis window. If an Analysis window is not open, or the current Analysis window does not contain the same signal names, then the signal selection defaults to "Show all signals".

Use acquisition

All data files opened subsequent to this selection will show only the signals that were displayed in the Scope window during the acquisition of those files.

Show all signals

All data files opened subsequent to this selection show all signals recorded in those files.

List

All data files opened subsequent to this selection show the signals selected in this field. Type the signal names in this field separated by commas, e.g. "Temp #01, Voltage, Pin 15, BP". If the file does not contain the signal names entered here signal selection defaults to "Show all signals".

Sweep Selection

These settings are relevant for data files acquired in a sweep-based acquisition mode: Episodic Stimulation, High-speed Oscilloscope, and Fixed-length Events. Sweep display for these types of files is set in the View > Select Sweeps dialog.

Keep existing

All sweep-based data files opened subsequent to this selection use the same sweep selection that exists in the active Analysis window. If an Analysis window is not open the sweep selection defaults to "Show all sweeps".

Show all sweeps

All sweep-based data files opened subsequent to this selection show all sweeps recorded in those files.

List

All data files opened subsequent to this selection show the sweeps selected in this field.

Use commas to list sweep numbers or two periods between sweep numbers to denote a sweep range (e.g. 1,2..7,9,14). If the file does not contain a sweep that you have entered, sweep selection defaults to "Show all sweeps".


Open Data File Index

File > Open Data File Index

Toolbutton:

Opens a file dialog box where you select or type the name of a saved Data File Index (DFI) file to open in the DFI window.

Data File Index files have a .dfi file name extension.


Open Lab Book

File > Open Other > Lab Book

Opens a file dialog box where you select or type the name of an existing Lab Book that you wish to open. Lab Book files are always saved as Rich Text Format (.RTF) files. These are ASCII text files with formatting symbols recognized by MS-Word and other word processing programs.

The default Lab Book is called Clampex software LabBook.rtf.


Open Results

File > Open Other > Results

Opens a file dialog where you select or type the name of a saved Results file to open into the Results window. Only one Results window file can be opened at a time,

Results files have an .rlt file name extension.


Text File Information

This dialog opens when you attempt to open a text file (with a format that Clampfit software does not recognize) into the Results window with Open Results. Provide the information required so the file is displayed in the selected Results window sheet.

Delimiters

Select the type of delimiter to use to segment each row of the text file into different columns. The file is rearranged in the preview window below to show the effects of your choice. Options are:

  • Tab
  • Comma
  • Space
  • Other

For "Other", type in a character.

Column Titles

Check the check box and select one row of the text file in the preview window below to make each delimited segment of that row a column title in the Results sheet.

Import Range

The four fields in this section report (inclusively) the row and column ranges required to display the text file, given the current delimiter selection. You can choose to open a restricted range of rows and/or columns by adjusting the fields accordingly.

Preview Window

The text file you are opening is displayed in the window across the bottom of the dialog. Items in each row are grouped according to the current delimiter selection in the dialog.


Open Selected Files

DFI Window: File > Open Other > Selected Files

When a Data File Index (DFI) window is active, this menu item is available. It is used to open files in the open DFI file.

  1. Select the file or files you want to open from the DFI file you have open (use <Ctrl> to select more than one file).
  2. Click the File > Open Other > Selected Files command.

Alternatively, double-click on the files you want to open, or select them and then right-click, taking "Open Selected" from the popup menu.


Open Statistics

File > Open Other > Statistics

Opens a file dialog where you select or type the name of a saved Statistics file to open into the Statistics window.

Statistics files have an *.sta file name extension.


Close

File > Close

Shortcut: Ctrl + W

Toolbutton:

Closes the active window. This item is grayed out when the Lab Book, Results window or Statistics window is active, because these windows are always open and cannot be closed.


Close All

File > Close All

Toolbutton:

Closes all open windows except the Lab Book, Results windows and Statistics window, which always remain open.


Save

File > Save

Shortcut: Ctrl + S

Toolbutton:

If the contents of the active window have been previously saved to disk, this command updates the file with the current contents of the window. If the active window has not been previously saved, this selection opens the Save As dialog where you select or type a file name.

Analysis window

The Save command always opens the Save As command, in order to protect the original data file from being modified.


Save As

File > Save As

Toolbutton:

Opens a file dialog that allows you to save the data in the active window to different formats. Choose a file name or type a new name.

If the Analysis window is active, the dialog has an Options button, which allows you to specify how the data are saved.

Current Options

For your quick reference, the information listed here shows the settings from the Options dialog.


File Save Options

File > Save As > Options Button

For data files in the Analysis window only, use this dialog to specify subsets of the file to save into a new file. Access the dialog from the File > Save As dialog.

Data Range to Save

These options select the X axis range of data to save:

Between cursors

Selects the data between the two specified cursors.

Note: Saving between cursors 1 and 3 is the same as saving between cursors 3 and 1.

In the new file, data outside of the cursors are blanked. The initial blanked segment will display a cursor value equal to the first saved data point; subsequent blanked segments will display a cursor value equal to the last saved data point.

Note: With sweeps display mode, the new file will show the data sweeps as starting at time 0. However, the "real time" of the data can still be accessed with the continuous display mode.

Duration of window

Selects the duration of the data being displayed in the active window (i.e., the range along the zoomed-in X axis).

In the new file, data outside of the cursors are blanked. The initial blanked segment will display a cursor value equal to the first saved data point; subsequent blanked segments will display a cursor value equal to the last saved data point.

Note: With sweeps display mode, the new file will show the data sweeps as starting at time 0. However, the "real time" of the data can still be accessed with the continuous display mode.

Entire file

Selects all the data in the file in the active window.

Data Selection

Specify the data that are eligible to be saved, subject to the Data Range to Save setting (see above).

Visible sweeps and signals

Save only sweeps and signals that are visible, i.e., sweeps that are selected in Select Sweeps, and signals in the Signals to be shown list on the Show/Hide tab of the Analysis Window Properties dialog.

All sweeps and signals (including hidden)

Save all sweeps and signals, even if they are hidden.

Start first data point at time 0

By default, when saving the data between the active cursors, the start time will be the X axis time of the first cursor. Check this box to force the time to start at 0 in the new saved file.

Note: when viewing a file in continuous mode, you see its actual time scale with the zero point preserved. When displayed in sweep mode, you do not see the zero point.


Save Copy As

Lab Book: File > Save Copy As

Toolbutton:

Save a copy of the active Lab Book to a new file name, while keeping the current Lab Book open.

Use Configure > Lab Book Options to change the name of the system Lab Book.


Previous Data File

Analysis Window: File > Previous Data File

Shortcut: Shift + F8

Toolbutton:

Load the data file recorded previous to the file currently loaded in the active Analysis window. Clampex software searches the folder in which the current file in the active Analysis window is located.


Next Data File

Analysis Window: File > Previous Data File

Shortcut: Shift + F8

Toolbutton:

Load the data file recorded subsequent to the file currently loaded in the active Analysis window. Clampex software searches the folder in which the current file in the active Analysis window is located.


Last Recording

File > Last Recording

Toolbutton:

This selection loads the last-recorded data file into an Analysis window.

Clampex software searches the folder listed in the File > Set Data File Names command.


Properties

File > Properties

Shortcut: Alt + Enter

Toolbutton:

The Properties command opens a dialog box with information about the file or data in the currently selected window. The information presented depends on the active window type:

File > Data Information Displayed

Scope Window

The details of the currently loaded acquisition protocol are displayed.

Analysis Window

File Properties

Details of the protocol under which the file was recorded, as well as information specific to the file (e.g. size, time and date of creation, file format), are reported. Included are comments and Numeric Identifiers set from the Protocol Editor Comments tab.

The information displayed is stored in the header of the data file.

Normal: A summary of file properties information is presented.

Verbose: Full details from the file header are presented.

Tag Properties

Information on tags within the file is reported: tag number, time, which sweep it occurred in, and the comment for comment tags.

Results Window

The name of the active Results window file and the size of the data array are displayed.

Lab Book Window

The name of the active Lab Book file, its size and creation date are displayed.

Data File Index

The number of files in the active Data File Index (DFI) and the amount of disk space occupied by all the files listed in the DFI is displayed.

Previous/Next

Use these buttons to scroll through other open files of the same type as the currently selected file, displaying information on them.

Copy To

Clipboard

Copies the information displayed to the Windows clipboard, from which it can be pasted into other programs.

Lab Book

Copies the information into the System Lab Book.

Printer

Prints the information displayed on your default printer.


Set Data File Names

File > Set Data File Names

The Set Data File Names dialog is used to set:

  • The drive and folder where newly acquired data files are stored.
  • The file name characteristics automatically assigned to data files.

The folder you choose also becomes the default for the File > Open Data command.

See also: File Dialog; Data Organization.

Look in:

Navigate with the "Look in" list box, the file list window directly beneath, and the "Up one level" button to the directory that you want newly recorded data files to be automatically saved to. See File Dialog for instructions on the use of these parts of the dialog box.

This directory also becomes the default for the File > Open Data command.

File name:

Clampex software data file names have three components:

Prefix: The first part of the data file name contains either the date of acquisition (automatically written) or a user-determined name. It is set to 5 characters by default, but can be set to take a long-form date, or take an arbitrarily long name.

Sequence Number: Following the prefix is a number automatically set by Clampex software each time a new acquisition, with the same prefix, is saved (though note the warning in the additional notes below). Clampex software starts a series for any particular prefix with a sequence number of zero, adding one for each new acquisition.

Sequence numbers are 3 characters and immediately follow the prefix in default settings, or can be set to be 4 characters, separated from the prefix by a space.

File Extension: As for any file, the name ends with a full stop and a 3-letter extension. All newly acquired data files are automatically assigned an 'abf' extension.

Your options for the prefix and sequence number components are determined by settings in the "Date prefix" and "Allow long file names" check boxes at the bottom of the dialog box.

Date prefix

Unchecked: The prefix is free for you to assign your own name in the File name field. This facility is often used to group files based on experimental conditions, cell identifiers, etc. For example, in a series of experiments on cardiac myocyte cells, you might type CARDM for the prefix.

  • If "Allow long file names" is NOT checked, you are limited to 5 characters in the prefix.
  • If "Allow long file names" IS checked, the prefix can be as long as you want, and include spaces.

Checked: Clampex software assigns a default date-based prefix.

  • When "Allow long file names" is NOT checked the convention used for the 5-character prefix is YYMDD where:

    YY is the year (example: 02)

    M is the month: 1–9 for January–September, and O, N, D for October, November and December respectively.

    DD is the day of the month: 01–31

    So, e.g. 01N24000.abf is the first file recorded on November 24, 2001.

  • When "Allow long file names" IS checked the convention used for the long date-based prefix is YYYY_MM_DD where:

    YYYY is the year (e.g., 2002)

    MM is the month: 01–12

    DD is the day of the month: 01–31

    A space is automatically placed between the date prefix and file sequence number.

    For example, 2002_01_22 0000.abf is the first file recorded on January 22, 2002.

Allow long file names

Unchecked: File names are restricted to 8 characters, in addition to the .abf extension:

  • The prefix is limited to 5 characters, and uses the short-form date convention if "Date prefix" is set (see above under "Date prefix").
  • The sequence number is 3 characters, and follows the prefix immediately.

Checked: Clampex software allows long files names.

  • The prefix can be arbitrarily long, or if you choose "Date prefix", it will use the long form of the date prefix (see above under "Date prefix").
  • The file sequence number is 4 digits (so you can record up to 10,000 data files with a common prefix), and is separated from the prefix by a space.

File Sequence Numbers (Additional notes)

  • The first file recorded after the Set Data File Names dialog is accepted receives the sequence number entered in the Sequence number section of the "File name" field. The sequence number is thereafter incremented by one for each file recorded.
  • When the Set Data File Names dialog is opened or when the file name prefix or the folder are changed, if files with the specified prefix already exist, the sequence number presented in the form is automatically incremented above the highest sequence number that exists in the folder. Gaps in the sequence numbers are skipped. If files with the specified prefix do not exist the sequence number in the form is set to zero.

    WARNING: If you are recording very large files that need to be backed up onto CD and erased from your hard disk to create more space, Clampex software will no longer be aware of these files and will use the next file sequence number based on those files actually present on the current drive. In these circumstances you should manually change the next sequence number in this field to avoid recording a new file with the same name as one that you have moved to your backup tape.

  • Clampex software will not allow you to specify a sequence number in the Set Data File Names dialog that is less than or equal to the highest sequence number of any existing files on disk that share the same file-name prefix. If you have decided that you do not want to keep previously recorded data files you must delete them.


Archive

DFI Window: File > Archive

After you have conducted a particular experiment and organized all of your data files into a Data File Index (DFI), you can "archive" the DFI, which means that the DFI can no longer be modified. You can later turn off the archive status if you need to add or delete data files.

Archive

When Archive is checked, the DFI can no longer be modified. Use this after you have finished an experiment to protect the DFI from being modified. When checked, Edit > Add New Acquisitions is toggled off and cannot be toggled on, unless you uncheck Archive. Edit > Add Existing Files is also disabled.

Name—If you have stored the archived data on removable media, enter the label so you know where to find the data.

Medium—Use the drop-down list to describe the type of removable media on which the data was stored.

Description—Add your notes describing the experiment.


Print

File > Print

Shortcut: Ctrl + P

Toolbutton:

This is the standard Microsoft Windows print dialog. Select the appropriate options for the print range and the printer to use.

See also Page Setup; Printing Notes.


Print Preview

File > Print Preview

Toolbutton:

Print Preview displays how the file will look when you print it. Print Preview uses the options chosen in File > Page Setup.

The Print Preview window has the following options:

Print

Print the file, equivalent to File > Print.

Next Page

Where your file will print to more than one page, press this button to show the next page.

Prev Page

Where your file will print to more than one page, press this button to show the previous page.

One Page / Two Page

Where your file will print to more than one page, press this button to show one page at a time, or two pages at a time.

Zoom In

Zoom in for a closer view of the file.

Zoom Out

Zoom out to see more of the file.

Close

Close Print Preview.


Page Setup

File > Page Setup

Toolbutton:

The Page Setup dialog allows you to specify many options for printing the active window. Each window type has its own independently saved settings, so make the desired window active before calling up the Page Setup dialog.

The Page Setup dialog contains either two or three tabs:

Printing Range tab (Analysis window only)

General tab (Results window only)

Headers and Footers tab

Layout tab


Page Setup: Printing Range Tab

Use this tab of the Page Setup dialog to define the data range and features of an Analysis window to print. The tab is only available if Page Setup was opened while an Analysis window was active.

Sections in this topic:

  • Show options for
  • Range of Data to Print
  • Printed Windows
  • Items to Print
  • Line thickness relative to screen

Show options for

There are three data display modes: Sweeps, Continuous, and Concatenated. Each display mode stores its own set of printing options. The Page Setup dialog automatically shows the settings for the data display mode used in the active window. Use the drop-down list to choose another data display mode and printing options.

Range of Data to Print

Select the X axis range of data to print:

Between cursors

Select the print range between any of the first four cursors.

Entire window

Only the range of data displayed in the active Analysis window will be printed.

Entire file

The entire data file is printed.

Printed Windows

Number per page

Choose the number of windows to be printed on a single page. Up to 50 windows can be printed on a single page.

Width

Choose the range of data to display in a printed window.

Active window: The range of data you display in the active Analysis window (along the X axis) will be the width of data printed in a single window on a page. To get better time resolution of the data, zoom into the X axis of the Analysis window, and multiple windows will be printed until the specified Range of Data to Print has been printed.

Fixed X: You can also directly enter the range of data to print in a window. This field uses the currently displayed X axis units such as milliseconds, seconds, days, etc.

Fit to: Instead of setting the width of data to print in a window, you can have the Range of Data to Print automatically fit itself into a specified number of pages.

Items to Print

Y axes

Check to print the Y axes.

Ticks with numbers: Y axis ticks are labeled with numbers.

Ticks only: Y axis ticks are printed without numbers beside them.

Signal names and units: Check to print signal names and units.

Use rotated text: The signal names and units are printed in vertical format (sideways) to save space.

X axis below each window

X axis information is printed at the bottom of each window, according to which option is set below.

As full X axis: The full X axis will be printed.

As time stamp below: The X axis is not printed, but the time at the beginning of each window will be printed in the lower left corner of each window in the X-axis area. This feature works well in conjunction with the "X axis at bottom of page" setting.

As time stamp at left: The X axis is not printed, but the time at the beginning of each window will be printed in the lower left corner of each window in the Y axis area. The "Y axes" setting is disabled when using this setting. This feature works well in conjunction with the "X axis at bottom of page" setting.

X axis at bottom of page

The scale of the X axis is printed at the bottom of the page. This is only a scale and is identical on all pages printed. If you need to indicate the actual time, choose "X axis below each window" along with "As full X axis" (see above).

Scale bars

Prints X axis and Y axis scale bars and the scale (the value and units of the scale bar) in the lower left corner of the page. If you are printing multiple signals, the Y axis scale are printed for each signal, identified by signal name.

Cursors if visible

Any cursors that are visible within the Analysis window (and within the Range of Data to Print) are printed.

Tags if visible

Any tags that are visible within the Analysis window (and within the Range of Data to Print) are printed.

Gridlines if visible

If gridlines are visible in the Analysis window, they are printed.

Line thickness relative to screen

The actual printed line thickness is the Line width (on the Signals tab in the Analysis Window Properties dialog) multiplied by "Line thickness relative to screen". This is to compensate for the difference between the line thickness on screen versus the printer.

Print title page

Prints a title page before the data. This is useful for appending to all subsequent pages, so more data can be printed without the need to repeatedly print the Y axis and signal names and units on each page. The title page includes the file's Properties information, and Y axes, signal names and units along the right-hand side of the page.

Printer Font

Click this button to customize the font settings used in the axes, cursors, and tags.


Page Setup—General Tab

This tab in the Page Setup dialog appears only when the Results window is active.

Titles and Grids

Row header, Column header

Print row numbers and column names.

Frame

Print a border around the Results array.

Vertical grids, Horizontal grids

Print vertical and horizontal grid lines.

Black and white

If you are printing to a standard monochrome printer, choose black and white for the best output.

Page Order

First rows, then columns

If the Results window has more rows and columns than will fit on one page, the order of the printout of the pages will be all rows for the first set of columns, then all the rows for the second set of columns, etc.

First columns, then rows

If the Results window has more rows and columns than will fit on one page, the order of the printout of the pages will be all columns for the first set of rows, then all the columns for the second set of rows, etc.

Center on Page

Vertical, Horizontal

You can independently choose to center the Results array vertically or horizontally on the page.


Page Setup—Headers and Footers Tab

Use this tab of the Page Setup dialog to configure headers and footers for each page of the printed data. The locations of the headers and footers are determined in the From Edge section on the Layout tab.

Print Parameters

To insert one of these fields in a header or footer, first position the text cursor at the insertion point in a header or footer edit box, and then click on the desired button. The fields that are available depend on which window type is active when you open Page Setup.

Normal text can also be typed in any of the header and footer edit boxes.

File Name: Insert the name of the file in the active window.

Current Date: Insert the date that the information is being printed.

Current Time: Insert the time that the information is being printed.

Page Number: Insert the page number on each page.

Total Pages: Insert the total number of pages to be printed.

Stopwatch: Insert the Stopwatch time of when the data file was acquired (Analysis window only).

Comment: Insert the Comment stored in the data file (Analysis window only).

Acquire Date: Insert the date that the data file was acquired (Analysis window only).

Acquire Time: Insert the time that the data file was acquired (Analysis window only).

Header

Left: Items in this edit box are printed at the top of each page and left aligned.

Center: Items in this edit box are printed at the top of each page and centered.

Right: Items in this edit box are printed at the top of each page and right aligned.

Footer

Left: Items in this edit box are printed at the bottom of each page and left aligned.

Center: Items in this edit box are printed at the bottom of each page and centered.

Right: Items in this edit box are printed at the bottom of each page and right aligned.

Font

Configure the fonts used in the headers and footers.


Page Setup—Layout Tab

Use this tab of the Page Setup dialog to configure margins and set the page orientation for printing.

Margins

Use these fields to specify the print margins when printing the active window. The units of measurement are those chosen in the Windows Control Panel.

From Edge

Specify where to place the header and footer. This position depends on the capability of the printer (how close to the edge it can print) and the Margins.

Orientation

Choose Portrait (the page is vertical) or Landscape (the page is horizontal).


Send

File > Send

Open a new email for sending with the file in the active window automatically attached.

The Send command supports MAPI-compliant email systems (e.g. Microsoft Exchange).


Recent Files List

File > [File Names]

The twelve most recently opened data, results or layout files are listed for easy recall.


Exit

File > Exit

Shortcut: Alt + F4

This closes Clampex software and all the currently open files. The registry settings and various initialization files are updated with changes made during the session, and the Lab Book is automatically saved.


Edit Menu

Go to topics for Edit menu commands and dialogs:

  • Undo
  • Cut
  • Copy
  • Copy (dialog)
    • Choose Page Number
  • Paste
  • Insert—Rows
  • Insert—Columns
  • Clear
  • Clear Statistics
  • Delete Rows
  • Delete From Index
  • Delete All From Index
  • Select All
  • Select Range
  • Add Existing Files
  • Add New Acquisitions
  • Find
  • Find Next
  • Replace
  • Go To
  • Modify Signal Parameters
    • Input Tab
    • Output Tab
    • Comments Tab
  • Modify Math Parameters
    • Query—Save Math Changes?


Undo / Redo

DFI Window, Lab Book & Results Window: Edit > Undo

Shortcut: Ctrl + Z

The behavior of this command depends on the active window:

Data File Index window

Undo becomes "Undo Add Existing Files", which reverses the last Add Existing Files command you executed.

Lab Book

Undo acts as a toggle, undoing and redoing the last action.

Results window

There are ten levels of Undo available to reverse your last ten changes.


Cut

DFI Window, Lab Book & Results Window: Edit > Cut

Shortcut: Ctrl + X

The highlighted selection is cleared and copied to the Windows clipboard. When on the clipboard, the selection is then available to paste into other Clampex software windows or into other programs that support pasting from the clipboard.


Copy

Edit > Copy

Shortcut: Ctrl + C

The function of the Copy command depends on which window is active.

Results window and Lab Book

When the Results window or Lab Book is active the Copy command copies the selected data or text to the Windows clipboard. When on the clipboard the data are then available to paste into the active window or into other Windows programs that support the clipboard.

Scope window

When the Scope window is active the Copy command copies a bitmap of the current image in the Scope window to the clipboard. Once on the clipboard the bitmap image is then available to paste into other programs that support embedded images.

Analysis window

When the Analysis window is active the Copy command opens the Copy (dialog) and executes the requested action when you click the OK button.


Copy (dialog)

Analysis Window: Edit > Copy

Shortcut: Ctrl + C

Select one of the options below for copying the data file in the active Analysis window to the clipboard.

For best results copy the file as a metafile and use "Paste Special", in the target application. If results are not satisfactory, try first pasting into a Microsoft application, and then copy and paste from there to the target application.

Copy Analysis Window to clipboard as a bitmap

The file is copied as a bitmap image. A bitmap image loses resolution if you scale it to a larger size.

Copy Analysis Window to clipboard as a Metafile

The file is copied as a metafile vector image. A metafile image maintains resolution if you scale it to a larger size. See Metafile Notes.

Copy data to clipboard as a Metafile using Page Setup settings

The file is copied as a metafile vector image with the formatting determined by the File / Page Setup settings. See Metafile Notes.

Copy data to clipboard as an Axon Text File

The file is copied as data values with the following options:

Range—Choose the range of data to copy to the clipboard.

Between cursors: Copy a segment of data between cursors. Use the spinners to choose which two cursors. Note that order does not matter, e.g., "Between cursors 1 and 2" is the same as "Between cursors 2 and 1."

Entire window: Copy the data that is visible in the active Analysis window.

Entire file: Copy the entire data file, i.e.,both visible and hidden data.

Shift data to start at time 0—If the range of data being copied to the clipboard does not include the beginning of the file, the time information will not start at zero. Check this to shift the time information to start at zero.

Include ATF header information—Check this to include descriptive ATF header information along with the data.


Choose Page Number

This dialog opens when you choose "Copy data to clipboard as a Metafile using Page Setup settings" in the Copy dialog (when copying Analysis window contents) and there is more than one page of data.

Select the page you want to copy. You must paste this before you copy another.


Paste

DFI, Lab Book & Results Window: Edit > Paste

Shortcut: Ctrl + V

Copy the contents of the clipboard into the active window at the current cursor position.

To put data onto the clipboard use the Cut or Copy commands.


Insert—Rows

Results Window: Edit > Insert > Rows

Insert additional rows in the Results window.

Select cells or rows at the position you want to insert additional rows. Select as many rows as you want to insert. When you click the command, blank rows are inserted in the highlighted area, and the existing data (at the row of the highlight and below) are shifted down.


Insert—Columns

Results Window: Edit > Insert > Columns

Insert additional columns in the Results window.

Select cells or rows at the position you want to insert additional columns. Select as many columns as you want to insert. When you click the command, blank columns are inserted in the highlighted area, and the existing data (at the column of the highlight and below) are shifted to the right.


Clear

Lab Book, Results, Scope Windows: Edit > Clear

Shortcut: Del

Lab Book—Delete the highlighted text.

Results Window—Erase the contents of the highlighted area, leaving blank cells.

Scope Window—Clear all data traces from the window.


Clear Statistics

Online Statistics Window: Edit > Clear

Shortcut: Del

Clear all data from the Online Statistics window.


Delete Rows

Results Window: Edit > Delete Rows

Shortcut: Ctrl + D

Delete the highlighted row or rows. The entire row is removed, not just the data.

To remove all data from a row but retain the row itself, use Clear.


Delete from Index

DFI Window: Edit > Delete from Index

List Area Popup Menu > Delete from Index

Shortcut: Del

This command deletes the selected file or files in the active Data File Index.


Delete All from Index

DFI Window: Edit > Delete All from Index

List Area Popup Menu > Delete All from Index

This command deletes all file entries in the active Data File Index.


Select All

DFI, Lab Book & Results Window: Edit > Select All

Shortcut: Ctrl + A

Results Window: Click in top left cell

DFI Window: List Area Popup Menu > Select All

Select all the data or text in the active window.

You can then Cut or Copy to the clipboard to Paste into another window or program.


Select Range

Results Window: Edit > Select Range

Select a contiguous block of data by using the spinners to set the range of columns and rows.


Add Existing Files

DFI Window: Edit > Add Existing Files

List Area Popup Menu / Add Existing Files

Add data files to a new or existing Data File Index (DFI) file with this dialog.

Files are added to the currently open DFI file as the result of a search, configured in this dialog. Files must meet all the search criteria to be added.

Note: The data files do not store the protocol name used for acquisition. If you want to search, sort, or create a DFI based on the protocol name, enter it in the "File comment" field in the protocol editor Comments tab, and choose "Write each trial" for Strategy. You can then enter the protocol file name in the "Whose Comment Contains" field (see below) when creating the DFI, or you can search or sort the DFI based on the File Comment column.

Sections in this topic:

  • Add Files
  • With Acquisition Dates
  • With Acquisition Modes
  • Whose Comment Contains

Add Files

Named

You can name a specific file, but more commonly use wildcards to set the file format you want to search for.

Use the standard wildcard filters: ? (one character) and * (multiple characters), to search file names.

Look in

Enter the drive and folder to search.

Browse

Use an Explorer-style dialog to navigate to the desired folder for the "Look in" field.

Include subfolders

Check to search subfolders of the folder named in the "Look in" field.

With Acquisition Dates

Check to restrict the search to a date range. Use the format MM/DD/YY to enter date.

Between

Enter the earliest date to search (inclusive) or use the drop-down list to choose "Today".

and

Enter the latest date to search (inclusive) or use the drop-down list to choose "Today".

With Acquisition Modes

Check to restrict the search to certain acquisition modes. Select the desired acquisition modes.

Whose Comment Contains

Check to restrict the search to data files containing certain comments. The search is for the exact string that you enter, which may consist of whole and partial words.


Add New Acquisitions

DFI Window: Edit > Add New Acquisitions

New acquisition files are automatically added to the currently selected DFI if the DFI is open.

More than one DFI can be open at a time and can have this option enabled; in that case, new acquisitions are added to all of them.


Find

DFI, Lab Book & Results Window: Edit > Find

Shortcut: Ctrl + F

Shortcut for "Find Next": F3

Use Find to search for alphanumeric text in the Lab Book and Results window, and to select files with a specified parameter or numeric parameter range, in the Data File Index window.

Jump to instructions for:

  • Lab Book & Results Window
  • Data File Index

Lab Book & Results Window

Find what

Enter the text you want to search for. You may enter whole words or partial words, depending on the setting to "Match whole word only".

Match whole word only

Check to find exact word matches with your entry in "Find what".

E.g. if you enter "clamp" and do not check this option, "Clampex software" and "pCLAMP software" will be found. Check the box to find "clamp" only.

Match case

Check to find text that matches the case of the letters in the "Find what" field. Unchecked, a "Find what" entry "clamp" will find "Clamp" as well as "clamp".

Direction (Results window only)

Up search towards the beginning of the file (i.e. from the bottom up in each column, from right to left), from the current cursor position

Down: search towards the end of the file (i.e. from the top down in each column, from left to right), from the current cursor position.

Find Next

Press Find Next (or <F3>) multiple times to find the first and subsequent occurrences of the text in the "Find what" field.

You can close the Find dialog and still use Find Next with <F3> or Edit / Find Next, which uses the settings in the dialog when you closed it.

Data File Index

When you conduct a Find operation in the DFI window, all the data files are sorted on the parameter you are searching on, and the files meeting the search criteria selected.

Search

Select the file parameter you want to search on. These are listed in alphanumeric order.

For Values

The "Search" parameter you have selected is searched for the text, numerals, or numeric range you enter here.

Equal to

Enter a specific number or text to find. Where the Search parameter has a restricted number of options (e.g. "Enabled" and "Disabled" in the Leak and Digital columns), these options are available in the drop-down menu.

Between

For parameters reporting numbers, set an inclusive range to find.


Find Next

Lab Book & Results Window: Edit > Find Next

Shortcut: F3

When you have configured a search in the Find dialog for the Lab Book or Results window, this command finds the next instance of the searched for text or number (entered in the "Find what" field).

Find Next remains active after the Find dialog is closed, and can be used for other files opened into windows of the same type for which the dialog was configured.


Replace

Lab Book & Results Window: Edit > Replace

Shortcut: Ctrl + H

Use Replace to search for alphanumeric text and replace it with another word or number.

Find what

Enter the text or number you want to search for. You may enter whole words or partial words depending on the setting to Match whole word only.

Replace with

Enter the text or number that will replace the text that you entered in theFind what field.

Match whole word only

Check to find exact word matches with your entry in Find what.

E.g. if you enter "clamp" and do not select this option, Clampex software and Clampfit software will be found. Select the box to find clamp only.

Match case

Check to find text that matches the case of the letters in theFind what field. Deselected, a Find what entry clamp will find Clamp as well as clamp.

Find Next

Click Find Next multiple times to find the first and subsequent occurrences of the text in the Find what field.

Replace

When Find Next locates and highlights a block of text, click Replace to replace the highlighted text with the text in the Replace with field.

Replace All

Click to replace all occurrences of the text in the Find what field automatically, without prompting.


Go To

Results Window: Edit > Go To

Use Go To to go directly to a particular cell in the currently visible Results window sheet.

Column

Select the column from the list box.

Row

Select the row number with the spinner.


Modify Signal Parameters

Analysis & DFI Windows: Edit > Modify Signal Parameters

Analysis Window Signal Properties Popup Menu: Signal Properties

Modify Signal Parameters allows you to change information stored in the headers of data files. Raw data values are not affected, but signal names, units, scale factors and offset values, and file comments can be modified.

When you record in Clampex software the data are saved as raw A/D integer values. For instance, with Digidata 1440A digitizers the 16-bit data are saved as integer values between –32768 and +32767. Clampex software uses the scale factor entered in the Lab Bench to convert the raw A/D values to real-world values such as nA and mV. Sometimes an incorrect scale factor can be saved to the data file; for instance, if the gain setting on the amplifier is switched just before recording. This can be corrected after the file is recorded with this dialog.

There are three tabs:

Input tab

Output tab

Comments tab


Modify Signal Parameters—Input Tab

The Input tab is the first tab in the Modify Signal Parameters dialog.

Change file header parameters for analog input signals on this tab.

Changes cannot be "undone" once they have been saved (i.e. previous settings are not saved), though you can use the dialog again to make further changes or to reset prior settings.

The settings that can be modified here are originally set in the Lab Bench.

Signal

Select the signal whose parameters you wish to modify. The analog input channel on which the signal was recorded is also reported.

Parameters

Name

Edit the signal name.

Units

Edit the signal units.

V / units

Edit the scale factor, which is the number of volts read at the analog input for every unit measured.

NB. If the file was recorded while a gain telegraph was enabled, the scale factor reported here may be different from that under which recording was made. This is because the scale factor reported here is the same as that entered in the Lab Bench Inputs tab, which (with gain telegraphs enabled) should be the scale factor appropriate for when total amplifier gain is one. This value does not alter when (telegraphed) gains settings are other than one, even though the scale factor actually applied to the incoming signal is not the one reported.

units @ 0 V

Edit the offset value, which is the signal level in units when the analog input is reading 0 volts.

Note: You cannot Modify Signal Parameters in Floating Point ABF files; you can only do this to Integer ABF files. To change the scale factor in a floating point file, use Analyze > Arithmetic in pCLAMP software and change the scaling manually.


Modify Signal Parameters—Output Tab

The Output tab is the second tab in the Modify Signal Parameters dialog box.

Change file header parameters for analog output signals on this tab.

Changes cannot be "undone" once they have been saved (i.e. previous settings are not saved), though you can use the dialog again to make further changes or to revert to prior settings.

The settings that can be modified here are originally set in the Lab Bench.

Signal

Select the signal whose parameters you wish to modify. The analog output channel on which the signal was recorded is also reported.

Parameters

Name

Edit the signal name.

Units

Edit the signal units.

units / V

Edit the scale factor, which is the number of units delivered to the preparation for every volt sent at the analog output.


Modify Signal Parameters—Comments Tab

The Comments tab is the third tab in the Modify Signal Parameters dialog.

Change comments stored in data file headers on this tab.

Changes cannot be "undone" once they have been saved (i.e. previous settings are not saved), though you can use the dialog again to make further changes or to revert to prior settings.

The settings that can be modified here are originally set in the protocol editor Comments tab.

File Comment

Edit the existing file comment or enter a new comment.

Identifiers

Numeric Identifier #n

Enter real numbers or integer values in these fields.

Only numerals are accepted, apart from "+", "–", and "e" for exponential notation.


Modify Math Parameters

Analysis Window: Edit > Modify Math Parameters

Analysis Window (Math Signal) Signal Properties Popup Menu: Signal Properties

Edit the values of an existing math signal associated with the file, or create a new math signal.

When the Math Signal feature is used to calculate a signal from one or two recorded signals in Clampex software, the calculated signal itself is not stored in the data file—only the scaling factors, offsets, and equation are saved to the file header. The calculated signal is then reconstructed when the file is read into Clampfit software. This dialog allows you to amend these settings, or configure a new math signal.

When you click OK, you are asked whether you want to save the changes to the data file or to use the math signal just for this session.

Math Signal

Check on to enable the math signal.

Data Source

Analog IN #A and Analog IN #B

Select the analog input signals to be used for the variables #A and #B in the math equation. It is acceptable for both fields to be set to the same signal.

If your equation uses only one signal, use zero in the appropriate constants to eliminate that part of the equation.

Equation

When you choose the equation, it will appear in a box at the bottom of the dialog.

General purpose

Scale and apply an offset to each signal and apply an operator between each signal.

Ratio dyes

Use to calibrate fluorometric measurements.

Operator

Choose an arithmetic operator for this equation. The operator Addition / Subtraction / Multiplication /Division is shown in the equation as <op>:

Constants

Enter constant values to scale and apply offsets to the equation. These are defined in the Generalized Equation in the lower part of the dialog.

K1 and K3: Use K1 and K3 to apply scale factors in the equation, including zero if appropriate.

K2 and K4: Use K2 and K4 to apply offsets in the equation.

K5 and K6: K5 and K6 are only used in the Ratio Dye equation, to apply offsets to the input signals before creating the ratio.

Display

Maximum and Minimum

Enter the numeric upper and lower limits for the Y axis display so as to adequately view the math signal. You can zoom in while viewing the math signal in the Analysis window. These settings will determine the minimum amplification (i.e. the maximum zoom-out level). If the signal exceeds the range you set here, you cannot zoom out in the Analysis window, you must extend the Y axis display range using these fields.

Units

Enter the appropriate units for your arithmetically derived signal. For example, if you are calculating a ratio in order to measure calcium concentration, enter units such as [Ca].


Query: Save Math Changes?

When you Modify Math Parameters in a data file, you are asked here whether you want to save the changes to the original data file.

Save the math signal settings to the original file

The changes you have made are written to the original data file. Be careful because there is no "undo" feature.

Keep the new math signal settings for this session only

The changes you have made will NOT be written to the data file, so they will only be in effect until you close the data file.


Acquire Menu

Access protocol settings dialogs, and control acquisition with commands in this menu. The first set of links are for the Protocol Editor.

Protocol Editor

Protocol Editor Topics

Mode/Rate Tab

Passive Acquisition

Stimulus Acquisition

Averaging Options

Save Average

Inputs Tab

Outputs Tab

Info Button

Trigger Tab

Hysteresis Button

Set Pretrigger Length

Set Threshold

Statistics Tab

Comments Tab

Comments

Math Tab

Waveform Tabs

Info Button

Summary Button

Stimulus File Button

Stimulus Tabs

Info Button

Update Preview

New Protocol

Open Protocol

Signal Not Found in Protocol

Save Protocol

Save Protocol As

Edit Protocol

Waveform Preview

Analog OUT Signal Properties

Digital OUT Signal Properties

Record

Re-Record

View Only

Pause-View

Pause

Stop

Repeat

Write Last

Autotrigger

Time Tag

Comment Tag

Voice Tag

Recent Protocols List


Edit Protocol

Acquire > Edit Protocol

Toolbar:

The Edit Protocol dialog box contains all of the timing, stimulation, and acquisition controls for conducting an experiment. Input and output signals are chosen and statistics measurements enabled. Together, these settings constitute a "protocol". Protocols can be saved as *.pro files, and then opened for future use.

There is always a protocol open, or "loaded" in Clampex software, reported in the status bar. This protocol controls the analog holding levels and digital outputs all the time it is loaded. When the protocol is "run", by pressing the Record or View Only commands, the command waveform, if any, is generated, and data acquisition begins.

Always begin protocol configuration with a choice of acquisition mode, on the Mode/Rate tab, because this affects the options open to you throughout the dialog.

Edit Protocol dialog includes the following tabs:

Mode/Rate tab

Inputs tab

Outputs tab

Trigger tab

Statistics tab

Comments tab

Math tab

Waveform tab

Stimulus tab

Additionally, at the bottom of the Edit Protocol dialog, are:

  • A display of the currently selected Acquisition Mode, as set on the Mode/Rate tab.
  • The Update Preview button, which in Episodic Stimulation mode can be clicked to display the stimulus waveform determined on the Waveform tab.


Edit Protocol—Mode/Rate Tab

Use the Mode/Rate tab to select the acquisition mode and set up timing and sampling parameters for your experiment.

It is important to select the acquisition mode first because the fields available in the protocol editor depend on this.

Help has two topics for the Mode/Rate tab, depending on the acquisition mode you select:

Passive Acquisition

Gap-free

Variable-length events

Fixed-length events

High-speed oscilloscope

Mode/Rate Tab – Passive Acquisition

Stimulus Acquisition

Episodic stimulation

Mode/Rate Tab – Stimulus Acquisition

The selected mode is displayed at the bottom of the Edit Protocol dialog.

See Edit Protocol.


Edit Protocol—Mode/Rate Tab—Passive Acquisition

This topic deals with the Mode/Rate tab when one of the following, passive, acquisition modes is chosen: Gap-free, Variable-length events, Fixed-length events, or High-speed oscilloscope.

Sections in this topic:

  • Trial Length
  • Sampling
  • Averaging
  • Allow automatic analysis in other programs

For the Mode/Rate tab when Episodic stimulation is chosen, see Mode/Rate Tab—Stimulus Acquisition .

Trial Length

Define the length of your acquisition in this section. Clampex software can record a maximum of 2 gigasamples, for a maximum file size of 4 GB (but a file of this size is not recommended).

Use available disk space

Check this option to acquire data until the disk is full, or until acquisition is stopped manually (by clicking Stop).

Duration (units)

Enter the duration of the data acquisition:

Gap-free: all data acquired during the stipulated time is written to the file. The disk space this will use is reported beside the field

Variable-length events & Fixed-length events: event detection is active for the specified duration, but file length depends on the number of events recorded. If there are no triggers no file is created. If a trigger occurs near the end of the duration and a full sweep length cannot be acquired, again no file is created.

High-speed oscilloscope: enter the number of sweeps to acquire. The disk space this will use (given sweep length, set in the next section) is reported beside the field.

The space available on your hard disk is reported below the field in megabytes, and in hours, minutes and seconds, or number of sweeps for high-speed oscilloscope mode.

Sampling

Specify the sampling rate of the analog-to-digital conversion, for each signal being acquired (set on Inputs tab) (see A/D Multiplexing).

Sampling rate per signal

Enter an integer value for the sampling rate in Hertz (Hz).

The lowest sampling rate (largest sample interval) you can enter is 1 Hz per signal, corresponding to a 1,000,000 µs sample interval.

The highest sampling rate (smallest sample interval) value depends on the capability of the digitizer. Highest rates with one input signal enabled are:

Digidata 1550 series: | 500 kHz (2 µs)
Digidata 1440A: | 250 kHz (4 µs)
MiniDigi 1A or 1B: | 1 kHz (1000 µs) (AxoScope only)

The Total data throughput (rate of data storage) is reported below the field.

Sweep length per event per signal (seconds)

Enter the length of each triggered acquisition sweep, in seconds, used in Fixed‑length events and High‑speed oscilloscope modes. The equivalent number of samples is reported beside the field.

The maximum number of samples is 1,032,258 per sweep per channel, unless you have "Ensure data files and protocols are compatible with pCLAMP 6" in Configure > Program Options checked, when it is 16,384. The minimum number is 12 samples.

Averaging

For high-speed oscilloscope mode only, check to have all acquired sweeps averaged. The recorded file saves only the averaged sweep unless "Include raw sweeps in data file" is checked.

Optionally display the average trace in the Scope window in addition to the raw sweeps.

Options button

Open Averaging Options to choose different averaging methods and create an undo file for the average.

Include raw sweeps in data file

Check this option to save the raw sweeps in the file along with the average sweep. The average sweep is saved as the last sweep in the data file.

Allow automatic analysis in other programs

Check to have each new data file recorded made available to other applications.

Enable Configure > Automatic Analysis in pCLAMP software to have new files automatically open in pCLAMP software, where you can also configure automatic Quick Graphs and file subtraction.


Edit Protocol—Mode/Rate Tab—Stimulus Acquisition

This topic covers the Mode/Rate tab when Episodic stimulation acquisition mode is chosen.

Sections in this topic:

  • Trial Hierarchy
  • Sampling Interval Per Signal
  • Start-To-Start Intervals
  • Averaging

For the Mode/Rate tab when any other acquisition mode is selected, see Mode/Rate Tab—Passive Acquisition .

Trial Hierarchy

A trial is the execution of a protocol resulting in a single data file. Clampex software can record a maximum of 2 gigasamples, for a maximum file size of 4 GB.

To run multiple trials sequentially, use Sequencing Keys, or for less precise timing, Acquire > Repeat.

Runs/trial

Specify how many runs to execute in the trial, up to 10,000.

Runs are always averaged, with just the average run being saved to the data file.

Sweeps/run

Set the number of sweeps in each run, up to 10,000.

Sweep duration

Enter the sweep duration in seconds, or use the spinners to choose typical sweep durations.

If you acquire multiple signals, the sweep duration is the same in each sweep..

The maximum number of samples is 1,032,258 per sweep per channel, unless you have "Ensure data files and protocols are compatible with pCLAMP 6" in Configure > Program Options checked, when it is 16,384. The minimum number is 12 samples.

Not all sweep durations specified in this field are available to the stimulus waveform—output is held at the holding level for two "holding" periods at the start and end of each sweep, each 1/64th of the total sweep duration. The time in seconds or milliseconds and the number of samples available for the waveform ("Epochs") and first and last holding periods is displayed below the field.

Sampling Rate per Signal

Specify the speed of the analog-to-digital conversion, for each signal being acquired (set on Inputs tab) (see A/D Multiplexing).

The stimulus waveform uses the same sampling rate for digital-to-analog conversion.

You can specify both a "fast" and a "slow" rate. The two different rates can then be selected on Waveform tab in the Epoch Description table.

Fast rate

Enter an integer value for the sampling rate in Hertz (Hz).

The lowest sampling rate (largest sample interval) you can enter is 1 Hz per signal, corresponding to a 1,000,000 µs sample interval.

The highest sampling rate (smallest sample interval) value depends on the capability of the digitizer. Highest rates with one input signal enabled are:

Digidata 1550 Series: | 500 kHz (2 µs)
Digidata 1440A: | 250 kHz (4 µs)
MiniDigi 1A or 1B: | 1 kHz (1000 µs) (AxoScope software only)

The Total data throughput (rate of data storage) is reported below the field.

Slow rate

Specify an integer value for the slow sampling rate in Hertz (Hz) using the spinners. The slow rate is not user editable apart from the spinners.

Start-to-Start Intervals

Run

If you have specified multiple Runs/trial, type in the time (in seconds) from the start of one run to the start of the next run. The time entered must be greater than the time it takes to complete a run.

If you want runs to follow on one another immediately, select Minimum from the list.

Sweep

Specify the time in seconds from the start of one sweep to the start of the next.

The time entered must be greater than the time it takes to complete a sweep. This includes the time for P/N Leak Subtraction and Pre-sweep Trains, and 1.081 s to adapt between sweeps, if set, as well as for the main sweep, which has the samples reported beside the Sweep duration field on this tab.

When you select Minimum, each sweep immediately follows the previous one, resulting in continuous acquisition like Gap-free mode, with the additional ability to specify a stimulus waveform.

Use the User List on the Stimulus tabs to vary sweep start-to-start times for each sweep.

Averaging

When you specify multiple Runs/trial, the respective sweeps in each run are averaged to create one run with the specified number of sweeps, i.e. Sweep 1 from all the runs is averaged together to form one averaged Sweep 1, Sweep 2 from all the runs is averaged to form one averaged Sweep 2, etc. Only averaged values are saved.

The averaged sweep trace is optionally displayed in the Scope window during acquisition.

Options

The Options button opens the Averaging Options dialog, which is used to choose different averaging methods and to create an undo file for the average.


Options—Averaging

The (Averaging) Options dialog is used to select the type of data averaging as well as configuring undo options for this. The dialog opens with the Options button in the Averaging group on the Mode/Rate tab of the Protocol Editor.

Averaging is available in Episodic stimulation and High-speed oscilloscope modes only:

  • In Episodic stimulation mode, averaging occurs automatically when multiple Runs/trial are selected. Respective sweeps in each run are averaged to create one run of the specified number of sweeps. In a recording, this averaged run is saved as the data file.
  • In High-speed oscilloscope mode with Averaging enabled, acquired sweeps are averaged to create one averaged sweep. The averaged sweep can be saved alone or with the unaveraged data, as an additional sweep.

Averages are displayed in the Scope window during acquisition.

Type of Average

Cumulative

Cumulative averaging is conventional averaging, where the values of all contributing sweeps (e.g. all the sweep 1's in an Episodic stimulus run) are summed and then divided by the number of sweeps. As the number of sweeps increases, the influence of new sweeps on the average decreases; the average becomes more and more resistant to change.

Choose Cumulative averaging if there is minimal drift and the response of the cell does not change drastically over the course of the trial.

Most recent

With "Most recent" averaging the most recent sweep contributes a constant proportion (definable in the Weighting field) to the average, rather than having a declining influence as is the case for Cumulative averaging. Resultant averages are thus more representative of recent sweeps than earlier ones.

Use "Most recent" when there is data drift, or if the response of the cell changes appreciably over time.

Weighting (%)

Specify the percentage that the most recent sweep contributes to the average.

The new average is calculated by giving the new sweep the selected weighting, in combination with the previous average. For example, if you specify 20% weighting, the most recent sweep contributes 20% of the new average, and the previous average 80%. If you specify 50% weighting, the most recent sweep is given half the weight and the previous average half the weight.

This system approximates one which includes only the previous n sweeps in calculating a new average. The value of n is provided to the right of the Weighting field to help guide your choice here. Note, however, that all previous sweeps continue to have some influence in the average, although this diminishes significantly as new sweeps are accumulated.

Undo File

You can enable the creation of an "undo" file, which allows you to recover a good average after bad sweeps have been taken, perhaps because of a broken seal or cell death.

First, in the "Update every" field, set the frequency with which you want averages stored in the undo file during an acquisition. Then select from the option buttons when you will be offered the choice of saving averages from earlier in your acquisition, rather than simply accepting the final averaged sweep(s).

Update every (sweeps or runs)

Specify how often the current average is added to the undo file (each average is stored separately in the undo file):

  • In High-speed oscilloscope mode enter the number of sweeps after which averages are added to the undo file.
  • In Episodic stimulation mode enter the number of runs after which averages are added to the undo file.

Enter a single number in the field, or use the drop-down list to accept the preset sequence for averages to be saved after 1, 2, 5, 10, 20, 50, 100, 200, 500... sweeps or runs.

Where you enter a single number in "Update every", the first sweep is always stored as an average, and then, with a value entered in this field of n, the averages following sweeps n+1, 2n+1, 3n+1 etc. are stored. Additionally, the final averaged sweep is always stored. So, in an 11 run trial with an "Update every" value of 3, averages are stored after sweeps 1, 4, 7, 10, and 11.

Always prompt to allow undo

Select this option so that whenever acquisition stops you are prompted with the Save Average dialog box, to choose which of the averages accumulated in the undo file you want to save.

Prompt on premature termination only

Select this option so that if acquisition ends normally (i.e. the specified number of sweeps have been acquired) the final average is automatically saved to the data file.

However, if you stop the acquisition manually, you are prompted with the Save Average dialog box to choose the average you want to save.

Default

The Default button sets the Type of Average to Cumulative, and, if enabled, the Undo File "Update every" setting to the preset 1, 2, 5... sequence.


Save Average

The Save Average dialog allows you to select, from different averages temporarily stored during a recording, the average you want to save permanently in the data file for that recording.

The Save Average dialog is displayed at the end of a High-speed oscilloscope or Episodic stimulation recording depending on options you have set in Averaging Options, accessed from the Mode/Rate tab of the Protocol Editor.

  • For High-speed oscilloscope mode, averaged sweeps are displayed in the dialog.
  • For Episodic stimulation, averaged runs are displayed.

The Save Average dialog contains a small Scope window, and opens with the averaged sweep(s) of all the sweeps in the acquisition displayed (see note below). The number of sweeps (High-speed oscilloscope) or runs (Episodic stimulation) that have been averaged for the display is recorded above the window.

Note: In High-speed oscilloscope mode, when the stimulus waveform has delta settings, Save Average opens with a display of the average of the last sweep of each run – averages of the earlier sweeps are not displayed. To reveal averages of the earlier sweeps, right-click in the Scope window and select Properties from the pop-up menu. On the General tab, select "Clear before each Trial" or "Do not clear" from the Clear Options group, and press OK. On returning to the Save Average Scope window, you must press Undo to reveal the additional sweep averages.

Undo–Click Undo to see stored averages from earlier stages of the acquisition. The number of sweeps or runs included in the average is recorded above the window.

Redo–Click Redo to see averages from later stages of the acquisition. The number of sweeps or runs included in the average is recorded above the window.

Save–Click Save to save the currently displayed average in the .abf data file for the recording. This also closes the dialog.

Discard–Click Discard if you do not want to keep any of the averages.

CAUTION! In Episodic stimulation mode, clicking Discard means you are discarding all record of the acquisition – no file is kept at all.

All record of a High-speed Oscilloscope mode acquisition is similarly lost by clicking Discard, unless Include raw sweeps in data file on the Mode/Rate tab was selected. In this case a data file is saved, but with the raw data sweeps only.

Note: If you click Discard in error,the Averages are lost, but you might still be able to save raw data sweeps with Acquire > Write Last.


Sampling Interval Selector

If you have set up a protocol and then changed the number of input signals, the chosen Sampling Interval per Signal—set on the Mode/Rate tab of the Protocol Editor—may not be valid, due to your digitizer's multiplexing resolution. The Sampling Interval Selector dialog is displayed in this case.

The Sampling Interval Selector dialog shows the next faster and next slower acceptable sampling intervals. Choose one and click OK.

For information on digitizer multiplexing, see A/D Multiplexing.


Edit Protocol—Inputs Tab

Use the Inputs tab of the Protocol Editor to choose the Analog IN Channels from which you want to acquire data, and to assign the signals that each channel will record.

Before you set up the protocol, you should set up your signal names and scaling under Configure > Lab Bench.

Note: You must enable at least as many input channels as you have output channels (including digital outputs), and the number of input channels must be a multiple of the number of output channels. For example, if you have three output channels, you must enable 3, 6, 9, 12, or 15 inputs.

Analog IN Channels

There are 2 to 8 (depending upon digitizer model) analog input channels available for recording, corresponding to the digitizer Analog IN BNC connections. Any number of these can be selected to use for acquisition and display. To acquire a channel:

  1. Check the box next to the channel you want to enable.
  2. Select from the associated list box the signal (named and configured in the Lab Bench) that you want to acquire.

There is no need to use consecutive channels, however the multiplexed input channels will be acquired in increasing channel number order.

Note: If you enable the math signal on the Math tab, you can specify up to 15 analog input channels only on this tab.

HumSilencer Adaptive Noise Cancellation (ANC)

The Digidata 1550A digitizer can provide ANC only on Analog IN Channel #0. The Digidata 1550B digitizer can provide ANC on Channel #0, Channel #2, Channel #4, and Channel #6. A HumSilencer check box is next to an available channel for enabling and disabling ANC.

To enable ANC for an available channel, select the corresponding HumSilencer check box.

To disable ANC for an available channel, deselect the corresponding HumSilencer check box.

Use the HumSilencer controls in the Real Time Controls panel during the experiment to select or deselect Subtract.

Note: A separate HumSilencer check box enables ANC for use in a Membrane Test.


Edit Protocol—Outputs Tab

Use the Outputs tab to assign signals to the Analog OUT channels for the current protocol. These are the signals on which any stimulus command waveforms, configured on the Waveform tab, are sent. Set up signal names, units and scaling in Configure > Lab Bench before you set up the protocol.

The Outputs tab is also used to set the holding levels for the Analog OUT channels, and the holding pattern for the Digital OUT channels. The outputs are set to the assigned holding levels whenever there is no active waveform being sent.

  • If you change the analog holding levels on the Real Time Controls panel, the value is changed in the protocol as well.
  • If you change the digital holding levels (for channels 3, 2, 1 or 0) on the Real Time Controls panel, the value is changed in the protocol as well.
Overrides

You can use Configure > Overrides to override the holding levels in any protocol you open with the value in the Holding level field in the Lab Bench. When an override is enabled for the holding levels, you can use the Real Time Controls panel to change the holding levels, and since the value is automatically saved in the Lab Bench, these holding levels are the default the next time you start Clampex software.

If the overrides for the analog and digital holding levels are enabled, the fields in the Analog OUT Holding Levels and Digital OUT Holding Pattern sections of this dialog box are disabled, and the Lab Bench controlled values reported for your reference.

Analog OUT Channels

Select the signal you want for each output channel from the list boxes.

Signals need to have been named and had scale factors set in the Lab Bench.

All Analog OUT channels can deliver stimulus waveforms. Use the Channel #0 tab on the Waveform and Stimulus tabs to configure the waveform output for the signal on Analog OUT Channel #0, the Channel #1 tab Waveform and Stimulus tabs to configure the waveform output for the signal on Analog OUT Channel #1, etc.

Analog OUT Holding Levels

Set a holding level for each analog output signal. The units (shown in parentheses) are determined by the signal that you configured in the Lab Bench and chose in the Analog OUT Channels section of this tab. These values can be adjusted on the Real Time Controls panel.

If the Holding Levels fields are disabled, you have an Overrides setting giving control of these parameters to the Lab Bench. They can also be adjusted from the Real Time Controls panel.

Digital OUT Holding Pattern

Set a holding pattern for the Digital OUT channels. An empty box means the digital channel is set LOW. A check mark means the digital channel is set HIGH. In the Output Signals tab of Lab Bench, if you checked "Set digital OUT bit high during acquisition", the selected digital output channel number is disabled here, and you will see an explanatory note.

If the Digital OUT Holding Pattern is disabled, you have an Overrides setting giving control of these parameters to the Lab Bench. They can also be adjusted from the Real Time Controls panel.

See Edit Protocol.


Edit Protocol: Trigger Tab

Use the Protocol Editor Trigger tab to set data acquisition triggering and threshold-based statistics options.

Sections in this topic:

  • Start trial with
  • Trigger source [and/or] Threshold-based statistics source
  • Action
  • Scope Trigger
  • Trigger Settings [or] Statistics Settings
  • Threshold-Based Statistics
  • Autotrigger
  • External Tags

Note: The names of some of the functions on this tab change according to the Acquisition Mode selected. Function names in this Help topic thus often have bracketed connectives, e.g. [or], separating alternative names.

Start trial with

Acquiring data generally involves two steps: starting the trial and then triggering actual data acquisition. The "Start trial with" list box offers different ways to start the trial. Once a trial has been started Clampex software waits for a trigger, set in the "Trigger source" [and/or] "Threshold-based statistics source" list box, before data are acquired. The one exception to this is when recording is in Gap-Free mode. In this case data acquisition begins at the time the trial is started.

Start Trial Options

Immediate

As soon as you choose Acquire > Record or Acquire > View Only, or click the equivalent toolbar button, the trial starts. Acquisition begins according to the Trigger source (and/or Threshold-based statistics source) you select in the field below. In the case of Gap-Free recording it starts immediately

Immediate is the default option for this function.

Digitizer START Input

Select this option when you want to trigger the start of a trial from an external device. Choose Acquire > Record or Acquire > View Only, or press the equivalent toolbar button, and then the trial starts when a rising digital pulse is detected at the START input on the digitizer.

Space Bar

Start the trial with a toolbar press or mouse click. Choose Acquire > Record or Acquire > View Only, or press the equivalent toolbar button, and a dialog box with a Trigger button is displayed. Either press the space bar or click the button to start the trial.

Software Message (Start Only)

This option is available if you are running a compatible application as part of your experiment, and want to trigger the trial from the other program. Triggering is performed within the software, with no cabling required, however this means both programs must be running on the same computer. Currently Axon Imaging Workshop can start a trial by this means. The program automatically sends out a software trigger that Clampex software will receive if you have selected this or the following option.

Having selected this option, choose Acquire > Record or Acquire > View Only or press the equivalent toolbar button to prepare Clampex software for the triggering signal from the other program. A dialog box appears to remind you that you that the trial will start once this signal is received.

Under this option, the remote application starts the trial only, with Clampex software settings determining acquisition triggering and when the trial stops (i.e. typically, at the end of the trial or sequence).

Software Message (Start and Stop)

As for Software Message (Start Only), except that the Clampex software trial is stopped as well as started at the stop and start times of the trial being run in the other program.

Trigger source[and/or]Threshold-Based statistics source

This field determines the source to trigger the acquisition of events or sweeps, or to trigger Threshold-Based Statistics. The ability to trigger acquisition and/or threshold-based statistics depends on the acquisition mode, which is set on the Mode/Rate tab:

Acquisition Mode | Triggering Options
Gap-Free | Statistics triggering only
Variable-Length Events | Both acquisition and statistics triggering
Fixed-Length Events | Both acquisition and statistics triggering
High-Speed Oscilloscope | Acquisition triggering only
Episodic Stimulation | Acquisition triggering only

Trigger Source Options

Internal Timer

Available in Episodic stimulation mode only, the Internal Timer trigger source determines acquisition according to the length of the sweeps and Start-to-Start Intervals set on the Mode/Rate tab, as well as the timing of any Conditioning Trains or P/N Leak Subtraction set on the Stimulus tabs. Acquisition occurs just at the periods when the main stimulus command waveform (set on the Waveform tab), is operational.

Internal Timer is the default trigger source option under Episodic stimulation.

First Acquired Signal

Select this option to trigger acquisition once a threshold in the signal from the first Analog IN Channel is crossed. The first Analog IN Channel is the one selected on the Inputs tab with the lowest numerical channel number (e.g. Channel #0 will always be first, if it is selected).

Having selected this option, you must set the threshold for the chosen signal in the Trigger Settings [or] Statistics Settings group immediately below the Trigger source list box.

First Acquired Signal is the default trigger source for all acquisition modes other than Episodic stimulation.

Digitizer START Input

Acquisition begins on receipt of a digital pulse at the START input of the digitizer. Triggering can thus be effected by an external device.

You will need to indicate the Polarity (Rising or Falling) of the triggering signal, in the Trigger Settings group immediately below the Trigger and/or Threshold-based statistics source list box. The Hysteresis dialog box is also available for time hysteresis settings, to prevent triggers being set off too frequently.

In Episodic stimulation mode, selecting this option opens the Action field.

Space Bar

Acquisition is started by pressing the space bar, or alternatively the Trigger button in the small floating window which is displayed when this option is selected.

In Episodic stimulation mode, selecting this option opens the Action field.

Line Frequency

Available only for series 132x Axon digitizers, selecting this option starts the acquisition at a time that will synchronize it with the mains line frequency (typically 50 or 60 Hz). Thus, where there are multiple sweeps, any interference in the data caused by mains frequencies will be uniform for each sweep.

In Episodic stimulation mode, selecting this option opens the Action field.

<Signal Name>

When a nonepisodic acquisition mode is selected, the remainder of the options in the list box are the names of the signals that have been selected for acquisition on the Inputs tab. These signals are available to act as the source of the threshold trigger (set in the Trigger Settings [or] Statistics Settings group immediately below the Trigger source and/or threshold-based statistics source list box).

Selecting the first-listed signal here is equivalent to selecting First Acquired Signal.

Action

This is only relevant in Episodic stimulation mode. You can choose for the Trigger to start each individual sweep or to start each run. You would normally only choose Start Run if you have chosen to acquire multiple runs (see Mode/Rate tab).

Scope Trigger

If you have a Digidata 1440A digitizer check this box to enable a 5 V TTL trigger signal from a digitizer output. The signal is output from:

  • The front panel SCOPE BNC (Digidata 1440A).

The ports output a signal in the following two cases:

  • For all acquisition modes apart from episodic stimulation, the signal is active while the data trace is above or below (depending on your selected polarity) the threshold set in the Trigger Settings or Statistics Settings section on the Trigger tab.
  • For episodic stimulation mode, the signal is active from the start of the first holding of each sweep until the start of the last holding period of the sweep.

Trigger Settings or Statistics Settings

Pretrigger length (milliseconds)

This option is only relevant for passive acquisition modes.

  • For Variable-Length Events, Fixed-Length Events, and High-Speed Oscilloscope modes, use Pretrigger length to specify for how long to record prior to the time of the trigger.
  • For Variable-Length Events and Fixed-Length Events, if Threshold-Based Statistics is selected, Pretrigger length determines the sample base for these statistics, as well as Pretrigger length for data acquisition.
  • In Gap-Free mode data acquisition begins when the trial starts, so Pretrigger length determines the sample base for Threshold-Based Statistics only, if this has been selected.
  • In the case of Variable-Length Events mode, the Pretrigger length value serves as a 'post-trigger' length as well, determining for how long to record after the threshold is recrossed after a triggering event.

Specify the time of the pretrigger portion of the sweep in this field, in milliseconds. The equivalent number of samples is reported to the right of the text field.

The maximum pretrigger time is less than or equal to 3 seconds rounded to the nearest sample period.

Closed Closed Adjusting pretrigger length from the Scope window (High-Speed Oscilloscope mode)

In High-Speed Oscilloscope mode a small diamond appears on the Scope window X axis at the pretrigger setting. The signal display is configured to make this the point at which triggering occurs (i.e. where the signal crosses the threshold), and thus the signal from the diamond to the left of the screen is the pretrigger component of the recorded signal.

There are two ways pretrigger length can be adjusted during acquisition:

  1. Drag the diamond with the mouse, or use the <Left arrow> and <Right arrow> keys:
    Left/Right Arrow | moves the pretrigger one pixel left/right.
    Shift+Left/Right Arrow | moves the pretrigger many pixels left/right.
    Ctrl+Left/Right Arrow | moves the pretrigger one analog-to-digital sample point left/right.
  2. Double-click on the diamond. The exact pretrigger length can then be written into the field in the Set Pretrigger Length dialog.

    Changing the pretrigger setting during an acquisition does not alter the overall sweep length as the post-trigger duration lengthens or shortens to maintain this.

    Note: Triggers might be lost at very high sample rates if data acquisition is repeatedly interrupted by keyboard activity, e.g. moving the pretrigger point.

    If the pretrigger length is changed during a recording, only the original value is reported in the data file header, however a tag is inserted in the file at the time of the change indicating the new setting.

Trigger or Statisticsthreshold (units)

This option is only applicable when an Input signal is used as the trigger source. Enter the threshold level that the incoming signal must pass in order to trigger acquisition and/or the accumulation of statistics (if this has been selected; see Threshold-Based Statistics).

Enter the threshold level in the units appropriate for the selected Trigger source signal. These are given to the left of the field.

Closed Adjusting the trigger threshold from the Scope window

In High-Speed Oscilloscope, Variable-Length Events and Fixed-Length Events modes the threshold level is displayed as a Y axis diamond and horizontal line in the appropriate signal pane of the Scope window. The threshold can be adjusted from the window, during acquisition if you wish.

Change the threshold by:

  1. Drag with the mouse, or use the <Up arrow> and <Down arrow> keys
Up/Down Arrow | moves the threshold one pixel up or down.
Shift+Up/Down Arrow | moves the threshold many pixels up or down.
  2. Double-click on the diamond to open the Set Threshold dialog, where you can enter an exact value.

If the threshold is changed during a recording, only the original value is reported in the data file header, however a tag is inserted in the file at the time of the change indicating the new setting.

Polarity

Rising: Acquisition is triggered when the data in the selected signal crosses from the low side of the threshold to the high side.

Falling: Acquisition is triggered when the data in the selected signal crosses from the high side of the threshold to the low side.

Hysteresis button

Triggers can sometimes be set off by signal noise rather than a genuinely rising or falling signal. This can be controlled by making adjustments in the Hysteresis dialog box.

Threshold-Based Statistics

Threshold-Based Statistics provides information about the input signal based on a user-set threshold value (the same threshold as that set for data acquisition, if selected). Up to four parameters can be calculated during each Statistics update period. These parameters are displayed in the Online Statistics window.

Threshold-Based Statistics is available only for Gap-free, Fixed-length events, and Variable-length events acquisition modes. Use the Statistics tab for High-Speed Oscilloscope and Episodic Stimulation modes.

Triggering and threshold options for Threshold-Based Statistics are shared with triggering and threshold options for data acquisition of recognized events. Thus:

  • If a threshold is set for data acquisition, the Threshold-Based Statistics threshold is the same. Data acquisition and Threshold-Based Statistics are determined by the same trigger settings (i.e. Pretrigger length, Threshold value, and Polarity).
  • If an external or keyboard trigger (Digitizer START Input, Space Bar or Line Frequency) has been set for data recording, this also triggers Threshold-Based Statistics, taking statistics on the input trigger signal.

When Threshold-Based Statistics is enabled, a small diamond appears on the Y axis of the Scope window at the threshold level:

  • The threshold can be adjusted during acquisition, from the Scope window.

Four parameters can be calculated with Threshold-Based Statistics:

Percentage above threshold

Display the percentage of time that the signal is above the threshold value for each Statistics update period.

Event frequency (Hz)

Display the frequency in hertz of threshold-crossing for each Statistics update period.

Mean open (ms)

For each Statistics update period, display the average time in ms that the signal is above threshold.

Mean closed (ms)

For each Statistics update period, display the average time in ms that the signal is below threshold.

General configuration options:

Statistics update period (s)

For each Statistics update period, a value is calculated and displayed in the Statistics window for the specified parameters, as described above. Enter a value in seconds in this field; the equivalent in samples is displayed to the right.

The field must be set at a value equivalent to at least 100 samples.

Always save statistics at the end of each recording

When this item is checked, the Online Statistics window is automatically saved when a data file is recorded.

  • The file is given the same name as the recorded data file, but with an STA extension. It is saved to the same folder as the data file.
Clear after saving

If you have elected to save statistics files after recording, you can choose additionally to automatically clear the Statistics window following this. This is the equivalent to selecting the Edit > Clear Statistics command.

Options

Autotrigger

Autotrigger is available in High-Speed Oscilloscope mode only.

Choose Autotrigger to continue to monitor activity even when triggers as defined for normal triggering do not occur. Sweeps continue to be displayed even though no genuine triggering event has occurred, once a certain delay period (after the end of the last sweep) passes. The delay is the greater of 200 ms or the sweep length.

  • No sweeps triggered by this "time-out" trigger are written to disk.
  • If Averaging is enabled, sweeps triggered by a 200 ms time-out are not used in the calculation of the average.

The response to a trigger that arrives during the display of an autotriggering sweep is as follows:

  • If a threshold or external trigger arrives during the display of an autotriggered or triggered sweep, it is ignored.
  • If a keyboard trigger arrives during the display of an autotriggered sweep, the autotriggered sweep is treated as if it were a triggered sweep. If a keyboard trigger arrives during the display of a triggered sweep, it is ignored.

Note: The behavior described above for threshold (for example, internal) and external triggering during Autotrigger mode is identical to what happens in a conventional analog or digital oscilloscope.

Conventional oscilloscopes do not have a keyboard trigger equivalent. In Clampex software, keyboard triggers are given special treatment in that they are responded to, even if they arrive during an autotriggered sweep. This is done in order not to frustrate the operator who has just made a deliberate decision to issue a keyboard trigger event.

External tags

Check this box to permit the external triggering of tags.

During data acquisition, a rising TTL pulse applied to the TAG input of Digidata digitizers triggers a tag.

Where Voice Tag is selected, go to Configure > Voice Tags to select tag duration.

In Episodic Stimulation mode, external tags are available only when the Trigger source field is set to Internal Timer.

External tag type

Use the drop-down list to choose a Time, Comment or Voice tag when triggered at the TAG input of your digitizer.


Trigger Tab—Hysteresis

To prevent signal noise activating false triggers, you can adjust the hysteresis settings to reduce trigger sensitivity.

Time Hysteresis

This field adjusts the amount of time that the signal has to be under the threshold level (as determined by the Level Hysteresis setting below) to re-arm the trigger. The value is entered in milliseconds, and shown in samples in the text to the right of the field.

Level Hysteresis

This field adjusts the distance that the signal must be under the threshold in order to re-arm the trigger (subject to the Time Hysteresis setting above). The Level Hysteresi is edited as a percentage of the total A/D voltage range. It is shown in the units of the trigger signal in the text item to the right of the edit field.

You can only edit the Level Hysteresis if the acquisition is set up to be level-triggered.

Default Button

Sets the values in this dialog to their defaults:

  • 1 sample for Time Hysteresis
  • 0.10% for Level Hysteresis


Set Pretrigger Length

Scope Window: Double‑Click on Pretrigger Diamond on X Axis

In High‑speed Oscilloscope mode, change the pretrigger length normally set on the Protocol Editor Trigger tab, from the Scope window. This can be done during an acquisition if you wish. You can also change the setting by dragging the diamond, or use the arrow keys. Overall sweep length is no affected.

If you are recording, only the original pretrigger length is reported in the file header, however a tag is inserted in the file at the time you change the setting, with the new pretrigger value.

Pretrigger length (samples)

Enter the number of samples that you want acquire as pretrigger data. The length of time of this value is reported to the right of the field.


Set Threshold

Scope Window: Double‑Click on Threshold Diamond on Y Axis

Alter the threshold value for acquisition triggering or threshold-based statistics (normally set on the Protocol Editor Trigger tab) from the Scope window. This can be done during acquisition if you wish. You can also change the setting by dragging the diamond, or use the up and down arrow keys.

If the threshold is changed during a recording, only the original value is reported in the data file header, however a tag is inserted in the file at the time of the change indicating the new setting.

Threshold

Enter a precise threshold value in signal units.


Edit Protocol: Statistics Tab

Use the Statistics tab to take a range of measurements from input signals. Up to eight search regions per sweep can be defined, with optional data smoothing before the measurements are made. The chosen measurements are displayed graphically and in text in the Online Statistics window. Some measurements are additionally shown as icons in the Scope window (e.g. marks peak amplitude). Icons always show values for smoothed data, where smoothing has been enabled.

Statistics tab functions are available only in Episodic Stimulation and High-Speed Oscilloscope modes. For other acquisition modes use Threshold-Based Statistics, available on the Trigger tab of the protocol editor.

This topic has sections:

Analog IN Signal

Baseline Region

Search Region

Measurements

Smoothing Window

Always Save Statistics

Shape Statistics

Check to enable the Statistics tab.

Analog IN Signal

Select the input signals for which you want to derive statistics, and choose the polarity of the peak for each of these.

To enable a signal for statistics:

  1. Select the signal individually from the list box
  2. Check the check box for it
  3. Choose a peak polarity option:

Positive-going: The peak is defined as the largest positive value in the search region. If all values are negative, it is the least negative value.

Negative-going: The peak is defined as the largest negative value in the search region. If all values are positive, it is the least positive value.

Absolute: The data point with the largest absolute value—with respect to the baseline—is the peak. The antipeak is the data point furthest away from the peak value.

Statistics can be derived from up to 16 input signals (i.e. the number of Analog IN Channels), or 15 if you have the Math tab enabled.

The same search regions are used and the same measurements taken for all enabled signals.

Baseline Region

You can specify a region of the sweep as a baseline. The samples within this region are averaged to create the baseline value. Selected Measurements are then relative to this baseline. If no baseline region is set, the baseline value is zero.

The same baseline is used for all search regions.

In the Scope window, two dragable cursors, labelled "B", mark the boundaries of the baseline region. The baseline itself is displayed as a horizontal line within the baseline region during acquisition (across the full width of the screen at Y axis zero when "None" is selected).

The Baseline Region is also marked in the Update Preview display of the stimulus waveform (if you have one set), but is not adjustable from this window. In the case that the Baseline Region is defined by an epoch which shifts or changes size during the run, only the first sweep Baseline Region is displayed.

Settings available in the Baseline Region list box are:

None: The baseline is not derived from any part of the input signal, and Measurements are relative to zero.

Cursor Region: The baseline region is defined manually in the "From" and "To" fields immediately below. Alternatively, drag the "B"-labelled cursors in the Scope window to the desired locations.

First/Last Holding: In Episodic Stimulation mode, the Baseline Region is defined as the same sample range as the first or last holding period of the stimulus waveform, set on the Waveform tab.

Waveform qq, Epoch A–J: In Episodic Stimulation mode, the Baseline Region is defined as the same sample range as a particular epoch of the stimulus waveform, set on the Waveform tab.

From (milliseconds) and To (milliseconds)

When you choose Range for the Baseline Region, use these fields to specify―in milliseconds―the Baseline Region boundaries. The equivalent values in samples are displayed to the right of each field.

Set the "To" field to "End" to make the end of the sweep the closing boundary of the baseline region.

If baseline region boundaries are set in the Scope window by dragging the cursors, their positions are reported in the "From" and "To" fields (and the Range changes to "Cursor region" if necessary).

Search Region

You can generate different sets of statistics for up to 8 regions within each sweep. Click on the spinner to select a region number, 1–8, then check the Search Region check box to enable statistics searching for this region. A pair of numbered cursors is inserted into the Scope window for each search region enabled.

Define search regions by entering specific "From" and "To" sample numbers, or by positioning the appropriate cursors in the Scope window. You can also stipulate a particular epoch of the stimulus waveform, where applicable, or the full sweep.

The boundaries of the first sweep of Search Region 1 are indicated in the Update Preview display of the stimulus waveform (if you have one set). You cannot make adjustments to the Search Region from this window.

Range

Full Sweep: Selecting Full Sweep defines the current search region as the complete sweep.

Cursor Region: This option enables the "From" and "To" fields immediately below, wherein the Search Region is manually set to a particular sample range within each sweep.

Waveform qq, Epoch A–J: In Episodic stimulation mode you can define an epoch (configured on the waveform tabs), as the search region.

From (milliseconds)and To (milliseconds)

When you choose "Cursor Region" as your range, use these fields to specify—in milliseconds—the range to search. The equivalent values in samples are displayed to the right of each field.

Set the "To" field to "End" to make the end of the sweep the closing boundary of the search region.

If search region boundaries are set in the Scope window by dragging the cursors, their positions are reported in the "From" and "To" fields (and the Range changes to "Cursor region" if necessary).

Measurements

Choose the values you want to measure for each of your Search Regions, in each sweep.

Measurements values are displayed in the Statistics window. For some measurements symbols are inserted at the appropriate point on the trace in the Scope window.

The units displayed beside a Measurements option are those of the first selected signal, i.e. the signal associated with the lowest number input channel (e.g. the Analog IN Channel #0 signal is always first if this channel is enabled).

Measurements options

Peak amplitude: Finds the peak amplitude relative to the baseline, dependent on the peak polarity setting.

Peaks are marked in the Scope window: .

Time of peak: Reports the time of the peak, from the start of the sweep.

Antipeak amplitude: The point furthest in amplitude from the peak.

The antipeak is marked in the Scope window with a cross: .

Time of antipeak: Reports the time of the antipeak.

Mean: Average of the amplitude of all sample points in the search region.

Standard deviation: The standard deviation of the amplitude of all the sample points in the search region.

Area: The area bounded by the trace and the baseline, in units of (amplitude × time). In the case of bipolar events the "negative" area is added to the "positive" area, so a total area of zero is possible.

Area is calculated using simple summation of points within the search region. For example, with a search region from sample ten to sample sixteen, the sample-to-baseline amplitudes of each of the seven sample points in the range are summed, and multiplied by the sampling interval.

Half-width: To find the half-width the points to the left and right of the peak are scanned until the points (nearest the peak) that are 50% of the peak amplitude relative to the baseline, are found. The time between these two points is the half-width.

Half-width end-points are marked in the Scope window by horizontal crosses: .

If the samples on one side of the peak never get down to 50% of the peak amplitude within the search region no half-width is found.

Maximum rise slope: Finds the greatest rising slope (i.e. moving towards the peak) between two sample points in the region bounded by the start of the search region and the peak. If two sections of trace have the same increase rate the section nearest the peak is reported.

The maximum rise slope is marked in the Scope window by a vertical cross: .

You can increase the size of the smoothing window to minimize the effect of noise on this measurement.

Time of maximum rise slope: The time of the maximum rise slope. The midpoint between the two points during which the maximum rise occurred is reported.

Maximum decay slope: The greatest falling (i.e. returning to baseline) slope between two sample points in the region bounded by the peak and the end of the search region. If two sections of trace have the same decay rate the section nearest the peak is reported.

Maximum decay slope is marked in the Scope window by a vertical cross: .

You can increase the size of the smoothing window to minimize the effect of noise on this measurement.

Time of maximum decay slope: The time of the maximum decay slope. The midpoint between the two points during which the maximum decay occurred is reported.

Slope: The slope within the search region, as found by linear regression. The slope is displayed as a line in the Scope window.

Baseline: If you specified a baseline region, the averaged baseline value is reported. Otherwise, the baseline value is zero.

Rise slope: The slope, from within the region bounded by the start of the search region and the peak, between the points determined by the associated "from" and "to" percentiles. Points to the left of the peak are scanned until points at the nominated percentages of the peak amplitude (relative to the baseline) are found. Regression is applied to these and all intervening points to give the rise slope (see fig. 1).

The rise percentile points are marked in the Scope window by horizontal crosses: .

If the samples on the left side of the peak do not get down to either of the nominated percentages before the left boundary of the search region, the rise slope is not found.

Rise time: The time between the associated "from" and "to" percentile points (see "Rise slope" above for how these points are determined).

Decay slope: The slope, from within the region bounded by the peak and the end of the search region, between the points determined by the associated "from" and "to" percentiles. Points to the right of the peak are scanned until points at the nominated percentages of the peak amplitude (relative to the baseline) are found. Regression is applied to these and all intervening points to give the decay slope.

The decay percentile points are marked in the Scope window by horizontal crosses: .

If the samples on the right side of the peak do not get down to either of the nominated percentages before the left boundary of the search region, the rise slope is not found.

Smoothing window

Use Smoothing window to minimize the effects of noise when finding peaks and slopes.

When set to any value greater than 1, the smoothing window averages each sample with samples to the left and right of it (the same number to left and right). The resultant data are not displayed, but peaks and slopes are determined from them (for this reason, Scope window icons marking statistics measurements may not be positioned on the trace when smoothing is enabled).

Enter a value for the number of samples to be averaged. Only odd numbers are accepted. A value of 3 will include the sample itself and one on either side, a value of 5 will include the sample and two on either side, and so on.

The maximum value is 21 (10 samples on either side).

Always save statistics at the end of each recording

When this item is checked, the Online Statistics window is automatically saved when a data file is recorded.

The file is given the same name as the recorded data file, but with an STA extension. It is saved to the same folder as the data file.

Clear after saving

If you have elected to save statistics files after recording, you can choose additionally to automatically clear the Statistics window following this. This is the equivalent to selecting the Edit > Clear Statistics command.


Edit Protocol—Comments Tab

You can enter comments here to be written automatically to every data file recorded under the protocol, or you can have Clampex software prompt you for the comments at the end of each Record acquisition.

The comments are stored with data file information in the file header, viewed from File > Properties, and can also be displayed in the Data File Index.

If you wish to enter a series of predefined comments during the course of an experiment, you can create Sequencing Keys (up to 50) that instantly enter Comment Tags during recording. For each key, go to the Operations tab of the Sequencing Keys Properties dialog box, check the item "Insert comment tag into data file..." and enter the predefined comment.

Comments

Check in the top left-hand corner to enable the adding of comments to the data files as they are recorded.

Write each trial

The comments entered in these fields are written automatically in every recorded file.

Prompt each trial

The user is prompted at the end of each acquisition with all of the fields in the "Information" group on this tab, in the Comments dialog. The fields in the prompt dialog box are filled with the comments you have entered here in the protocol editor. The comments can be saved with the file as is, or new comments can be written to the file. The newly entered comments now appear in the "Information" section.

Information

Numeric identifier #1, #2, #3

There are three numeric identifiers that can be added to the file. These might include drug dose, or temperature, or some other predetermined condition.

File comment

Enter a comment here that you want to be stored in the header of every data file recorded under this protocol.

You can elect to allow for the overriding of the File Comment that is entered on this tab in Configure > Overrides.

Amplifier mode

The amplifier mode under which the protocol is run: voltage clamp, current clamp, or other, is recorded as a comment.

While some functions in pCLAMP software (Analyze / Resistance and Analyze / Adjust / Leak Subtraction) note the selection you make in this field and use it for default settings or to warn you of possible errors, this comment field is intended primarily just as a convenient means of keeping a record of the experiment type.


Comments

If you have set "Prompt each trial" on the Comments tab of the protocol editor, this dialog box prompts you at the end of each Record acquisition to add or amend comments for inclusion in the file-header of the just-recorded file.

The fields in this dialog are the same as those in the Information section of the Comments tab.


Edit Protocol—Math Tab

See Math Signals for a quick description of this feature.

For background information, read Mathematical Transformation of Data.

Math Signal

Select the check box to enable the signal.

Note: If you enable the math signal, you can only specify up to 15 analog input channels on the Inputs tab.

Data Source

Use these fields to select which analog input signals are used for the variables #A and #B in the math equation. The drop-down lists show which analog input signals have been enabled on the Inputs tab.

  • Analog IN #A
  • Analog IN #B

It is acceptable for both fields to be set to the same signal.

If your equation uses only one signal, use zero in the appropriate Constants fields to eliminate that part of the equation.

Equation

When you choose the equation, it will appear at the bottom of the dialog.

  • General purpose: This allows you to scale and apply an offset to each signal and apply an operator between each signal.

  • Ratio dyes: This can be used to calibrate fluorometric measurements.

Operator

Choose an arithmetic operator for this equation. The operator is shown in the equation as <op>.

Constants

Look at the Generalized Equation in the lower part of the dialog box and enter constant values to scale and apply offsets to the equation.

  • K1 and K3: Use K1 and K3 to apply scale factors in the equation, including zero if appropriate.

  • K2 and K4: Use K2 and K4 to apply offsets in the equation.

  • K5 and K6: K5 and K6 are only used in the Ratio Dye equation, to apply offsets to the input signals before creating the ratio.

Display

  • Maximum and Minimum: Enter the numeric upper and lower limits for the Y axis display so as to adequately view the math signal. You can zoom in while viewing the math signal in the Analysis window. These settings will determine the minimum amplification (i.e., the maximum zoom-out level). If the signal exceeds the range you set here, you cannot zoom out in the Analysis window, you must extend the Y axis display range using these fields.

  • Units: Enter the appropriate units for your arithmetically derived signal. For example, if you are calculating a ratio in order to measure calcium concentration, enter units such as [Ca].


Edit Protocol—Waveform Tabs

Use the four Protocol Editor Waveform tabs to configure stimulus waveforms for the signals on Analog OUT channels 0–3 respectively, as well as digital output signals on digital OUT channels 3, 2, 1 and 0.

Stimulus waveforms can be configured in Episodic Stimulation mode only.

For analog outputs, you have the option of using an existing waveform, by selecting a Stimulus file, or creating one using the Epoch Description table.

Output waveforms for Pre-sweep Trains and P/N Leak Subtraction are set on the Stimulus tabs.

Arbitrary differences between sweeps can be set, for one parameter only, with User List on the Stimulus tabs.

This Help topic explains the functions available on the Waveform tabs:

Analog Waveform

Digital Outputs

Epoch Description

See Stimulus Waveforms for more general information relating to command waveforms.

Waveform Analog OUT

The signal chosen on the Outputs tab for the Analog OUT channel associated with the current Waveform tab is reported here. Click the Info button for signal scaling information.

Analog Waveform

Check Analog Waveform to enable stimulus waveform output on the analog output channel assigned to this tab. If this is not checked, you can still use the Epoch Description table to specify the digital outputs, if you have checked the Digital Outputs check box.

The Analog Waveform can be viewed by clicking the Update Preview button.

Epochs

Choose this option button to use the Epoch Description table to define the analog stimulus waveform.

Stimulus file

Choose this option button to use the data in a binary (*.abf, *.dat) or text (*.atf) data file for the analog waveform source. Use the Stimulus File button at the bottom of the Waveform tab to select and scale stimulus files. See also Using Stimulus Files for general information about this option.

Intersweep Holding Level

Specify which of two holding level options you want for the period between sweeps when no waveform is defined.

Use holding: Return to the normal holding level specified on the Outputs tab.

Use last epoch: Hold output at the final level of the last defined epoch for the sweep. This level is held until the first epoch of the following sweep, provided it is in the same run.

The normal holding level is reestablished immediately on completion of the last sweep in the run. If more than one run is specified, the normal holding level is reestablished between runs.

An example of use of this feature is to measure an I-V curve from a series of monotonically increasing levels (i.e. like a staircase) as shown in the following figure:

In this 2-sweep run, output is held at the normal holding level for the first holding period (H1) of sweep 1. Epoch A is a step with a positive delta value. Output rises for the Epoch A step, and then remains at that level for any unallocated samples of the sweep, the final holding period (H2) of the sweep, any intersweep period, and the first holding period of sweep 2. Output rises again for Epoch A of sweep 2, and again holds this level for remaining sweep samples and the final holding period. This being the end of the run, it then returns to the normal holding level.

Alternatively, with the "Use holding" option enabled, this waveform would look like this:

Digital Outputs

Check Digital Outputs to enable digital output waveforms, defined in the "Digital bit pattern" rows in the Epoch Description table.

Whereas four independent analog outputs can be generated at the same time, you can generate only two set of digital outputs. You must select the Waveform tab to configure this. Digital outputs are generated every sweep, even if the analog output is set to alternate.

Digital outputs use the same epoch durations as any analog waveform configured on the same Waveform tab. If you have only one analog output and select another tab to configure the digital output, you are free to define it asynchronously from the analog output.

When you select Alternate Digital Outputs two distinct digital outputs can be configured, which alternate sweep by sweep. If you are alternating the analog waveform, both the analog and digital outputs alternate in step. If you have one only analog output and alternating digital outputs, the analog output proceeds normally while the digital output alternates sweep by sweep.

You can see a graphical representation of the Digital Outputs set (as well as the Analog Waveform outputs) by clicking the Update Preview button.

Active HI logic for digital trains

Click the Info button here for a description of how to enable digital trains.

When checked, digital trains are HI (5 V) in the step section of the pulse (set in the pulse width row in the epoch description table), and LO (0 V) for the baseline section. Trains begin with the step, so start on HI.

If unchecked the train is inverted, so the step section of the pulse is LO (0 V), and the baseline section HI (5 V). The train begins with the step, so starts on LO.

Intersweep bit pattern

Specify the holding pattern of the digital outputs between sweeps.

Use holding: Use the holding pattern specified on the Outputs tab.

Use last epoch: Use the pattern specified in the last epoch of the sweep with a digital output defined. The normal digital output holding pattern is reestablished immediately on completion of the last sweep in the run. If more than one run is specified, the normal holding level is reestablished between runs.

When alternating outputs is selected, the last epoch of the sweep last run is maintained until the commencement of the next sweep, i.e. the intersweep pattern alternates as well as the sweeps themselves.

Epoch Description

The stimulus waveform is defined in this table. The sweep (apart from the first and last holding periods) can consist of up to 50 epochs, represented by 50 alphabetic label columns. The duration of the epochs, and a variety of waveform patterns and their specific features, are set in the appropriate rows of the epoch columns. Values can be set to provide a regular increase or decrease, sweep by sweep, in amplitudes and durations.

Holding periods are calculated automatically, as 1/64th of the sweep each. Any portion of the sweep left after epochs have been defined is held at the holding level.

To edit the values in this table, use an arrow key or the mouse to highlight the desired field, and type in the new value. Use <Enter> to accept the entry, or use the mouse or an arrow key to accept the entry and move to another field in one step. You can also copy and paste values within the table.

To copy and paste Epoch Description table columns:

  1. Click in the data cell in the table that you want to copy, the right-click and select Copy.
  2. In the column you want to paste into, click in the data cell to select it, then right-click and select Paste.

To copy and paste a whole column of data:

  1. Click the column number for the data you want to copy.
  2. When the column is highlighted, right-click and select Copy
  3. Click the column number for the column you want to deposit the copied data.
  4. When the column is highlighted, right-click and select Paste.

View and update the waveform you have configured by clicking the Update Preview button.

List: The duration, level setting, or digital bit pattern for 1 epoch only can be controlled from User List on the Stimulus tab, allowing specific values to be set for that parameter for each sweep in the run.

Type

Click on the cell in the Type row for the epoch you want to configure. A popup menu gives you options—Off, Step, Ramp, Pulse train, Biphasic train, Triangle train, and Cosine train. Alternatively, once the Type cell is highlighted, use the keyboard hotkey:

Off | O | Step | S
Ramp | R | Pulse train | P
Biphasic train | B | Triangle train | T
Cosine train | C |  |

See the following for descriptions of each waveform type:

Waveform Options

    • Off: The epoch is disabled and the column grayed out, but the entry values are preserved, so you can enable the epoch later and not have to re-enter the values.
    • Step: The selected epoch is stepped from the previous level (i.e. the final value of the epoch to the left, or the holding level) to the currently defined level for this epoch. This level is maintained for the duration of the epoch.

The amplitude can be made the same for each sweep, or it can shift a specified amount (set in the Delta level row) with each new sweep. Similarly, the epoch length can be constant for each sweep, or can be made to increase or decrease with each subsequent sweep.

    • Ramp: The amplitude linearly increases from the final level of the previous epoch to the level specified for the current epoch.

The first sample in the ramp epoch is already part of the ramp. For example, suppose:

    • the previous epoch was a 20 mV constant level.
    • the current epoch is a ramp, with a specified level of 60 mV.
    • the duration of the current epoch is 10 samples.

The change in amplitude during the ramp is 40 mV. The output amplitudes for each sample are:

The first sample in the second epoch is 24 mV and not 20 mV.

The above example is based on the assumption that only one analog input channel is sampled. If more analog input channels are sampled, the digital-to-analog (D/A) converter runs faster. For example, if two analog input channels are sampled, the D/A converter runs at twice the rate specified in the "First interval" field on the Mode/Rate tab (see A/D Multiplexing). Output is at the higher rate, so in the above example, the ramp resolution would be improved twofold so that the outputs during the ramp epoch would be:

22, 24, 26, 28, ... 56, 58, 60.

  • Pulse Train (Pulse): This option generates a series of square waves. Each pulse consists of a period at the amplitude determined by the First level and Delta level (if any) settings, followed by a period at the baseline. The baseline is the final value of the previous epoch (or the current holding level, if Pulse is set for the first epoch of the sweep).

Selecting Pulse requires you to specify Train period and Pulse width values (the bottom 2 cells in an epoch column). See the diagram below for explanation of these terms.

In the case that Train periods do not fit evenly into the epoch duration, Clampex software generates as many whole pulses (i.e. entire Train periods) as possible. Then, if the remaining time is greater than or equal to the Pulse width, a further pulse is generated, followed by a shortened period at the baseline level. If the remaining time is less than the Pulse width, output is held at the baseline level until the end of the epoch:

  • Biphasic Train (Biphsc): In these rectangular trains the pulse width component of the train period is equally divided between the First level amplitude and an amplitude equidistant but of reverse polarity from the baseline amplitude. For example, if the final value from the previous epoch is 20 mV, with a Biphasic train First level setting of 30 mV, the pulse will go first to 30 mV, then 10 mV, then return to 20 mV for any remainder of the train period, i.e. the pulse goes 10 mV above and then 10 mV below the baseline value of 20 mV.

Values for Train period and Pulse width must be provided in the bottom 2 cells of the epoch column. See the diagram below for explanation of these terms.

In the case that Train periods do not fit evenly into the epoch duration, Clampex software generates as many whole pulses (i.e. entire Train periods) as possible. Then, if the remaining time is greater than or equal to the Pulse width, a further pulse is generated, followed by a shortened period at the baseline level. If the remaining time is less than the Pulse width, output is held at the baseline level until the end of the epoch:

  • Triangle Train (Trngl): A sequence of regular triangular pulses is generated with this option. For any sweep, the final value of the previous epoch (or the holding level) serves as the baseline, and the pulse rises (or falls) to the amplitude determined by First level and Delta level.

Values for Train period and Pulse width must be provided in the bottom 2 cells of the epoch column. See the diagram below for explanation of these terms.

There are as many pulses in an epoch as whole Train periods that fit into the epoch's duration. For any remainder, output is held at the baseline level for that sweep, after the pulses have been generated:

  • Cosine Train (Cos): Clampex software generates a regular sinusoidal pulse. For any sweep, the final value of the previous epoch (or the holding level) serves as the baseline, rising (or falling) to the level determined by First level and Delta level.

A value for Train period must be entered for this option, but not for Pulse width; Cosine train waves cannot be skewed to have different rise and fall times.

There are as many pulses in an epoch as there are whole Train periods that fit into the epoch's duration. For any remainder, output is held at the baseline level for that sweep, after the pulses have been generated:

Sample Rate

Click in the Sample Rate cell to choose a Fast or Slow rate, as defined in the Sampling Rate per Signal section of the Mode/Rate tab.

First level (units)

For a Step, the level is the amplitude that is maintained throughout the epoch. For a Ramp, it is the final level reached at the end of the epoch. For a Pulse train, Triangle train or Cosine train sequence, it is the level of the wave peak, be this greater or less than the level from which the train starts.

The First level is the level used in the first sweep of the run. If a Delta level is specified, the level for this epoch will change in subsequent sweeps.

The level is specified in the units of the signal chosen for the respective Analog OUT channel on the Outputs tab.

Delta level (units)

This field sets an incremental change in level added to the current epoch in each successive sweep in the run. The changes are cumulative. The increment is not applied to the epoch in the first sweep.

The level is specified in the units of the signal chosen for the respective Analog OUT channel on the Outputs tab.

Where a Delta level value is set, the level of the final sweep (Final level) is displayed in the epoch summary immediately below the Epoch Description table.

First duration (milliseconds)

This is the duration of the first sweep of the run, and subsequent sweeps if no Delta duration is set. If a Delta duration is specified, the duration of the epoch changes in subsequent sweeps.

The duration must be specified in milliseconds. Duration length is given in samples in the epoch summary immediately below the Epoch Description table.

Delta duration (milliseconds)

This field sets an incremental change in duration that is added after each sweep to the duration of the epoch in the next sweep. The changes are cumulative, beginning with the 2nd sweep. Positive and negative values are accepted. This feature is commonly used in activation protocols.

Delta duration is displayed immediately below the Epoch Description table in milliseconds (and samples). Also, the length of the final duration is shown, again both in milliseconds and samples.

When you click the OK button to accept your changes and leave the protocol editor, Clampex software checks to see if the specified duration increment is achievable for the given number of sweeps in the run.

Digital bit pattern

Set the digital output bit patterns for individual epochs in each of these rows.

The four character positions in each cell correspond to, from left to right, Digital OUT channels 3, 2, 1, 0 (for Digital bit pattern #3-0) and Digital OUT channels 7, 6, 5, 4 (for Digital bit pattern #7-4).

  • To set a channel HIGH, place a 1 in the appropriate position.
  • To set a channel LOW, place a 0 in the appropriate position.
  • To have a pulse train delivered on a channel, enter an asterisk, <Shift+8>, in the appropriate channel.

When a train is selected you must enter train period and pulse width values in the cells below. These values are shared with any analog trains in the epoch. Behavior of and terminology for digital trains is the same as for analog Pulse trains.

Digital trains are inverted by unchecking the Active HI logic for digital trains check box, above the table.

Train rate (Hertz)

This row is enabled, and must have a nonzero value entered, for all of the analog Pulse, Biphasic, Triangle, and Cosine trains, and digital trains.

The train rate of a waveform is the reciprocal of the time of one cycle from baseline to peak and then back to the baseline, before it begins to rise for a further pulse.

See the diagrams above for visual representations of the Train period for each waveform type.

The train rate must be entered in Hertz. The equivalent in samples is reported in the epoch summary immediately below the table..

The train rate setting determines, with the epoch duration, the Pulse Count in an epoch—reported in the epoch summary below the table. Clampex software generates as many full pulses (i.e. complete train periods) as possible within an epoch. If Pulse train has been selected in the Type field, a further pulse is generated if any remaining time is greater than or equal to the pulse width, otherwise the wave is held at the baseline level for the remainder of the epoch. For Triangle train and Cosine train, output is held at the baseline for any time remaining after the maximum number of full pulses has been generated.

Train rate can be amended with User List.

Pulse width (milliseconds)

This row is enabled and must have a nonzero value entered for the Pulse, Biphasic and Triangle train options, and for digital trains.

Pulse width is that part of the train period where the wave is rising (for Triangle train), holding at the peak level (for Pulse train and digital trains), or during which both the positive and negative phases of a Biphasic train occur.

See the diagrams above for a visual representation of the pulse width for each waveform type.

The pulse width must be entered in samples. The equivalent, in milliseconds and as a percentage of the train period, is reported in the epoch summary below the table, under the heading "Width".

Pulse width can be amended with User List.

Epoch Summary

Click any enabled cell in the Epoch Description table to display a summary of the epoch the cell belongs to, in the area immediately below the table. Level and duration information for the epoch is given in the left-hand column, pulse information (for Pulse train, Triangle train and Cosine train) in the right-hand column.

Left-hand column (levels and durations)

Final level: Where a Delta level is set for the epoch, the level reached on the final sweep of the run is displayed first.

First duration: The First duration length is repeated here, in milliseconds as well as samples.

Delta duration: If a Delta duration has been set for the epoch, in milliseconds as well as samples.

Final duration: If a Delta duration has been set for the epoch, the length of the epoch in the final sweep of the run, in milliseconds as well as samples.

Right-hand column (pulse information)

Pulse count Where Pulse, Triangle, or Cosine train has been selected, the number of pulses within the epoch is reported. If a Delta duration has been set, the number of pulses in the epoch might differ between sweeps. In this case the pulse count range is displayed; from the number of pulses in the first sweep to the number in the last sweep.

Train rate: Train rate information is repeated here, given in Hertz and samples.

Width: The Pulse width value is displayed here; in milliseconds, as a percentage of the Train period, and as samples..

Number of sweeps

The number of sweeps per run for the current protocol, set on the Mode/Rate tab, is displayed under the left-hand column of the epoch summary.

Allocated time

This field shows how much time is available to be allocated in remaining epochs. Where Delta durations have been set it subtracts the greater of the final and the first durations from those available.

Summary

Opens the Summary dialog, which summarizes the stimulus waveform parameters.

Stimulus File

This button opens the Stimulus File dialog, where you choose the file to use for the stimulus waveform, as well as setting the scale factor for playing back.

Alternate Waveforms

Check to have analog output alternate, sweep for sweep, between the waveforms configured on the Waveform tabs. If a digital output is configured, unless this also is set to alternate, the digital output is constant for every sweep.

With analog alternating outputs enabled, and Channel #0 and Channel #1 waveforms enabled, sweep sequence for the trial runs as follows:

Sweep 1: Sweep 1 as defined on the Waveform Channel #0 tab is generated. The Analog OUT signal selected on the Waveform Channel #1 tab is held at its holding level.

Sweep 2: Sweep 2 as defined on the Waveform Channel #1 tab is generated. The Waveform Channel #0 analog signal is held at its holding level.

Sweep 3: Sweep 3 as defined on the Waveform Channel #0 tab is generated. The Waveform Channel #1 analog signal is held at holding level.

This pattern continues to the end of the trial, with every second sweep as configured on the Waveform tabs being output. The total number of sweeps thus remains as it has been set on the Mode/Rate tab.

Alternating sweeps include any pre- or postsweep outputs defined on the Stimulus tabs.

If statistics measurements are enabled in the protocol, these are differentiated according to the command signal active when they were taken, in the Online Statistics window.

Alternate Digital Outputs

Check to alternate the digital output, sweep by sweep, between that defined on the Waveform Channel #0 tab and that on the Waveform Channel #1 tab.

If statistics measurements are enabled in the protocol, these are differentiated according to the Waveform Channel tab defining the digital output when they were taken, in the Online Statistics window.

Update Preview

This button opens the Waveform Preview dialog. If Waveform Preview is already open, this button updates the waveform preview with the most recent changes you have made in the waveform tabs.


Info

Info gives you information about your chosen analog output signal. The signal name and units appears in the dialog header.

There are Info buttons on the Waveform and Stimulus tabs in the Protocol Editor.

Maximum/Minimum (units)

Reports the maximum and minimum command values you can set for the chosen signal, based on the scale factor and the output range of the digitizer D/A converters.

Scale Factor (units/V)

The scale factor for the chosen signal. The scale factor is the number of units delivered to the experimental preparation for each volt sent out by the D/A converter. The units and scale factor are configured in Configure > Lab Bench.

Holding Level (units)

Reports the current holding level for this signal. Depending on your settings under Configure > Overrides, this can be adjusted in Configure > Lab Bench or on the Outputs tab of the Protocol Editor. It can always be adjusted with Real Time Controls


Summary

Clicking the Summary button on the Protocol Editor > Waveform tabs opens a dialog containing a summary of time allocations and holding levels for the two analog output waveforms.

Durations (samples)

The lengths of various portions of a sweep are summarized. The values are stated as number of samples.

First Holding Interval: The length of the First Holding Interval is displayed. This value is automatically set by Clampex software, and changes depending on the length of the sweep (it is around 1½% of total sweep time). The Final Holding Interval is the same length as the First Holding Interval.

Epochs A through J: The amount of time allocated to the waveform in the Epoch Description table is displayed. Where Delta durations have been set, the length of the longest time is given.

Total Sweep Length: The length of the sweep that you entered for Sweep Duration on the Mode/Rate tab.

Unallocated Interval: The portion of the sweep that is available to the waveform Epoch Description but is as yet unallocated.

Final Holding Interval: The Final Holding Interval is the sum of the automatically set Last Holding period (the same length as the First Holding period; around 1½% of total sweep length), and the Unallocated Interval.

Holding Level

Shows the holding levels of the signals assigned to the Analog OUT channels, in millivolts.

Number of Sweeps Per Run

The number of sweeps that you entered for Sweeps/run on the Mode/Rate tab.


Stimulus File

A stimulus file is a file containing data that can be used to define the analog output stimulus waveform.

The Stimulus File button at the bottom of the Waveform tabs in the Protocol Editor is enabled when "Stimulus file" is chosen in the Analog Waveform group in the top left of the tab. It opens a file dialog from which you can select a binary (*.abf or *.dat) or text (*.atf) data file. In the Signal Specifications section in the lower half of the dialog, data sweeps from this file can be selected and configured for use as the analog stimulus waveform.

The resultant stimulus waveform can be viewed using the Update Preview button.

This Help topic gives instructions on the use of the Stimulus File dialog; see Stimulus File Overview for further information.

Signal Specifications

The Signal Specifications section appears in the bottom section of a standard Windows Open File dialog. First highlight the file in the list that you want to provide the stimulus waveform.

For binary (*.abf and *.dat) files, only those recorded in Fixed-length event, High-speed oscilloscope, or Episodic stimulation modes can be used. If you select a binary file that was not recorded in one of these modes, an explanatory message is displayed. Otherwise, these fields will appear:

Use Analog IN signal

If you highlight a binary data file (DAT or ABF file-name extension), the drop-down menu lists the signals available in the file. Choose a signal from which to read sweeps to send as stimulus waveforms.

If you highlight an ATF file, this field is disabled, even if the file has more than one signal. In this case, use the sweep number field below to identify a sweep in a particular signal.

Use sweep number (1–n)

Specify the sweep or sweeps from the selected file that you want to use as the stimulus waveform. You can use either one sweep only, or all the sweeps in the file, but not a selection of sweeps.

The number of sweeps in the file, n, is shown for reference in the field name. For ABF and DAT files, this is the number of sweeps per signal. For ATF files, it is the total number of sweeps, in all signals, in the file.

User Entry: Enter a single integer value to specify an individual sweep as the stimulus file.

For ABF and DAT files, the sweep in the signal selected in the field above is used.

For ATF files, sweeps are identified in order first of signal number, and then sweep number, e.g. sweep 1 in signal 1 is "1", and if the file has more than one signal, "2", selects the first sweep in signal two and "3" the first sweep in signal 3. After sweep 1 from each signal is accounted for, numbering continues with sweep 2 from each signal (starting again with signal 1), sweep 3 from each signal, and so on. So, in a file with three signals, "4" selects sweep 2 in signal 1.

If the number of sweeps per run in the current protocol (specified on the Mode/Rate tab) is greater than one, the specified stimulus file sweep (or column) will be used repeatedly to generate the same waveform for each sweep in the protocol.

All Sweeps: All of the sweeps (or columns) from the stimulus file are used to generate different sweeps of the stimulus waveform. Sweep 1 from the stimulus file signal is used as the first sweep of the stimulus waveform, sweep 2 from the stimulus file signal is used for sweep 2, and so on.

If the number of sweeps (or columns) in the stimulus file signal does not match the number of sweeps per run in the protocol, Clampex software uses the following strategy:

    • If there are fewer stimulus file sweeps, Clampex software uses the sweeps there are, then repeats the last stimulus file sweep.
    • If there are more stimulus file sweeps, Clampex software uses the first sweeps from the file and ignores the later ones.

Gain factor

Numerical values of stimulus file sweeps can be rescaled using the gain factor.

Clampex software saves only the numerical values of stimulus files when these are imported into a protocol, and not the units, which default to those set for the Analog OUT signal chosen for the protocol (selected on the Outputs tab, configure in Lab Bench). These numerical values can be rescaled, however, using the gain factor. Thus, a stimulus file with an amplitude range of –5 to +5 units (whatever these might be), can be rescaled to have a range of –10 to +10, for example, in the units of the Analog OUT signal, by setting a gain factor of 2.

Offset (units)

An offset can be applied, but it is applied after the data are scaled. Once the data have been scaled they are considered to have the units and scale factors specified for the output signal in the Lab Bench. The offset must be specified in these units, taking into consideration the Analog OUT scale factors.


Edit Protocol—Stimulus Tabs

Use the four Stimulus tabs to configure intersweep stimulation, i.e. stimulus outputs that occur between episodic stimulation acquisition sweeps configured on the Mode/Rate tab, for the signals on Analog OUT channels 0–3 respectively.

Two types of intersweep stimulus are available:

  • Pre-sweep trains
  • "Subsweeps" for P/N leak subtraction.

Also on this tab, the User List allows you to stipulate arbitrary values, sweep-by-sweep, for one protocol parameter.

The main command waveforms are configured on the Waveform tabs.

Sections in this topic:

Pre-sweep Train

P/N Leak Subtraction

User List

See Pre-sweep Trains and P/N Leak Subtraction for general background discussion.

Waveform Analog OUT > Info button

The signal selected for the Analog OUT channel which the Stimulus tab controls is displayed at the top of the tab. Click on the Info button for information about this signal: minimum and maximum signal values, scale factor, and holding level.

The signal is selected for the protocol in the Protocol Editor Outputs tab, and configured in Lab Bench > Output Signals tab.

Pre-sweep Train

A pre-sweep train consists of repeated square waveform pulses. A pulse has first a period at a baseline level, followed by a period at a step level. The levels and durations for both the baseline and step are user-definable, as are the level and duration of a post-train holding period. If a stimulus waveform has been configured for the signal, this begins on completion of the post-train period, taking the post-train level as the first holding level for the main command stimulus. For a fuller discussion, see Pre‑sweep Trains.

When pre-sweep train is enabled, "Train ON" is displayed on the bottom of the Real Time Controls panel.

All pre-sweep train settings can be overridden with User List, below.

Number of pulses in train

Specify the number of pulses (up to 10,000) to be generated.

Pulse Frequency: The pulse frequency—the inverse of (baseline duration + step duration)—is reported. It updates automatically as new baseline and step duration values are entered.

Train duration: The total length of the pre-sweep train, not including the post-train duration, is reported. It updates automatically as new baseline and step duration values are entered.

Baseline duration

Enter the duration of the baseline component of the pulse, delivered first within each pulse cycle.

Baseline level

Enter the amplitude of the baseline component of the pulse.

Step duration

Enter the duration of the step component of the pulse, delivered after the baseline component.

Step level

Enter the amplitude of the step component of the pulse.

Post-train duration

Specify a time for the output to be held at a stipulated level after the pre-sweep train pulses have finished. If any post-train duration is set the amplitude set for it is used as the first holding level for the following stimulus command.

Post-train level

Specify the amplitude of the post-train period, maintained for the post-train duration you have set, and the first holding of the following stimulus command.

P/N Leak Subtraction

Leak Subtraction is available only where a stimulus waveform is to be produced. Clampex software generates a series of scaled-down replica sweeps of the main stimulus waveform. These subsweeps are of the same duration as the main sweep, but of lesser amplitude. Amplitudes in the subsweeps are inversely proportional to the number of subsweeps selected. The cell's response to the subsweeps is used to calculate the degree of passive cellular current leak. This is then subtracted from acquired data on the associated input signal. See P/N Leak Subtraction for a more detailed discussion of this function.

Subsweep responses cannot be displayed. If the responses saturate during the subsweeps, this is only indirectly evident. To monitor subsweep responses use a separate oscilloscope, or you can use AxoScope software if you have a second digitizer, such as the optional accessory MiniDigi™ 2-Channel Digitizer.

When P/N Leak Subtraction is enabled, the Real Time Controls panel indicates when each subsweep is being generated during a View Only or Record session, and whether or not the input channel display in the Scope window is corrected for P/N Leak Subtraction.

Apply to Analog IN signal

Specify the analog input signal to which the leak subtraction procedure is to be applied. Only one Analog IN signal can be specified, and it must be a signal that is responding to the analog waveform output channel controlled from this tab.

Number of subsweeps

Enter the number of subsweeps, up to eight.

If you are using P/N subtraction on both analog output channels, this value is the same for both channels.

In some circumstances it might be desirable to use a different number of subsweeps (N) for each sweep. For example, the subsweep pulses that correspond to sweeps containing large waveform pulses might activate voltage-activated currents unless N is large. However, if N is large the additional noise might be unacceptable for the sweeps containing small waveform pulses. The solution to this problem is to manually set N for each sweep, using the "Number of leak subsweeps" option as the Parameter to change in the User List (this tab).

Execution

P/N Leak Subtraction can be set to run either before or after the main stimulus command sweep.

If you are using P/N Leak Subtraction on both analog output channels, this setting is the same for both channels.

Before: Subsweeps are executed first in the sweep. Pre-sweep train, if set, comes next, and then the main stimulus command.

Exception: If external sweep triggering (Digitizer START Input) is enabled on the Trigger tab, the subsweeps are executed before the trigger detection code is armed. If there is a long wait before triggering then occurs, there will be a significant gap between the execution of the subsweeps and the execution of the main sweep. This is a necessary consequence of the priority given to ensuring precise timing between the external trigger and the main sweep.

If subsweeps are executed before the main sweep, they could inadvertently condition the cell response, but this can be controlled by an appropriate setting for Settling time.

After: Subsweeps are executed just after the main sweep to which they relate. The interval between the main sweep and the first subsweep is controlled by the Settling time. Set this longer if you wish to avoid subsweep response being conditioned by the main stimulus waveform.

Polarity

Same as waveform: The polarity of the subsweeps is the same as the main sweep. The subsweeps are summed and subtracted from the main sweep.

Opposite to waveform: The polarity of the subsweep waveform is inverted and the subsweeps are then summed and added to the stimulus waveform. For instance, if the run consists of a series of depolarizing steps, the subsweep waveform contains small hyperpolarizing steps. Opposite to waveform is commonly used.

Subsweep start-to-start (ms)

This field specifies the time between the start of each subsweep, analogous to the Start-to-Start Interval for Sweeps on the Mode/Rate tab. This creates an inter-subsweep period, where output is held at the subsweep holding level.

Note: While setting a subsweep start-to-start time greater than the minimum creates a rest period between subsweeps in a series, it does not apply after the final subsweep in the series.

Set a settling time to rest the cell between the sequence of subsweeps and the main stimulus.

If you are using P/N Subtraction on both analog output channels, this value is the same for both channels.

Subsweep holding level (mV)

Subsweep waveforms are executed relative to their own holding level. For example, in an experiment in which the normal holding level is –70 mV, it might be desirable to execute the subsweeps from –90 mV (for a depolarizing waveform and when Polarity is set to "Same as waveform") to make sure that the cell responds passively during the subsweeps.

The units in parentheses are the units specified for the Analog OUT signal set in the Outputs tab.

Settling time (ms)

Entry of a nonzero value in the Settling time field performs 2 functions:

  1. Before executing the subsweeps, it holds output at the subsweep holding level for the period set, and
  2. After executing the subsweeps, it holds output at the normal holding level for the period set.

If you are using P/N subtraction on both analog output channels, this value is the same for both channels.

Show corrected sweep data

When this field is checked, sweeps are displayed after the accumulated subsweep response has been subtracted out. This is the usual display mode, however, this can mask the condition of the cell; uncheck to display the raw data.

Note: Only corrected data are saved when P/N Leak Subtraction is enabled. For more discussion of options here see Data Display in the P/N Leak Subtraction Help topic.

If raw data are displayed, "Not Corrected" appears on the Real Time Controls panel near the subsweep counter. "Corrected" appears otherwise.

If you are using P/N Leak Subtraction on both analog output channels, this setting is the same for both channels.

User List

With User List you can select one of a range of parameters offered, to configure on a sweep-by-sweep basis. Thus, where the parameter would normally be held constant, or could change only in regular steps with each sweep, this function allows you to set specific values for each sweep in a run. You can also set a sequence of values and have this repeat.

Most of the parameters normally set in the epoch description table on the waveform tabs, and all of the pre-sweep train parameters are available in User List. Additionally, the number of subsweeps for P/N Leak Subtraction and the Sweep Start-to-start period set on the Mode/Rate tab can be controlled from this location.

When User List has been set to control a parameter, the primary control for that parameter is either grayed out or displays the word "List".

Parameter to change

The parameters that can be specified using a list are given below.

Number of pulses in pre-sweep train: The number of pulses in a pre-sweep train.

Pre-sweep train baseline duration (ms): The duration of the baseline period in the pre-sweep train.

Pre-sweep train baseline level: The amplitude during the baseline period in the pre-sweep train.

Pre-sweep train step duration (ms): The duration of the step in the pre-sweep train.

Pre-sweep train step level: The amplitude of the step in the pre-sweep train.

Post-train duration (pre-sweep train) (ms): The duration of the post-train period in the pre-sweep train.

Post-train level (pre-sweep train): The amplitude of the post-train period in the pre-sweep train.

Time between sweep starts (s): The sweep start-to-start time set on the Mode/Rate tab.

Inactive analog OUT holding level: The first list value is applied at the start of the first sweep in the run. Thereafter, the inactive analog output holding level is updated at the end of the sweep, allowing maximum time for the system to settle before the next sweep begins. In order to not have a sudden change at the beginning of the first sweep, set the first entry in the list to be the same as the inactive analog out holding level on the Outputs tab.

Digital intersweep holding level: Each element in the list is a string of four digits (each digit is zero or one) representing Digital OUT channels 3,2,1,0 respectively. For example, the entry 0011 means that Digital OUT 3 and 2 are LOW and Digital OUT 1 and 0 are HIGH. The first list value is applied at the start of the first sweep in the run. Thereafter, the digital output pattern is updated at the end of the sweep, allowing maximum time for the system to settle before the next sweep begins. In order to not have a sudden change at the beginning of the first sweep, set the first entry in the list to be the same as the digital holding bit pattern on the Outputs tab.

If the Digital Outputs on the Wavelength tabs are enabled, the digital intersweep holding pattern is overridden during the sweep by the values specified in the Epoch Description form on the configured Wavelength tabs. At the end of the sweep, the next pattern in the user list is generated.

Most users disable Digital Outputs on the Wavelength tabs when the user list is used to control the digital intersweep holding pattern.

Number of P/N subsweeps: The number of pulses in the P/N leak subtraction protocol.

Epoch A–J digital pattern: The digital bit pattern for each epoch. Each element in the list is a string of four digits (each digit is zero or one) representing Digital OUT channels 3,2,1,0 respectively. For example, the entry 1010 means that Digital OUT 3 and 1 are HIGH and Digital OUT 2 and 0 are LOW.

Epoch A–J level: The amplitude of each epoch.

Epoch A–J duration: The duration of each epoch.

Epoch A–J train period: The duration of one cycle of a Pulse, Biphasic, Triangle or Cosine train.

Epoch A–J train pulse width: The duration of that part of the train period where the wave is rising (for Triangle train), holding at the peak level (for Pulse train and digital trains), or during which both the positive and negative phases of a Biphasic train occur.

List of parameter values

Enter a list of values, one for each sweep, separated by commas. Successive entries in the list are used in each successive sweep, commencing with sweep number 1. The maximum number of characters that can be entered in the list is 256, including commas. Units should not be entered.

Examples:

The list of values for the number of pulses in a train might be:

10,5,10,5,10,5,10,5,10,5,10,5,10,5,10,5,10,5,10,5,10,5,10

The list of values for the A Epoch level might be:

2,2,5,5,10,10,20,20,50,50,100,100

For a digital pattern the list of values might be:

0000,0001,0010,1010,1110,1000,0101,0111,1001

If the number of entries in the list do not match the number of sweeps per run specified on the Mode/Rate tab, Clampex software uses the following strategy:

      1. If there are fewer list entries than sweeps, Clampex software reuses the last list entry.
      2. If there are more list entries than sweeps, Clampex software ignores the excess list entries.
Repeat

Check the box to repeat the parameter value list.

Use this option when you have runs with many sweeps, and want a regular pattern for the selected parameter. Enter values for as many sweeps as there are in one cycle of the pattern. Checking Repeat then means that the series repeats for as long as the run continues.

For example, you can have a Resistance Test every fifth sweep by entering:

–90,–80,–80,–80,–80

and checking Repeat (where –80 mV is the holding level and –90 mV the test pulse amplitude).

Membrane Test Between Sweeps

The Membrane Test Between Sweeps check box enables a Membrane Test to be run automatically between every sweep. In this mode the Membrane Test data are written out to the Online Statistics window and displayed in the Real Time Controls.

Adapt Between Sweeps

This feature is only available with a HumSilencer capable digitizer, either a Digidata 1550A digitizer or Digidata 1550B digitizer. Use this function to enable inter-sweep learning while using the HumSilencer Adaptive Noise Cancellation System during long experiments to counteract the potential of noise pattern changes over time.

The Adapt between sweeps check box is available from the Stimulus tab in the Edit Protocol dialog during the configuration of an Episodic stimulation acquisition protocol. The inter-sweep learning duration is 1.081 seconds. At least one Inputs > Analog IN Channel available for HumSilencer must be selected, and at least one Waveform > Digital Outputs channel must be selected.

Note: The Start-to-Start Intervals is calculated differently when using Adapt between sweeps. The minimum time required to accommodate the epoch durations for a protocol includes the settings for Pre-sweep Train, P/N leak subtraction, Membrane Test Between Sweeps, and the 1.081 seconds time to adapt between sweeps.


Waveform Preview

Acquire > Waveform Preview

Protocol Editor: Update Preview Button

LTP Assistant: Preview Button

Waveform Preview shows the stimulus waveforms defined on the Waveform tabs in the Protocol Editor.

All sweeps for a single run are shown, including Digital Outputs. Pre-sweep Trains and P/N Leak Subtraction subsweeps are not shown.

If Waveform Preview is called with the Acquire > Waveform Preview command, it must be closed before you can proceed with other commands. If the window is called from the Protocol Editor or LTP Assistant, you can continue to edit the editor dialog with the preview open, and update the display with the Update Preview button.

The Waveform Preview window is an Analysis window, with most configuration options retained.

Tip: If you double-click in the Y axis Name and Units section (or take the Signal Properties command from the popup menu for this section) the Analog OUT Signal Properties or Digital OUT Signal Properties dialog opens, rather than the Modify Signal Parameters dialog.

If you have Statistics enabled (Protocol Editor Statistics tab) the boundaries of Search Region 1 (first sweep) and the Baseline Region are displayed.

Another Way to Verify the Stimulus Waveform

A common test performed to verify the experimental setup is to connect the waveform analog output channel directly to the selected analog input channel at the digitizer and start a View acquisition. If no programmable gain or display amplification has been used, the recorded waveform should be identical to the waveform preview, with two exceptions:

  1. If digital outputs are enabled, the portion of the screen used for the waveform preview is reduced in order to make room for the digital preview.
  2. The digitized signal is likely to be a bit noisy. This is because the full bandwidth of the analog output is being applied to the input without going through an antialiasing filter.

See also Stimulus Waveforms.


New Protocol

Acquire > New Protocol

Open the Protocol Editor with default settings, for configuration of a new protocol.

If the current protocol has been changed since it was last saved, you are prompted to save it prior to the creation of the new protocol.

The new protocol is named "(untitled)", until you save it to a new name. You can run the protocol without first saving it.


Open Protocol

Acquire > Open Protocol

Use the Open Protocol file dialog to load a protocol file (*.pro) into Clampex software see (Edit Protocol).

The Open Protocol dialog is also accessed from the Sequencing Keys Properties dialog, Operations tab. It links a protocol to a sequencing key so that the protocol is loaded when the sequencing key is called.

Opening data files as protocols

You can open a data file in order to use the protocol it was acquired under. Choose "Axon Binary File" in the "Files of type" field in the Open Protocol dialog, then select the ABF file you want to use.


Signal Not Found in Protocol

This dialog opens if you use Acquire > Open Protocol and the protocol includes signals not currently defined in Clampex software (signals are defined in the Lab Bench).

Add the protocol signals to the Lab Bench

Automatically create new signals in the Lab Bench, as required for the protocol you are loading.

Edit the protocol to choose an available Lab Bench signal

Open the Protocol Editor to select new signals for the protocol you are loading, replacing the signals originally used with the protocol.

You may need to change both input signals and output signals.


Save Protocol

Acquire > Save Protocol

The protocol that is currently in use is saved with the existing protocol file name.

If there is no current protocol file name the Save Protocol As file dialog is presented to allow you to select a name and destination folder for the protocol file.

The default folder for protocol files is \Documents and Settings\[user name]\My Documents\Molecular Devices\pCLAMP\Params\.


Save Protocol As

Acquire > Save Protocol As

Protocol files hold complete sets of data acquisition parameters, configured in the Edit Protocol dialog.

The Save Protocol As dialog is a standard file dialog,where you can name your protocol file and save it in a selected folder.

The default folder for protocol files is \Documents and Settings\[user name]\My Documents\Molecular Devices\pCLAMP\Params\.

Protocol files are saved as *.pro files (see File Types).


Analog OUT Signal Properties

Waveform Preview Window: Y Axis Name & Units Column Popup Menu > Signal Properties

or Double-click in Y Axis Name and Units Column

This information dialog gives details about the analog OUT signal configured as a stimulus waveform. It can be opened only from the Waveform Preview window.

Settings for all the properties except the waveform source are made in the Lab Bench Output Signals tab.

Signal Name

The assigned signal name on this Analog OUT channel.

Units

The units of the assigned signal.

Minimum & Maximum

Reports the maximum and minimum command values you can set for the chosen signal, based on the scale factor and the output range of the digitizer's D/A converters.

Waveform Source

Reports the source of the stimulus waveform: Epoch Table or Stimulus File.


Digital OUT Signal Properties

Waveform Preview Window: Y Axis Name & Units Column Popup Menu > Signal Properties

or Double-click in Y Axis Name & Units Column

This information dialog gives details about the digital OUT signal selected in the Waveform Preview window. It can only be opened from this window.

Digital Output Channel #

The Digital OUT channel number (0-3).

Units

The units of the digital output signal. Always V for volts.

Minimum & Maximum

The minimum and maximum value of the digital output signal. Always 0 (minimum) 5 (maximum) volts.


Record

Acquire > Record

Shortcut: F2

Toolbutton:

This command prepares Clampex software to run the currently loaded protocol and record resulting data to disk.

"Start trial with" and "Trigger source" settings on the Trigger tab of the protocol editor determine whether the protocol is run and recorded immediately the Record command is pressed, or whether it awaits a further trigger (e.g. keystroke, digital signal to the digitizer's START port, or software message from another application). Default settings give an immediate start.

Data are saved in an *.abf integer file under the naming regime selected in File > Set Data File Names.

Files can be viewed immediately after recording using the File > Last Recording command.

To run the protocol and acquire data for viewing without recording, use View Only.

See also, Rerecord, Pause, Pause-View, Stop and Repeat.


Re-Record

Acquire > Re-Record

Toolbutton:

This command is the same as the Record command except the new file overwrites the last recorded file.

Use this command if you realize that the last file did not record the required event and hence you do not want to store it.

To prevent accidental loss of data, the user is always prompted to confirm the re-record action.


View Only

Acquire > Record

Shortcut: Shift + F2

Toolbutton:

This command starts data acquisition, but only displays the data in the Scope window; it does not store the data on disk.

View Only makes Clampex software act like an oscilloscope in automatic refresh mode.


Pause-View

Acquire > Pause-View

Toolbutton:

This command is the same as the Pause command except that the data continues to be displayed in the Scope window while writing to disk is halted.

This command is disabled in Episodic stimulation mode.


Pause

Acquire > Pause

Halt data acquisition while recording, but keep the data file open so that acquisition can be resumed.

To restart acquisition (and recording) push Pause again. A gap appears in the data file covering the time that Pause was active. If the Stop command is given during Pause the data file finishes at the time Pause was activated.

This command is disabled in Episodic stimulation mode.

See also Pause-View.


Stop

Acquire > Stop

Shortcut (Scope Window): Esc

Toolbutton:

Stop all data acquisition.

The Record, Re-Record and View Only functions are all stopped by this command. The data files opened by the Record commands are closed.


Repeat

Acquire > Repeat

Toolbutton:

Click Repeat before starting acquisition with Record or View Only so that the protocol repeats continuously until stopped.

With the Repeat function, the time between the end of one acquisition and the start of the next is undefined. Clampex software simply starts the next acquisition as quickly as it can. If you need to repeat a protocol with precise timing, use Sequencing Keys and specify the "Repetition count" and "Repetition start-to-start" to repeat the protocol.


Write Last

Acquire > Write Last

Save data from the most recent View Only acquisition to disk.

The amount of data saved depends on the acquisition mode used and the amount of RAM memory installed in the computer.

Gap-free

In Gap-free mode the amount of data saved by Write Last will be the lesser of:

  • The amount of data since the last Write Last command.
  • Half of the memory allocated in the acquisition buffers.
Variable-length Events

Only the last nnn samples of the last triggered segment (which may contain more than one event) are saved, where nnn is the size of the disk transfer buffer used to cache events. Currently the size of the disk transfer buffer is 32768 samples.

Fixed-length Events

Only the last triggered sweep is saved (which may contain more than one event).

High-speed Oscilloscope

If averaging is disabled, only the last completed (non-autotriggered) sweep is saved.

If averaging is enabled, the average is saved along with the last completed raw sweep if you selected "Include raw sweeps in data file".

Episodic Stimulation

The amount of data saved is limited by the maximum run length and the storage limit when averaging is enabled (by specifying multiple runs). The maximum size of the RAM buffer for storing a complete run is currently set at (PhysicalMemorySize/4) bytes. At six bytes per sample (two bytes for the current raw data sample plus four bytes for the average data), this means that the maximum number samples per run is equal to (PhysicalMemorySize/24) samples.

If only one run is specified (no averaging), the protocol editor allows the run to be longer than the maximum run length. In this case, the Write Last command is not disabled, but when Write Last is selected a message box is displayed to inform the user that Write Last is not available, and the limits are shown.


Autotrigger

High-speed Oscilloscope Mode: Acquire > Autotrigger

Select to continue to monitor activity even when triggers as defined for normal triggering do not occur.

This command is the same as the Autotrigger check box on the Trigger tab in the Protocol Editor.

Sweeps continue to be displayed even though no genuine triggering event has occurred, once a certain delay period (after the end of the last sweep) passes. The delay is the greater of 200 ms or the sweep length.

  • No sweeps triggered by this "time-out" trigger are written to disk.
  • If Averaging is enabled, sweeps triggered by a 200 ms time-out are not used in the calculation of the average.

The response to a trigger that arrives during the display of an autotriggering sweep is as follows:

  • If a threshold or external trigger arrives during the display of an autotriggered or triggered sweep, it is ignored.
  • If a keyboard trigger arrives during the display of an autotriggered sweep, the autotriggered sweep is treated as if it were a triggered sweep. If a keyboard trigger arrives during the display of a triggered sweep, it is ignored.

Note: The behavior described above for threshold (i.e. internal) and external triggering during Autotrigger mode is identical to what happens in a conventional analog or digital oscilloscope.

Conventional oscilloscopes do not have a keyboard trigger equivalent. In Clampex software, keyboard triggers are given special treatment in that they are responded to, even if they arrive during an autotriggered sweep. This is done in order not to frustrate the operator who has just made a deliberate decision to issue a keyboard trigger event.

This toggle command is the Autotrigger option on the Trigger tab of the protocol editor. This is relevant only in High-speed Oscilloscope mode. See the description for this parameter in the help for the Edit Protocol: Trigger Tab options.


Time Tag

Acquire > Time Tag

Shortcut: Ctrl + T

Write a numbered tag into the data file at the time that the command is given (during Record acquisition).

Externally trigger time tags with a TTL pulse to the TAG digitizer port. Configure this in the Options section of the Trigger tab of the protocol editor (Acquire menu).

Tags are displayed at the time points they were triggered when files are viewed in the Analysis window. Right-clicking a tag box displays a menu of tag options. You can also get tag information in File > Properties when the Analysis window is active.

See also: Comment Tag, Voice Tag


Comment Tag

Acquire > Comment Tag

Shortcut: Ctrl + Shift + T

Write a numbered comment tag into the data file at the time that the command is given (during Record acquisition). A dialog box opens in which to write the comment.

Externally trigger comment tags with a TTL pulse to the TAG digitizer port. Configure this in the Options section of the Trigger tab of the protocol editor (Acquire menu).

When you view the data file in the Analysis window, the tags are displayed at the time points at which they were triggered. Right-clicking a tag box displays a menu of tag options. You can also get tag information in File > Properties when the Analysis window is active.

See also: Time Tag, Voice Tag


Voice Tag

Acquire > Voice Tag

Shortcut: Ctrl + Alt + T

Record a numbered voice tag beginning at the time the command is given (during Record acquisitions only).

A dialog opens, showing the sound being recorded as a trace in a small scope window. A progress bar indicates the amount of time left before recording is terminated. Buttons in the dialog are:

Stop

Terminate the voice tag early. Use <Esc> as a shortcut.

Discard

Discard the tag entirely. This leaves no record of the voice tag having been called.

Extend

Extend the recording time for another duration (as set in Configure > Voice Tags)

Externally trigger voice tags with a TTL pulse to the TAG digitizer port. Configure this in the Options section of the Trigger tab of the protocol editor (Acquire menu).

When you view the data file in the Analysis window, the tags are displayed at the time points at which they were triggered. Right-clicking the tag box displays a menu of tag options. You can also get tag information in File > Properties when the Analysis window is active by clicking on Tag Properties.

To set up Voice Tags, see Configure > Voice Tags.

See also: Time Tag, Comment Tag


Recent Protocols List

Acquire > [Protocol Names]

The four most recently opened protocol files are listed for easy recall.


View Menu

Use commands in this menu to configure the appearance of Clampex software.

Two commands are always included in the View menu:

  • Window Properties
  • Window Defaults

Other commands available in the menu depend on the window type currently selected:

  • Analysis Window
  • Data File Index
  • Lab Book
  • Results Window
  • Scope Window
  • Statistics Window


Window Properties

The Window Properties command brings up a Properties dialog box for the active window. There are six Window Properties dialog boxes, corresponding to the six window types:

  • Analysis Window Properties
  • Data File Index Window Properties
  • Lab Book Window Properties
  • Results Window Properties
  • Scope Window Properties
  • Statistics Window Properties


Window Defaults

View > Window Defaults

Use this dialog to set the default display options for the currently selected window type, and/or restore the currently selected window to the default settings

When you open a new window, if an existing window of the same type is active (e.g. if an Analysis window is active when you open another data file into a new Analysis window), the new window inherits the properties of the existing window. If a window of the same type is not active when opening a new window, the new window uses stored default properties. Each window type has its own set of stored default properties.

Window Defaults allows you to perform three operations:

Save selected [window type] settings as default

The properties of the window that is active when you open Window Defaults are saved as the stored default properties.

Restore default settings to selected [window type]

If the active window has display properties other than the current stored default properties, it is restored to the default settings.

Save factory settings as default and apply to selected [window type]

Factory default properties to which Clampex software was set when first installed are applied to the current active window and reinstated as the stored default properties.


View Menu—Analysis Window

This section contains topics for commands in the View menu when an Analysis window is active.

Analysis Window Properties

General tab

X Axis tab

Tick Intervals

Signals tab

Show/Hide tab

Colors/Fonts tab

Window Defaults

Acquisition Toolbar

Review Toolbar

Alternate Toolbar

Sequencing Toolbar

Status Bar

Real Time Controls

Auto Scale—Active Y Axis

Auto Scale—All Y Axes

Full Scale—X Axis

Full Scale—Active Y Axis

Full Scale—All Axes

Zoom—Area

Zoom—X Axis In x 2

Zoom—X Axis Out x 2

Zoom—Between Cursors

Zoom—Y Axis In x2

Zoom—Y Axis Out x 2

Invert—Active Y Axis

Invert—All Y Axes

Invert—X Axis

Signal—Maximize

Signal—Tile

Signal—Hide

Signal—Properties

Data Display—Sweeps

Set Sweep Length

Data Display—Continuous

Data Display—Concatenated

Previous Sweep

Next Sweep

Select Sweeps

Hide Sweep

Toggle Sweep List

Standard Data Area

Maximum Data Area

Refresh


Analysis Window Properties

Analysis Window: View > Window Properties

Analysis Window Data Area Popup Menu > Properties

Shortcut: Double-Click in Analysis Window Data Area

Configure the general appearance and axis scaling of the Analysis Window in this dialog.

There are five tabs in this dialog:

  • General tab
  • X Axis tab
  • Signals tab
  • Show/Hide tab

    Colors/Fonts tab


Analysis Window Properties—General Tab

Use this tab of the Analysis Window Properties dialog to choose which items to display in the Analysis window. Some of these items can be further customized in the other tabs.

Sections in this topic:

  • Items to Display
  • General Options
  • Cursor Options

Items to Display

You can also use View > Standard Data Area and View > Maximum Data Area to change the display quickly.

Vertical scroll bars

This option displays a scroll bar for the Y axis. This bar is activated when you zoom the data in the Y axis direction. If this option is not selected, the data area expands to fill this area.

Horizontal scroll bar

This option displays a scroll bar for the X axis. This bar is activated when you zoom the data in the X axis direction, so you can scroll through the length of the sweep, or the length of the acquisition. If this option is not selected, the data area expands to fill this area.

Cursor row

Displays the cursor control bar at the top of the data area.

Acquisition tags

Displays the tags triggered during acquisition, if they exist.

Y axes

Displays the Y axis.

Signal name and Y units

Displays the signal and unit names in the Y axis.

Use rotated text

Displays the Y axis text rotated vertically, to make better use of space.

X axis

Displays the X axis ticks.

Name and units

Displays the X axis name and the units name.

Tick numbers

Displays the X axis values.

General Options

Clip traces to Y axis limits.

If the data file contains multiple signals, traces are confined to their pane limits.

Scroll window when cursor reaches limits.

If you have zoomed into the X axis, and you drag an Analysis window cursor to the edge of the window, the display scrolls the data in the appropriate direction.

Dynamically update cursor measurements in Results window

Every time you reposition a cursor, its measurements are automatically updated in the Results window.

Zoom X axis from left

When you zoom the X axis with View > Zoom > X Axis In ×2 or with the Analysis window's X axis zoom buttons, the zoom is anchored to the left edge of the Analysis window. If unchecked, the zoom is centered around the middle of the window.

Cursor Options

Number of cursor pairs

Up to 8 pairs of cursors can be introduced into the Analysis window, set with the spinner.


Analysis Window Properties—X Axis Tab

Use this tab of the Analysis Window Properties dialog to configure the X axis of the Analysis window.

Sections in this topic:

Time Format

X Axis Limits

Time Format

Choose the time format to display for the X axis.

Time of day

Displays time according to the time of day when the data was recorded, in the format of hh:mm:ss (hours:minutes:seconds), e.g. 17:04:27.0473 means 5:04pm and 27.0473 seconds. A data recording starts time with the fraction of a second set to zero.

If the data were recorded in Episodic Stimulation or High-Speed Oscilloscope mode and you choose View / Data Display/ Sweeps, the time on the X axis is correct for sweep 1. Set the data display to Continuous to view the correct time for all sweeps.

Stopwatch time

Displays time according to a stopwatch when the experiment was recorded, in the format hh:mm:ss (hours:minutes:seconds), e.g. 01:23:42.0015 means one hour, 23 minutes, and 42.0015 seconds elapsed after the acquisition program started or its stopwatch was zeroed. A data recording starts time with the fraction of a second set to zero.

If the data were recorded in Episodic Stimulation or High-Speed Oscilloscope mode and you choose View / Data Display/ Sweeps, the time on the X axis is correct for sweep 1. Set the data display to Continuous to view the correct time for all sweeps.

Elapsed time

Displays the time since the start of recording, or since the start of the sweep.

Units

Use the drop-down list to choose the units of elapsed time.

X Axis Limits

Use this section to specify the X axis display limits and to set ticks. Alternatively, use the X axis zoom buttons in the Analysis window.

Left limit

Enter the specified units of time past the start of the sweep or data file to start displaying the data. The corresponding sample number for this time is displayed to the right.

Right limit

Enter the specified time (from sweep or trace start) up to which to display data. The corresponding sample number for this time is displayed to the right.

The resulting span along the X axis is reported below the fields in the chosen units and in number of samples. If the data were recorded in Episodic Stimulation or High-Speed Oscilloscope mode, the sweep length is also reported.

Tick Intervals

This opens the Tick Intervals dialog box in which you can set the tick intervals on the X Axis.


Tick Intervals

This dialog opens from the Analysis Window Properties X Axis and Signals tabs.

Use it to set the number of tick intervals on the axis for which you open the dialog (the Signals tab is used to configure the Y axis in the Analysis window).

The settings also apply to grid divisions in the data area of the Analysis window.

Choose between Automatic and Custom tick intervals.

Automatic Tick Intervals

pCLAMP software determines the intervals of major and minor ticks.

Dense...Sparse

Drag the slider to indicate your preference for many or few ticks along the axis.

Custom Tick Intervals

Specify the intervals of the major and minor ticks.

Major ticks

Specify the span of units for each major tick. Major ticks display values along the axis.

Number of subdivisions

Use the drop-down list to specify the number of subdivisions between each major tick.

Minor ticks

The span of each minor tick is reported, based on the number of subdivisions you choose.


Analysis Window Properties—Signals Tab

Use this tab of the Analysis Window Properties dialog to set the display properties of the trace and data area grid for each signal in the Analysis window. Also configure the range and tick intervals for the Y axis.

Sections in this topic:

  • Signal
  • Trace
  • Grids
  • Y Axis Limits

Signal

Use the drop-down list to choose the signal whose properties you wish to change.

Active line color

Select one of 16 colors for the active trace (i.e. the selected trace in signals with multiple sweeps).

This selection applies to all signals in the file.

Note: In signals with a single trace, the trace color is set in the Inactive line color field.

Trace

Draw dots

Check this box to display the data as a series of dots. In an unanalyzed file each dot represents an A/D digitizer sample. Otherwise, lines are drawn connecting the data points.

Line width

Enter a value or use the spinner to choose a line width (or dot size) of up to 5 pixels.

Inactive line color

Select one of 16 colors for inactive traces (those traces in a sweeps signal that are not selected), and for the trace in a single-trace signal.

Apply to all signals

Check this box to apply the settings in the Trace section to all signals.

Tip: The Active line color setting applies to all signals.

Grids

Note: The Tick Intervals dialog opened from the Y Axis Limits section sets the major and minor tick intervals for grid divisions (as well as for axes).

Horizontal

Check to display horizontal grid lines with the major axis ticks.

Minor ticks

Check to display horizontal grid lines with the minor axis ticks.

Vertical

Check to display vertical grid lines with the major ticks.

Minor ticks

Check to display vertical grid lines with the minor ticks.

Apply to all signals

Check the box to apply the settings in the Grids section to all signals (panes) in the Analysis window. Otherwise, the settings only affect the signal selected at the top of the tab.

Y Axis Limits

Use these fields to precisely set the Y axis display limits for the chosen signal. Alternatively, use the Analysis window zoom buttons.

Top limit

Enter the highest Y axis value you want displayed.

Bottom limit

Enter the lowest Y axis value you want displayed.

The total Y axis span is reported below the fields in signal units.

Tick Intervals

Open the Tick Intervals dialog to set the tick intervals on the Y Axis.


Analysis Window Properties—Show/Hide tab

Use this tab of the Analysis Window Properties dialog to choose which signals to display and which to hide. You can also use this tab to rearrange the order of the signals in the Analysis window.

Hidden signals

This field lists any signals that are hidden from view. If you wish to make a hidden signal visible, select it then press the arrow button [image] between the two fields to move the signal to the other list. Alternatively, double-click on the item to move it to the other list.

Signals to be shown

This field lists the signals that are visible in the Analysis window. If you wish to hide a signal from view, select it then press the arrow button [image] between the two fields to move the signal to the other list. Alternatively, double-click on the item to move it to the other list.

Up / Down

The order of signals in the Signals to be shown field is also the order of the signals in the Analysis window. To move a signal select it then use the up [image] and down [image] buttons to move it up and down in the list.

Alternatively, in the Analysis window, place the mouse cursor over the signal names and units portion of the signal pane and drag it up or down.


Analysis Window Properties—Colors/Fonts tab

Use this tab of the Analysis Window Properties dialog to change the colors and fonts of various Analysis window elements. To change the colors of the traces, use the Signals tab.

Colors—Select a window element from the top field then select a color for it from the list box below.

Fonts—Select the text element you wish to change.

Font

Press Font to choose a font and size for the selected text element in the Analysis window. A sample of the chosen font and size is shown above the Font button.


Acquisition Toolbar

View > Acquisition Toolbar

Toolbar Popup Menu > Acquisition Toolbar

This toggle command shows and hides the Acquisition toolbar, which contains buttons for the most commonly used acquisition functions.

Use Configure > Toolbars > Acquisition to customize the buttons on the toolbar.


Review Toolbar

View > Review Toolbar

Toolbar Popup Menus > Review Toolbar

This is a toggle that shows and hides the Review toolbar in the main Clampfit software window (the default toolbar).

Use Configure > Toolbars > Review to add or delete buttons to this toolbar.


Alternate Toolbar

View > Alternate Toolbar

Toolbar Popup Menu > Alternate Toolbar

This toggle command shows and hides the Alternate toolbar, which you can use to build your own custom toolbar.

Use Configure > Toolbars > Alternate to customize the buttons on the toolbar.


Sequencing Toolbar

View > Sequencing Toolbar

Toolbar Popup Menu > Sequencing Toolbar

This toggle command shows and hides the Sequencing toolbar, which lets you start preconfigured functions, or sequences of these, with a mouse‑click.

Use Configure > Toolbars > Sequencing to customize the buttons on the toolbar.

Sequencing in Clampex software is configured in the Configure > Sequencing Keys dialog.


Status Bar

View > Status Bar

Toolbar Popup Menu > Status Bar

This is a toggle that shows and hides the Status bar along the bottom of the main Clampex software window.


Real Time Controls

View > Real Time Controls

Toolbar Popup Menu > Real Time Controls

This is a toggle that shows and hides the Real Time Controls dockable panel.


Auto Scale—Active Y Axis

Analysis, Scope & Statistics Windows: View > Auto Scale > Active Y Axis

Analysis & Statistics Window Y Axis Popup Menus > Auto Scale

This command scales the data in the active pane of the window so that the amplitude range fills 90% of the Y axis.

Only samples visible in the window are used to determine the scaling, so if you scroll to another section of the file, data may be outside the visible range.


Auto Scale—All Y Axes

Analysis, Scope & Statistics Window: View > Auto Scale > All Y Axes

Analysis Window Data Area Popup Menu > Auto Scale All Y Axes

Statistics Window Y Axis Popup Menu > Auto Scale All Y Axes

Review Window Toolbar:

This command scales the data in all panes of the window so that the amplitude range in each fills 90% of the Y axis.

Only samples visible in the window are used to determine the scaling, so if you scroll to another section of the file, data may be outside the visible range.


Full Scale—X Axis

Analysis, Scope & Statistics Windows: View > Full Scale > X Axis

Analysis & Scope Windows X Axis Popup Menu > Full Scale

Statistics Window X Axis Popup Menu > Default Scale

This command displays the full X axis range for the current acquisition, file, or statistics measurement.

With sweep-type data in the Analysis window (Episodic Stimulation, Fixed-length Event Driven, and High-speed Oscilloscope modes), the X axis shows the full sweep. For data acquired in other modes, all data points in the file are displayed.

In the Statistics window, the full X axis range is set on the Statistics Window Properties X Axis tab.


Full Scale—Active Y Axis

Analysis, Scope & Statistics Windows: View > Full Scale > Active Y Axis

Analysis, Scope & Statistics Window Y Axis Popup Menu > Full Scale

This command displays the data in the active signal or statistics measurement with the full Y axis range of the acquisition.

Statistics window

Y axis ranges in the Statistics window are set in the Statistics Window Properties Signals tab. If the selected measurement pane's Y axis is already at full scale, this option does not appear in the Y axis popup menu.


Full Scale—All Axes

Analysis, Scope & Statistics Windows: View > Full Scale > All Axes

Analysis, Scope & Statistics Window Data Area Popup Menu > Full Scale All Axes

Analysis Window Toolbar:

This command maximizes the X and Y axis range displayed.

In the Analysis window the full signal range is used for the Y axis and the full recording or sweep time for the X axis.

In the Statistics window X and Y axis default ranges are used, set on the Statistics Window Properties X Axis and Signals tabs respectively.


Zoom—Area

Analysis, Scope & Statistics Windows: View > Zoom > Area

Analysis, Scope & Statistics Windows Data Area Popup Menu > Zoom Area

Shortcut: Ctrl + Mouse Click

The Zoom Area command activates the area zoom mouse cursor when the cursor is in a data region. Drag the mouse until the dashed-line drag box surrounds the area of interest. Release the left mouse button to execute the zoom.


Zoom—X Axis In ×2

Analysis, Scope & Statistics Windows: View > Zoom > X Axis In x 2

Analysis, Scope & Statistics Windows X Axis Popup Menu > Zoom In x2

Window Button:

Increase the magnification of the X axis by a factor of two.

The file is locked at the left-hand end of the display when it enlarges. In the Analysis window you can change the lock-point to the center of the display, from the Analysis Window Properties General Tab.


Zoom—X Axis Out ×2

Analysis, Scope & Statistics Windows: View > Zoom > X Axis Out x 2

Analysis, Scope & Statistics Windows X Axis Popup Menu > Zoom Out x2

Window Button:

This command reduces the magnification of the X axis by a factor of two.

The file is locked at the left-hand end of the display when it zooms out. In the Analysis window you can change the lock-point to the centre of the display, from the Analysis Window Properties General Tab.


Zoom—Between Cursors

Analysis Window: View > Zoom > Between Cursors

Analysis Window Data Area Popup Menu > Zoom Between Cursors

This command zooms the X axis to show the region bounded by the last selected cursor pair.


Zoom—Y Axis In ×2

Analysis, Scope & Statistics Windows: View > Zoom > Y Axis In x 2

Analysis, Scope & Statistics Windows Y Axis Popup Menu > Zoom In x2

Window Button:

Increase the magnification of the Y axis of the selected signal or statistic by a factor of two, locked about the center of the signal.


Zoom—Y Axis Out ×2

Analysis, Scope & Statistics Windows: View > Zoom > Y Axis Out x 2

Analysis, Scope & Statistics Windows Y Axis Popup Menu > Zoom Out x2

Window Button:

Decrease the magnification of the Y axis of the selected signal or statistic by a factor of two, locked about the center of the signal.


Invert—Active Y Axis

Analysis, Scope & Statistics Windows: View > Invert > Active Y Axis

Analysis, Scope & Statistics Window Y Axis Popup Menu > Invert Axis

The Y axis of the active pane is inverted along with the data. The data values are not altered, just the display.


Invert—All Y Axes

Analysis, Scope & Statistics Windows: View > Invert > All Y Axes

The Y axes of all panes in the active window are inverted along with their data. Data values are not altered, just their display.


Invert—X Axis

Analysis Window: View > Invert > X Axis

Analysis Window X Axis Popup Menu > Invert Axis

The time axis is reversed along with the data. Data values are not altered, just their display.


Signal—Maximize

Analysis, Scope & Statistics Windows: View > Signal > Maximize

Analysis, Scope & Statistics Windows Data Area Popup Menu > Maximize Signal

Maximize the currently active pane, hiding all the other panes.


Signal—Tile

Analysis, Scope & Statistics Windows: View > Signal > Tile

Analysis, Scope & Statistics Windows Data Area Popup Menu > Tile Signals

When one or more signal or statistics panes have been hidden, restore them all to view, evenly spaced in the window.


Signal—Hide

Analysis, Scope & Statistics Windows: View > Signal > Hide

Analysis, Scope & Statistics Windows Data Area Popup Menu > Hide Signal

Hide the active signal or statistics pane.

You can later restore the pane to view from:

Analysis window: Analysis Window Properties Show/Hide tab

Statistics window: Statistics Window Properties Signals tab

Scope window: Scope Window Properties Show/Hide tab


Signal—Properties

Analysis & Scope Windows: View > Signal > Properties

Open the Analysis Window Properties dialog at the Signals dialog box, or the Scope Window Properties dialog at the Signals dialog, to adjust display options for the selected signal.


Data Display—Sweeps

Analysis Window: View > Data Display > Sweeps

Analysis Window X Axis Popup Menu > Sweeps Display

Sets the display to show overlapping fixed-length sweeps of data. This is most suitable for displaying data acquired in Episodic Stimulation, Fixed-length Events, or High-speed Oscilloscope mode.

Data acquired in Gap-free or Variable-length Events mode can be displayed as sweeps of arbitrary length as well. For the latter two modes, the Set Sweep Length dialog opens for you to choose the arbitrary sweep length.

See also Data Display – Continuous, and Data Display – Concatenated.


Set Sweep Length

When you choose to set View > Data Display as Sweeps, if the acquisition mode of the active Analysis window was either of Gap-free or Variable-length Events modes, the Set Sweep Length dialog box allows you to choose an arbitrary sweep length.

Sweep length

Enter the sweep length in samples, or use the spinner. The minimum sweep length is 100 samples, the maximum 100,000 samples.

The sweep length is reported in milliseconds or seconds to the right of the field.


Data Display—Continuous

Analysis Window: View > Data Display > Continuous

Analysis Window X Axis Popup Menu > Continuous Display

Sets the display to show time linearly along the X axis.

This display is most suitable for displaying data acquired in Gap-free mode. If you display other acquisition modes in Continuous display mode, gaps in the signal traces signify the time periods where no acquisition was taking place.

See also Data Display – Sweeps, and Data Display – Concatenated.


Data Display—Concatenated

Analysis Window: View > Data Display > Concatenated

Analysis Window X Axis Popup Menu > Concatenated Display

Sets the display to show fixed- or variable-length data segments one after the other along the X axis, with vertical lines separating the segments. Useful when display of the interval between events is not critical.

See also Data Display – Sweeps, and Data Display – Continuous.


Previous Sweep

Analysis Window: View > Previous Sweep

Analysis Window Data Area Popup Menu > Previous Sweep

Shortcut: < (the comma key, without <Shift>)

Select the previous sweep in all signals in a sweeps mode display file.

The number of the active sweep is shown in the bottom right‑hand corner of the window.

Tip: A sweep can also be activated by clicking on it in the Analysis window.

Sweeps can be reviewed one at a time with View > Toggle Sweep List


Next Sweep

Analysis Window: View > Next Sweep

Analysis Window Data Area Popup Menu > Next Sweep

Shortcut: > (the period key, without <Shift>)

Select the next sweep in all signals in a sweeps mode display file.

The number of the active sweep is shown in the bottom right-hand corner of the window.

Tip: A sweep can also be activated by clicking on it in the Analysis window.

Sweeps can be reviewed one at a time with View > Toggle Sweep List


Select Sweeps

Analysis Window: View > Select Sweeps

Analysis Window Data Area Popup Menu: Select Sweeps

Where data are displayed as sweeps (View > Data Display) this dialog allows you to select the sweeps for display.

The number of sweeps displayed, and the total number of sweeps in the file, are reported in the bottom right-hand corner of the Analysis window, after the number of the active sweep.

By selection

Sweep list

All sweeps in the file are listed in the display box. Select sweeps from the list by dragging over them. Alternatively, use <Shift> or <Ctrl> to select contiguous or noncontiguous sweeps.

Select All

Selects all sweeps in the file.

Select None

Removes selection of all sweeps. You can then select a new range. At least one sweep must be selected. If none are selected, the first sweep is displayed by default.

Invert

Reverses the selections chosen. Selected sweeps are deselected, while nonselected sweeps become selected.

Select Odd

Select all odd numbered sweeps.

Select Even

Select all even numbered sweeps.

By user-entered list

Enter individual sweep numbers and/or ranges of sweeps, using the keyboard.

Range
  • Type in individual sweep numbers separated by commas (use no spaces).
  • A range of consecutive sweeps can be specified by entering the first and last sweep of the range desired, separated by two periods (..). So, for example, 3,10..13,15 would show sweeps 3,10,11,12,13, and 15.


Hide Sweep

Analysis Window: View > Hide Sweep

Shortcut: < Del >

Hide the selected sweep. This is the equivalent of deselecting it from the View > Select Sweeps dialog.

To restore a hidden sweep, go to View > Select Sweeps and select the sweep for display.


Toggle Sweep List

Analysis Window: View > Toggle Sweep List

Shortcut: Enter

In the Analysis window, where data are displayed as sweeps (see View > Data Display) this command toggles between display of:

  1. the one active (highlighted) sweep only.
  2. those sweeps that have been selected for display in View > Select Sweeps.
  3. all the sweeps in the file.


Standard Data Area

Analysis, Scope & Statistics Windows: View > Standard Data Area

Analysis, Scope & Statistics Window Data Area Popup Menus > Standard Data Area

Use this command to bring all window features into view, including axes, signal names and units, axis scaling controls etc.

Use View > Maximum Data Area to remove all these features from view and maximize the size of the data-display area of the window.

To hide or show individual components, or otherwise configure the appearance of these windows, go to:

  • Analysis Window Properties
  • Scope Window Properties


Maximum Data Area

Analysis, Scope & Statistics Windows: View > Maximum Data Area

Analysis, Scope & Statistics Window Data Area Popup Menus > Maximum Data Area

This command maximizes the size of the data display area in the window by turning off the display of the axes, scroll bars and scaling controls etc.

Use View > Standard Data Area to redisplay these items.

To hide or show individual components, or otherwise configure the appearance of these windows, go to:

  • Analysis Window Properties
  • Scope Window Properties


Refresh

Analysis & Statistics Windows: View > Refresh

Shortcut: F5

If the drawing of traces in the window has been interrupted with a press of Esc, press F5 to refresh the display.


View Menu—Data File Index

This section contains topics for commands in the View menu when an Data File Index window is active.

Data File Index Window Properties

Window Defaults

Acquisition Toolbar

Review Toolbar

Alternate Toolbar

Sequencing Toolbar

Status Bar

Information Bar

Real Time Controls


Data File Index Window Properties

DFI Window: View > Window Properties

List Area Popup Menu > Window Properties

Hide or show data file parameters in the Data File Index (DFI) window.

Hide these fields

This field lists parameters hidden from view. To make a parameter visible, select it then click the arrow button [image] to move the signal to the other list. Alternatively, double-click on the item to move it to the other list.

Show these fields

This field lists the parameters visible in the DFI window. To hide a parameter, select it then click the arrow button [image] to move the signal to the other list. Alternatively, double-click on the item to move it to the other list.

Up / Down

The order of the parameters in the "Show These Fields" field is also their order in the DFI window. To move a parameter's position, select it then use the up and down buttons to move it in the list.


Information Bar

DFI Window: View > Information Bar

When the Data File Index window is active, this toggle shows and hides the Information bar, which lies just below the title bar of the DFI window.

The Information bar shows the number of data files listed in this Data File Index, the name and path of the highlighted data file, and if the DFI has been turned into an archive.


View Menu—Lab Book

This section contains topics for commands in the View menu when an Lab Book window is active.

Lab Book Window Properties

Window Defaults

Acquisition Toolbar

Review Toolbar

Alternate Toolbar

Sequencing Toolbar

Status Bar

Real Time Controls

Format Bar


Lab Book Window Properties

Lab Book : View > Window Properties

Lab Book Edit Area Popup Menu > Window Properties

Use the Lab Book Window Properties dialog to change the colors and fonts in the Lab Book.

Colors

Select (highlight) a either New Text or Background, then use the drop-down list at the bottom of the field to choose a color for that element. The "Window" and "Window Text" options use general Windows defaults.

Font button

Having selected New Text in the Colors field, click the Font button to open a dialog where you can choose the font, font size, and other font features for the text in the Lab Book. A sample of the chosen font and size is displayed above the Font button on the main dialog box.

A detailed description of the Lab Book window, including keyboard shortcuts, is located in the Exploring Clampex software section of Help, at Lab Book Window.


Format Bar

Lab Book: View > Format Bar

Toolbar Popup Menu > Format Bar

This is a toggle that shows and hides the Format bar, which lies along the top of the Lab Book window. The Format bar contains several fields and buttons for formatting the Lab Book text.


View Menu—Results Window

This section contains topics for commands in the View menu when a Results window is active.

Results Window Properties

General Tab

Colors/Fonts Tab

Cursor Measurements Tab

Window Defaults

Acquisition Toolbar

Review Toolbar

Alternate Toolbar

Sequencing Toolbar

Status Bar

Information Bar

Real Time Controls


Results Window Properties

Results Window: View > Window Properties

Results Window Popup Menu > Properties

Configure the general appearance of the Results Window in this dialog.

There are three tabs in this dialog:

General tab

Colors/Fonts tab

Cursor Measurements tab


Results Window Properties—General Tab

Use this tab of the Results Window Properties dialog to choose the window components to display.

Items to Display

Vertical grids

Displays vertical grid lines separating the spreadsheet cells.

Horizontal grids

Displays horizontal grid lines separating the spreadsheet cells.

Column header

Displays the column headers at the top of the Results window spreadsheet, containing the column labels.

Current column marker: When a cell in a column is selected, the column header will have the look of a depressed button.

Row header

Displays the row header at the far left of the Results window spreadsheet, containing the row numbers.

Current row marker: When a cell in a row is selected, the row header will have the look of a depressed button.


Results Window Properties—Colors/Fonts Tab

Use this tab of the Results Window Properties dialog to change the colors and fonts of various Results window elements.

Colors—Select (highlight) a window element, then use the drop-down list at the bottom of the field to choose a color for that element.

Fonts—Select the text element you wish to change.

Font

Click the Font button to choose a font and size for the selected text element in the Results window. A sample of the chosen font and size is displayed above the Font button.


Results Window Properties—Cursor Measurements Tab

When the Cursors sheet is active, use this tab of the Results Window Properties dialog to show or hide cursor measurements written or appended from the Analysis window. Although hidden measurements are not visible in the Results window, the measurements are still made.

Measurements to hide

This field lists the measurements that are hidden from view.

To make a measurement visible, select it then click the arrow button [image] to move it to the other list. Alternatively, double‑click on it.

Measurements to display

This field lists the measurements that are visible in the Results window.

To hide a measurement select it then click the arrow button [image] to move it to the other list. Alternatively, double-click on the item.

Tip: You can hide a column directly from the Results window by dragging the right-hand column-separator line of the column to the left until it disappears.

Up / Down

The order of items in the "Measurements to display" field is the order they appear in the Results window. To reorder a column select it in the field and use the up [image] and down [image] buttons to move it to the position you want.


View Menu—Scope Window

This section contains topics for commands in the View menu when a Scope window is active.

Scope Window Properties

General Tab

X Axis Tab

Signals Tab

Show/Hide Tab

Colors/Fonts Tab

Cursors Tab

Window Defaults

Acquisition Toolbar

Review Toolbar

Alternate Toolbar

Sequencing Toolbar

Status Bar

Real Time Controls

Auto Scale—Active Y Axis

Auto Scale—All Y Axes

Full Scale—X Axis

Full Scale—Active Y Axis

Full Scale—All Axes

Zoom—Area

Zoom—X Axis In x 2

Zoom—X Axis Out x 2

Zoom—Y Axis In x 2

Zoom—Y Axis Out x 2

Invert—Active Y Axis

Invert—All Y Axes

Signal—Maximize

Signal—Tile

Signal—Hide

Signal—Properties

Store Sweep

Standard Data Area

Maximum Data Area


Scope Window Properties

Scope Window: View > Window Properties

Scope Window Data Area Popup Menu > Properties

Shortcut: Double-Click in Scope Window Data Area

Configure the general appearance and axis scaling of the Scope window in this dialog.

There are six tabs in this dialog:

General tab

X Axis tab

Signals tab

Show/Hide tab

Colors/Fonts tab

Cursors tab


Scope Window Properties—General Tab

Use the Scope Window Properties General tab to configure a range of display options for the Scope window.

Sections in this topic:

  • Items to Display
  • Display Options
  • Clear Options

Items to Display

This group box allows you to hide or show individual window components. Use View > Standard Data Area and View > Maximum Data Area to hide or display all additional window elements at once.

Horizontal scroll bar

If the acquisition mode is Episodic Stimulation or High-speed Oscilloscope, this option displays a horizontal scroll bar, which allows scrolling along the X axis when zoomed in.

Vertical scroll bar

Display a scroll bar to scroll the Y axis in the active pane.

Names and units

Display the names and units of all signals in the Y axis.

X axis

Display the X axis, including units and unit values.

Y axis

Display the Y axis, including units and unit values.

Horizontal grid

Display a horizontal grid in all panes.

Vertical grid

Display a vertical grid in all panes.

Average

Display averaged traces. These are generated automatically with High-speed oscilloscope mode averaging, and optionally with Episodic stimulation averaging. Set the color for averaged traces on the Colors/Fonts tab.

Display Options

Overlap signals

Under default settings, each input signal has a separate pane within the Scope window. With Overlap signals checked, all panes are overlapped in the full display area of the window.

Overlap signal is convenient for overlaid comparisons of traces, or for maximum display resolution of multiple signals. Clutter can be reduced in this mode by giving each signal a unique color (on the Signals tab).

The Signal Names and Units bar displays a small button with # on it. Press this button to open a menu with the signal names listed. Choose the signal with the name, units, and Y axis scaling you want to see on the Y axis.

Clip signals

When acquiring multiple signals, check to confine traces to pane limits. If this option is not selected, traces can run over into neighboring pane areas.

Full screen update

The Scope window updates only when a full screen of data has been collected.

Rolling display

Only available in the Gap-free, Variable-length Events and Fixed-length Events modes. The Scope window adds data to the right side of the display area, scrolling old data to the left. Similar in appearance to a chart record, or cardiac monitor.

Persistent display

Only available in Episodic Stimulation and High-speed Oscilloscope modes, Persistent display keeps previous sweeps visible in the window, displaying them in the color set for "Persistent sweeps" on the Colors/Fonts tab. Only the most recent sweep appears in a different color.

Autozero display

Available only in Episodic Stimulation mode, "Autozero display" offsets the sweep display, with input received during the first holding level of the stimulus waveform providing the zero-value baseline.

The zero in the Y axis is displayed in square brackets – [0] – when Autozero is enabled, to indicate displayed Y axis values are relative to this baseline only.

Statistics symbols, and average, stored, and persistence sweeps are all offset in accord with the raw data sweeps, however no data written to file are affected by Autozero display.

Print when filled

Every time the trace fills the Scope window, the window is printed using the default printer you have specified in the Windows Control Panel. This works even when you choose Rolling display. Every time a Scope-width of data is rolled into the display, a page is printed.

Redraw during acquisition

With this option checked, all sweeps already displayed during an acquisition are immediately redrawn if the Scope window is changed during the acquisition, e.g. if the window is resized, or a cursor moved.

Uncheck "Redraw during acquisition" to save work on your computer during acquisitions. Only new sweeps are displayed after a change is made to the Scope window during acquisition. On completion of the trial, however, the full number of sweeps is displayed.

Clear Options

These options control the retention of sweeps in the display. Any option other than "Clear before each Sweep" leaves past sweeps on screen for some period, to allow for comparisons.

Do not clear

Traces are not erased from the Scope window, even at the start of a new Trial (a new View or Record acquisition).

Note: Traces are lost if you resize the Scope window or shift a cursor during acquisition. In Episodic Stimulation mode only the last run is redrawn (providing you have Redraw during acquisition enabled). In other modes only the last trace (one screen width) is redrawn.

Clear before each Trial

The Scope window is cleared at the start of each Trial.

Clear before each Run

This is only relevant to Episodic Stimulation mode. Traces are erased from the Scope window only at the beginning of a Run.

Clear before each Sweep

The Scope window is erased each time the trace fills the Scope window.

Additional Links

Other tabs in the Scope Window Properties dialog are:

X Axis tab

Signals tab

Show/Hide tab

Colors/Fonts tab

Cursors tab


Scope Window Properties—X Axis Tab

Use this Scope Window Properties tab to specify the X axis time range displayed in the Scope window. This range is invariant to changes you make to the width of the window.

You can also use the X axis zoom controls [image] at the far left of the X axis to control this setting.

The fields visible in this tab depend on the acquisition mode:

For Gap-free, Variable-length Events, and Fixed-length Events Modes

Span (ms):

Specify (in milliseconds) the time range that will be visible in the Scope window. The number of samples this encompasses is displayed to the right of the field.

For High-speed Oscilloscope and Episodic Stimulation Modes

Left limit (ms):

Specify (in milliseconds) the time after the start of the sweep that the display begins, i.e. the X axis value at the far left of the window. The corresponding sample number is displayed to the right of the field.

Right limit (ms):

Specify (in milliseconds) the time after the start of the sweep at which sweep display cuts off, i.e. the X axis value at the far right of the window. The corresponding sample number is displayed to the right of the field.

The time range along the X axis, as determined by Left limit and Right limit settings, is reported below these fields in both milliseconds and samples per signal. It updates automatically as you change settings in the fields.

For your reference, the specified sweep length is also reported in milliseconds and samples.

Other tabs in the Scope Window Properties dialog box are:

General tab

Signals tab

Show/Hide tab

Colors/Fonts tab

Cursors tab


Scope Window Properties—Signals Tab

Use this Scope Window Properties tab to configure the appearance of the data traces in the Scope window, and to set Y axis scaling for these.

Select a signal from the Signal list box at the top of the tab, then configure its appearance in the "Trace" and "Y Axis Limits" group boxes below.

The mini-window at the bottom of the dialog box shows an example of how the new settings will appear, against the Pane background and Grids colors selected on the Colors > Fonts tab.

Signal

Use the drop-down list to choose the input signal whose properties you wish to configure.

Trace

Draw dots

Normally lines are drawn to connect data points in the display. Check this box to draw just the points. To make the points easier to see, you can increase Line width to 2 or 3, but this will incur significant processing overhead, reducing the maximum achievable sampling rate.

Line width

Enter a value or use the spinner to choose a line width (or dot size) up to 5 pixels. Line (or dot) widths greater than 1 take significantly more time to draw, reducing the maximum achievable sampling rate.

Line color

Use the drop-down list to choose a color for the signal. 16 colors are available.

Apply to all signals

Check the box to apply the settings in the Trace section to all primary input signals.

Y Axis Limits

Use the two fields here to set precise Y axis limits for the signal selected in the Signal field above. The Y axis range set here is invariant to changes you may make to the size of the Scope window.

The Y Axis Limits are in the units associated with the selected signal in Lab Bench.

Y Axis Limits can also be amended with the zoom controls [image] in the Y axis of the Scope window itself.

Top limit (units)

Enter the upper Y axis limit in the selected signal's units.

Bottom limit (units)

Enter the lower Y axis limit in the selected signal's units.

The total Y axis span is reported below the fields.

Additional Links

Other tabs in the Scope Window Properties dialog box are:

General tab

X Axis tab

Show/Hide tab

Colors/Fonts tab

Cursors tab


Scope Window Properties—Show/Hide Tab

Use this Scope Window Properties tab to hide signals you want to record but do not need to view in the Scope window, or to show hidden signals.

You can also use this tab to rearrange the order of the signals in the Scope window.

Hidden signals & Signals to be shown

All Analog IN Signals selected for the current protocol – on the Protocol Editor Inputs tab – are displayed in either the "Hidden signals" or "Signals to be shown" column:

    • To display a currently hidden signal, highlight it and click the double-arrow button between the columns to move it across to the "Signals to be shown" column. Alternatively, double-click on the signal.
    • To hide a currently displayed signal, highlight it and click the double-arrow button to move it to the "Hidden signals" column. Alternatively, double-click on the signal.

Multiple signals can be highlighted by using the <Ctrl> key, or use <Shift> to highlight a range.

Up and Down buttons

The order of the signals in the "Signals to be shown field" is also the order of the signals in the Scope window. To rearrange this order select the signal you wish to move, then use the Up and Down buttons to move it around in the list.

Alternatively, in the Scope window, place the mouse cursor over the signal names and units portion of the signal pane and drag up or down.

Additional Links

Other tabs in the Scope Window Properties dialog are:

General tab

X Axis tab

Signals tab

Colors/Fonts tab

Cursors tab


Scope Window Properties—Colors/Fonts Tab

Use this Scope Window Properties tab to change the colors and/or fonts of all Scope window elements except the data trace color, which is set on the Signals tab.

Colors

Select (highlight) a window element, then use the drop-down list at the bottom of the field to choose a color for that element.

The mini-window below the Font button gives a preview of the Pane background and Grids color settings (selected on this tab), and the primary input signal appearance (configured on the Signals tab).

Scope window elements you can select colors for are:

  • Pane background: Set the background color of the graph area of the window.
  • Grids: Set the color of the grid lines in the graph area of the window.
  • Axis background: Set the background color of the X and Y axis areas.
  • Active pane: Set the color of the left-hand section of the Y axis (containing signal name and units), that indicates which pane is active. This section changes from the "Axis background" color to the color you select here, when the pane is active.
  • Pane separators: Set the color of the horizontal lines that divide input signal panes in the window. These lines run the full width of the window, or just the Y-axis area, depending on your setting for "Clip signals" on the General tab.
  • Text: Set the color of all text in the window: signal names and units, and axis scaling.
  • Thresholds: Set the color of the Trigger threshold and Threshold-based statistics threshold indicator line and Y-axis diamond marker, and the Pretrigger length X-axis diamond marker.
  • Events & Peaks: Set the color of event and peak symbols shown when certain Statistics measurements are enabled.
  • Averaged sweep: Set the color of averaged sweep traces. See Episodic stimulation averaging, or High-speed oscilloscope averaging.
  • Persistent sweep: If you have "Persistent display" set on the General tab, set the color of the previous data sweeps.
  • Stored sweep: Set the color of the stored sweep.

Font button

  1. Select font options for the text in the Scope window, i.e. signal names and units, and axis labelling.
  2. Click the Font button to open a standard font options dialog box. Make your selection and click OK.

    A sample of the chosen font and size is displayed above the Font button on the Colors/Fonts tab.

Additional Links

Other tabs in the Scope Window Properties dialog are:

General tab

X Axis tab

Signals tab

Show/Hide tab

Cursors tab


Scope Window Properties—Cursors Tab

Use the Scope Window Properties Cursors tab to configure the appearance of Scope window cursors marking Baseline and Search Region boundaries, set on the Statistics tab in the Protocol Editor.

Select a Statistics Region then choose the color of the cursors for that region. You can choose to make all the statistics cursors the same color.

Statistics Region

Select from the list box:

    • "Baseline" for the statistics Baseline Region, or
    • The number of one of the 8 possible statistics Search Regions.
Line color

Select a color from the list box for the cursors bounding the Statistics Region you have chosen above.

Lock to partner

Check to lock the cursor pair (the cursors with the same number) so they maintain relative distance as you move one of them. Uncheck to have them move independently.

Apply to all cursors

Having chosen the color for one set of cursors, check to make all statistics cursors the same color as this set.

Additional Links

Other tabs in the Scope Window Properties dialog box are:

General tab

X Axis tab

Signals tab

Show/Hide tab

Colors/Fonts tab


Store Sweep

Scope Window: View > Store Sweep

Shortcut: Alt S

In High-speed oscilloscope or Episodic stimulation modes, store the last complete sweep from the last acquisition so that it remains in the Scope window during following acquisitions.

The stored sweep remains in the Scope window until it is cleared or replaced:

  • To clear the stored sweep, press the <Delete> key or select Edit > Clear from the menu. Opening another protocol file will also clear the stored sweep.
  • Using View / Store Sweep a second time replaces a stored sweep with the last sweep of the most recent acquisition.


View Menu—Statistics Window

This section contains topics for commands in the View menu when a Statistics window is active.

Statistics Window Properties

General Tab

X Axis Tab

Traces Tab

Signals Tab

Colors/Fonts Tab

Acquisition Toolbar

Review Toolbar

Alternate Toolbar

Sequencing Toolbar

Status Bar

Real Time Controls

Auto Scale—Active Y Axis

Auto Scale—All Y Axes

Full Scale—X Axis

Full Scale—Active Y Axis

Full Scale—All Axes

Zoom—Area

Zoom—X Axis In x 2

Zoom—X Axis Out x 2

Zoom—Y Axis In x 2

Zoom—Y Axis Out x 2

Invert—Active Y Axis

Invert—All Y Axes

Signal—Maximize

Signal—Tile

Signal—Hide

Previous Trace

Next Trace

Standard Data Area

Maximum Data Area

Show Only Focus Trace

Show All Traces

Hide Cursor

Show Cursor

Refresh


Statistics Window Properties

Statistics Window: View > Window Properties

Statistics Window Data Area Popup Menu > Properties

Shortcut: Double-click in Statistics Window Data Area

Configure the general appearance and scaling of the Statistics window in this dialog.

The dialog has five tabs:

General Tab

X Axis Tab

Traces Tab

Signals Tab

Colors/Fonts Tab


Statistics Window Properties—General Tab

Use the Statistics Window Properties General tab to show and hide specific Statistics window components.

Tip: You can use View > Standard Data Area and View > Maximum Data Area to add or remove all these components together.

Items to Display

Horizontal scroll bar

Display the horizontal scroll bar, which allows scrolling along the X axis when zoomed in.

Vertical scroll bar

Display a scroll bar to scroll the Y axis in the active pane.

Name and units

Display the names and units of all panes.

X axis

Display the X axis, including unit check marks and unit values.

Y axis

Display the Y axis, including unit check marks and unit values.

Horizontal grid

Display a horizontal grid in all panes.

Vertical grid

Display a vertical grid in all panes.

Cursor bar

Display a bar across the top of the data area for triangular cursor "handles".


Statistics Window Properties—X Axis Tab

Use the Statistics Window Properties X Axis tab to set X axis time units and a default display range.

Time Format

Select the time unit you want displayed on the X axis from the list box.

Default X Axis Limits

The window returns to these settings if you select the "Default Scale" command from the X Axis Popup Menu.

The total X axis range, given your "Min limit" and "Max limit" settings, is reported below the fields.

Min limit

Set the far left-hand time value of the default X axis range (in the units selected in the Time Format section of this tab).

Max limit

Set the far right-hand time value of the default X axis range (in the units selected in the Time Format section of this tab).


Statistics Window Properties—Traces Tab

Use the Statistics Window Properties Traces tab to configure the appearance of traces in the Statistics window.

Trace (List Box)

Select the channel for which you want to set the properties of the corresponding statistics measurement traces, with the options in the Trace group box below.

Trace (Group Box)

Configure the appearance of the trace selected above.

Draw dots

Check to have each statistics datum recorded as a dot, without joining lines between these.

Line width

Select line (or dot) width.

Trace color

Select the color of the line or dots for the trace.


Statistics Window Properties—Signals Tab

Use the Statistics Window Properties Signals tab to hide and show specific statistics measurement panes in the window, and to set the Y axis range for each pane.

Hidden signals

Measurements included in the statistics file but not currently displayed in the window are listed in this column.

To show one of these measurements select it and press the double-arrow button to transfer it to the "Signals to be shown" field. Alternatively, double-click on the measurement.

Signals to be shown

Currently displayed statistics measurements are listed in this field.

To remove one of these measurements from display select it then press the double-arrow button to transfer it to the "Hidden signals" field. Alternatively, double-click the measurement.

Panes within the Statistics window cannot be reordered.

Y Axis Limits

Set the maximum Y axis range for the selected measurement.

Signal

Select the statistics measurement you are setting the Y axis range for.

Use data defaults

Use the default range for the selected measurement.

User-defined limits

Top limit: Set the maximum Y axis value.

Bottom limit: Set the minimum Y axis value.

The total Y axis range is reported below these fields.


Statistics Window Properties—Colors/Fonts Tab

Use the Statistics Window Properties Colors/Fonts tab to select colors and fonts for Statistics window elements.

Colors

Select the Statistics window component that you want to change in the upper field, and a color for it from the list box below.

Font

Press the button to open a dialog where you can select a font, font style and size, for all text in the window.


Previous Trace

Statistics Window: View > Previous Trace

Statistics Window Data Area Popup Menu > Previous Trace

Shortcut: < (the comma key, without <Shift>)

Select the previous trace (from a different statistics region) within the active measurement pane. The selected trace is highlighted in the right-hand section of the window.


Next Trace

Statistics Window: View > Next Trace

Statistics Window Data Area Popup Menu > Next Trace

Shortcut: > (the period key, without <Shift>)

Select the next trace (from a different statistics region) within the active measurement pane. The selected trace is highlighted in the right-hand section of the window.


Show Only Focus Trace

Statistics Window: View > Show Only Focus Trace

Statistics Window Data Area Popup Menu > Show Only Focus Trace

Hide all traces in the active pane except the selected trace.

Restore the other traces to view with View > Show All Traces.


Show All Traces

Statistics Window: View > Show All Traces

Statistics Window Data Area Popup Menu > Show All Traces

Restore all traces in the active pane to view after some have been hidden with View > Show Only Focus Trace.


Column Mode

Statistics Window: View > Column Mode

Statistics Window Data Area Popup Menu > Column Mode

Select this option to arrange the online Statistics window legend and the Data area as side-by-side columns.


Legend On Left

Statistics Window: View > Legend On Left

Statistics Window Data Area Popup Menu > Legend On Left

Select this option to place the legend on the left-hand side of the online Statistics window.


Hide Cursor

Statistics Window: View > Hide Cursor

Statistics Window Cursor Popup Menu > Hide Cursor

Hide the cursor-line (across the data) for the selected cursor.


Show Cursor

Statistics Window: View > Show Cursor

Statistics Window Cursor Popup Menu > Show Cursor

Display the cursor-line (across the data) for the selected cursor.


Configure Menu

A range of general configuration options are accessed from the Configure menu. The contents of this menu do not depend on the active window type.

Digitizer

Configure Demo Data

Configure Digidata 1550B

Configure Digidata 1550A

Configure Digidata 1550

Configure Digidata 1440A

Configure MiniDigi

CyberAmp

Connections

Unassigned Channels

Active Signal

Probe Info

Electrode Test

Lab Bench

Input Signals Tab

Output Signals Tab

Add Signal

Rename Signal

Filter Frequency Selector

Scale Factor Assistant

Telegraphed Instrument

Overrides

Membrane Test Setup

Sequencing Keys

Properties—Operations Tab

Properties—Sequencing Tab

Program Options

Lab Book Options

Toolbars

File Registration

Voice Tags


Digitizer

Configure > Digitizer

Use the Digitizer dialog to select a digitizer for Clampex software or AxoScope software. Configuration options are available for the selected digitizer (and for Demo mode) using the Configure button.

When first installed, Clampex software is configured for a Demo digitizer. Simulated data are shown in the Scope Window on selecting the View Only command, and can be saved to disk with Record. Demo mode is useful for learning how to use Clampex software, since no digitizer is required. See Data Simulation in Demo Mode for an account of the waveforms generated in this mode.

The optional accessory MiniDigi 2-Channel Digitizer allows users to run AxoScope software alongside Clampex software, providing the functionality normally obtained from a separate chart recorder or oscilloscope. Clampex software functionality requires a greater range of features only available with standard digitizers, thus the MiniDigi digitizer can be used only with AxoScope software.

Change

Select this button to change the current digitizer.

In the Change Digitizer dialog use the Digitizer Type list to choose a digitizer. The options are:

  • Demo: Run Clampex software and AxoScope software without a digitizer using simulated data.
  • Digidata 1550B: For Digidata 1550B
  • Digidata 1550A: For Digidata 1550A
  • Digidata 1550: For Digidata 1550
  • Digidata 1440A: For Digidata 1440A
  • MiniDigi: Only supported by AxoScope software.

The links in this list take you to the help topic for the configuration dialogs for each digitizer type.

After you have selected a digitizer, Clampex software/AxoScope software reports whether it has found the selected digitizer, and indicates its status:

  • Available: The digitizer is present and ready for use. You can click OK to exit and are ready to begin acquiring data.
  • Not present: Clampex software/AxoScope software cannot find the digitizer. You might need to check connections between the digitizer and computer. Try also closing and reopening Clampex software.
  • Not configured: The digitizer has been found by the program, but needs configuration. Click OK and then click the Configure button to do this.
  • In use: The digitizer has been found by the program, but cannot access it for data acquisition. Digitizers can be used by only one program at a time. So, for example, if you have selected a particular digitizer within AxoScope software, you cannot then also read data from it into Clampex software.

Configure

Click this button to configure the selected digitizer, or to set demo mode options for the current digitizer:

Demo

Digidata 1550B

Digidata 1550A

Digidata 1550

Digidata 1440A

The Configure button is enabled only when Clampex software has found a digitizer of the selected type.


Configure Demo Data

The Configure Demo Data dialog is opened with the Configure button in the Configure > Digitizer dialog, when "Demo" is selected as the digitizer.

Use this dialog to set the period and amplitude of the simulated data waveforms that Clampex software generates in demo mode, for all acquisition modes apart from episodic stimulation. See Data Simulation in Demo Mode for fuller explanation.

Period

Use this to set the test wave's period, depending on the acquisition sampling rate that you want to use.

Slow—Sets period to 1000 ms.

Medium—Sets period to 100 ms.

Fast—Sets period to 10 ms.

Amplitude

Use this to set the test wave's amplitude.

Slow—Sets the amplitude to 10% of the full scale in the Scope window.

Medium—Sets the amplitude to 30% of the full scale in the Scope window.

Large—Sets the amplitude to 90% of the full scale in the Scope window.

Emulation

Use this to select the digitizer to emulate.


Configure Digidata 1550B digitizer

Use this dialog to configure Digidata 1550B digitizers. The dialog is opened with the Configure button in the Configure > Digitizer dialog, when "Digidata 1550B Series" has been selected as the digitizer.

Note: Digidata 1550B digitizers are able to digitize signals in the range +/– 10 V. Signals to the ANALOG IN channels should not exceed +/– 15 V, or the digitizer may be damaged. Signals to the TRIGGER IN ports should not exceed + 6 V.

Scan

Click Scan for the program to poll the digitizer and confirm the information reported to the left of the button:

  • Digidata model number
  • Digidata serial number
  • Firmware version
  • HumSilencer configuration

A Digidata 1550B digitizer must be detected before the OK button in the dialog is enabled.


Configure Digidata 1550A digitizer

Use this dialog to configure Digidata 1550A digitizers. The dialog is opened with the Configure button in the Configure > Digitizer dialog, when "Digidata 1550A Series" has been selected as the digitizer.

Note: Digidata 1550A digitizers are able to digitize signals in the range +/– 10 V. Signals to the ANALOG IN channels should not exceed +/– 15 V, or the digitizer may be damaged. Signals to the TRIGGER IN ports should not exceed + 6 V.

Scan

Click Scan for the program to poll the digitizer and confirm the information reported to the left of the button:

  • Digidata model number
  • Digidata serial number
  • Firmware version
  • HumSilencer configuration

A Digidata 1550A digitizer must be detected before the OK button in the dialog is enabled.


Configure Digidata 1550 digitizer

Use this dialog to configure Digidata 1550 digitizers. The dialog is opened with the Configure button in the Configure > Digitizer dialog, when "Digidata 1550 Series" has been selected as the digitizer.

Note: Digidata 1550 digitizers are able to digitize signals in the range +/– 10 V. Signals to the ANALOG IN channels should not exceed +/– 15 V, or the digitizer may be damaged. Signals to the TRIGGER IN ports should not exceed + 6 V.

Scan

Click Scan for the program to poll the digitizer and confirm the information reported to the left of the button:

  • Digidata model number

  • Digidata serial number

  • Firmware version

A Digidata 1550 digitizer must be detected before the OK button in the dialog is enabled.


Configure Digidata 1440A digitizer

Use this dialog to configure Digidata 1440A digitizers. The dialog is opened with the Configure button in the Configure > Digitizer dialog, when "Digidata 1440A Series" has been selected as the digitizer.

Note: Digidata 1440A digitizers are able to digitize signals in the range +/– 10 V. Signals to the ANALOG IN channels should not exceed +/– 15 V, or the digitizer may be damaged. Signals to the TRIGGER IN ports should not exceed + 6 V.

Scan

Click Scan for the program to poll the digitizer and confirm the information reported to the left of the button:

  • Digidata model number

  • Digidata serial number

  • Firmware version

A Digidata 1440A digitizer must be detected before the OK button in the dialog is enabled.

Power-on Output Levels

Set analog and digital outputs maintained by the Digidata 1440A digitizer when Clampex software is not running. Once Clampex software starts, settings in it (from the Protocol Editor or Lab Bench) override the settings here.

Power-on holding levels are useful if the cables between the Digidata and the equipment are always attached. There may be a delay of three or four seconds after the Digidata has been powered on before the settings take effect.

Analog OUT #0 – #3 (V)

Set the values for the four analog outputs in volts.

Digital Outs

Set the states of the 16 digital outputs. Use a check for HIGH, blank for LOW.


Configure MiniDigi

Use this dialog to configure your optional MiniDigi digitizer. The dialog is opened with the Configure button in the Configure > Digitizer dialog, when MiniDigi has been selected as the digitizer. The MiniDigi digitizer is supported by AxoScope, but not Clampex software.

The optional accessory MiniDigi™ 2-Channel Digitizer is a USB-interface digitizer designed to function as a simple chart recorder. It has two 16-bit analog inputs, each of which digitizes at up to 1 kHz.

The MiniDigi digitizer should be calibrated to zero offsets when first used. Recalibration should not generally be necessary after this. Check yearly, or if you have reason to think offset settings are no longer correct. No other configuration is required.

A BNC grounding plug is required for calibration.

Filtering

You must select a filtering method for the digitizer:

Analog

Select to have the MiniDigi digitizer apply analog-like filtering to the signal. Selecting this option enables a lowpass antialiasing filter with a cutoff of one fifth of the sampling rate (set in the Protocol Editor Mode/Rate tab).

MinMax filtering

Select to have the MiniDigi digitizer apply minmax filtering to the signal. Only the minimum and maximum values in each n analog-to-digital samples are sent to the computer. The value of n is determined by the sampling interval you have selected, so that you acquire at your stipulated rate (less than or equal to 1 kHz).

Calibration

Calibrate the MiniDigi digitizer to zero offsets. You need to calibrate each channel separately. Attach a grounding plug to the channel you are to calibrate, select that channel in the dialog, and click the Start button. Results of the calibration are recorded in the System Lab Book.

  • Ensure that the MiniDigi digitizer is warmed up before calibration. It needs to have been connected to the computer for at least 10 minutes.

Additional Notes

  • Aberrant values are sometimes displayed for the first few samples of a MiniDigi digitizer acquisition. This is a software artifact and should cause no concern. The signal should settle quickly.
  • Tags: If AxoScope software and Clampex software are running concurrently, tags are automatically inserted in the AxoScope software file at the start and end times of a Clampex software recording. The end-time tag includes the name of the Clampex software file.


CyberAmp

Configure > CyberAmp

There are 3 submenu options for CyberAmp:

Connections

Unassigned Channels

Active Signal


CyberAmp—Connections

Configure > CyberAmp > Connections

Use to configure Clampex software to communicate with your CyberAmp amplifier.

CyberAmp

Check to enable CyberAmp communication and configuration.

Serial Configuration

Use this section to set up communications with the CyberAmp.

Device number

Use the drop-down list to choose the CyberAmp's device number.

Serial port

Use the drop-down list to choose the serial port to which the CyberAmp is connected. Choosing Demo allows you to configure the CyberAmp settings without the instrument actually being connected.

Rescan button

If communication has been lost, click this button to reestablish communication.

Channel Assignment

CyberAmp channel n -> Analog IN

For each CyberAmp channel n you intend to connect to the digitizer, you must assign the analog input channel to which it will be connected.


CyberAmp—Unassigned Channels

Configure > CyberAmp > Unassigned Channels

In this dialog there is a tab for each CyberAmp channel NOT assigned to a digitizer analog input channel in Configure > CyberAmp > Connections.

Even though they are not assigned to an input channel, you can still control these CyberAmp channels with this dialog.

For descriptions of the fields, see Configure > CyberAmp > Active Signal.


CyberAmp—Active Signal

Configure > CyberAmp > Active Signal

If the active (highlighted) signal in the Scope window has been assigned to a CyberAmp channel, this dialog box appears with a tab for the active signal, and you can configure the CyberAmp settings. See your CyberAmp manual for more detailed information on these settings. The controls in the dialog box have been arranged in signal flow order. The signal enters the CyberAmp via the positive and negative inputs and leaves after the total gain has been applied.

While CyberAmp settings cannot be applied by loading a protocol file (there are no CyberAmp settings in the protocol editor), you can achieve the same effect by creating a series of signals in Configure > Lab Bench with different CyberAmp settings, and then creating a series of protocol files that use these different signals. In this way you can control the CyberAmp settings by which protocol – and hence by which Lab Bench signal – you choose.

Probe

If you are using an Axon Instruments SmartProbe, the type of probe is reported here.

Positive Input and Negative Input

Use the drop-down lists to choose the input coupling for the positive and negative inputs.

Initial Gain

Use the spinner or enter a value to choose the prefilter gain setting.

DC Offset (units)

Use the spinner or enter a value (in signal units) to add a DC offset to the signal. The CyberAmp has a ± 3.0 V adjustment range at unity gain. At an Initial Gain of 10, the range is reduced to ± 0.3 V, and at an Initial Gain of 100, the range is reduced to ± 0.03 V.

Lowpass Filter (Hz)

Use the spinner of enter a value in Hz to set the lowpass filter frequency.

Bypass: Check this to bypass the lowpass filter.

Notch Filter: Check this to enable the notch filter. See the CyberAmp manual for instructions on tuning the notch filter.

Total Gain

Use the spinner or enter a value to set the total gain of this signal. You want to set this value so that the signal's full range fills a large percentage of the digitizer's A/D range.

Auto Zero button

For very slow signals, choose DC coupled inputs and click the Auto Zero button when the signal is at baseline level. This baseline will be constantly subtracted from the signal until the next Auto Zero command. See your CyberAmp manual for more details.

Probe Info button

Opens the Probe Info dialog box.

Electrode Test button

Opens the Electrode Test dialog box.


Probe Info

If you are using an Axon Instruments SmartProbe, the stored information about the transducer or pre-amp will be displayed here. See your CyberAmp manual for more details.

This dialog is opened from the CyberAmp Unassigned Channels dialog.

Status button

If you attach a new probe, press the Status button to read the new information.

Edit button

Click Edit to modify the Smartprobe's stored values.


Electrode Test

When open, use the Electrode Test to measure electrode resistance is taking place. See your CyberAmp guide for more details.

This dialog is opened from the CyberAmp Unassigned Channels dialog.

12 Hz Lowpass filters

Check this box to enable a 12 Hz lowpass filter to remove harmonics generated by the 10 Hz test signal.


Lab Bench

Configure > Lab Bench

Toolbutton:

The primary purpose of the Lab Bench is to create and configure input and output signals, associating these with particular channels. For these purposes:

  • A channel is a cable connection to your digitizer, identified by the name of the digitizer BNC port where connection is made, e.g. Analog IN #0, Digital OUT #2.
  • A signal is a set of name, unit, scale factor and offset, according to which:
  1. Voltage inputs received at the analog input ports of the digitizer are represented in Clampex software as the physical parameter actually being read by your amplifier or transducer, correctly scaled, and with a name selected by the user
  2. Voltage outputs generated through the digitizer's analog output ports are represented in Clampex software as the physical parameter actually being delivered to the preparation by your amplifier or transducer, correctly scaled, and with a name selected by the user.

Any number of signals can be associated with a particular channel. So, for example, input channel Analog IN #0 might be used on different occasions to read current in nanoamps, current in picoamps, voltage in millivolts, and pressure in millimetres of mercury. Signals can be created for each of these cases.

Which signal is read on any occasion is determined by protocol settings. After enabling Analog IN #0 as an input channel on the Inputs tab in the protocol editor, you can select, from all the signals that you have associated with that channel in the Lab Bench, the one you want to read under that protocol. Ultimately, then, you choose your signal by loading a protocol which includes it in its configuration.

The Lab Bench has two tabs:

Input Signals

Output Signals

Further links relevant to Lab Bench settings:

  • Scale Factors – Input Signals: How to set scale factors for input signals, with and without gains telegraphs enabled. The topic includes a list of scale factors for GeneClamp 500 and Axopatch-1 amplifiers.
  • Scale Factors – Output Signals: Lists command signal scale factors for Axon Instruments amplifiers.


Lab Bench: Input Signals Tab

Use the Input Signals tab to create and configure input signals for analog input channels.

Additionally, for these signals:

  • Set software filters
  • Set additional hardware conditioning
  • Manually set telegraph information.

Clampex software supports acquisition on up to 16 analog input channels, corresponding to the ANALOG IN BNC ports on the digitizer. For each of these channels, a range of signals can be created. See Lab Bench for an explanation of the relationship between signals and channels.

Analog input signals created and configured in the Lab Bench are selected for use on a particular channel in the Edit Protocol > Inputs dialog tab.

See also: Calibration Wizard.

Digitizer Channels

Select the digitizer input channel you want to create or configure signals for.

Signals

The signals currently associated with the selected digitizer channel are displayed. You can add new signals, or delete, rename or reconfigure existing ones.

Tip: Each signal name must be unique, irrespective of the selected channel. Thus, for example, if you want to create a signal for Analog IN #1, with the same units, scale factor and offset as a signal currently configured under Analog IN #0, you must give it a name different from the original signal.

Default Signals

There are five preconfigured signals for Analog IN #0:

  • _Ipatch: an inverted current-reading signal for patch-clamp
  • I_MTest 0: configured for use in the Membrane Test (in Demo mode). This signal is used in the Membrane Test tutorial in the manual.
  • Imemb: a typical configuration for measuring membrane current
  • IN 0: a place-holder signal, set to read amps with unity scale factor
  • Ipatch: as for _Ipatch, but not inverted

These signals are provided to help you get started—you are free to use them or not, or alter or delete them.

Highlight a signal to display its current settings in the lower half of the tab, and enable it for deletion or renaming.

Add

Open the Add Signal dialog to add a new signal to the currently selected digitizer channel.

Delete

Delete the currently selected signal.

Rename

Open the Rename Signal dialog to rename the currently selected signal.

Signal name

The remaining sections of the tab show settings for the signal selected in the Signals list.

Scaling

Define the units, scale factor and offset for the selected signal.

If you have a MultiClamp 700A amplifier as a telegraphed instrument on the currently selected input channel, the Signal units and Scale factor fields (and the Scale Factor Assistant button) are grayed out, as this information is telegraphed by MultiClamp Commander. The telegraphed scale factor and units are reported in the Telegraphs section at the bottom of the tab. The unity gain scale factor is always shown, no matter how the gain is changed in Commander.

Signal units

In the left field, select the signal unit prefix from the list box.

In the right field, enter the full name or abbreviation of the unit, e.g. A, V, mmHg, atm.

Scale factor (V/unit)

Enter the number of volts sent to the digitizer per signal unit measured by your recording instrument.

The scale factor you enter depends crucially on whether you have enabled gain telegraphs or not. This is explained fully in Scale Factors – Input Signals, but a quick summary is provided here:

  • Gain Telegraphs: If you are using a gain telegraph for the channel this signal is assigned to, take into account only the portion of the gain not telegraphed by the instrument. Set the scale factor to the correct value for when total amplifier gain (i.e. the product of the amplifier Output Gain knob setting, and headstage gain) is one.

    • NB. The scale factor reported in this field remains as you set it, even though you may change gain settings on the amplifier. Clampex software automatically adjusts the scale factor applied to incoming data in this case, but does not adjust the value reported in this field when it does so.

  • No Gain Telegraphs: If you are not using instrument telegraphs you must enter a scale factor that is calculated for the total gain (with the exceptions noted in the bullet point below). The total gain is the product of the Output Gain knob setting, the headstage gain, and any gain from non-Axon Instruments signal conditioners.
  • Do not include any CyberAmp gain in the scale factor. These gains are handled by the Hardware Signal Conditioning section of this tab.

The Scale Factor can be confusing to calculate, so we provide the Scale Factor Assistant (see below) to help you determine the proper value for instrument scaled output signals.

Note: Polarity Conventions: There is often confusion over the terms "depolarizing", "hyperpolarizing", "inward" and "outward". See Terms and Conventions in Electrophysiology in Chapter 2 of the pCLAMP manual for a full discussion of this. However, any convention can be supported in Clampex software by appropriate choice of the sign of the input and output scale factors. For example, using an Axopatch amplifier, you might use 0.001 V/pA as the scale factor for a whole‑cell voltage‑clamp experiment, but –0.001 V/pA for an inside-out patch experiment.

Errors made in Setting scale factors can be altered once files have been recorded. See Edit > Modify Signal Parameters.

Offset (units @ 0 V)

Enter the signal offset, which is the number of signal units measured at the preparation when the recording instrument is sending a zero volt signal to the digitizer. For microelectrode amplifiers such as the Axoclamp, Axoprobe, Axopatch, GeneClamp or MultiClamp, the offset is always zero.

For transducers, offset may be nonzero. For example, a pressure measurement device might output zero volts when reading 500 mmHg. Thus, with Signal units configured to "mmHg", you would need to enter 500 in the Offset field.

Default

Set the Signal units to V, the Scale factor to 1, and the Offset to 0. These are the units and scaling for the actual signal being received at the analog inputs.

Scale Factor Assistant

Open the Scale Factor Assistant, which helps you to determine the scale factor for scaled input signals, for example, signals assigned to channels connected to the SCALED OUTPUT port on your amplifier.

The Scale Factor Assistant is not designed for signals connected to amplifier output ports with no gain or a set gain. You may still be able to use it in these cases, however, go to the link above for further explanation.

Software RC Filter

You can use software filters to condition the selected signal.

Highpass (Hz)and Lowpass (kHz)

Check the appropriate box to enable the Highpass or Lowpass software filter, then use the spinner (or type in a value directly) to set the cutoff frequency. You can enable both filters at the same time if desired.

The values set here are reported in the Real Time Controls, from which you can also adjust them.

Hardware Signal Conditioning

If you have the appropriate hardware, you can configure additional gains for the selected signal.

CyberAmp

If you have assigned a CyberAmp channel to this digitizer channel in Configure / CyberAmp / Connections, this button opens the Configure / CyberAmp / Active Signal dialog box, which allows you to configure the settings for the CyberAmp channel connected to this Digitizer Channel.

Do not include gain from the CyberAmp when calculating the scale factor in the Scaling section of the Input Signals tab.

Telegraphs

If you have enabled telegraphs for the selected input channel, the telegraphed settings are reported in this section. If no telegraphs have been set, or set for only some instrument settings, you can enter the non-telegraphed settings manually. The entered values are reported in the Real Time Controls and written into data file header information as usual.

Gain

When gain telegraphs are enabled, this field reports one of two possible values:

  • For the MultiClamp 700A, the value reported is the gain set by the Output Gain command in MultiClamp Commander, irrespective of the headstage resistor selected (which affects the total gain applied).
  • For all other telegraphing amplifiers, the total amplifier gain is reported. This is a combination of the gain set by the Output Gain knob on the amplifier, and any headstage gain.

If you are setting this field manually it may be advisable to include headstage gain in the value you report, for later reference on recorded files. Headstage gain must be included in calculation of the scale factor, used to determine Y axis scaling, but this value is not separately reported to data file headers. Thus, if headstage gain is other than one and only "Output Gain" knob gain is reported, there may be confusion at a later stage due to an apparent mismatch between the scale factor applied to a file and the gain reported for it.

Frequency (Hz)

This is the cutoff frequency setting for the lowpass filter on your instrument.

Cm (pF)

This is the whole-cell capacitance compensation setting for your instrument.


Lab Bench: Output Signals tab

Use the Output Signals tab to create and configure output signals for digitizer analog output channels, and to set global digital output holding patterns. See Lab Bench for a discussion of the relationship between signals and channels.

Analog output signals created and configured in the Lab Bench are selected for use on a particular channel in the Protocol Editor Outputs tab.

Digitizer Channels

Select the digitizer output channel you want to create or configure signals for.

Signals

The signals currently associated with the selected digitizer channel are displayed. You can add new signals, or delete, rename or reconfigure existing ones.

Default Signals

There are three preconfigured signals for Analog OUT #0:

  • _Cmd 0: an inverted command signal for voltage clamp, scaled suitably for delivery to COMMAND input ports on several Axon amplifiers.
  • Cmd 0: as for _Cmd 0, but not inverted.
  • OUT 0: a place-holder signal, set to deliver volts at a scale factor of one (i.e. the actual digitizer output).

Analog OUT #1 has one place-holder signal.

These signals are provided to help you get started—you are free to use them or not, or alter or delete them.

Highlight a signal to display its current settings in the section below, and to enable it for deletion or renaming.

Add

Open the Add Signal dialog to add a new signal to the selected digitizer channel.

Delete

Delete the currently selected signal.

Rename

Open the Rename Signal dialog to rename the currently selected signal.

Signal Name

This section defines the units and scale factor for the selected signal. There is also an option to set a global holding level.

If you have a MultiClamp 700A amplifier as a telegraphed instrument on the currently selected output channel, the Signal units and Scale factor fields (and the Scale Factor Assistant button) are grayed out and the telegraphed scale factor reported.

Signal units

In the left field, select the signal unit prefix from the list box.

In the right field, enter the full name or abbreviation of the unit, e.g. A, V, mmHg, atm.

Scale factor (unit/V)

Enter the number of units of the command signal delivered to the preparation for each volt sent from the digitize analog output to the instrument's External Command Input.

For example, Molecular Devices amplifiers in voltage-clamp mode send a 20 mV command for each volt read at the External Command Input. This information is provided on the amplifier panel underneath the BNC port. Therefore, in this case, you would set Signal units to mV and enter 20 in the scale factor field.

See External Command Scale Factors for a list of output scaling factors for Axon Instruments amplifiers.

You can use the Scale Factor Assistant (see below) to determine the scale factor.

Holding level (unit)

Enter a holding level for the selected signal.

This field is enabled only if "Use analog holding levels from Lab Bench" in Configure > Overrides is checked. The setting made here in the Lab Bench then overrides holding levels set for particular protocols (on the Outputs tab in the Protocol Editor). This way, the holding level remains constant even as you open and run different protocol files.

Holding levels can be changed at any time (whether they are being globally controlled from the Lab Bench, or by specific protocol settings) from the Real Time Controls panel.

Default

Set the Signal units to V and the Scale factor to 1, which are the units and scaling for the actual analog output signal.

Scale Factor Assistant

Open the Scale Factor Assistant, which helps you determine what your scale factor should be.

Digital OUT Channels

Holding pattern

Enter the holding pattern for the digital outputs.

This field is enabled only if "Use digital holding levels from Lab Bench" in Configure > Overrides is checked. The setting made here in the Lab Bench then overrides holding levels set for particular protocols (on the Outputs tab in the Protocol Editor). This way, the holding level remains constant even as you open and run different protocol files.

Holding levels can be changed at any time for Digital OUT channels 3, 2, 1 and 0 (whether they are being globally controlled from the Lab Bench, or by specific protocol settings) from the Real Time Controls panel.

Set digital OUT bit high during acquisition

Check to specify one digital output channel to go high (and stay high) during the entire length of a trial. You can use this, for example, as a VCR recording trigger during Continuous mode.

Digital bit

Use the drop-down list to choose which Digital OUT channel to use.


Add Signal

Add new signals for the currently selected digitizer input or output channel, on the Lab Bench Input Signals or Output Signals tab.

New Name

Name the new signal. Names can include up to 10 characters, including spaces and numerals.

Signal names must be unique.


Rename Signal

Use this dialog to rename an input or output signal you are reconfiguring on the Lab Bench Input Signals or Output Signals tab.

New Name

Type in the new name for the signal. Names can include up to 10 characters, including spaces and numerals.

Signal names must be unique.


Filter Frequency Selector

This dialog opens if there is conflict between your lowpass or highpass filter settings and sampling rate.

If you are using the Clampex software software filters

The software filter algorithms require that the Nyquist Sampling Theorem is satisfied (see "The Sampling Theorem in pCLAMP software", Chapter 2 in the manual). If your software filter frequency violates the Nyquist Sampling Theorem with respect to the chosen sampling rate, this dialog allows you to make an appropriate change. For either the lowpass or highpass filter, the sampling rate must be at least twice the filter frequency. See Software Filters.

Sample faster: mmm µs = nn kHz

This option will be automatically set to the minimum sampling rate required for the chosen filter cutoff frequency.

Reduce the filter cutoff frequency tonn Hz

This option will be automatically set to the maximum filter cutoff frequency you can choose for the current sampling rate.

Disable the high/lowpass RC software filter

If you cannot accept the automatically set values, you must disable the software filters.

If you are using CyberAmp filters

While you should satisfy the Nyquist Sampling Theorem when setting your sampling and filter values, if you use an external lowpass or highpass filter Clampex software will not require you to adhere to the proper settings.

Sample faster:mmm µs = nn kHz

This option will be automatically set to the minimum sampling rate required for the chosen filter cutoff frequency.

Proceed

While not recommended, you can choose to proceed with the current settings by selecting this option.


Scale Factor Assistant

The Scale Factor Assistant, accessed from both tabs of the Lab Bench, is a set of dialogs that prompt you for information about your amplifier settings. The Assistant uses this information to determine the scale factor, and units, for your input and output signals. These values are automatically written into their respective fields in the Lab Bench when you close the Assistant.

Scale factors can also be set manually. For advice on this see:

Scale Factors—Input Signals

Scale Factors—Output Signals

MultiClamp 700 users

If you have a MultiClamp 700A amplifier, the Scale Factor Assistant is disabled for the input signal coming from the amplifier scaled output, and for the command output signal (provided you have indicated the channel this is on in Configure > Telegraphed Instrument). Signal units and scale factors are telegraphed from MultiClamp Commander in these cases, and reported in their respective fields in the Lab Bench.

Use of the Scale Factor Assistant for input signals

For input signals, the Assistant is designed for use only with the primary scaled input signal, i.e. the signal selected for the channel connected to the SCALED OUTPUT port on your amplifier (this is the signal you will be telegraphing, if you have telegraphs enabled). This is because the Assistant assumes you are reading current or voltage, based on the mode setting you report for your amplifier (i.e. voltage clamp, current clamp, etc.). So, for example, if you report that the amplifier is in voltage-clamp mode, it assumes you are reading current.

Tip: If you want to use the Assistant for a signal with a unit other than that assumed by the Assistant, this is possible by misinforming the Assistant of the amplifier mode. Thus you can configure a voltage-reading signal for voltage clamp.

For input signals, if you have telegraphs enabled for the signal you are configuring, the Scale Factor Assistant opens with the correct dialog for your amplifier. For output signals and nontelegraphed input signals you have to select your amplifier from either:

Input Signals

Output Signals


Scale Factor Assistant—Input Signals

The Lab Bench> Input Scale Factor is always expressed as the number of volts read at the digitizer analog input per signal unit measured by your instrument (all Axon Instruments amplifiers express their scale factors this way). The Input Scale Factor Assistant helps you to determine the correct scale factor for the input signal you are editing.

Related link: Scale Factor Assistant main topic.

Choose the type of instrument you are using and click the Next button.

Do you have an Axon Instruments device attached to Analog IN #nn?

This opens the Scale Factor Assistant: Generic device dialog.

Yes

If you choose Yes, you must specify the Axon Instruments amplifier you are reading from.

The Assistant assumes that the currently selected signal in the Lab Bench (for which you are configuring the scale factor) is associated with the digitizer input channel connected to the amplifier's SCALED OUTPUT port.

Axoclamp-2 and -2A

Select this if you are using an Axoclamp-2 or 2A amplifier. Opens the Scale Factor Assistant: Axoclamp 2 and 2A – Input dialog box.

Axoclamp-2B

Select this if you are using an Axoclamp-2B amplifier. Opens the Scale Factor Assistant: Axoclamp 2B – Input dialog box.

Axopatch-1 series

Select this if you are using an Axopatch-1, 1A, 1B, 1C, or 1D amplifier. Opens the Scale Factor Assistant: Axopatch 1 series – Input dialog box.

Axopatch 200 series

Select this if you are using an Axopatch 200, 200A, or 200B amplifier. Opens the Scale Factor Assistant: Axopatch 200 series – Input dialog box.

Axoprobe-1A

Select this if you are using an Axoprobe-1 or 1A amplifier. Opens the Scale Factor Assistant: Axoprobe-1A – Input dialog box.

GeneClamp 500

Select this if you are using a GeneClamp 500 amplifier. Opens the Scale Factor Assistant: GeneClamp 500 – Input dialog box.


Scale Factor Assistant—Output Signals

Use this dialog box to select the appropriate Scale Factor Assistant for your amplifier. The Assistant is available only for Axon Instruments amplifiers.

The Lab Bench output scale factor is always expressed in the form: units / V, where:

  • the "units" are those of the signal sent as a command from the amplifier to the preparation, and
  • "V" is for the volts sent by the digitizer's analog output to the amplifier's command input.

Related link: Scale Factor Assistant main topic.

Please specify the type of amplifier that you have attached to Analog OUT # n

When you specify the Axon Instruments amplifier you are using and press the Next button, it opens the relevant Assistant.

Axoclamp-2 series

Opens the Scale Factor Assistant: Axoclamp-2 series—Output dialog.

Axopatch-1 series

Opens the Scale Factor Assistant: Axopatch-1 series—Output dialog.

Axopatch 200 series

Opens the Scale Factor Assistant: Axopatch 200 series—Output dialog.

Axoprobe-1A

Opens the Scale Factor Assistant: Axoprobe-1A—Output dialog.

GeneClamp 500

Opens the Scale Factor Assistant: GeneClamp 500—Output dialog.


Scale Factor Assistant: Generic device

The Lab Bench Input Scale Factor is always expressed as the number of volts read at the digitizer's analog input per signal unit measured by your instrument (all Axon Instruments amplifiers express their scale factors this way). However, because your amplifier may express the scale factor differently, this dialog box allows you to think about the scaling in other ways while calculating the correct scale factor for the Lab Bench.

After you have finished the four steps, press the Finish button and the proper scale factor will be entered in the Scale factor field in the Lab Bench.

Related link: Scale Factor Assistant main topic.

1. Preferred Digitizer Units

Choose how you wish to think about the units of the amplified output signal that reaches the digitizer's analog input, either millivolts or volts.

2. Preferred Dependence

Choose how your amplifier expresses the scale factor:

Preferred Digitizer Units / Signal Units

The number of output units (mV or V) reaching the digitizer per measured signal unit.

Signal Units / Preferred Digitizer Units

The number of measured signal units per output unit (mV or V) that reaches the digitizer.

Instrument Settings

Scale factor (preferred dependence) while the output gain is unity

Enter the "native" scale factor of your instrument (e.g. the headstage gain), which is the scale factor when there is no additional output gain applied to the signal.

The currently selected output gain

Enter the output gain setting on your amplifier.

The computed scale factor = n V / signal units.

The scale factor is expressed here with the dependency required by the Lab Bench.


Scale Factor Assistant: Axoclamp-2 and 2A—Input

This dialog computes the correct scale factor for your Axoclamp-2 or 2A. After you have finished filling in the fields, press the Next button to go to the External Gain dialog, which will then enter your scale factor into the Lab Bench.

If you chose the wrong amplifier, click the Back button to go back to the Scale Factor Assistant (amplifier selection) dialog.

1. Output BNC

Select the option button corresponding to the output BNC to which your digitizer Analog IN cable is attached in the Outputs section on the back of the Axoclamp.

2. Headstage

If you have chosen one of the current (I) outputs in Step 1, specify the current gain, which is the H value reported on the headstage.

3. Preferred Signal Units

If you have chosen one of the current (I) outputs in Step 1, choose your preferred measurement units. The selection you make is entered in the Signal units field for this signal in the Lab Bench.

Scale factor (with unity external gain) =

This reports your scale factor (not including any additional external gain), translated to Volts per Signal Unit. When you press the Next button, you go to the External Gain dialog, where you can enter any additional gain you may be applying with an external amplifier.


Scale Factor Assistant: Axoclamp-2B—Input

This dialog computes the correct scale factor for your Axoclamp-2B. After you have finished filling in the fields, press the Next button to go to the External Gain dialog box, which will then enter your scale factor into the Lab Bench.

If you chose the wrong amplifier, press the Back button to go back to the Scale Factor Assistant (amplifier selection) dialog box.

1. Output BNC

Select the option button corresponding to the output BNC to which your digitizer's Analog IN cable is attached in the Outputs section on the back of the Axoclamp.

2. Headstage

If you have chosen one of the current (I) outputs in Step 1, specify the current gain, which is the H value reported on the headstage.

3. Preferred Signal Units

If you have chosen one of the current (I) outputs in Step 1, choose your preferred measurement units. The selection you make is entered in the Signal units field for this signal in the Lab Bench.

Scale factor (with unity external gain) =

This reports your scale factor (not including any additional external gain), translated to Volts per Signal Unit. When you press the Next button, you go to the External Gain dialog box where you can enter any additional gain you may be applying with an external amplifier.


Scale Factor Assistant: Axoclamp-2 series—Output

This dialog computes the correct output (command) scale factor for your Axoclamp. After you have finished filling in the fields, click Finish to enter your scale factor into the Lab Bench.

If you chose the wrong amplifier, click Back to go back to the Scale Factor Assistant (amplifier selection) dialog .

1. Command BNC

Select the option button corresponding to the Ext. Command BNC to which your digitizer's Analog OUT cable is attached in the Inputs section on the back of the Axoclamp.

2. Headstage Gain

If you chose ME1 or ME2 (the current command inputs) in Step 1, specify the current gain, which is the H value reported on the headstage.

Scale factor =

This reports the scale factor (in signal units per volt) that is entered in the Lab Bench when you click Finish.


Scale Factor Assistant: Axopatch-1 series—Input

This dialog computes the correct scale factor for your Axopatch-1, 1A, 1B, 1C or 1D. After you have finished filling in the fields, click Finish to enter your scale factor into the Lab Bench.

If you chose the wrong amplifier, press the Back button to go back to the Scale Factor Assistant (amplifier selection) dialog. (If you chose this as your telegraphed instrument, you won't see the Back button).

Related link: Scale Factor Assistant main topic.

1. Output Select Setting

Select the option button corresponding to the setting of the Output Select switch on the front panel of the Axopatch.

Please note that for the "EXT." setting the Scale Factor Assistant will not be able to calculate a scale factor. You will need to compute the scale factor yourself and enter it directly into the Lab Bench.

2. Headstage Gain (b)

If the Output Select switch is set to 'I' (and you chose 'I' in Step 1), select the option button corresponding to the Headstage Gain switch on the front panel of the Axopatch. If you are using an Axopatch-1C or 1D and if the switch is in the 1/0.1 setting you need to read the headstage cover to determine the headstage gain.

3. Preferred Signal Units

If the Output Select switch is set to 'I', choose your preferred measurement units. The selection you make will be entered in the Signal units field for this signal in the Lab Bench.

4. Gain

Enter the setting of the Gain knob on the front panel of the Axopatch. If you have enabled telegraphs for the instrument connected to this analog input channel, the Gain field does not appear in this section. The gain as reported by the telegraph is displayed instead.

Scale factor while the output gain is unity =

This reports your headstage gain translated to Volts per Signal Unit.

Scale factor with the specified output gain =

This reports the scale factor that is entered in the Lab Bench when you click Finish.


Scale Factor Assistant: Axopatch-1 series—Output

This dialog computes the correct output (command) scale factor for your Axopatch-1 series amplifier. After you have finished filling in the fields, click Finish to enter your scale factor into the Lab Bench.

If you chose the wrong amplifier, click Back to go back to the Scale Factor Assistant (amplifier selection) dialog.

1. Mode Setting

Select the option button corresponding to the setting of the Mode switch on the front panel of the Axopatch.

2. Headstage Gain (b)

If you specified "I=0" or "I-CLAMP" in Step 1, select the option button corresponding to the setting of the Headstage Gain switch on the front panel of the Axopatch. If you are using an Axopatch-1C or 1D, if the switch is in the 1/0.1 setting you need to read the headstage cover to determine the headstage gain.

3. Ext. Command Sensitivity

If you specified "V-CLAMP" in Step 1, select the option button corresponding to the setting of the Ext. Command Sensitivity switch in the Command Potentials section on the front panel of the Axopatch.

Scale factor =

This reports the scale factor (in signal units per volt) that is entered in the Lab Bench when youclick Finish.


Scale Factor Assistant: Axopatch 200 series—Input

This dialog box computes the correct scale factor for input signals received from an Axopatch 200, 200A, or 200B. After you have finished filling in the fields, click Finish to enter your scale factor into the Lab Bench.

If you chose the wrong amplifier, press the Back button to go back to the Scale Factor Assistant (amplifier selection) dialog. (If you chose this as your telegraphed instrument, you won't see the Back button).

1. Mode Setting

Select the option button corresponding to the setting of the Mode switch on the front panel of the Axopatch.

2. Config Setting

If the Mode switch is set to Track or V-Clamp, select the option button corresponding to the Config switch on the front panel of the Axopatch. If the switch is in the Whole Cell position, select the option corresponding to your headstage.

3. Preferred Signal Units

If the Mode switch is set to Track or V-Clamp, choose your preferred measurement units. The selection you make is entered in the Signal units field for this signal in the Lab Bench.

4. Gain

No gain telegraph: Enter the gain applied to the signal (i.e. the a gain set by the output gain knob on the front panel of the amplifier). This, along with the b (headstage) gain you indicated in "2. Config. Setting" above, is used to calculate the final scale factor, which is reported in the second line at the bottom of the dialog. This is the value transferred back to the Scale factor field in the Lab Bench when you close the Scale Factor Assistant.

Gain telegraph enabled: If you have enabled telegraphs, the gain as reported by the telegraph is displayed. This is the product of the main amplifier a gain and the headstage b gain.

Scale factor while the output gain is unity =

This reports the scale factor for an output gain knob setting (i.e. a gain) of one. This value varies only according to the headstage (b) gain. If gain telegraphs are enabled, this is the value written to the Scale factor field in the Lab Bench.

Scale factor with the specified output gain =

This reports the scale factor for the current output gain knob setting (a gain) and headstage (b gain). If gain telegraphs are not enabled, this value is entered in the Lab Bench Scale factor field when you click OK. If gains are enabled, the "Scale factor while the output gain is unity" value is used.


Scale Factor Assistant: Axopatch 200 series—Output

This dialog box computes the correct output (command) scale factor for your Axopatch 200 series amplifier. After you have finished filling in the fields, click Finish to enter your scale factor into the Lab Bench.

If you chose the wrong amplifier, click Back to go back to the Scale Factor Assistant (amplifier selection) dialog.

1. Mode Setting

Select the option button corresponding to the setting of the Mode switch on the front panel of the Axopatch.

2. Config Setting

If you specified "I=0," "I-Clamp Normal" or "I-Clamp Fast" in Step 1, select the option button corresponding to the setting of the Config switch on the front panel of the Axopatch. If the switch is in the Whole Cell position, select the option corresponding to your headstage.

3. Ext. Command Sensitivity

If you specified "Track" or "V-Clamp" in Step 1, select the option button corresponding to the Ext. Command Input BNC to which your digitizer's Analog OUT cable is attached. (The 100 mV/V option is only available on the Axopatch 200B).

Scale factor =

This reports the scale factor (in signal units per volt) that is entered in the Lab Bench when you click Finish.


Scale Factor Assistant: Axoprobe-1A—Input

This dialog computes the correct scale factor for your Axoprobe-1 or 1A. After you have finished filling in the fields, click Nextn to go to the External Gain dialog, which will then enter your scale factor into the Lab Bench.

If you chose the wrong amplifier, click Back to go back to the Scale Factor Assistant (amplifier selection) dialog.

1. Output BNC

Select the option button corresponding to the output BNC to which your digitizer's Analog IN cable is attached in the Outputs section on the back of the Axoprobe.

2. Headstage

If you have chosen one of the current (I) outputs in Step 1, specify the current gain, which is the H value reported on the headstage.

3. Preferred Signal Units

If you have chosen one of the current (I) outputs in Step 1, choose your preferred measurement units. The selection you make is entered in the Signal units field for this signal in the Lab Bench.

Scale factor (with unity external gain) =

This reports your scale factor (not including any additional external gain), translated to Volts per Signal Unit. When you click Next, you go to External Gain where you can enter any additional gain you may be applying with an external amplifier.


Scale Factor Assistant: Axoprobe-1A—Output

This dialog computes the correct output (command) scale factor for your Axoprobe. After you have finished filling in the fields, click Finish to enter your scale factor into the Lab Bench.

If you chose the wrong amplifier, click Back to go back to the Scale Factor Assistant (amplifier selection) dialog.

1. Command BNC

Select the option button corresponding to the Ext. Command BNC to which your digitizer Analog OUT cable is attached in the Inputs section on the back of the Axoprobe.

2. Headstage Gain

Specify the current gain, which is the H value reported on the headstage.

Scale factor =

This reports the scale factor (in signal units per volt) that is entered in the Lab Bench when you click Finish.


Scale Factor Assistant: GeneClamp 500—Input

This dialog box computes the correct scale factor for your GeneClamp 500. After you have finished filling in the fields, click Finish to enter your scale factor into the Lab Bench.

If you chose the wrong amplifier,click Back to go back to the Scale Factor Assistant (amplifier selection) dialog. (If you chose this as your telegraphed instrument, you won't see the Back button).

1. Scaled Output Signal

Select the option button corresponding to the signal selected in the Scaled Output section on the front panel of the GeneClamp.

2. Preferred Signal Units

If you selected one of the current outputs (I1, I2, or I3), choose your preferred measurement units. The selection you make will be entered in the Signal units field for this signal in the Lab Bench.

3. Gain

Enter your Gain setting from the Scaled Output section on the front panel of the GeneClamp. If you have enabled telegraphs for the instrument connected to this analog input channel, the Gain field does not appear in this section. The gain as reported by the telegraph is displayed instead.

Scale factor while the output gain is unity =

This reports your headstage gain translated to Volts per Signal Unit.

Scale factor with the specified output gain =

This reports the scale factor that is entered in the Lab Bench when you click Finish.


Scale Factor Assistant: GeneClamp 500—Output

This dialog computes the correct output (command) scale factor for your GeneClamp. After you have finished filling in the fields, click Finish to enter your scale factor into the Lab Bench.

If you chose the wrong amplifier, click Back to go back to the Scale Factor Assistant (amplifier selection) dialog.

1. Command BNC

Select the option button corresponding to the Ext. Command BNC to which your digitizer Analog OUT cable is attached in the Inputs section on the back of the Axoprobe.

2. Headstage Gain

If you chose a current command in section 1, specify the current gain of the headstage attached to the GeneClamp.

Scale factor =

This reports the scale factor (in signal units per volt) that is entered in the Lab Bench when you click Finish.


Scale Factor Assistant—External Gain

The Axoclamp and Axoprobe amplifiers do not have additional gain amplifiers, but if you have attached an external gain amplifier, specify the gain in this dialog.

Related link: Scale Factor Assistant main topic.

Do you have an external amplifier attached to the selected BNC?

No

If you do not have any additional amplifiers attached, select No and press the Finish button to enter the scale factor into the Lab Bench.

Yes

If you are using an external gain amplifier, select Yes and enter the gain setting on the external amplifier.

Scale factor while the external gain is unity =

If you have no external gain, this reports the scale factor, in Volts per Signal Unit, that is entered in the Lab Bench when you press the Finish button.

Scale factor with the specified external gain =

If you have specified an external gain, this reports the scale factor that is entered in the Lab Bench when you press the Finish button.


Telegraphed Instrument

Configure > Telegraphed Instrument

Telegraphs are messages sent to Clampex software informing it of key amplifier settings. For an explanation of telegraph functionality, see Telegraphs.

Input Channels

Select the digitizer analog input channel receiving the scaled output signal from the instrument you want to receive telegraphs from.

Telegraphed Instrument

Use the drop-down list to choose your amplifier. If your amplifier has optional headstages, be sure to select the right amplifier/headstage combination.

  • User Defined (#1–3): If your amplifier is not listed but has telegraph outputs, you can configure Clampex software to have it appear in the list box. Instructions are provided in the userdefinedinstruments.ini file, located in the \Program Files\Molecular Devices\pCLAMP10.6\ folder. Configuration of the telegraphed instrument is carried out in the same file.
  • Manual: If your amplifier does not support telegraphs, select this option to allow manual entry of amplifier settings that would otherwise be telegraphed. Selecting this option enables fields in the Telegraphs section of the Input Signals tab in the Lab Bench, where you can type in the gain, lowpass filter frequency setting, and whole-cell compensation setting. These values are then treated as if they had been telegraphed.

Telegraph Connections

This section is enabled when telegraphs for your selected amplifier are via BNC connections to the digitizer analog or telegraph input channels.

Gain, Frequency, Cm

For each field, choose an open analog or telegraph input channel to which you will connect the telegraph output.

If any of these fields are grayed out, it means that the chosen telegraphed instrument does not support this telegraph output.

Output Connections

This field applies only to the Axon computer‑controlled amplifiers Axoclamp 900A, MultiClamp 700A, and MultiClamp 700B, which telegraphs outputs as well as inputs.

Output channel

Select the output channel carrying the command signal.

When this channel is selected in the Output Signals tab in the Lab Bench, the units and scale factor for the signal, as determined by the recording mode and "External Command Sensitivity" settings in MultiClamp Commander, are displayed in the (grayed) signal units and scale factor fields.

Amplifier Configuration

The Amplifier output field should match the amplifier’s physical Scaled Output signal that is being used on the telegraphed Analog Input Channel.

For the Axoclamp 900A amplifier and the MultiClamp 700B amplifier, clicking on the Scan button should fill in the Serial number field with the telegraphed amplifier’s serial number. The amplifier Commander panel will need to be launched and communicating with the amplifier before using the Scan button.

Serial Configuration

For GeneClamp 500 or MultiClamp 700A amplifier, use this section to configure the serial connection used for telegraphs.

Serial port

Use the drop-down list to choose the serial COM port for the connected amplifier serial cable.

Device number

Select the device number set with the Device Address rotary switch on the rear panel of the amplifier.

If you have a MultiClamp 700A amplifier, the device number is also reported in the title bar of MultiClamp 700A Commander.

Poll when acquiring / Poll when not acquiring

These options are enabled for the GeneClamp only.

Check when to poll the instrument for telegraph information. Some amplifiers are noisy when polling, so you may wish to disable polling during acquisition.


Overrides

Configure > Overrides

You can choose to have parameters that are normally set in the Protocol Editor set instead in the Lab Bench, or in this dialog box.

Overrides are useful if, for example, you have prepared a series of protocol files to run using Sequencing Keys. You may want consistent behavior for all these protocols with respect to, say, holding level. Overrides allows you to set this in one place without having to change the value in all of the protocol files.

Use analog holding levels from Lab Bench

The Lab Bench contains a field to set the analog holding level. By checking this item, the currently loaded protocol's analog holding level is ignored and the Lab Bench value is used instead.

The Real Time Controls panel (RTC) directly modifies the Lab Bench value (and the currently loaded protocol's holding value as well), so you can use the RTC to control the analog holding level no matter which protocol is loaded.

Use digital holding pattern from Lab Bench

The Lab Bench contains a field to set the digital holding level. By checking this item, the currently loaded protocol's digital holding level is ignored and the Lab Bench value is used instead.

The Real Time Controls Panel (RTC) directly modifies the Lab Bench value (and the currently loaded protocol's holding value as well), so you can use the RTC to control the digital holding level no matter which protocol is loaded.

Use most recent file comment

The last comment entered in the "File comment" field in the Edit Protocol / Comments tab, prior to this override being set, is attached to all files subsequently recorded regardless of protocol, provided the protocol has comments enabled (i.e. the Comments check box in the Protocol Editor is checked).

Use this sampling interval (ms)

By checking this item, the sampling rate for all of your protocols is set here instead of in the protocol. The Real Time Controls Panel (RTC) directly modifies the value stored in the Overrides dialog box (and the currently loaded protocol's sampling interval value as well), so you can use the RTC to control the sampling interval no matter which protocol is loaded.

Use the spinner or enter a valid sampling interval in microseconds in the field.

Keep existing Scope window size and position

As new acquisitions are made with different protocols, the Scope window size and position is kept constant.

When a protocol is saved, the size and position of the Scope window is saved as well, and it opens in the same position when the protocol is next loaded. If this option is not checked, then, the Scope window may shift about the screen as each new protocol in a sequence opens.


Membrane Test Setup

Configure > Membrane Test Setup

Use to configure the Tools > Membrane Test start-up parameters. Settings are automatically saved so you need repeat this procedure only if Clampex software is reset to factory settings or you need to make specific changes.

Note: Because of the nature of the Membrane Test procedure only output signals in volts and input signals in amperes are acceptable.

See Membrane Test Overview for a full description of Membrane Test.

Input signal

Choose a signal from the list box for the Membrane Test to use to record the response to the pulse generated in the test.

The signal should have "pA" as the signal unit and an appropriate scale factor (configured in the Lab Bench).

Output Signal

Use the drop-down list to choose the signal (set up in the Lab Bench) that the Membrane Test will use to send out the stimulus pulse. The signal should have units "mV".

Proportion of Peak to Fit

This section allows you to adjust the region of the decay phase on the capacitive transient that is fit by a single exponential.

Start of fit region

The exponential fit begins at this point on the decay phase of the capacitive transient current record. The peak of the capacitive transient represents 100% and the steady-state level represents 0%. The highest value allowed is 99% and the lowest value allowed is 40%. The default value is 40%.

End of fit region

The exponential fit ends at this point on the decay phase of the capacitive transient current record. The peak of the capacitive transient represents 100% and the steady-state level represents 0%. The highest value allowed is 39% and the lowest value allowed is 1%. The default value is 1%.

Pulse Train Protocol

Configure the pulse train in this section.

The train you configure here runs once—interrupting the primary Membrane Test pulse—when you click the "Pulse Train" button in the Membrane Test dialog.

The diagram below illustrates the pulse train configuration parameters:

Figure 3: A four-pulse train interrupting primary Membrane Test pulse

Use same signal as Output signal

Select this if the source of the primary pulse and the pulse train signal are the same.

Use specified signal

Select a specific signal for the pulse train, if different from the Membrane Test signal used for the primary pulse.

Pulse frequency

Reports the frequency of voltage steps (the combination of the baseline duration + the step duration). For example, if the baseline and step durations are each 500 ms, then the combination is 1000 ms or 1 second. Therefore, the frequency of each in this case is 1 Hz.

Train duration

Reports the train duration, representing the combined length of the baseline and step durations.

Number of pulses in train

Select the number of voltage steps to occur in the pulse train.

Pre-train duration at baseline

Set a period of time at the start of the pulse train, before pulses begin, when output is held steady at the baseline level you set below.

Baseline duration

The duration of the baseline component of a single pulse cycle. The baseline component of a pulse occurs before the step.

Baseline level

Enter a voltage level for the baseline component of each pulse. This level is also used for any pretrain duration. The default baseline level value is 0 mV.

Step duration

Enter the duration of the step component of each pulse within the train. The step follows the baseline component.

Step level

Enter the voltage level of the step within each pulse.

Post-train duration

Set a period of time at the end of the pulse train, after pulses end, when output is held steady at the holding level (N.B. not the baseline level set for the pulse train).


Sequencing Keys

Configure > Sequencing Keys

Toolbutton (Sequencing Toolbar):

Sections in this topic:

Sequencing Keys Table

Command Buttons

For an overview of sequencing keys operation, go to Sequencing Keys Introduction.

The Sequencing Toolbar is toggled on and off with View > Sequencing Toolbar, and configured in Configure > Toolbars > Sequencing.

Sequencing Keys Table

Sequencing keys are listed, one per line, in the sequencing keys table. Use the table to add and configure new keys, using the commands on the right of the dialog.

You can save all the sequencing keys in the table as a set and replace them with another, previously saved set, or configure a new set. Those keys displayed in the table when the dialog is closed remain operational until they are replaced—from within the dialog.

The table has four columns:

Key

This column displays the key-stroke combination (and corresponding toolbutton) defined for the entry.

Next Key

This key is called after the current key completes its task.

Type

This column provides details about the type of operation the key is configured to start. The possible values are:

Parameters: the key changes experimental analog and/or digital holding levels

Membrane Test: the key runs the Membrane Test

Protocol: the key loads, views or runs a specified protocol

Prompt: the key brings up a dialog box with a message you have previously written

Description

This column gives a brief description of what the key will do. For example, for a protocol key the description field will tell you which protocol the key will run.

Clicking on a column title above the list sorts the list on that field.

Double-clicking on a sequencing key entry opens the properties dialog for that entry.

Command Buttons

Cancel / Close

After you have made changes, the Cancel button changes to a Close button, which closes the dialog and saves any changes you have made to your sequencing keys set. The keys in the table when you close the dialog are then operational.

Add

Opens the Add dialog box to create a new sequencing key. New keys are added in the same order as they appear in the drop-down list in the Add dialog.

Remove

Removes the selected (highlighted) entry from the list.

Copy...

Copy the settings from an existing key to a new key or to a another existing key. Select the key you want to copy by highlighting it in the table before pressing the Copy button. The button opens the Copy dialog, where you select the key stroke for the copy.

Properties...

Opens the Sequencing Keys Properties dialog box where you edit the properties of the currently selected sequencing key. The Properties dialog has two tabs, the Operations tab and the Sequencing tab.

Verify

Checks to confirm that the sequence that starts with the selected key will actually run. Checks to see if the specified protocols exist, that the Membrane Test command is configured properly (if it is being called) and that all of the keys in the sequence are defined.

Clipboard

Copies the table contents (the key descriptions and column titles) to the clipboard, for transfer to other programs.

New Set

Allows you to define another set of 50 sequencing keys. You can define as many sets of sequencing keys as you like, each saved to a separate *.sks file.

The button opens the New Set dialog box where you name and save the new set, before it opens (empty) into the sequencing keys table. Then add keys as desired for the new set.

Save Set

This button opens the Save Set dialog box where you can save the current sequencing keys set to a new file name.

To save the current set with the same name simply close the dialog—it is saved automatically.

Open Set

Opens the Open Set dialog, which allows you to load another set of sequencing keys into the table.

Only one set of sequencing keys can be open at a time. The most recently opened set remains operational until it is replaced with a new set in the Sequencing Keys dialog.

Options

Choose whether or not to save protocol changes before loading new protocols within a defined sequence of operations, in the Options dialog. The option selected here applies to all sequencing key sets.


Sequencing Keys—Add

Use this dialog to select a key-stroke combination (and toolbutton) for a new sequencing key to be added to the sequencing keys table, in the main Sequencing Keys dialog. Only key combinations that are still available for the current sequencing keys set are shown in the drop-down list.

You can add key combinations in any order. They are added to the list in the same order they appear in the drop-down list in this dialog.

When you click OK, the Sequencing Keys Properties dialog is opened for you to define the sequencing key.

MultiClamp keys

Keys in the series "I-Clamp IN n" and "V-Clamp IN n" are dedicated to amplifier-mode telegraphs from the MultiClamp 700 aplifier—they are not triggered by keystrokes or toolbuttons but by changes in the amplifier mode in MultiClamp Commander. See Sequencing Keys with the Multiclamp 700.


Sequencing Keys—Copy

Use this dialog to select a key-stroke combination (and toolbutton) for a copy of the sequencing key currently selected in the table in the Sequencing Keys dialog box.

You can enter the key stroke of a sequencing key already defined in the table, thereby overriding that key's current configuration with that of the key being copied. Alternatively, select an unused key-stroke combination to create a new key. The new key is added to the table in the same order as in the drop-down list.

MultiClamp keys

Keys in the series "I-Clamp IN n" and "V-Clamp IN n" are dedicated to amplifier-mode telegraphs from the MultiClamp 700 amplifier—they are not triggered by keystrokes or toolbuttons but by changes in the amplifier mode in MultiClamp Commander. See Sequencing Keys with the Multiclamp 700.


Sequencing Keys Properties—Operations tab

Use this tab to define the operation that you want the currently selected sequencing key to perform. There are five operation types:

  • Parameters
  • Membrane Test
  • Protocol
  • Prompt

The Sequencing Keys Properties dialog is opened from the Configure > Sequencing Keys dialog. The other tab in the Properties dialog is the Sequencing tab.

Parameters

Choose Parameters to change analog output holding levels, the digital OUT bit pattern, and/or to insert a comment to the Lab Book and data file.

If a sequencing key that has been defined to change parameters is called manually, midway through another operation, the behavior of the key depends on the nature of the operation that is already running. For example, Clampex software will not allow you to change holding level while recording.

Set Lab Bench Holding Levels

Check the Analog OUT channel to change and enter a holding level in the field. Units for the value entered are determined by the protocol that is loaded at the time the sequencing key is called.

If you call the sequencing key during a Record acquisition, no change occurs.

Digital OUT Bit Pattern

Check to use the sequencing key to change digital outputs. If you execute the sequencing key while recording, a comment tag is inserted in the data file, reporting the new pattern.

These check boxes have three states:

Black check on white ground: set the output high

Blank: set the output low

Gray check on gray ground: retain the output's current state

Insert comment tag into data file (if applicable) and add Lab Book entry

Check to insert a comment, and type the comment into the field.

Comments are always inserted into the Lab Book, and also into the data file if the key is called while recording.

Membrane test

This executes the Membrane Test for the output channel you choose.

Set a running time for the test in the "Start next key" or "Finish this key" section of the Sequencing tab. Otherwise the test runs until manually terminated.

Membrane Test results are always written to the Lab Book.

Save results on exit

When checked, the results of the Membrane Test are written to an ATF file.

Protocol

This option loads a protocol file when the key is called, optionally running the protocol trial (one or more times) in Record or View Only mode.

You can set the key to be active for the time required to run the protocol, or set a specific time with the "Start next key" or "Finish this key" setting on the Sequencing tab. If the time you set is shorter than the time required to run the protocol it is cut short. If it is longer the protocol is run and then Clampex software waits until the time for the next key.

Action

Load: Opens the selected protocol, but does not run it. Holding levels and digital output patterns are set by the protocol (unless overrides have been set) but no command waveform generated or data acquired.

View: The selected protocol is loaded and run in View Only mode.

Record: The selected protocol is loaded and run in Record mode.

Protocol file

Enter the name and pathway of the protocol file you want, or press the Browse button to open the Open Protocol file dialog and select it there.

Repetition count

Enter the number of times the protocol is to be repeated. You can specify up to 10 000 trials.

Repetition start-to-start (s)

Enter the time (in seconds) from the start of executing one protocol trial to the start of the next trial. This must be greater than the time it takes to run the trial once.

Choose Minimum to repeat the protocol without pause.

Prompt

This option pops up the message that you enter in the field.

The message dialog has a timer to let you know how much time has elapsed since the message popped up. If you have chosen to specify a Key start-to-start period on the Sequencing tab, the timer instead shows the time remaining before the next key is called.

You can use this feature in the middle of a sequence to provide an instruction to yourself (or another user), such as to change a solution or a drug. When you click OK, the sequence continues.


Sequencing Keys Properties—Sequencing tab

Use the Sequencing tab to define what the sequencing key does after it has completed the operation defined on the Operations tab. Options to zero the stopwatch at the start of the key, and to add a toolbutton tooltip are also on this tab.

The Sequencing Keys Properties dialog is opened from the Configure > Sequencing Keys dialog.

Next Key

If you specify a Next key, the specified key is executed after the current key has finished. If you do not specify a Next key, sequencing terminates when the current key finishes.

Next key

Use the drop-down list to specify the next key to execute. If you choose "None" the sequence ends when the current key finishes.

You can choose the current key or a previous key in the sequence to create a loop which continues until manually terminated.

Start next key Finish this keyor

If you specify a Next key or have set the current key to run a protocol or membrane test, you must define how long the current key is to remain active—before the next key is called or before it simply stops, ending the sequence.

The first of the two options in this section depends on your choice of Membrane test, Protocol or Prompt, from the Operations tab, for the current key:

First Option:
When Membrane Test is manually terminated

The Membrane Test continues until it is terminated (i.e. you press the Close button in the Membrane Test dialog).

When acquisition finishes

The protocol selected for this sequencing key—as it has been configured with the repetition count and start-to-start options in the Operations tab of this dialog—runs to completion, whereupon the next key activates or the sequence ends.

If you manually stop a protocol acquisition, the sequence is halted.

When message is manually dismissed

The prompt you have set remains until it is dismissed by pressing the OK button.

Second Option: After (s) [ ] (from start of key)

Execution switches to the next key, or the sequence stops, after the specified time. This is the time from the start of executing the current key.

If you manually terminate the membrane test or dismiss the message prompt before the time set in this field, the sequencing timer still waits the specified time before switching to the next key.

If you manually stop a protocol acquisition before the time set here, the whole sequence is halted.

If this key runs a protocol, and the protocol run-time (including repetitions set on the Operations tab) is longer than the value entered here, this setting takes precedence and the protocol ends early. If this setting is longer, Clampex software completes the protocol and then waits for the remainder of the stipulated period to pass before activating the next key or closing the sequence.

Note: The unpredictability of Windows activity reduces the precision of the "Start next key" or "Finish this key" period. However, errors do not accumulate as the program attempts to keep overall sequence timing. For example, in a sequence of three four-second protocols with five-second "Start next key" times, if the first key finishes after 6 seconds the program still tries to end the second key after 10 seconds, to maintain the overall timing.

Extras

Zero the stopwatch

Check this to reset the elapsed-time counter to zero (on the far right of the Status Bar) at the beginning of execution of the current key.

Tooltip

If the Sequencing Toolbar is visible, you can create your own tooltip for the current key, which you can see by placing the mouse cursor over the current key's toolbutton.

If you leave this field blank, toolbuttons still have tooltips, with standard descriptions. These depend on the type of operation set for the key:

Type of Operation | Tooltip
Parameters | "Parameters"
Membrane test | "Membrane Test"
Protocol | The protocol name
Prompt | The prompt message


Sequencing Keys—New Set

To create a new sequencing key set you must create a new set file (*.sks) before you define the new keys (in the Sequencing Keys dialog). After saving the new set you are returned to the Sequencing Keys dialog box, where the new, empty set, is loaded.

This is a standard Windows file dialog.


Sequencing Keys—Save Set

Use the Save Set button to save the current sequencing keys set to a new file name. Otherwise, changes you make to sequencing keys are automatically saved under the current set name when you click Close.

The Save Set dialog is opened from the Sequencing Keys dialog.

This is a standard Windows file dialog.


Sequencing Keys—Open Set

Use this dialog to load a saved set of sequencing keys into the table in the Sequencing Keys dialog.

Once opened a set is operational until it is replaced, by opening another set into the sequencing keys table. Only one set of sequencing keys can be open at a time.

This is a standard Windows file dialog.


Sequencing Keys—Options

Choose between save options to apply when, in the course of a sequence, a protocol with unsaved changes is to be replaced by a second protocol.

The option chosen in this dialog applies to all sequencing key sets.

This Options dialog is opened from the Sequencing Keys dialog.

  • Load the new protocol without saving the first protocol

Load the new protocol defined by the sequencing key, discarding the changes in the currently loaded protocol.

  • Save the first protocol before loading the new protocol

Always save the currently loaded protocol if it has any unsaved changes, and then load the new protocol.

  • Prompt to save the first protocol

A dialog box prompts you to save or discard the unsaved changes in the currently loaded protocol. If you click Cancel the sequencing key is cancelled and the currently loaded protocol remains loaded and unsaved.


Sequencing Key Status

Whenever you execute a sequencing key that has been linked to call another when it finishes, the Sequencing Key Status dialog opens to give an overview of the sequence of operations.

The title bar of the dialog shows the current sequencing key being executed.

Cancel (Close)

If a sequence is being executed, the button says "Cancel". Click Cancel to stop the sequence.

If the sequence has stopped, the button says "Close". Click Close to close the dialog.

Details or No Details

This button toggles the display of sequencing key details.

Time until next (s)

This displays the time until the next key is run.

Elapsed time (s)

This displays the time that has elapsed since the start of the first key in the sequence.

Executing Key = current key

This section displays a description of the key that is currently running.

Next Key = next key

This section displays a description of the next key in the sequence.

History

This list displays all of the keys that have been run since the beginning of the sequence, including multiple repetitions of the same key. The Time column reports the time in seconds, relative to the start of the first key, that each key was executed. The Action column reports what action was taken by the key. The Key column displays the name of the key.


Program Options

Configure > Program Options

There are a number of fundamental options available to customize your Clampex software configuration.

Acquisition Options

Show Scope windows at start up

When performing many days of analysis with no recording, deselect this option to turn off the display of a new Scope window at Clampex software startup.

Bring Scope window to front at start of acquisition

With this option enabled, Clampex software ensures that a Scope window is on the top of the other windows when starting a Record or View acquisition. Turn off this option if you don't need to see the acquisition and want to continue an analysis in an Analysis window.

Beep continuously if acquisition is terminated unexpectedly

This is an alarm condition to warn the user if something has happened that prevents the acquisition from being completed. Such conditions include a full hard disk or a "data overrun" because the computer is not fast enough to perform data acquisition at the requested rate.

Disable system sounds during data acquisition

This turns off system sounds, such as beeps, during acquisition (however, not all sounds can be disabled). When using a sound card there is very little performance benefit from doing this and we do not recommended activating this option. However, when using a software driver to enable the speaker in the computer to produce music and sounds, there is a good chance that the speaker driver switches off interrupts in order to improve the sound quality. This presents a major conflict for acquisition, since most digitizers use interrupts to manage the data flow. When using a speaker driver and it is set to switch off system interrupts, it is recommended that system sounds be disabled during acquisition.

Disable screen saver during data acquisition

This option allows viewing of an acquisition to continue even if a screen saver has been installed.

Tag parameter changes in file and Lab Book while recording

If a parameter is changed during recording (one that does not terminate acquisition), a tag is generated and an event is logged in the Lab Book. The parameters that can be changed without terminating the recording are:

  • the analog and digital output holding levels (using the Real Time Controls panel)
  • the trigger level and pretrigger length (using the controls in the Scope window).

Note: These tags are inserted in the file at the time you send the command to alter the parameter – actual hardware implementation of the change may lag behind this a little, so do not rely on these tags for accurate timing information.

Ensure data files and protocols are compatible with pCLAMP 6

If you are still using pCLAMP 6 analysis programs to analyze episodic data files (Episodic, Fixed-length Events, or High-speed Oscilloscope modes), check this option to ensure that your episodic protocols do not exceed 16K samples per sweep (16K total for all channels).

If you are solely using pCLAMP 8 or later analysis programs (for Windows), leave this unchecked to allow a maximum of 100K samples per sweep per channel.

Startup Actions

Check screen resolution

To use Clampex software properly your display must be configured to 800×600 or higher resolution. This option warns you if you start Clampex software with inadequate screen resolution.

Check disk space

In addition to space for data files, Clampex software needs disk space for temporary files. With this option enabled you are warned that performance may be erratic if there is less than 20 MB disk space free when starting Clampex software.

Reopen data files

With this option checked, any Analysis windows that are open when you last closed Clampex software are reopened the next time you start Clampex software.

Open Data File Index

If you check this option Clampex software automatically opens your selected Data File Index (DFI) upon startup. Enter the full path name of the DFI in the field below, or use the Browse button to find it. If you check this item but do not enter a name, the field is filled in with a default name, but you must still create a DFI with this name.

Show update reminder every [ ] days

Set the number of days between automatic startup prompts to remind you to check for updates on the Molecular Devices web site (via the Help / Web Updates command).

Parallel Port To Check

Select the parallel port to check for your Clampex software security key (dongle).

Shortcuts

This button opens the online Help at Keyboard and Mouse Shortcuts, where all keyboard and mouse shortcuts available in Clampex software are listed.


Lab Book Options

Configure > Lab Book Options

Use Lab Book Options to select and configure the System Lab Book, and determine how much information is recorded in it.

To alter the appearance of the Lab Book, go to View > Window Properties, when the Lab Book is highlighted, or use the formatting toolbar in the Lab Book window.

Events To Log

Never log any events

No Lab Book is opened and no comments can be added to the Lab Book.

Log vital events

A restricted number of events are automatically written to the Lab Book.

Log all events

All major events are written to the Lab Book.

System Lab Book File Name

Selects a Lab Book for future events to be logged to. Lab Books are stored as Rich Text Format (RTF) text files. The default lab book is Clampex software LabBook.rtf.

Browse

Press the Browse button to select the system Lab Book from the standard file dialog that opens. You can create a new Lab Book file by typing its name in the "File name" field.

Create a backup Lab Book

Create a backup lab book when exiting the program. When this option is enabled Clampex software will store the existing Lab Book with a BAK extension before overwriting the file with the contents of the new Lab Book.

Include time-of-day stamp

Include the time of day with each new entry in the Lab Book.


Toolbars

Configure > Toolbars > [Acquisition] [Review] [Alternate] [Sequencing]

Toolbar popup menu: Customize [ ] Toolbar

Add, remove, or rearrange the buttons in your toolbars using the Customize Toolbar dialog boxes.

How to customize a toolbar:

  1. To add a toolbutton to the toolbar, select it from the Available toolbuttons field and click Add. Alternatively, drag the button into the Current toolbuttons field – an arrow to the left of the field indicates its new position.
  2. To remove a button from the toolbar, select it from the Current toolbuttons field then click Remove, or drag it into the Available toolbuttons field.
  3. To change the order of the toolbuttons in the toolbar, select the button you want to move in the Current toolbuttons field, and shift it using the Move Up or Move Down buttons. Alternatively, drag the button to the desired location in the field, using the arrow at the left of the field to guide you.

Changes are instantly applied – you do not need to close the dialog box first.

Available toolbuttons

This field contains all the toolbuttons available for inclusion in the selected toolbar. These buttons are not currently displayed in the toolbar.

If you are customizing the Sequencing Toolbar, the operations assigned to the buttons under the current sequencing set are reported beside each toolbutton. See Configure > Sequencing Keys.

Current Toolbuttons

This field contains the toolbuttons (and separators) displayed in the toolbar. The top of the list corresponds to the left end of the toolbar, and the bottom to the right.

Separators create spaces between buttons so you can form visual groups within the toolbar.

If you are customizing the Sequencing Toolbar, the operations assigned to the buttons under the current sequencing set are reported beside each toolbutton. See Configure > Sequencing Keys.

Add/Remove buttons

When a button is selected in the "Available toolbuttons" field, click Add to add the selected button to the toolbar.

When a button is selected in the "Current toolbuttons" field, click Remove to remove the selected button from the toolbar.

Move Up and Move Down buttons

When a button is selected in the Current toolbuttons field, use the Move Up and Move Down buttons to move the selected button position on the toolbar. Buttons can also be dragged within the field.

Reset button

Click Reset to reset the toolbar to the factory default configuration.


File Registration

Configure > File Registration

By registering a file type here, double-clicking on files of that type in Windows Explorer or in email attachments opens the files in Clampex software. If Clampex software is not already running, it is started (however, note below).

Tip: Open Clampex software before double-clicking on files in Windows Explorer or email attachments. A Windows problem means you may see an error message when Clampex software attempts to load when this has not been done. If you do attempt to open a Clampex software-registered file while Clampex software is not running and have this difficulty, do not then try to open Clampex software from the Start menu or a desktop icon. Keep double-clicking on the file until Clampex software opens. This usually occurs after 2 or 3 more attempts.

The current state of the Windows file registration is not known to Clampex software, so you cannot unregister a file type within the program. To register and unregister file types, open Windows Explorer, go to View > Options, and click on the File Types tab. Here you can add, edit, and delete registered file types.

Registering Axon data files allows you to do batch printing.

The Axon File Types

These are the various file formats saved by Axon Instruments programs. Some file name extensions might be used by other programs. See also File Types.

Axon Binary File (*.abf)

ABF files are binary data files created in AxoScope 1.0 or in Clampex software 7.0 or later.

Axon Binary File (*.dat)

These are binary data files created by the older DOS versions of the pCLAMP and by Axotape. DAT is a common file name extension used by Windows and other programs, so use caution before registering it to Clampex software.

Axon Text File (*atf)

Axon Text Files are text data files that contain some "header" information at the top of the file. See ATF File Format.

Axon Plain Text File (*.txt)

Plain text TXT files are extremely common and are usually registered to Notepad.

Axon Data File Index File (*.dfi)

A Data File Index file contains an organized list of data files.

Axon Lab Book File (*.rtf)

The Lab Book file is in MS Rich Text Format (RTF). You may want to register the RTF file type to WordPad instead of Clampex software.

Axon Results File (*.rlt)

Results files are spreadsheet files that open into Results windows.

Axon Statistics File (*.sta)

Statistics files can be opened into Results or Statistics windows.


Voice Tags

Configure > Voice Tags

Use this dialog to configure how voice tags are recorded.

Voice tags are appended to a file with the Acquire > Voice Tag command.

To use Voice Tags in Clampex software, you must first install a sound card and microphone in the computer (see Hardware Setup below).

Compression

The Compression section configures how sound is saved to disk. These options influence the size of the recorded voice tag. The small Scope window in this dialog shows the sound level coming from the microphone input of the sound card. A red horizontal line represents the threshold level (squelch) used to determine whether a sound is recorded or discarded. This threshold level should be set slightly higher than the level of the background noise.

Recording threshold

Use the spinner to set the red threshold line in the mini‑window above the background noise. During a voice tag recording, sound below this threshold is not saved to disk. However, a small amount of background signal before the signal rises above the threshold and after the signal falls below the threshold is stored so that there are not any abrupt discontinuities in the sound signal.

File compression

Check this to save the voice tag recording in a compressed format, which produces a smaller ABF data file. Compression adds a slight delay at the end of acquisition.

Voice Tag Duration

When you initiate a voice tag recording, the voice tag records for a fixed length of time and ends automatically. Use the spinner to choose (in seconds) a default time to record. While recording the voice tag you can always choose to end the recording early or extend it as long as you need.

Externally Triggered Voice Tag Duration

You can enable the external triggering of Voice Tags in the Trigger Tab of the protocol editor (Acquire menu). When external triggering of voice tags is enabled, you can have the trigger work in one of two ways:

Recording continues for the specified duration after a LOW to HIGH transition at the External Tag input.

After a LOW-to-HIGH transition at the External Tag input, the externally triggered voice tag records for the duration specified above. The is the same behavior as a regular voice tag.

Recording continues as long as the External Tag input is HIGH.

Recording occurs as long as the External Tag input remains HIGH.

Hardware Setup

Before using Voice Tags, you must make sure that the sound card is working properly, both for playback and recording. Consider the following:

  1. Molecular Devices Technical Support staff cannot help you install or configure your sound card. If you have any difficulties, please consult your computer hardware vendor.
  2. To verify the performance of your sound card, use the Sound Recorder program usually found in the Programs / Accessories / Entertainment path of the Windows Start Menu.


Format Menu

The Format menu is visible only when the Lab Book is selected.

Font

Paragraph—Left

Paragraph—Center

Paragraph—Right

Word Wrap


Font

Results Window: Format > Font

This command opens the Font dialog box, which allows you to choose the default font for the Lab Book.


Paragraph—Left

Results Window: Format > Paragraph > Left

Align the paragraphs to the left margin.


Paragraph—Center

Results Window: Format > Paragraph > Center

Center the paragraphs.


Paragraph—Right

Results Window: Format > Paragraph > Center

Align the paragraphs to the right margin.


Word Wrap

Results Window: Format > Word Wrap

Wrap long lines to fit within the Lab Book window, so all text is visible.


Tools Menu

Access a range of tool commands suited to the active window.

Comment To Lab Book

Zero Stopwatch

Membrane Test

Go To Tag

Tag Text Properties

Cursors

Write Cursors

Append Cursors

Cursor Properties

Go To Cursor

Bring Cursors

Junction Potential

Calibration Wizard

LTP Assistant

Sequencing Tab

Inputs/Outputs Tab

Baseline Tab

Conditioning Tab

Sort

Verify


Comment to Lab Book

Tools > Comment to Lab Book

Shortcut: Ctrl + L

Write a comment in the text field and click OK to add it to the Lab Book.

Configure the Lab Book with Configure > Lab Book Options.


Zero Stopwatch

Tools > Zero Stopwatch

Toolbutton:

Set the Clampex software stopwatch to zero.

A stopwatch is available for the timing of events in an experiment and is displayed in the bottom right corner of the main Clampex software window. If All Events are being logged to the Lab Book (Configure > Lab Book Options) the stopwatch time is also logged for the start and finish time of data acquisition.


Membrane Test

Tools > Membrane Test

Toolbuttons:

Membrane Test is a sophisticated utility for monitoring a number of parameters during three stages of an experiment:

  • Electrode resistance in the bath before patching
  • Patch resistance
  • Cell resistance

Membrane Test can run up to eight Analog Output channels and display multiple channels simultaneously. Independent control of voltage output at different stage configurations is enabled in each recorded cell.

You can switch between these three stages using the Stage buttons. When you switch from one stage to another the current parameter values are recorded in the Lab Book.

A selection of the following electrode and cell membrane properties are reported, depending on the current stage:

  • Access resistance, Ra
  • Membrane resistance, Rm
  • Membrane capacitance, Cm
  • Time constant, Tau
  • Holding current, Hold

To measure these values Clampex software outputs a continuous square wave voltage at a user-defined amplitude, oscillating uniformly about the holding level (which can be adjusted within the dialog). You can use up to eight analog output channels. The pulses are 500 samples long, corresponding to 250 samples per step with a 50% duty cycle. Pulse duration can be adjusted with a slider that changes the sampling rate. Both edges of the pulse (i.e. the capacitive transients) are used for calculation.

A separate Pulse Train can be configured to interrupt the primary pulse wave. You can also stop generation of the primary pulse wave without closing the Membrane Test dialog. Configure the Pulse Train in the Configure > Membrane Test Setup dialog.

Any combination of the above measurements can be viewed as they are calculated in the Online Statistics window.

Before using the Membrane Test, set startup parameters in Configure > Membrane Test Setup. You also need to set up your amplifier properly to use the test; see Membrane Test Overview. Detailed information about the test is provided in the manual.

Sections in this topic:

  • Oscilloscope Window
  • Meters
  • Output
  • Input
  • Pulse
  • Holding
  • Measurement Update Rate Slider
  • Averaging
  • Relative Cm
  • Pulse Train

Oscilloscope Window

The Scope window resembles an oscilloscope, displaying the current response to the Membrane Test voltage pulse. The axes are time (in ms) and current. Sections of the trace used to calculate measurements are shown in red.

Auto Scale button

Scales the Y axis display to have the signal fill about 90% of the window vertically, to view the response better.

Meters

All of the membrane parameters are displayed continuously in meter fashion on the left of the Membrane Test dialog.

Cm

Reports membrane capacitance in picofarads (pF).

Rm

Reports membrane resistance in megohms (MW).

Ra

Reports access resistance in megohms (MW). Access resistance is also referred to as series resistance.

Tau

Reports the time constant in microseconds (µs), obtained from a single-exponential fit to the decay of the capacitive transients.

Hold

Reports the current required to maintain voltage clamp (holding current), in pA.

OUTPUT

The output signal as configured in Configure > Membrane Test Setup .

HumSilencer Adaptive Noise Cancellation (ANC)

The HumSilencer check box in this dialog only enables ANC for Membrane Test on Analog IN Channel #0.

Note: There is no real‑time noise learning during a Membrane Test.

Before Membrane Test recording starts, the Subtract check box in the Real Time Controls panel should be selected to enable ANC, or to disable ANC.

When running Membrane Test, the Adapt check box is automatically deselected, the Subtract check box setting remains as set before the start of the Membrane Test recording, and the HumSilencer control panel is locked to prevent setting changes.

INPUT

The input signal as configured in Configure > Membrane Test Setup .

Pulse

Sets the amplitude of the Membrane Test voltage step. The pulse amplitude is the peak-to-peak amplitude of a square wave output relative to the holding level. Use the spinner or enter a new value and press <Enter>. Use Configure > Membrane Test Setup to set the initial pulse amplitude when you enter Membrane Test.

Note: Spinner increments can be changed to 10 by pressing <Shift> as the spinner is clicked.

Holding

Sets the holding level. Use the spinner or enter a new value and press the Enter key or the Apply button.

Tip: Spinner increments can be changed to 10 by pressing <Shift> as the spinner is clicked.

Measurement Update Rate Slider

The slider near the middle of the dialog box that goes from Slower to Faster controls the measurement update rate in hertz (Hz). The slider can be moved directly or by clicking to its right or left side. Because each current record has two capacitive transients, two calculations are made per voltage pulse. Therefore, a measurement update rate of 100 Hz (displayed next to the slider) would correspond to a voltage pulse frequency of 50 Hz.

Setting a faster rate decreases the interval between each digital-to-analog conversion used in the digitizer to generate the output command pulse, while slowing the rate increases this interval (each pulse cycle remains 500 samples). These changes in sampling rate do not affect the sampling rate setting in the currently loaded protocol.

Averaging

If you want fast pulses but the computer cannot keep up with the calculations (based on the cell decay time constant), you can activate averaging. Averaging accumulates the responses before any calculations are made. This means that the current traces are accumulated and then averaged before a calculation is made on this averaged trace. Averaging minimizes the processing overhead and ensures the greatest accuracy. Averaging also greatly improves the signal-to-noise ratio. When Averaging is enabled, the average is reset after each calculation of the parameters. Displayed in the numerical meter is the cumulative average updated after the last sweep of the calculation has been accumulated.

Relative Cm

When the Relative Cm button is pressed, the capacitance value reported is relative to the average capacitance value measured during the previous few seconds. The numerical meter label changes from Cm to DCm. Be aware that in most circumstances the DCm value is small, so the units automatically change from pF to fF.

Selecting Relative Cm affects the numerical readout but it does not affect the online Statistics. Click the Relative Cm button a second time to toggle this feature off.

Pulse Train

Press this button to immediately interrupt the primary Membrane Test pulse (used for Rm etc. calculation) with a pulse train. The pulse train runs once, under the configuration set for it in the Options dialog (open with the "Options" button from the Membrane Test dialog), then output reverts to the primary Membrane Test pulse.


Go To Tag

Analysis Window: Tools > Go to Tag

Analysis Window Tag Popup Menu > Go to Tag

Give focus to a selected tag (and bring it into view if it currently is not). Vertical tag markers changes color when selected.

This dialog lists the tags in the active Analysis window file. You can select any one tag to go to. The list provides information on all tags including:

Tag List

Tag #

Each tag is recorded with a sequential tag number.

Sweep #

If the file was recorded in an episodic mode the sweep that the tag occurred in is recorded.

Time (ms)

The time the tag occurred relative to the start of the sweep or acquisition.

Type

A tag can be a time tag, comment tag or an external tag.

Comment

If the tag is a comment tag the comment is displayed here.

Buttons

Quick Jumps

Open the Quick Jumps Help topic, explaining how to jump from tag to tag in a file with keystroke shortcuts.

Play

If a voice tag is highlighted, you can play it with a click of this button.

=> Clipboard

Press this button to copy the tag information to the Windows clipboard.


Quick Jumps

How to move from tag to tag in a data file with keystroke shortcuts.

There is no direct way to go to consecutive tags in a data file without each time opening the Go to Tag dialog, however the same result is achieved by selecting a standard Analysis window cursor and sending it to the tag positions.

  1. Position a cursor at the start of the data file (if you have no spare cursors, create a new set from View > Window Properties > General tab, Cursor Options).
  2. Double-click on the cursor to open the Cursor Properties dialog for it.
  3. In the Move To section, select "Tag number", enter "1" in the field, and then select "Relative".
  4. Ensure the "Keep cursor in view" check box is selected.
  5. Cick OK.

The cursor moves to the first tag in the file.

  5. Now press <F4> to repeat the command, i.e. to move forward 1 tag relative to the current one. You can step through each tag in the file this way.
  6. To reverse, and go back a tag, press <Shift + F4>.


Tag Text Properties

Analysis Window: Tools > Tag Text Properties

Analysis Window Tag Popup Menu > Tag Text Properties

Shortcut: Double-Click on Tag

Select the type of tags to display, the display characteristics of the displayed tag time values and the properties to display for each tag.

Tag Time Value

Tag #[ ] time is [ ] ms

The time of the active tag is reported in ms.

Number of decimal places to show

Use the drop-down list or enter a value for the number of decimal places to show for the tag time value.

Choose "Default (n)" to have Clampfit software set the number of decimal places most appropriate to the sampling rate.

Show Tags of the Following Types

You can choose which types of tags to display in the Analysis window. Check the tag types that you wish to see.

Tag Properties

These properties apply to all tags in the data file.

Visible

Uncheck this box to hide the tag text box and vertical tag line.

Cascade tags

The tags can be cascaded on the Analysis window in order to provide more visibility of their contents.

Attached to top

Move tag text boxes into the cursor row at the top of the Analysis window.

Alternatively the tag text box can be moved up and down by dragging it with the mouse.

Transparent

The tag text box can be transparent so that data can be seen through the box. It may make the information in the tag text box more difficult to read.

Text Box

Control the visibility of the tag text box. If unchecked, only the vertical tag line is visible, if the Visible check box (see above) is selected. The following contents of the text box can be further customized.

Tag Number

Check to display the sequential tag number.

Time

Check to display the time that the tag was triggered.

Comment

Check to display the text comment of a Comment Tag.

Units

Check to view the time units.


Cursors

This submenu has commands and opens dialogs relevant to cursors in the Analysis and Statistics windows.

  • Write Cursors
  • Append Cursors
  • Cursor Properties
  • Go To Cursor
  • Bring Cursors


Write Cursors

Analysis Window: Tools / Cursors / Write Cursors

Shortcut: Shift + F9

Analysis Window Toolbutton:

Write a range of cursor and intercursor measurements to the Cursors sheet in the Results window. This command replaces all data currently on the Cursors sheet (add the measurements to existing data with Append Cursors).

Measurements are taken for cursor pairs 1 & 2 and 3 & 4, for all visible traces in all visible signals within the data file. The measurements taken are:

Y 1–4: Y axis value of each trace at the cursor positions

Time 1–4 (s): time value for each cursor (from the start of the sweep)

Ymin 1..2/3..4: minimum Y axis value between cursor pair

Ymax 1..2/3..4: maximum Y axis value between cursor pair

Ydelta 1..2/3..4: difference between the Y axis values at each cursor, for cursor pair

Ymin 1..2/3..4 (s): time of the minimum Y axis value between cursor pair

Ymax 1..2/3..4 (s): time of the maximum Y axis value between cursor pair

Xdelta 1..2/3..4: time between cursors

Slope 1..2/3..4: slope between Y axis values at each cursor, for cursor pair

Mean 1..2/3..4: mean Y axis value between cursor pair

Std. Dev. 1..2/3..4: standard deviation for Y axis values in cursor pair range

List 0–3: if Edit Protocol > Stimulus tab > User List was enabled when the file was recorded, the value used for the current trace is reported. The parameter the User List was modifying is not reported.

Out #0–3 C1–4: for files recorded under a stimulus waveform, the value of the output signal, for each output channel, at the time of each cursor.

File Path: the file path for the file to which the trace belongs.

You can hide, show and reorder the measurements that appear on the Cursors sheet from the Results window Properties dialog Cursor Measurements tab.

If you wish to save previous cursor measurements, copy them to the clipboard then paste into any suitable application for further analysis or storage; or choose File > Save As to store the entire Results window in ATF format.


Append Cursors

Analysis Window: Tools > Cursors > Append Cursors

Shortcut: F9

Analysis Window Toolbutton:

Write a range of cursor and intercursor measurements to the Cursors sheet in the Results window. This command adds the measurements it takes to any data currently on the Cursors sheet (replace these with the new measurements with Write Cursors).

Measurements are taken for cursor pairs 1 & 2 and 3 & 4, for all visible traces in all visible signals in the data file. The measurements taken are:

Y 1–4: Y axis value of each trace at the cursor positions

Time 1–4 (s): time value for each cursor (from the start of the sweep)

Ymin 1..2/3..4: minimum Y axis value between cursor pair

Ymax 1..2/3..4: maximum Y axis value between cursor pair

Ydelta 1..2/3..4: difference between the Y axis values at each cursor, for cursor pair

Ymin 1..2/3..4 (s): time of the minimum Y axis value between cursor pair

Ymax 1..2/3..4 (s): time of the maximum Y axis value between cursor pair

Xdelta 1..2/3..4: time between cursors

Slope 1..2/3..4: slope between Y axis values at each cursor, for cursor pair

Mean 1..2/3..4: mean Y axis value between cursor pair

Std. Dev. 1..2/3..4: standard deviation for Y axis values in cursor pair range

List 0–3: if Edit Protocol / Stimulus tab / User List was enabled when the file was recorded, the value used for the current trace is reported. The parameter the User List was modifying is not reported.

Out #0–3 C1–4: for files recorded under a stimulus waveform, the value of the output signal, for each output channel, at the time of each cursor.

File Path: the file path for the file to which the trace belongs.

You can hide, show and reorder the measurements that appear on the Cursors sheet from the Results window Properties dialog, Cursor Measurements tab.


Cursor Properties

Analysis Window: Tools > Cursors > Cursor Properties

Analysis Window Cursor Popup Menu: Cursor Properties (or Double‑Click on Cursor)

Analysis Window Cursor Bar Popup Menu: Cursor Properties (or Double‑Click in Cursor Bar)

Adjust the properties of the active cursor or cursor pair. The active cursor number is reported in the title bar of the dialog. You can change the active cursor by clicking the Previous and Next buttons on the right side of the dialog.

Sections in this topic:

  • Vertical Cursor Time Value
  • Horizontal Cursor (Y Axis)
  • Cursor Properties

See also Analysis window for general description of cursor use.

Vertical Cursor Time Value

Shift cursors to specific locations and set the number of decimal places in the time reported in cursor text boxes.

Move To

Move the active cursor to a new location by specifying time, sample, tag or epoch.

If the location you send the cursor to is not within the range currently displayed in the Analysis window, the cursor will no longer be visible unless "Keep cursor in view" (see below) is checked.

Time

Enter a time in the field and click OK to move the cursor to the stipulated absolute or relative position.

The active cursor's present time position is reported in the field.

Absolute: the time you enter in the field is the absolute time in the file or sweep.

Relative: the time you enter in the field is relative to the cursor's present position. You can make successive repetitions of this Move To" operation after the dialog is closed with <F4>.

Sample number

Enter a sample number in the field and click OK to move the cursor to the stipulated absolute or relative position.

The active cursor's present sample position is reported in the field.

Absolute: the sample number you enter in the field is counted from the start of the file or sweep.

Relative: the sample number you enter in the field is relative to the cursor's present position. You can make successive repetitions of this "Move To" operation after the dialog is closed with <F4>.

Tag number

Move the cursor to a tag location. Enter a value or use the spinner to choose a tag number. This field is grayed out if there are no tags in the file.

Absolute: Move to the tag number you specify.

Relative: move the number of tags you have specified from the last tag you moved to. You can make successive repetitions of this "Move To" operation after the dialog is closed with <F4>.

See also Go To Tag and Quick Jumps.

Epoch

Use the drop-down list to choose the epoch or other listed time point to move to. This field is grayed out if you did not acquire the data in Episodic Stimulation mode.

Keep cursor in view

If the location you specify to which to move the cursor is outside the visible range in the Analysis window:

Checked: the Analysis window scrolls so the new cursor position is visible.

Unchecked: the cursor moves to the new position but the Analysis window does not change.

F4 and Shift+F4 repeat the last cursor movement

If you have set a Relative "Move To" operation (for Time, Sample number, or Tag number) you can use <F4> successively to repeat the move once the dialog is closed. Similarly, <Shift + F4> reverses the Move To operation.

Number of decimal places to show

The number of decimal places for the time reported in the cursor text box defaults to a value that depends on the acquisition sampling rate. You can change the number of decimal places to any value from 0 to 15.

Horizontal Cursor (Y axis)

Set the properties for the cursor's horizontal "cross-hairs".

Move to

When you open this dialog box the active cursor's present horizontal position is reported in the "Move to" field. If "Lock to data" is checked (in Cursor Properties section, to the right of the field) the horizontal cursor tracks the level of the data point in the active sweep, and this field is grayed out. If "Lock to data" is unchecked, you can enter an amplitude value in signal units at which the horizontal cursor remains.

Number of decimal places to show

The number of decimal places for the amplitude reported in the cursor text box defaults to a value that depends on the signal scaling. You can change the number of decimal places to any value from 0 to 15.

Width

Set the width of the horizontal cross-hairs.

Width of all horizontal cursors

Use the spinner or enter a value for the width of the horizontal cursors in the units defined below.

In pixels: horizontal cursor width is specified as the number of pixels.

In percentage of window: horizontal cursor width is specified as a percentage of the window width.

Cursor Properties

The properties in this section are set for pairs of cursors. Cursors 1 and 2 form a pair, 3 and 4, etc.

Visible

Cursor Popup Menu: Hide Cursor / Show Cursor

Uncheck this box to hide the active cursor lines and text box. If the cursor is invisible it can be viewed by clicking and holding on the triangular cursor handle in the cursor row at the top of the Analysis window.

Lock to data

Cursor Popup Menu: Lock to Data

Cursor Bar Popup Menu: Lock All to Data

Check this box to lock the horizontal "cross-hair" to the data points as you move through the file. If you uncheck this box the horizontal cursor line will be left at a chosen value for comparison with other data. The horizontal cursor can then be dragged up and down with the mouse, or you can use the Move to field in the Horizontal Cursor section of this dialog box (see above).

Lock to partner

Cursor Popup Menu: Lock to partner

Check to have the active cursor and its partner maintain their relative positions, as either is moved.

Text box at top

Cursor Popup Menu: Bring Text Box to Top

Cursor Bar Popup Menu: Bring All Text Boxes to Top / Remove All Text Boxes from Top

Check to shift the cursor text box to the cursor bar across the top of the Analysis window.

You can also drag text boxes up and down or use <Ctrl + Up arrow> and <Ctrl + Down arrow>.

Transparent

Check to make the cursor text box transparent, so that data can be seen through it.

Outline

Check to give the cursor text box a border.

Text Box

Cursor Popup Menu: Show Text Box / Hide Text Box

Check to display the text box for the active cursor. The box shows the information you select with the check boxes below.

Unchecking hides the text box, except when you click on the cursor with the mouse.

Acquisition time

Display the time of the cursor, relative to the start of acquisition or sweep. The reported time is in the units defined for the X axis of the Analysis window, set on the X Axis tab of the Analysis Window Properties dialog.

If you have the Units check box below unchecked, the time value is preceded by "x:".

Delta: check so the second cursor in each cursor pair reports the time between it and its partner. This is indicated with a "∆" in the text box.

Data value

Display the amplitude of the data point where the cursor crosses.

If you have the Units check box below unchecked, the amplitude value is preceded by "y:".

Delta: check so the second cursor in each cursor pair reports the amplitude difference between its data value and that of its partner.

Sample number

Display the file or sweep sample number in the text box.

If the data are compressed in the display then you need to use the <Ctrl + Left arrow> and <Ctrl + Right arrow> keys to move the cursor one data point at a time. The sample number is the only way of confirming which data point you are reading. If the value reported has a "+" appended to it, this means the cursor is not exactly on that sample point, but is at some time between that sample and the next (e.g. if "437" is shown the cursor is exactly on sample point 437 and the data value is exactly that of the sample; if "437+ shown, then the cursor is between sample 437 and 438).

Delta: check so the second cursor in each cursor pair reports the number of samples between it and its partner.

Units

Check to display the time and amplitude units.

If this option is not checked, time values are displayed with "x:" preceding them, and data values with "y:" preceding them.


Go To Cursor

Analysis & Statistics Windows: Tools > Cursors > Go to Cursor

Analysis & Statistics Window Cursor Bar Popup Menus > Go to Cursor

Move the display to the location of any of the cursors. Highlight the cursor that you wish to go to and click OK.

You can select more than one cursor (by dragging the mouse or with <Shift + Down arrow> or <Ctrl + Click>), to view enough of the time range to include all the selected cursors.

The current position of all cursors is reported in the box.


Bring Cursors

Analysis & Statistics Window: Tools > Cursors > Bring Cursors

Shortcut: Shift + Mouse Click

Analysis Window Data Area Popup Menu: Bring Cursors

Analysis & Statistics Window Cursor Bar Popup Menus: Bring Cursors

Bring any or all cursors into the visible display region.

The current position of all cursors is reported in the dialog box. Highlight the cursors that you wish to bring into the visible region and click OK. Drag the mouse cursor over contiguous cursors to select them all, or use the <Ctrl> button and click on non contiguous cursors to select them.

Bring cursor to specific position in Analysis window

Place the mouse cursor at the desired location in the data area and use the right-click popup menu to open the dialog. Select one cursor. It is brought to the location of the mouse cursor when the right button was clicked.

The <Shift + Mouse Click> command brings all enabled cursors into the visible region.

Create additional cursor pairs from View > Window Properties > General tab Cursor Options.


Junction Potential

Tools > Junction Potential

Calculate liquid junction potential corrections using this tool.

Junction Potential Overview

Add Ion Concentration Dialog

Add Ion Dialog

Calculate Junction Potentials Dialog

Choose Electrode Dialog

Choose Excised Patch Type Dialog

Choose Experiment Type Dialog

Choose Patch Type Dialog

Edit Ion Concentration Dialog

Edit Ion Library Dialog

Edit Ion Dialog

Enter Temperature Value Dialog

Experimental Procedure Dialog

Load Dialog

Save Dialog

Special Characteristics

Patch-Clamp— Intact Patch

Excised Inside-Out Patch

Excised Outside-Out Patch

Whole-Cell Configuration

Patch-Clamp—Perforated Patch Configuration

Intracellular Measurements

Epithelial Measurements

Bilayer Measurements

Measurement of Junction Potential Corrections

Ag/AgCl Reference Electrodes

Ion Mobilities

References and Further Reading

Credits


Junction Potential Overview

The junction potential calculations and interface (Tools > Junction Potential) are based, with permission and consultation, on the program JPCalc by Dr. Peter H. Barry of The University of New South Wales. It is designed for calculating and indicating the application of liquid junction potential corrections in various electrophysiological situations and it uses graphical illustrations to show how such junction potentials arise in each case. In particular, it is designed to be used for the correction of patch-clamp measurements (for whole-cell, perforated, intact and excised patch configurations), and intracellular, epithelial and bilayer measurements, and also for the correction of direct experimental measurements of junction potentials.

Junction potential corrections are particularly important in patch-clamp measurements and failure to apply them can typically result in errors of up to about 10 mV for measurements of membrane potential (Refs 3, 4, 10). It is of course also essential that such corrections be applied in the correct direction. The program enables the appropriate liquid junction potential corrections to be calculated using the generalized Henderson liquid junction potential equation (Refs 1, 2, 3, 4, 9) and makes use of a simple entering and editing routine for typing in solution concentrations and relative mobility data for each ion (Refs 4, 12 and extracting data from Refs 6, 13–15). The program then clearly illustrates the direction in which the junction potentials have to be applied.

The program also enables (1) the calculation of junction potential corrections resulting from additional changes in bathing solution composition, and (2) the incorporation of a library of ionic mobilities that is automatically called up whenever the appropriate abbreviated name of an ion is entered into the program.

For N polyvalent ions, the generalized Henderson Equation may be shown to be given by (e.g., Ref. 4):

where:

where VS – VP represents the potential of the solution (S) with respect to the pipette (P) or electrode, and u, a and z represent the mobility, activity and valency (including sign) of each ion species (i); R is the gas constant, T is the temperature in Kelvin and F is the Faraday, so that RT/F ln = 58.2 log10 in mV at a temperature of 20°C.

Although the use of the above equation has been checked experimentally with monovalent cations, and found to agree within a fraction of a mV for a number of different solutions (Refs 2, 4, 12), it should still be treated as an estimate, although a good estimate. The use of the Henderson Equation with high concentrations of polyvalent ions has not been so carefully checked and should be considered as an even more approximate estimate at this stage. However, it should be stressed that even carefully measured values of junction potentials still require corrections and are themselves not perfectly accurate.

Two types of reference or measuring electrodes are allowed for: a standard salt bridge/microelectrode type (recommended; with an Ag/AgCl electrode connection remote from the bathing solution) or a silver/silver chloride (Ag/AgCl) type, with an Ag/AgCl wire or pellet directly in contact with the bathing solution (not generally recommended). The user is able to change between these two types. HOWEVER, IN ALMOST EVERY SITUATION THE OPTION TO USE THE DIRECT Ag/AgCl CONNECTION SHOULD NOT BE TAKEN.

This is because the electrode potential is extremely sensitive to the activity of Cl–ions in the appropriate bathing solution and experimentally it is much more likely to deteriorate or drift when in contact with a flowing bathing solution. Such an Ag/AgCl electrode potential, in fact, is given by:

where VAg refers to the potential of the electrode with respect to the solution; V0 refers the standard electrode potential for the electrode reaction and aCl to the activity of the chloride ions in the adjacent bathing solution. The choice of the option to use the direct Ag/AgCl electrode in the bathing solution is discussed elsewhere. It will therefore be assumed that the option to use a standard solution type of reference electrode will be chosen.

A screen dialog display also gives some general explanatory comments during use of the program (these will be discussed in more detail later). The first display generally shows the presence of any critical junction potentials and their being balanced by the appropriate amplifier. The location and direction of these critical junction potentials will be shown in the circuit diagram, the potentials being defined as in the direction of the arrow head to the arrow tail.

For the first two major options, pressing the Next button, as prompted, will then simulate either patch-clamping the cell (sealing the pipette against the cell membrane and forming a gigaohm seal) or impaling the cell with the intracellular microelectrode. For the case of the epithelial measurements, the circuit will not need to change. In every case, any unbalanced junction potentials will be displayed in the new configuration and the relationship between the membrane potential and the various other unbalanced potentials in the circuit given. For the case of an intact patch, for example, it can be seen that with the cell patched, the pipette VL is replaced by Vm, but that the offset value VL' still remains in the amplifier. The composition of the solutions can then be added to enable calculation of the junction potentials.

Sign conventions used

The sign of the potential is as indicated by the arrows in the displays (with the potential of the arrow head being with respect to arrow tail). In each case, the junction potentials are calculated as the potential of the solution with respect to the pipette (Refs 3, 4, 10, 11) and, where appropriate, the potential of the inside surface of the membrane is given with respect to the outside solution.


Calculate Junction Potentials

Tools > Junction Potential

This is the main dialog for the Junction Potential Calculation System (see Junction Potential Overview).

The graphic on the left of the dialog screen shows a pictorial view of the experiment as it is currently defined. To define a new type of experiment click on New Experiment.

The list on the right of the dialog shows the ionic concentrations in your solution. To add a new concentration click the Add button. To edit an existing solution, either double-click on the concentration, or click once to select the concentration and click the Edit button. You can delete a concentration by selecting the concentration, and then clicking the Delete button. And you can delete all of the concentrations by clicking on the Delete All button.

After each change the Junction Potential is automatically calculated and placed in the Results section directly below the list of ion concentrations.

To change the bath solution during the experiment click the New Bath Solution button.

The Junction Potential Calculation System has a list of common ionic valencies and mobilities, to edit this list, and either add, edit or remove items, click the Edit Ion Library button.

To store the experimental settings, including the ionic concentrations, on the hard disk click the Save button. To retrieve experimental settings click the Load button.


Add Ion Concentration

Use the Ion field to add the name of the ion, which can be up to four characters. Use the Valency and Mobility fields to add the valency and mobility values for of the ion. Use the concentration fields edit the concentrations of the various solutions, there can be up to four of these fields depending on the experiment type, and whether you have changed solutions.

If you choose an ion that is listed in the library of ions, the valency and mobility stored in the library will be used, and you will not be able to edit the valency and mobility fields.


Add Ion

Use the Ion field to fill in the name of the ion, which can be up to four characters. Use the Valency and Mobility fields to fill in the valency and mobility of the ion.

When you are finished and you wish to add the ion to the list click the OK button. To finish the dialog without adding the ion to the list click the Cancel button.


Choose Electrode

The Choose Electrode dialog allows you to choose whether you are using a standard or a silver/silver chloride (Ag/AgCl) electrode in your experiment.

You can move forward or backward in this series of dialogs by using the Next and Back buttons. The Cancel button will exit you from the dialogs and return you back to your previous experiment.


Choose Excised Patch Type

The Choose Excised Patch Type allows you to narrow down what type of excised patch-clamp experiment you are performing.

The possible options are:

  • Inside-out
  • Outside-out

You can move forward or backward in this series of dialogs by using the Next and Back buttons. The Cancel button will exit you from the dialogs and return you back to your previous experiment.


Choose Experiment Type

The Choose Experiment Type is the first of several dialogs that allow you to specify the type of experiment you are performing.

The possible options are:

Patch-clamp measurements

  • Intact

Excised

  • Inside-out
  • Outside-out

Perforated

Intracellular measurements

Epithelial measurements

Bilayer measurements

Measurement of Junction Potentials

You can move forward or backward in this series of dialogs by using the Next and Back buttons. The Cancel button will exit you from the dialogs and return you back to your previous experiment.


Choose Patch Type

Choose Patch Type allows you to narrow down what type of patch-clamp experiment you are performing.

The possible options are:

  • Intact
  • Excised
  • Inside-out
  • Outside-out
  • Whole cell
  • Perforated

You can move forward or backward in this series of dialogs by using the Next and Back buttons. The Cancel button will exit you from the dialogs and return you back to your previous experiment.


Edit Ion Concentration

Use the Ion field to change the name of the ion, which can be up to four characters. Use the Valency and Mobility fields to change the valency and mobility of the ion. Use the concentration fields to edit the concentrations of the various solutions; there can be up to four of these fields depending on the experiment type, and whether you have changed solutions.

If you choose an ion that is listed in the library of ions, the valency and mobility stored in the library will be used, and you will not be able to edit the valency and mobility fields.


Edit Ion Library

See Ion Mobilities for the full names of these ions.

This dialog allows you to add, edit or remove ions from the ion library. The ion library is used when you are editing solutions to provide a quick way of adding ion information. When you are adding or editing an ion concentration in the solution, and you type in the name of one of the ions in the library, then it's valency and mobility are automatically filled in.

To add a new ion to the list click the Add button. To edit an existing ion's valency or mobility, select the ion and click the Edit button, or double‑click on the entry in the list. To remove an ion from the list, select the ion and click theDelete button.

The list of ions is automatically sorted (by valency and then name) after any addition, change, or deletion.


Edit Ion

Use the Ion field to change the name of the ion, which can be up to four characters. Use the Valency and Mobility fields to change the valency and mobility of the ion.

When you are finished, and you wish to update the ion information in the list, click the OK button. To finish the dialog, without updating the ion list, click the Cancel button.


Enter Temperature Value

This is the last of the experiment specification dialogs. Here you enter the temperature of the solution (in degrees centigrade).

You can finish the process by clicking on the Finish button, or you can move back in the series by pressing the Back button. The Cancel button will exit you from the dialogs and return you back to your previous experiment.


Experimental Procedure

These dialogs explain the steps in the experiment, and the variables involved in the junction potential calculation. Clicking < Back will move you backwards in the explanation, clicking Next > will move you on to the next step.

For most experiment types there are two explanation pages, for epithelial and bilayer there is only one.

When you are finished with these, press Next >, and you will move you on to the next section.


Load Experiment File

This is the standard Windows open file dialog.

Junction Potential Calculation experiment files end with the extension (*.jpc). Pressing the Load button causes all of the experimental settings to be loaded, including the ionic concentrations.


Save Dialog

This is the standard Windows save file dialog.

Junction Potential Calculation experiment files end with the extension (*.jpc). Clicking Save causes all of the experimental settings to be stored, including the ionic concentrations.


Special Characteristics—Patch-Clamp—Intact Patch

In the initial situation, after patch-clamping and before any subsequent change in bathing solution composition, the potential across the membrane patch, Vm, is related to the membrane potential of the cell, Vc, the pipette potential, Vp, and the liquid junction potential between the bathing solution and the pipette, VL, balanced by the offset in the amplifier VL' (= VL) and given (Refs 4 & 10) by:

If the bathing solution is then subsequently changed, the new potential needs to be further corrected by a liquid junction potential component VL21, which represents the potential of solution 2 with respect to solution 1, as indicated below:


Special Characteristics—Excised Inside-Out Patch

The situation is similar to the intact patch case, except that now there is no membrane potential to be considered. The initial situation is as indicated for the intact patch, prior to the formation of a patch. Following satisfactory seal and excision of the patch, as illustrated in the dialog display, Vm, being defined as the potential of the inside membrane surface with respect to the outside one, is now related to Vp and VL' (e.g., Ref. 4) by:

If the bathing solution is then subsequently changed, the new potential needs to be further corrected by a liquid junction potential component VL21, which represents the potential of solution 2 with respect to solution 1, as indicated below:


Special Characteristics—Excised Outside-Out Patch

The situation is very similar to that of the inside-out patch, except that now because of the reversed direction of Vm, still being defined as the potential of the inside membrane surface with respect to the outside one, the equation relating Vm, Vp and VL', becomes (for example, Ref. 4):

If the bathing solution is then subsequently changed, the new potential needs to be further corrected by a liquid junction potential component VL21, which represents the potential of solution 2 with respect to solution 1, as indicated below:

Note: The reversed direction for Vm in the dialog displays.


Special Characteristics—Whole-Cell Configuration

The situation is similar to some of the previous configurations, except that now Vm represents the potential of the inside of the cell with respect to the outside solution. Before the cell is patched there will be a junction potential, VL, representing the potential of the solution with respect to the pipette. If now the cell volume is small in comparison with the pipette volume and exchange between pipette and cell is reasonably fast, the cell contents will soon be dialyzed by the pipette solution. In such a case after the solution exchange is complete, Vm will be related to Vp and VL' by (e.g., Barry & Lynch, 1991):

However, before this dialysis occurs, there will also be a junction potential VLi between the pipette and cell interior. This is not just a simple liquid junction potential because of the presence of large fairly immobile anions within the cell there is a Donnan potential contribution of about –12 mV to VLi (see Refs 7 and 4). This solution exchange generally takes a number of minutes after the formation of a whole-cell configuration, depending on the size of the cell and pipette diameter etc. Therefore, electrical measurements should only be made after the initial drifts in potential have settled down.

If the bathing solution is then subsequently changed, the new potential needs to be further corrected by a liquid junction potential component VL21, which represents the potential of solution 2 with respect to solution 1, as indicated below:

These measurements can, of course, be carried out as soon as the external solution has been satisfactorily changed.


Special Characteristics—Patch-Clamp—Perforated Patch Configuration

This situation is very similar to the whole cell configuration except that there is no longer complete solution exchange between pipette and cell. The addition of an ionophore (e.g., nystatin) to the pipette solution will now make the membrane permeable to small anions and cations. Hence, only the small permeant ions will exchange between pipette and cell interior and the larger impermeant anions will not be able to do so. Thus there will be a potential difference Vpf (perforated patch potential; cell interior with respect to pipette) which will have both a Donnan component due to these impermeant anions and, before complete equilibration, a diffusion potential dependent on the ion selectivity of the ionophore. However, after complete equilibration of the small permeant ions, only the Donnan component of Vpf (which will have to be calculated separately) will be left. Vm will again be related to Vp, Vpf and VL' by:

Again, if the external solution is subsequently changed, the new potential across the cell membrane, Vm, will be given by:

.


Special Characteristics—Intracellular Measurements

Generally, the junction potential corrections for intracellular measurements are not as large as they are in patch-clamp or epithelial measurements. This is because normally high concentration KCl (e.g., 3M KCl) microelectrodes are used, and the high concentration of KCl tends to dominate the other ionic components in the solution and so the two junction potentials (before and after cell impalement) tend to cancel each other out. However, for accurate work or if different lower concentration solutions are used in the microelectrodes, appropriate junction potential corrections should be considered. Before cell impalement, the junction potential in the external solution, VLo, is balanced off in the amplifier with an equal and opposite offset, VLo', as shown in the dialog displays.

Now, when the cell is impaled, there is a new junction potential, VLi, between the cell interior and the microelectrode, so that the true membrane potential, Vc is related to the measured value of the potential VE, and the junction potential difference by:

For typical cell interior and extracellular solutions and 3M KCl electrodes, the liquid junction potential correction is normally about 3 mV. It should be noted that in order to minimize history-dependent junction potential effects, such concentrated KCl microelectrodes should have free-flowing junctions (e.g., see Refs 2 & 3). However, the flow of KCl out of the intracellular microelectrode should not be enough to significantly alter the ionic composition of the cells.

During multiple changes in bathing solution, it is preferable to use a reference electrode of similar composition to that of the control solution in order to minimize solution history-dependent effects (see Ref. 2 for further details.

Again, as in the previous patch-clamp examples, if the external solution is then changed, there will be an additional junction potential, VL21, representing the junction potential of solution 2 with respect to solution 1. This value will be calculated by the program and subtracted from the value of VLi–VLo, as in the equation below:


Special Characteristics—Epithelial Measurements

Saline-filled agar-gelled polythene salt bridges are normally used for epithelial measurements. As in the case of patch-clamp measurements, junction potential effects are generally much more significant than they would be in intracellular measurements. This is because of the lower salt concentrations used in the salt bridges and the less mobile ions often used in those salt bridges. Also, in order to minimize history-dependent effects, whereby the junction potential of the salt bridge depends on the previous solutions into which it was placed (see discussion in Ref. 1), the composition of the salt bridge is chosen to be of similar composition to one of the solutions bathing the epithelium. For example, if the potential of an epithelium separating 140 mM LiCl and 140 mM NaCl is required, 140 mM NaCl salt bridges can be used. Both solutions can be initially changed to 140 mM NaCl, the amplifier zeroed and then one of the solutions changed to 140 mM LiCl. In this case (see Ref. 3), the true epithelial potential difference, Vm, would be related to the measured potential, VE, and the junction potential difference VLi – VLo, by:

and, for the example above, VLo would be zero.


Special Characteristics—Bilayer Measurements

The principles are exactly the same as for epithelial measurements, and it is generally advisable that salt bridges be used rather than Ag/AgCl electrodes directly in contact with the bathing solutions. Again, it is advisable that the composition of the salt bridges be chosen to be of similar composition to that of one of the solutions bathing the bilayer. For example, if the potential of a bilayer separating 140 mM LiCl and 140 mM NaCl is required, 140 mM NaCl salt bridges can be used. Both solutions can be initially changed to 140 mM NaCl, the amplifier zeroed and then one of the solutions changed to 140 mM LiCl. In this case (see Ref. 3), the true bilayer potential difference, Vm, would be related to the measured potential, VE, and the junction potential difference VLi–VLo by:

and, for the example above, VLo would again be zero.


Special Characteristics—Measurement of Junction Potential Corrections

An alternative to calculating liquid junction potentials would seem to be to simply measure them. However, in practice, this is really not so simple, because it either involves corrections for other junction potentials in the circuit or for corrections for differences in electrode potentials. However, it is possible to use one of two alternative set-ups to minimize these corrections and with certain assumptions to endeavor to estimate and allow for the corrections. Using the Measurement of Junction Potentials option, the program endeavors to enable these corrections to be made and also calculates the junction potential that is being sought so that its magnitude and sign may be compared with the actual measured value. For the first alternative approach, a free-flowing high concentration (e.g., 2M or 3M) KCl electrode can be used as the reference electrode. The advantage of such an electrode is that it will tend to minimize the difference between the reference electrode junction potentials, which will then tend to be relatively independent of the bathing solution. The first dialog window shows the basic set-up. It will be assumed that the solution in the main (left) electrode will be the same as in the first bathing solution (Sol 1, in dialog screen). This potential, VR1, will be balanced by offset, VR1', in the recording circuit as indicated.

Moving to the next dialog screen simulates changing the bathing solution to the second solution (Sol 2). The reference junction potential will then change to VR2 as indicated. Thus the junction potential to be measured, VL21, (representing the potential of Solution 2 with respect to Solution 1; as shown in dialog screen), will be related to the measured value, VE, by:

The ionic composition and properties of Solution 1, the reference electrode solution and Solution 2 can be entered as for the other junction potential measurements already discussed.

Completing data entry enables the calculation of the final junction potential correction (VR2–VR1') so that the measured value of VE can be corrected. It also gives an estimate of the junction potential VL21 for comparison with this corrected value.

The other alternative approach to using a 2M or 3M KCl reference electrode is to use an Ag/AgCl reference electrode directly in contact with the bathing solution. As will be discussed in the next section, which discusses the use of such reference electrodes in general electrophysiological measurements, the changes in the Ag/AgCl reference electrode potentials will be very dependent on the precise values of the Cl– activity in the two solutions. However, they can be used for the measurement of junction potentials, particularly when the two Cl– concentrations are very similar (see e.g., Ref. 2). With care, In fact, a combination of methods using both types of reference electrodes can be used to validate the measured value of the required junction potential.


Ag/AgCl Reference Electrodes

It is generally inadvisable to use Ag/AgCl reference electrodes directly in contact with the bathing solution, because of the great sensitivity of their electrode potentials to the precise value of the Cl– activity in each solution. Nevertheless, since many research workers do use such a reference electrode system, it was considered of value to incorporate an appropriate option to allow for its use (in all but the epithelial and bilayer measurements), with the warning that it should be used with particular care.

As already noted, provided there is no solution change during either patch-clamp or intracellular measurements, the use of a good Ag/AgCl electrode (that does not get damaged during the experiment) will result in a constant electrode potential offset that will be balanced off in the measuring circuit. Hence, the use of such an electrode ideally should not affect the junction potential correction in such a situation.

To incorporate the direct Ag/AgCl option, the choice to change temperature/reference electrode should be taken at the beginning of the new experiment option. Immediately, the electrode display will change to that of an Ag/AgCl electrode. When there is a bathing solution change during patch-clamp or intracellular measurements, the Cl– activity of the bathing solution will be monitored and the change in the Ag/AgCl electrode potential calculated.

Hence, for example for an intact patch, the membrane potential, Vm, will be corrected by the junction potential offset, VL', and the electrode potential difference VAg21. This represents the electrode potential for solution 2 (VAg2) – the electrode potential for solution 1 (VAg1), where each electrode potential is now measured as the potential of the electrode with respect to the solution (note arrow direction):

In the above example, Cl– concentrations were used rather than Cl– activities. This, of course, is acceptable for an approximate electrode potential correction, but it is not acceptable for an accurate measurement. Instead, the proper mean Cl– activity (see discussion in Refs 2 and 3), taking into account the effects of all the ions in the solution on its activity coefficient.

Also, if one of the bathing solutions does not contain any Cl– ions, a warning message will be flashed up on the screen and an Ag/AgCl correction value will not be displayed. It is because of the difficulty of correctly assessing the precise value of the Cl– activity and the fact that the Ag/AgCl electrode can readily be damaged, and not be acting as an ideal electrode, that it is strongly recommended that such electrodes should not normally be used in direct contact with bathing solutions, and especially in those situations where the solution composition is being changed.


Ion Mobilities

The following table of relative mobility values provides the full ion name of each ion that is included in the Junction Potential Ion Library.

Symbolic Ion Name | Full Ion Name/Formula | Valency | Relative Mobility
Chol | Choline | 1 | 0.5100
Cs | Cesium | 1 | 1.0500
K | Potassium | 1 | 1.0000
Li | Lithium | 1 | 0.5250
NH4 | Ammonium | 1 | 1.0000
Na | Sodium | 1 | 0.6820
NMDG | N-methyl-D-glucamine | 1 | 0.33
Rb | Rubidium | 1 | 1.0590
TEA | TetraethylAmmonium | 1 | 0.4440
Tris | tris[hydroxymethyl]aminomethane | 1 | 0.40
TMA | TetramethylAmmonium | 1 | 0.6110
Acet | Acetate | –1 | 0.5560
Asp | Aspartate | –1 | 0.30
Benz | Benzoate | 1 | 0.4410
Br | Bromide | 1 | 1.0630
Cl | Chlorine | 1 | 1.0388
ClO4 | ClO4 | 1 | 0.9160
F | Fluoride | 1 | 0.7530
Glu | Glutamate | 1 | 0.26
gluc | Gluconate | 1 | 0.33
H2PO | H2PO4 | 1 | 0.4500
HCO3 | HCO3 | 1 | 0.6050
HEPES | N-[2-hydroxyethyl]piperazine-N'-[2-ethanesulfonic acid] | –1 | 0.30
I | Iodide | 1 | 1.0450
ise | Isethionate | –1 | 0.52
MES | 2-[N-morpholino]ethanesulfonic acid | –1 | 0.37
MOPS | 3-[N-morpholino]propanesulfonic acid | –1 | 0.35
NO3 | Nitrate | –1 | 0.9720
Picr | Picrate | –1 | 0.4110
Prop | Propionate | –1 | 0.4870
SCN | Thiocyanate | –1 | 0.9000
Sulf | Sulfonate | –1 | 0.5860
Ba | Barium | 2 | 0.4330
Ca | Calcium | 2 | 0.4330
Co | Cobalt | 2 | 0.3700
Mg | Magnesium | 2 | 0.3610
Sr | Strontium | 2 | 0.4040
Zn | Zinc | 2 | 0.3590
EGT2 | EGTA(2–) | –2 | 0.24
HPO4 | HPO4 | –2 | 0.3900
SO4 | Sulphate | –2 | 0.5440
EGT3 | EGTA(3–) | –3 | 0.25

The data was extracted from Table 1 of Barry & Lynch (Ref. 4), with some amendments and additions following later direct measurements (Ng & Barry; Ref. 12). EGTA(2–) and EGTA(3–) are now from Keramidas et al. (1999; J. Neurosci. Meth. 89: 41–47).

The estimated error in the measurements from Ng and Barry (Ref. 12) was considered to be less than about 0.005.

For values of some other ions, see Table 1 of Barry & Lynch (Ref. 4) and Table 1 of Ng and Barry (Ref. 12) and Refs 6, 14 and 15.


References and Further Reading

  1. Amman, D. (1986). Ion-selective Microelectrodes. Springer-Verlag, Berlin.
  2. Barry, P.H. & Diamond, J.M. (1970). Junction potentials, electrode standard potentials, and other problems in interpreting electrical properties of membranes. J. Membrane Biol.3, 93-122.
  3. Barry, P.H. (1989). Permeation mechanisms in epithelia: Biionic potentials, dilution potentials, conductances and streaming potentials. In: Methods in Enzymology, Biomembranes, Part M: Biological Transport, 171: 678-715.
  4. Barry, P.H. and Lynch, J.W. (1991). Topical Review. Liquid junction potentials and small cell effects in patch clamp analysis. J. Membrane Biol.121: 101-117.
  5. Barry, P.H. (1994). JPCalc, a software package for calculating liquid junction potential corrections in patch-clamp, intracellular, epithelial and bilayer measurements and for correction junction potential measurements. J. Neurosci. Method., 51: 107-116.
  6. Dean, J.A.. (1992). Lange's Handbook of Chemistry, 14th Edition, McGraw-Hill, New York.
  7. Fenwick, E.M., Marty, A. & Neher, E. (1982). A patch-clamp study of bovine chromaffin cells and of their sensitivity to acetylcholine. J. Physiol. 331: 577-597.
  8. MacInnes, D.A. (1961). The Principles of Electrochemistry. Dover, New York.
  9. Morf, W.E. (1981). The Principles of Ion-Selective Electrodes and of Membrane Transport, Elsevier, Amsterdam, New York.
  10. Neher, E. (1992). Correction for liquid junction potentials in patch-clamp experiments. In: Ion Channels, Meth. Enzym.207: 123-131.
  11. Neher, E. (1994). Voltage offsets in patch clamp experiments. In: Single Channel Recording, 2nd Edn. Plenum, New York.
  12. Ng, B. and Barry, P.H. (1995). The measurement of ionic conductivities and mobilities of certain less common organic anions needed for junction potential corrections in electrophysiology. J. Neurosci. Method., 56: 37-41.
  13. Robinson, R.A. and Stokes, R.H. (1965). Electrolyte Solutions. (2nd ed.revised), Butterworth's, London.
  14. Zuidema, T., Dekker, K. and Siegenbeek van Heukelom, J. (1985). The influence of organic counterions on junction potentials and measured membrane potentials. Bioelectrochem. Bioenerget., 14: 479-494.
  15. Vanysek, P. (1995). Ionic conductivity and diffusion at infinite dilution. In: CRC Handbook of Chemistry and Physics (76th Edn; ed. D.R. Lide), CRC Press, Baton Rouge.


Credits

The junction potential calculations and dialog were based, with permission and consultation, on the program JPCalc by Dr. Peter H. Barry of The University of New South Wales, Sydney 2052, Australia (see Ref 5 in References and Further Reading).


Calibration Wizard

  • Introduction
  • Measure and Update
  • Update Only
  • Calibrating Multiple Files
  • Potential Problems

Introduction

The Calibration Wizard provides a procedure to calibrate acquired signals in Integer ABF files in terms of real-world signal units. The procedure is relevant only to linear transducers, i.e. for which two parameters (such as slope and offset) define the transducer's response to an input signal.

Before beginning this procedure, open a data file and make that the active Analysis window. Place cursors 1 and 2 on the two voltage levels to be calibrated.

There are two ways of calibrating the data. The first dialog box of the Calibration Wizard presents a choice of which path to take:

  • Measure and Update: Measures the values at cursors 1 and 2 and uses them to apply a new scale factor and offset to the signal in the Lab Bench.
  • Update Only: Applies the scale factor and offset from a signal defined in Lab Bench to an existing data file.

Note: The Calibration Wizard changes the scaling factors of an existing file. It is recommended that data always be backed up (especially experimental data) before making alterations to it.

The Calibration Wizard cannot be used on Floating Point ABF files; it can only be used on Integer ABF files. To change the scale factor in a floating point file, use the Analyze / Arithmetic dialog box in pCLAMP software and change the scaling manually.

Measure and Update

Follow this procedure to calibrate an existing data file using measured values from the data:

  1. Open the data file.
  2. Put cursor 1 on a region of the signal that is at a known value.
  3. Put cursor 2 on another region of the signal at another known value.
  4. Select the Tools / Calibration Wizard command.
  5. Choose "Measure and update" and click the Next button.
  6. Read Getting Ready. Press the Next button to continue.
  7. Select the signal to calibrate. Press the Next button to continue.
  8. Type in the known value of the signal at cursor 1 in the Known amplitude at cursor 1 field, in signal units.
  9. Type in the known value of the signal at cursor 2 in the Known amplitude at cursor 2 field, in signal units.
  10. Type in the number of points to average around the cursors to get a more accurate value. By default this value is 5. Press the Next button to continue.
  11. Apply Values shows the generated scale factor and offset and allows you to apply the new values to the Lab Bench signal and/or the current data file.
  12. A message will appear, warning that the scale factors of the file are about to be permanently updated. Press OK to update the file.

Update Only

Follow these steps to calibrate an existing data file using values from the Lab Bench:

  1. Open the data file.
  2. Select the Tools / Calibration Wizard command.
  3. Choose Update only and click the Next button.
  4. Select the signal from which to apply the scale factor and offset to the data file. The signal name selected here must match a signal name in the data file. Press the OK button.
  5. A message will appear, warning that the scale factors of the file are about to be permanently updated. Press OK to update the file.

Calibrating Multiple Files

If there are several data files that should all be calibrated with the same values, Measure and Update the first file, then Update Only the other files with the value you saved in the Lab Bench. In the first Measure and Update procedure make sure that the Lab Bench (for future acquisitions) box is checked in the Apply Values dialog box.

To do the same calibration on several different files use the Finish button on any dialog box to move all the way to the end of the Calibration Wizard, which will use your selections in the various dialog boxes from the last Calibration Wizard session.

Potential Problems

Two potential problems exist that may cause results that are not exact when measuring from the data file.

The first is that the cursor lines in the Analysis window may not be exactly on a data point: it may be between data points and showing a value that is extrapolated for its location between two points. In this case, the Calibration Wizard will use the data point to the left of the cursor position. To ensure that the cursor is exactly on a data point, hold down the control key when using the left and right arrow keys to move the cursor. Also, make sure the sample point reported in the cursor text box does not have a "+" appended to it: a "+" means that the cursor is between one sample point and the next. To view "+" in the cursor text boxes, you need to go to Tools > Cursors > Cursor Properties and check "Sample Number" under Cursor Properties / Text Box.

The second is that the number of averaging points may slightly change the value used in the measurement from what you see in the cursor text box. To avoid this use 0 averaging points when asked in the Known Values dialog.


Calibration Wizard—Getting Ready

When performing the Measure and Update procedure you must have already set cursors 1 and 2 to positions of known values before starting the Calibration Wizard. If you have not done this you must cancel out of the Calibration Wizard and do it before opening the wizard again.


No Matching Signal

The signal you are about to calibrate (with the Calibration Wizard) in the data file does not exist in the Lab Bench. You can proceed to calibrate the signal in this data file, but you will not be able to update the Lab Bench.

If you want to calibrate the signal and have it in the Lab Bench for future experiments, click Cancel, then go to Configure > Lab Bench and add the signal. Then return to the Calibration Wizard to calibrate the signal and update the Lab Bench.


Calibration Wizard—Select Signal

Measure and update

From the list box select the signal in the data file that you wish to calibrate.

Update only

Select the signal from the list box whose scale factor and offset you want to use to apply to the data file. The signal name you choose must exist in the data file. The chosen signal's scale factor and offset is reported below the field.


Calibration Wizard—Known Values

In the Measure and Update procedure, you calibrate by positioning cursors 1 and 2 at known amplitude values, and in this dialog box you enter those known values.

Known amplitude at cursor 1

Enter the known amplitude at Cursor 1, in signal units.

Known amplitude at cursor 2

Enter the known amplitude at Cursor 2, in signal units.

Number of samples on either side of cursor position to include in average

To minimize the effect of noise and provide a more accurate value, use the spinner or enter a value for the number of samples to average when applying the known value. The cursor position will be in the middle of this range to average.


Calibration Wizard—Apply Values

In the Measure and Update procedure, the calculated scale factor and offset are reported and you can choose where to apply the values.

Apply To

Choose where to apply these new values.

Lab Bench (for future acquisitions: Apply the new scale factor and offset to the signal in the Lab Bench. The signal that was calibrated in the data file must already exist in the Lab Bench to update the Lab Bench.

This data file: Apply the new scale factor and offset to the data file you just measured.


LTP Assistant

Tools > LTP Assistant

Toolbutton:

The LTP Assistant is a platform for designing long term potentiation and depression experiments. It brings together a range of protocol and sequencing key editing functions in a format designed specifically for these types of experiment.

The dialog has the following tabs:

  • Sequencing
  • Inputs/Outputs
  • Baseline
  • Conditioning

See the pCLAMP manual (Chapter 4, Clampex software Features) for an overview of LTP experimentation using the LTP Assistant.


LTP Assistant: Sequencing Tab

Use the Sequencing tab of the LTP Assistant to set up the basic framework of baseline and conditioning stages for your LTP or LTD experiment. This tab should be completed first.

Add or remove protocols and link these with sequencing keys to give the overall structure you want for the experiment. Default protocols are inserted at this point, but these can be reconfigured or replaced by other, saved protocols later, on the Baseline and Conditioning tabs.

Sections in this topic:

Experiment

Sequencing

Add

Remove

Properties

Rename

Experiment

Use the buttons here to name a new experiment that you are about to configure, to save a currently loaded configuration, or to load a previously configured, saved experiment. The name and file path of the currently loaded experiment is reported.

"Experiment", in the context of the LTP Assistant, is a folder containing the protocol files to be run during an experiment, and a sequencing keys (*.sks) file linking these.

New

Open the New Experiment dialog where you name a new experiment and locate a folder for it.

The new experiment is created with two default protocols in three stages—a baseline stage, a conditioning stage, and then a return to the same baseline protocol for a final baseline stage (only one baseline protocol is permitted within an experiment).

Save

Press to save the currently loaded experiment. The current configuration on the Sequencing tab is saved in the *.sks file, and all the associated protocols, with their current settings on the Inputs/Outputs, Baseline and Conditioning tabs, are saved.

Open

Open a "Browse for folder" dialog and select the folder corresponding to the experiment you want to load. The dialog has a Windows Explorer style format.

Sequencing

Use the table and commands in this section to configure the temporal structure of your experiment, i.e. the number of stages, their duration and order. Select whether each stage is baseline or conditioning, and whether it is to be recorded or viewed only.

Tip: The ordering of stages depends on the sequencing determined by the "Start Key" and "Next Key" values, and not on order of appearance in the table.

You can choose the names of the protocols you want to use on this tab, but the three default stages included in any new experiment, as well as new stages you add, use default protocol settings. Configure overall experiment structure on this tab first, then configure the details of the protocols on the Baseline and Conditioning tabs.

Table

Each protocol in the experiment is represented as one line in the table. Add further protocols to the bottom with the Add button, or change aspects of existing protocols by selecting them and pressing the Properties button (use the Rename button to change the protocol names). Delete protocols from the list with the Remove button.

Each protocol in the list has the following information reported:

Start key

The sequencing key that starts the protocol. This key (toolbutton or keyboard key combination) can be pressed at any time to start this protocol, interrupting any protocol already running. Alternatively, another protocol may have this protocol as its "Next key", which starts this protocol once the other one has completed its run.

Clampex software automatically associates a start key with each stage—you are unable to change the start key of a stage.

Next key

When a protocol completes its run it calls the protocol within the experiment that has this "Next Key" entry as its "Start Key". If the entry is "None" then no further protocol is called.

Change "Next Key" entries in the Properties dialog.

Protocol

The name of the protocol file used in this stage. Change the name if you wish with the Rename button below the table.

Protocols named here appear on the Baseline and Conditioning tabs for configuration.

Type

Protocols are incorporated within the LTP Assistant as either baseline or conditioning protocols. This determines which tab—Baseline or Conditioning—they are configured on, which in turn determines the configuration options available.

Set the type of a stage in the Properties dialog.

Action

Reports whether the protocol will be recorded as a data file or simply displayed on the screen in View Only mode. Statistics are still recorded for stages run in View Only mode.

Change the Action of a stage in the Properties dialog.

Duration

This field reports either "Acquisition time", which is the total run-time for one trial of the protocol, or a fixed time as entered in the Properties dialog for the protocol.

If the fixed time is less than the protocol's trial run-time, the protocol is interrupted after the fixed time and the next key, if any, called. If the fixed time is greater than the trial run-time, Clampex software runs the protocol and then waits until the fixed time has passed before calling the next key.

Add

Add a new stage to the bottom of the sequencing table list.

The button opens the Add dialog for preliminary configuration of the new stage (i.e. as a baseline or conditioning stage. Also, for conditioning stages, choose a default stimulus waveform and optionally name it).

Remove

Click Remove to delete a selected protocol from the table.

Properties

Open the Properties dialog to view properties of the experiment stage selected in the table. The dialog allows you to change the Next Key, Action and Duration settings for the stage.

Rename

Open the Rename dialog where you can change the name of the protocol in the currently selected stage.


New Experiment

This dialog is opened from the LTP Assistant Sequencing tab, with the "New" button.

Name

Enter the name of the experiment you are about to configure. This becomes the name of both:

  1. the experiment folder, containing the experiment's protocol files and sequencing keys file
  2. the sequencing keys file

The dialog opens with a default name, in the sequence "LTPn", already entered. You can use this name or enter one of your own choosing. Normal Windows file‑naming rules apply.

Destination Folder

The folder where the new experiment will be saved is reported, i.e. the newly named experiment folder is placed in the folder shown here. Change the selection if you wish with the Browse button.

Browse

Select the folder you want to save your experiment in. The dialog uses a Windows Explorer style format.


Add

This dialog is opened from the LTP Assistant Sequencing tab, with the "Add" button.

Select the sort of protocol you want to add to the sequencing key table.

Type of protocol to add

Baseline: Adds a default baseline protocol delivering one pulse every twenty seconds. This can be reconfigured on the Baseline tab, but configuration options are more limited than for conditioning protocols, e.g. pulse trains are not available.

Note: Only one baseline protocol can be used within an experiment, though this can be called at different stages of the experiment.

Baseline Waveform

Tetanus: Four 1 s trains of 100 Hz, delivered 20 s apart. Reconfigure on the Conditioning tab.

Tetanus Waveform

Theta: Ten short 100 Hz pulse trains, of five 1 ms pulses each, are delivered at a frequency of 5 Hz.

Theta Waveform

LTD: A single pulse at 1 Hz is delivered for 15 minutes

LTD Waveform

Name

Type in a name for a new conditioning protocol, or accept the default name. Default names are in a sequence starting Conditioning2, Conditioning3, etc.


Properties

This dialog is opened from the LTP Assistant Sequencing tab, with the "Properties" button.

Use the dialog to review the properties of the stage selected in the sequencing key table. Some of the properties can be altered from the dialog.

Protocol

The name of the protocol is reported.

Rename the protocol in the Rename dialog. Select the stage in the experiment sequence table and click the Rename button to open this dialog.

Type

The protocol's type—baseline or conditioning—is reported. The protocol type determines which tab—Baseline or Conditioning—the protocol is configured on, which in turn determines the configuration options available.

This property cannot be changed. If a protocol has the wrong type you should remove it and create a new stage with the Add dialog. Make the new stage run in the correct position within the experiment sequence by configuring the "Next Key" (this dialog) entries appropriately.

Start key

The sequencing key "start key", which calls the protocol, is reported. This key cannot be changed.

Next key

The sequencing key that is called on completion of the current stage is reported. This can be changed by making a new selection from the list box, which includes the start keys for every stage in the current experiment.

Choose None if you do not want any stage to start automatically on completion of the current stage.

You can choose the current stage's own start key to have the protocol run continuously, until you manually terminate it.

Action

Select to display data on screen in View Only mode, while the protocol is running, or to record to a data file.

Duration

Select between two options for the duration of the protocol:

Protocol time: the protocol runs for its full trial time, after which the next key, if set, is called.

Sequencing time: the protocol runs for the time you enter in the field.

If the sequencing time is less than the protocol's trial run-time, the protocol is interrupted after the fixed time and the next key, if any, called. If the sequencing time is greater than the trial run-time, Clampex software runs the protocol and then waits until the sequencing time has passed before calling the next key.

Note: Baseline protocols default to 1000 sweeps, so the full trial run-time for these tends to be long. Select Protocol time for baseline protocols only if you intend manually terminating the protocol.


Rename

This dialog is opened from the LTP Assistant Sequencing tab, with the "Rename" button.

Use the dialog to rename the protocol in the selected stage in the sequencing table.

New protocol name

Type in the new name of the protocol.

The protocol is saved under this name in the experiment folder reported above the table.


LTP Assistant—Inputs/Outputs Tab

Use the Inputs/Outputs tab of the LTP Assistant to configure the digitizer channels you will use in the experiment. Select signals for the analog input and output channels, and set holding levels for the analog outputs.

The settings you enter on this tab depend on the spatial organization of your experiment:

  • the number of electrodes used
  • electrode positions (presynaptic or postsynaptic)
  • whether electrodes deliver a stimulus and/or acquire data
  • the number of SIU's (stimulus isolation units) or other digitally triggered devices used.

There can be up to four output channels, depending on your choice of digital or analog stimulation. Two analog output channels can be used for presynaptic stimulation, but then are unavailable to deliver postsynaptic stimulation. Two digital outputs are available for presynaptic stimulation only. If these are used it frees the analog outputs for postsynaptic stimulation—for postsynaptic pairing during the conditioning stage.

Outputs are organized in two columns—digital and analog OUT #0 channels on the left, and digital and analog OUT #1 channels on the right.

Tip: The analog OUT channels are both always enabled within the LTP Assistant, with the signals and holding levels selected on this tab (this is the case whether or not the channels have been selected for presynaptic or postsynaptic stimulation). These channels are disabled by disconnecting cables from their BNC ports.

Four input channels are available.

Sections in this topic:

Presynaptic Stimulation 0/1

Postsynaptic Command 0/1

Analog OUT # 0/1

Analog IN Channels

Presynaptic Stimulation 0/1

Check to enable the respective output channel for delivery of a presynaptic stimulus. When you have enabled a channel, select between a digital or analog output.

If you enable both presynaptic stimulus channels you can select to alternate output on these, sweep for sweep, with Alternate presynaptic stimulation on the Baseline tab.

If you select two digital outputs here and do not alternate these, you must generate the same digital bit pattern on both channels.

Postsynaptic Command 0 or 1

Check the Analog OUT #0 or #1 check box to enable the respective analog output channel for delivery of a postsynaptic command waveform.

These channels are available for postsynaptic commands only if they have not already been selected to deliver presynaptic stimulation in the group boxes above.

Use the postsynaptic command signal for either or both:

  • postsynaptic pairing, to deliver a command signal to the postsynaptic cell in association with presynaptic stimulation during conditioning.

Analog OUT #0 or #1

Select a signal and holding level for each analog output channel.

Signal

Select the signal you want to use for the respective analog output channel.

Signals are created in association with the particular channel in the Lab Bench.

Holding

Set the holding level for the selected signal. This level is maintained on the channel for the entirety of the experiment, apart from when you have configured a specific output from within your protocols.

When you have Alternate presynaptic stimulation enabled, signals are held at their holding level during their "off" sweeps.

Range

The output range for the selected signal is reported. If this is not correct you need to select a new signal, or reconfigure the signal in the Lab Bench.

Analog IN Channels

Check the check boxes for the number of input channels you will use, and select signals for each of these.

You must have as many input signals as analog output signals.

Signals are created in association with each channel in the Lab Bench.


LTP Assistant—Baseline Tab

Use the Baseline tab of the LTP Assistant to configure the baseline protocol for the experiment. A default protocol is automatically loaded for every new experiment—reconfigure this on this tab, or copy the settings of a saved protocol (*.pro file).

Further configuration options are available in the protocol editor, opened with the Edit button.

Only one baseline protocol can be used in an experiment, though this can be configured for two output channels (enabled on the Inputs/Outputs tab). Output channel #0 is configured in the left-hand column and output channel #1 in the right-hand column.

Sections in this topic:

  • Baseline Protocol
  • Sweeps
  • Presynaptic Stimulation 0/1
  • Statistics
  • Copy From
  • Edit
  • Preview

Baseline Protocol

All fields on this tab are for configuration of the baseline protocol reported here.

Only one baseline protocol can be used in an experiment. It is named on the Sequencing tab.

Sweeps

Set timing for the sweeps in the protocol.

Baseline protocols by default have 1000 sweeps (not alterable from the LTP Assistant).

Alternate presynaptic stimulation

Where you have enabled two presynaptic stimulation channels (Inputs/Outputs tab), this option causes output to alternate, sweep for sweep, between these.

Every second sweep, for each channel, is output, starting with channel #0. So, for example, the second, fourth, sixth, etc. sweeps for channel #0 are not generated.

When the channel #0 waveform is generated, channel #1 analog output is held at its holding level, and channel #1 digital output held inactive. Similarly, channel #0 output is held at holding or inactive in sweeps when the channel #1 configuration is output.

Start-to-start (seconds)

Enter the time, in seconds, between the start of each sweep. This value defines the frequency of the baseline stimulation.

Select "Minimum" from the list box to make the start-to-start time equal to the sweep length. At this setting data acquisition is continuous, with no gaps between sweeps.

Waveform Length (milliseconds)

Enter the length of the configurable part of the sweep (long enough to include your waveform). This does not include the first and last holding periods, which are automatically added before and after the duration you enter in this field.

The total sweep length, including the holding periods, is reported to the right of the field. This is the duration of the data acquisition period.

The sweep length must be less than or equal to the sweep start-to-start time. When it is less than the sweep start-to-start period no data are acquired between the end of the sweep length and the start of the next sweep.

Presynaptic Stimulation

Configure the presynaptic stimulus waveform (analog or digital) for each enabled channel.

Pulses per sweep

Select the number of pulses—up to four—in each sweep.

Pulse level

For analog signals only, set the amplitude of the pulse. Enter the absolute value, not the value relative to the baseline.

Delay to 1st pulse

Set a delay period, from the start of waveform definition in the sweep, to the start of the first pulse. Analog output is maintained at the holding level and digital output set to be inactive.

Note: This delay is in addition to the first holding period, which is automatically set at 1/64th of the sweep length.

Pulse width

Enter the duration of the pulse step.

Interpulse interval

Where you have selected more than one pulse per sweep, enter the period between pulses (i.e. between the end of one pulse and the start of the next). Pulses must be evenly spaced.

Statistics

Check the input channels from which you want to record statistics, in the Online Statistics window.

As well as a baseline region, two statistics search regions are automatically configured:

  1. search region 1 is used to measure:
  • absolute peak amplitude
  • time of peak
  2. search region 2 is used to measure:
  • Slope

(see Measurements on the protocol editor Statistics tab for details about these measurements)

You must reposition all three regions once you start acquiring data, by dragging the respective cursors in the Scope window. Search region 2 is intended to measure the rising slope of events elicited by the stimulus pulse so should be positioned to capture this. Search region 1 should be broader than this, capturing the entire response event, while the baseline region should bound a section of trace with no activity, as in the illustration.

Figure 4: Intended search region positions.

If you want to take additional measurements or add further search regions, open the protocol editor with the Edit button. Go to the Statistics tab for full statistics configuration.

Copy From

Click to open the "Copy From" file dialog, where you can select a saved protocol to copy into the current experiment as the baseline protocol.

Where there is conflict between current LTP Assistant settings and the settings in the copied protocol the protocol is automatically reconfigured to be consistent with the current Assistant settings. For example, output and input signals are changed, if necessary, to those selected in the Inputs/Outputs tab in the LTP Assistant, and the Assistant default sampling rate (10 kHz) is used.

"Copy From" does not simply open the saved protocol that you select, but reconfigures the existing LTP protocol—named at the top of the tab—with (as far as possible) the settings of the selected protocol. The LTP protocol retains its default name, or the name you gave it, on the Sequencing tab.

Edit

Click to open the protocol editor.

The editor opens with the current baseline protocol loaded. The full range of protocol configuration options, not all of which are available in the LTP Assistant, are available here.

Preview

Click to open the Waveform Preview window, where the protocol's current configuration is graphically displayed.

The preview window automatically updates as you alter protocol settings. If you enter an impossible combination of settings, the window grays and a warning message is displayed in the top right corner of the tab.


LTP Assistant—Conditioning Tab

Use the Conditioning tab of the LTP Assistant to configure conditioning protocols for the experiment. Conditioning protocols added to the experiment on the Sequencing tab can be sequentially loaded onto this tab for reconfiguration from their default settings, either manually on the tab, or by copying from an existing, saved protocol.

You can also configure a postsynaptic command signal for delivery in conjunction with the presynaptic conditioning stimulus.

Further configuration options are available in the protocol editor, opened with the Edit button.

Each conditioning protocol can be configured for two output channels (enabled on the Inputs/Outputs tab). Output channel #0 is configured in the left-hand column and output channel #1 in the right-hand column.

Sections in this topic:

  • Conditioning Protocol
  • Sweeps
  • Presynaptic Stimulation 0/1
  • Postsynaptic Pairing
  • Copy From
  • Edit
  • Preview

Conditioning Protocol

Select the conditioning protocol you want to view or configure, from the list box. All fields in the tab show settings for the selected protocol.

Each conditioning protocol you have added to the experiment on the Sequencing tab is listed.

Sweeps

Number of sweeps

Set the number of sweeps in the protocol.

Start-to-start

Enter the time, in seconds, between the start of each sweep. This setting can be used to separate clusters of trains configured within each sweep (as can the Length setting immediately below).

Select "Minimum" from the list box to make the start-to-start time equal to the sweep length. At is setting data acquisition is continuous, with no gaps between sweeps.

Length

Enter the length of the sweep (long enough to include your waveform and a postsynaptic delayed pulse (if set) configured below, and less than or equal to the sweep start-to-start time). Sweep length sets the duration of the data acquisition period. It can also be used to separate clusters of trains.

If the sweep length is less than the sweep start-to-start period no data are acquired between the end of the sweep length time and the start of the next sweep.

Presynaptic Stimulation

Configure the conditioning waveform, within each sweep, in this section. Up to four "trains"—regular sequences of pulses—can be generated.

Note: If two digital presynaptic channels are enabled, the conditioning waveform is delivered through one only of these (digital OUT #0), while digital OUT #1 is held inactive.

Trains per sweep

Select the number of trains you want—up to four. The internal configuration of each train must be the same.

Pulse level

For analog signals only, set the amplitude of the pulses in the trains. Enter the absolute value, not the value relative to the baseline.

Delay to 1st train

Set a delay period, from the start of waveform definition in the sweep, to the start of the first pulse of the first train. Analog output is maintained at the holding level and digital output set to be inactive.

Note: This delay is in addition to the first holding period, which is automatically set at 1/64th of the sweep length.

Train duration

The time it takes for each train (as determined by the pulses per train and train frequency settings below) is reported. This is the time from the start of the first pulse in the train, to the end of the baseline section following the final pulse in the train.

Intertrain interval

Where you have more than one train selected, enter a delay period between these. The intertrain interval is the time between the end of the baseline section following the final pulse in one train, and the start of the first pulse in the next train.

Pulses per train

Enter the number of pulses in each train.

Train frequency

Enter the pulse frequency within each train.

Train pulse width

Enter the duration of the step section of each pulse within the trains.

Postsynaptic Pairing

Configure an analog output for delivery to the postsynaptic cell in conjunction with your presynaptic stimulation. You need to have enabled the relevant postsynaptic command channel on the Inputs/Outputs tab.

Configure either a single step for the whole time the protocol runs, or a pulse to follow a stipulated time after the last pulse in the presynaptic stimulus.

[signal] level

Set the amplitude of the postsynaptic step or pulse. Enter the absolute value, not the value relative to the baseline.

Whole conditioning period

Select to have the output held at the stipulated level from the end of first holding in the first sweep, to the start of last holding in the last sweep.

Delayed pulse from last train

Deliver a single pulse some time after the final pulse in the presynaptic stimulus.

Delay

Set the period from the final pulse in the presynaptic stimulus to the start of the delayed postsynaptic pulse. The delay is timed from the end of the baseline section following the final pulse in the final train.

Duration

Set the duration of the delayed pulse step (i.e. the time the level set above is maintained).

Copy From

Press to open the "Copy From" file dialog, where you can select a saved protocol. Opening this copies the settings of the saved protocol into the currently selected conditioning protocol (named at the top of the tab).

Where there is conflict between current LTP Assistant settings and the settings in the copied protocol the protocol is automatically reconfigured to be consistent with the current settings. For example, output and input signals are changed, if necessary, to those selected in the Inputs/Outputs tab in the LTP Assistant.

"Copy From" does not simply open the saved protocol that you select, but reconfigures the existing LTP protocol with (as far as possible) the settings of the selected protocol. The LTP protocol retains its default name, or the name you gave it, on the Sequencing tab.

Edit

Click to open the protocol editor.

The editor opens with the selected conditioning protocol loaded. The full range of protocol configuration options, not all of which are available in the LTP Assistant, are available here.

Preview

Press to open the Waveform Preview window, where the protocol's current configuration is graphically displayed.

The preview window automatically updates as you alter protocol settings. If you enter an impossible combination of settings, the window grays and a warning message is displayed in the top right corner of the tab.


Sort

DFI Window: Tools > Sort

List Area Popup Menu > Sort

Sort the currently active Data File Index on any of the listed parameters.

You can also sort on any parameter, with ascending order, by clicking on the column header for the parameter. To sort in descending order you must use this dialog.

Sort on

Use the drop-down list to select the parameter on which to sort.

Sort Order

Choose ascending or descending sort order.


Verify

DFI Window: Tools > Verify

List Area Popup Menu > Verify

Run this command to check all entries in the active Data File Index to see if they are valid. If a file no longer exists, its listing is deleted from the Data File Index.


Window Menu

Control and navigate Clampex software windows with the commands in this menu.

New Scope

New Window

Cascade

Tile Horizontally

Tile Vertically

Arrange Icons

Previous Window

Next Window

Open Window List


New Scope

Window > New Scope

Shortcut: Ctrl + N

Open an additional Scope window for data acquisition and display.

You can open up to four separate Scope windows at a time. All Scope windows will display the same acquisition data, but each Scope window can display a different group of signals, or a different time base.

For example, you can record a gap-free file with an X axis range of 2 hours in the first scope window to view the long term trend while observing the same data with an X axis range of 10 seconds in a second Scope window to view the current activity at a higher resolution.


New Window

Analysis, Results & Statistics Windows: Window > New Window

Open the file in the active window into a new window, giving you two views of the same file.

This can be used to view different areas of the same file, or at different scales, etc.


Cascade

Window > Cascade

Arrange all nonminimized open windows to overlap so that each title bar is visible.


Tile Horizontally

Window > Tile Horizontally

Main Toolbar:

Arrange all nonminimized open windows so they tile horizontally, using all available space in the main window. Where there are more than three windows, they will tile horizontally and vertically.


Tile Vertically

Window > Tile Vertically

Main Toolbar:

Arrange all nonminimized open windows so they tile vertically, using all available space in the main window. Where there are more than three windows, they will tile horizontally and vertically.


Arrange Icons

Window > Arrange Icons

This command arranges minimized window icons along the lower edge of the main window.


Previous Window

Window > Previous Window

Shortcut: Ctrl + Shift + F6

This command shifts the focus to the previous open window on the Open Window List.


Next Window

Window > Next Window

Shortcut: Ctrl + F6

This command shifts the focus to the next open window on the Open Window List.


Open Window List

Window > [Bottom of Menu]

This section of the menu lists all open windows. Click on an entry to make that the active window.


Help Menu

Link to online Help and useful web pages from the Help menu.

Online Help

Contacting Technical Support

Web Tech Notes

Web Updates

About Clampex software


Online Help

Help > Online Help

This command opens this Help file at the front page.

See Getting Help for a quick summary of other ways to access Help, also How to Use Clampex software Help.


Obtaining Support

Molecular Devices is a leading worldwide manufacturer and distributor of analytical instrumentation, software, and reagents. We are committed to the quality of our products and to fully supporting our customers with the highest level of technical service.

Our Support website, https://support.moleculardevices.com/, has a link to the Knowledge Base, which contains technical notes, software upgrades, safety data sheets, and other resources. If you still need assistance after consulting the Knowledge Base, you can submit a request to Molecular Devices Technical Support.

Please have your instrument serial number or Work Order number and your software version number available when you call.


Molecular Devices on the Web

Help > Molecular Devices on the Web

This command opens your default web browser and takes you to the Molecular Devices web site (http://www.moleculardevices.com).

For technical support or access to the knowledge base, go to http://www.moleculardevices.com/support.html.


About Clampex software

Help > About pCLAMP software

This dialog shows copyright information and the exact version number of the program.

You need to know the exact version number when calling Molecular Devices for technical support.


Shortcut Keys in Help

The following keyboard shortcuts can be used for navigation in Clampex software Help.

Mouse functionality can in general be replaced by keystrokes, using the "MouseKey" setting in Windows. To enable MouseKeys, from the Start button on the taskbar navigate to Settings > Control Panel > Accessibility Options > Mouse tab, then select Use MouseKeys.

For information about accessibility features and services, visit the Microsoft Accessibility and Disabilities Web site.

For the Help window:

To | Press
Exit Help. | <Alt+F4>
Switch between Help and other open windows. | <Alt+Tab>
Switch between the Navigation pane and the Topic pane. | <F6>
Display the Options menu. | <Alt+O>
Move between tabs in the Navigation pane. | <Ctrl+Tab>
Hide or show the Navigation pane. | <Alt+O>, and then press <T>
Print a topic. | <Ctrl+P>, or <Alt+O> then <P>, or right-click in the topic
Move back to the previous topic. | <Alt+Left arrow>, or <Alt+O>, and then press <B>
Move forward to the next topic (provided you have viewed it just previously). | <Alt+Right arrow>, or <Alt+O>, and then press <F>
Turn on or off search highlighting. | <Alt+O>, and then press <O>
Refresh the topic that appears in the Topic pane (this is useful if you have linked to a Web page). | <F5>, or <Alt+O>, and then press <R>
Return to the home page. | <Alt+O>, and then press <H>
Stop the viewer from opening a page (this is also useful if you are linking to the Web and want to stop a page from downloading). | <Alt+O>, and then press <S>
Jump to the Web page in the Options menu. | <Alt+O>, and then press <1> or <2>
Scroll through a topic. | <Up arrow> and <Down arrow> or <Page up> and <Page down>
Scroll through all the links in a topic or through all the options on a Navigation pane tab. | <Tab>

For the Contents tab:

To | Press
Display the Contents tab. | <Alt+C>
Open and close a book or folder. | <+> and <–>, or <Left arrow> and <Right arrow>
Select a topic. | <Down arrow> and <Up arrow>
Display the selected topic. | <Enter>

For the Index tab:

To | Press
Display the Index tab. | <Alt+N>
Type a keyword to search for. | <Alt+W>, and then type the word
Select a keyword in the list. | <Up arrow> and <Down arrow>
Display the associated topic. | <Alt+D>

For the Search tab:

To | Press
Display the Search tab. | <Alt+S>
Type a keyword to search for. | <Alt+W>, and then type the word
Start a search. | <Alt+L>
Select a topic in the results list. | <Alt+T>, and then <Up arrow> and <Down arrow>
Display the selected topic. | <Alt+D>

For the Favorites tab:

To | Press
Display the Favorites tab. | <Alt+I>
Add the currently displayed topic to the Favorites list. | <Alt+A>
Select a topic in the Favorites list. | <Alt+P>, and then <Up Arrow> and <Down Arrow>
Display the selected topic. | <Alt+D>
Remove the selected topic from the list. | <Alt+R>

There are also shortcut menu commands that can be accessed through the keyboard.

Every time you use a shortcut key in the Navigation pane, you lose focus in the Topic pane. To return to the Topic pane, press <F6>.


Basic Search Rules

Basic Help search rules are explained in this topic, along with means of broadening (using "wildcards") and refining (searching for a complete phrase) your search.

For more advanced searching, see Boolean Searches.

Sections in this topic:

  • Basic Search Rules
  • Searching for Phrases
  • Wildcard Expressions

Basic Search Rules

  • In a basic search all the words entered the search field are searched for (as if with an AND operator between them). Topics that contain the all the words are displayed, but each word could be anywhere in the topic.
  • Searches are not case-sensitive, so you can type your search in uppercase or lowercase characters.
  • You can search for any combination of letters (a–z) and numerals (0–9).
  • Punctuation marks such as the period, colon, semicolon, comma, and hyphen are ignored in searches.

If inserted in a continuous string of characters, punctuation marks break up the entry into separate components: e.g. if you enter a file name with its extension, "filename.ext" the search will proceed for two items: "filename" and "ext".

You cannot search for quotation marks or parentheses, as these are used to define phrases (see below).

Searching for Phrases

Use double quotes or parentheses around phrases or particular strings of letters and numerals (where these are separated by spaces or punctuation marks) to search for a particular phrase or string.

Wildcard Expressions

Wildcard expressions allow you to search for words or numbers that contain a particular core component. It is a more general search technique than Match similar words, which only finds common grammatical variations of a word.

Wildcard searches use question marks and asterisks:

  • insert a question mark in a search expression to stand for any one character
  • insert an asterisk at the end of an alphanumeric sequence to stand for any combination of numbers or letters following the "stem" you have entered.

For example:

If " dig* " is entered as the search term, topics with the words "digital", "digitizer" and "Digidata" are found.

If "3?0" is entered, the search finds topics with "300", "310","320", etc.


Boolean Searches

When searching Help, you can set very specific search criteria using Boolean operators. Type these in yourself or select them from the menu opened with the right-pointing button beside the search entry field.

Sections in this topic:

  • Boolean Operators
  • Nested Expressions

Boolean Operators

Boolean operators enable you to precisely define your search by creating a relationship between search terms. The operators available are:

  • AND
  • OR
  • NOT
  • NEAR

The following table shows how you can use each of these operators.

Search for | Example | Results
Both terms in the same topic. | episodic AND epoch | Topics containing both the words "episodic" and "epoch" anywhere in the text or title.
Either term in a topic. | episodic OR epoch | Topics containing either the word "episodic" or the word "epoch" or both.
The first term without the second term. | episodic NOT epoch | Topics containing the word "episodic", but not the word "epoch".
Both terms in the same topic, close together. | episodic NEAR epoch | Topics containing the word "episodic" within eight words of the word "epoch".

The |, &, and ! characters do not work as Boolean operators (you must use OR, AND, and NOT).

Nested Expressions

Nested expressions allow you to create complex searches for information. For example:

sequence AND ((episodic OR epoch) NEAR acquisition)

finds topics containing the word "sequence" along with the words "episodic" and "acquisition" close together, or containing "sequence" along with the words "epoch" and "acquisition" close together.

The basic rules for searching Help topics using nested expressions are as follows:

  • You can use parentheses to nest expressions within a query. The expressions in parentheses are evaluated before the rest of the query.
  • If a query does not contain a nested expression, it is evaluated from left to right. For example:

acquisition NOT episodic OR epoch

finds topics containing the word "acquisition" without the word "episodic", or topics containing the word "epoch". On the other hand:

acquisition NOT (episodic OR epoch)

finds topics containing the word "acquisition" without either of the words "episodic" or "epoch".

  • You cannot nest expressions more than five levels deep.


Configure Digidata 132x

Use this dialog to configure Digidata 132x-series digitizers. The dialog is opened with the Configure button in the Configure / Digitizer dialog, when "Digidata 132x Series" has been selected as the digitizer.

Note: Digidata 132x digitizers are able to digitize signals in the range +/– 10 V. Signals to the ANALOG IN channels should not exceed +/– 15 V, or the digitizer may be damaged. Signals to the TRIGGER IN ports should not exceed + 6 V.

Scan

Press Detect for the program to poll the digitizer and confirm the information reported to the left of the button:

  • Digidata model number
  • SCSI ID (set on the rear panel of the Digidata)
  • Digidata serial number

A Digidata 132x must be detected before the OK button in the dialog is enabled.

Calibrate

Press this button to calibrate the Digidata 132x. You must remove all cabling from the digitizer's analog output ports before the calibration can proceed.

Power-on Output Levels

Set analog and digital outputs maintained by the Digidata 132x when Clampex software is not running. Once Clampex software starts, settings in it (from the Protocol Editor or Lab Bench) override the settings here.

Power-on holding levels are useful if the cables between the Digidata and the equipment are always attached. There may be a delay of three or four seconds after the Digidata has been powered on before the settings take effect.

Analog OUT #0 / #1 (V)

Set the values for the two analog outputs in volts.

Digital Outs

Set the states of the 16 digital outputs. Use a check for HIGH, blank for LOW.


File Dialog

In the File menu and other places in Clampex software are commands that call file Open, Save or Save As dialogs. These dialogs are standard Windows components, so only a brief explanation of their features is provided here. Details may differ depending on whether you are using Windows 7 or 10.

Look in / Save in:

Use the drop‑down list to choose the drive where you want to open (or save) files. Use the "Up One Level" button and the folders in the File List window (see below) to navigate to the folder where you want to open files from or save files to. The chosen folder is normally saved between sessions.

Up One Level

Use this button to navigate up one level from the current folder, which is listed in the Look in field. The File List window will be updated with the names of the files and folders from the higher level folder.

Create New Folder

You can create a new folder under the current folder by clicking on this button, which places a new folder in the File List window with the folder name ready to be edited. Just start typing to enter the name and press Enter to finish.

View Menu

Displays a menu in which you can choose how to display the list of files in the File List window.

The File List Window

The File List window lists the files and folders that are in the current folder, (which is shown in the Look in field). Double-click on a file name to open it (or, if this is a file Save dialog, to save the file in the active window to this name). Double-click on a folder to open it; the File List window will now list file names and folders in the newly opened folder.

File name

Instead of choosing a file name in the File List window, you can type the name of the file to open (or the file name to save to) in the File name field.

Files of type / Save as type

The files listed in the File List window can be filtered to show just certain file types, or, if saving a file, select the file type from the drop-down list. Standard Clampex software file types are listed in File Types.


How To Use Clampex software Help

This section offers "help on Help", for the Clampex software HTML Help file. For other sources of help available in Clampex software see Getting Help.

Clampex software Help includes topics for every command and dialog in the program. These can be accessed from the "Menu Reference" section in the table of contents. In addition, there is a range of general information topics also accessed from the table of contents.

As well as the Help topics provided with the program, the Clampex software Help interface can be used to view web pages. You cannot enter URLs in the Help interface, but the MDC Home toolbutton opens the Molecular Devices home page, from where you can navigate the MDC site.

Sections in this topic:

Opening Clampex software Help

The Clampex software Help Window

Navigating Within Help

Copying and Printing Help Topics

Changing Colors and Fonts

Related topics, offering further help on Help:

Searching Help

Shortcut Keys in Help

Opening Clampex software Help

To open this Help file:

  • use the Help menu command, "Online Help"
  • press <F1>, or
  • click Help buttons in dialogs.

Help buttons always open Help at the topic for the dialog you are in. If you press <F1> while the cursor is over a menu command, Help opens at the topic for that command. In other cases Help opens at the first topic, Clampex software Help.

The Clampex software Help Window

The Clampex software Help window has three panes—the Toolbar pane across the top of the window, the Navigation pane on the left, and the Topic pane on the right, where topic content, and web pages, are displayed.

Toolbar Pane

There are nine buttons in the toolbar pane. Starting from the left ...

Hide/Show: This button opens and closes the Navigation pane.

Locate: This button highlights the current topic in the Table of Contents.

Back: Displays the last topic you viewed in the Topic pane.

Forward: Displays the next topic in a previously displayed sequence of topics.

Stop: Interrupts downloading of a web page into the Topic pane.

Refresh: Reloads the web page currently showing in the Topic pane.

Print: Opens dialog offering print options. You can also use the popup menu or <Ctrl+P>.

As well as printing the current topic in the Topic pane, you can print topics (and books) by selecting them from the Contents tab in the Navigation pane. You are given the option of printing only the current topic, or all the topics in the book.

Options: Opens a menu offering the same options as in the toolbar, as well as a link to the Internet Options dialog where you can change fonts and colors used in Help (changes apply also to your web browser). The bottom option turns the Search Highlights command on and off.

MDC Home: Opens Molecular Devices Home page in the Topic pane.

Support: Opens the pCLAMP support page on the MDC web site.

Navigation Pane

Four tabs in this pane offer alternative ways of locating topics you are interested in:

Contents Tab: This tab shows the table of contents—an expandable list of all topics in the Help file. Click on a topic to open it in the Topic pane. The popup menu for the tab allows you to fully expand or fully collapse the table of contents.

The Menu Reference book in the table of contents has links to topics for every command and dialog in Clampex software, ordered according to main toolbar menu. All commands and dialogs (except for special-case warning dialogs) in Clampex software, can be accessed from the main toolbar menus.

Index Tab: Like a book index, this is a list of key terms compiled by the Help editor. To see a list of index entries, click the Index tab, and then type a word or scroll through the list. Topics are often indexed under more than one entry. Double-click on an entry in the Index tab to open it in the Topic pane, or use the Display button.

To see if a word or phrase contained in a topic is in the index, select the word, and then press <F1>. If the term is indexed, the linked topic opens.

Search: To locate every occurrence of a word or phrase contained in Clampex software Help, click the Search tab, type the word and then click List Topics. Double-click on the topic of your choice to open it in the Topic pane.

Toggle between having searched-for words highlighted or not with the Search Highlight command in the Options Toolbar menu. For detailed information on Help searches, see Searching Help.

Favorites: Use the Favorites tab to bookmark frequently used topics. First open the topic you want to bookmark then click the Add button on the Favorites tab (you can rename the topic if you wish before you add it).

Navigating Within Help

Find topics in Help using one of the four tabs in the Navigation Pane. Colored, underlined words within topics in the Topic pane are links to other Help topics, or sometimes to a web page. You can retrace your steps using the Back button, or move forward again after having used the Back button, with the Forward button.

To see if a word or phrase contained in a topic is in the index, select the word, and then press <F1>. If the term is indexed, the linked topic opens.

Copying and Printing Help Topics

Copy Help topics to the Windows Clipboard by selecting them, or portions of them, then right-click and select "Copy", or use <Ctrl+C>.

Topics, portions of topics, or all the topics within a book or folder (as displayed in the table of contents) can be printed. When the Contents tab is uppermost, calling a print command (pressing the Print toolbutton, selecting Print from the popup menu, or pressing <Ctrl+P> opens an option dialog, to print the selected topic only, or all the topics in its table of contents book. Following this you see the standard Windows Print dialog.

Changing Colors and Fonts

You can change the appearance of topics viewed in the Help Topic pane. These topics are displayed using global internet settings, so use the same configuration settings that apply to your web browser. To change font and colors, click the Internet Options command in the Toolbar Options menu. On the General tab, click the Font and/or Color buttons to make your configuration. You will need to click the Accessibility button as well in order that your selection overrides default settings for the topics.


Searching Help

Search all the files in Help (content and titles) for particular words or phrases, using the Navigation > Search tab.

Sections in this topic:

Basic Operation

Refine a Search

Find Similar Words

Searching Titles Only

Boolean Searches

Search Highlight

Additional help on Help searching is in the topics:

  • Basic Search Rules
  • Boolean Searches

Basic Operation

  1. Click the Search tab in the left-hand Navigation pane of the Help window.
  2. Type the word or phrase you want to find (or select from recent searches using the drop-down menu opened at the right-hand end of this field).

See Basic Search Rules for details on how searches are run.

  3. Click List Topics
  4. Select the topic you want from those displayed.
  5. Click Display to open the topic in the right-hand Topic pane (or double-click on the selection).

Additional Features

The Search tab includes a number of other features allowing more sophisticated searches:

Refine a Search

If a search brings up too many topics to go through, you can refine the search by searching for a further term amongst those already displayed.

  • Given you already have the results of a search displayed on the Search tab, type the new search term or phrase in the search field.
  • Check the "Search previous results" check box at the bottom of the Search tab.
  • Click List Topics
Find Similar Words

You can alter the breadth of your search by checking the "Match similar words" check box at the bottom of the tab. The search is then not only for the precise word or words you type into the search field, but also for minor grammatical variations on this.

This feature only locates variations of the word with common suffixes, for example, a search on "add" will find "added" and "adds", but not "additive". If you want a broader search that will find such terms, you can enter a wildcard expression into the search field.

Search Titles Only

You can restrict the search for a term or phrase to the Help topic titles only. Check "Search titles only" at the bottom of the tab.

Boolean Searches

The right-pointing button to the right of the Search field at the top of the tab offers a selection of Boolean operators you can incorporate into your search.

Search Highlight

When topics found from your search are displayed in the Topic pane, the searched-for terms are highlighted in the text. Toggle this feature on and off with the Toolbar Options menu, "Search Highlight" command.


Web Updates

Help > Web Updates

This command opens your default web browser and takes you to the pCLAMP Updates page on the Molecular Devices web site, where you can download the latest version of the program.

You should check this site at regular intervals—to help remind you pCLAMP software has a reminder prompt which appears at startup after a specified number of days. Set the number of days in Configure > Program Options.


Real Time Controls

The Real Time Controls panel, visible on the left side of the main window below the top toolbar, allows you to monitor the status of the experiment and easily control several selected input and output parameters while digitizing data (Figure 5).

You can test different experimental settings when viewing live data without having to open the Edit Protocol dialog or Lab Bench dialog, such as:

  • Changing the holding levels of cells
  • Controlling the digital outputs to a perfusion system
  • Adjusting the sampling rate
  • Applying filtering to the data signal currently selected
  • Pre-programming level, duration, and analog or digital values for gap-free mode
  • Cancelling noise using HumSilencer system controls

Figure 5: Real Time Controls panel with HumSilencer system controls turned on

The Real Time Controls panel also reports where you are in an acquisition, in terms of elapsed time and sweep and run, and whether or not you have a conditioning train or P/N Leak Subtraction enabled.

To display the Real Time Controls panel:

  • Select View > Real Time Controls.

    • By default, the panel docks along the left frame of the main window.

To float the Real Time Controls panel:

  • Click and drag the panel away from the from the left frame position.

The following rules apply to the parameters available in the Real Time Controls:

  • Most parameters are available when acquiring data in Acquire > View Only. Use this mode to experiment with sampling rates and filter settings.
  • A few parameters are available when recording data in non-episodic modes. Only analog and digital output levels can be changed, and a comment tag is inserted into the data at each change.
  • Most parameters are disabled when recording data in Episodic stimulation mode. Only Digital Output levels can be changed, and a comment tag is inserted into the data at each change.
  • When using Gap-free mode, you can either manually change epoch settings in the Real Time Controls panel, or use the epoch description table. To access the table, click the < button.